<?php
/**
 * @package     Joomla.Installation
 * @subpackage  Controller
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

use Joomla\Registry\Registry;
use Sellacious\Config\ConfigHelper;

defined('_JEXEC') or die;

/**
 * Controller class to install the sample data for the Joomla Installer.
 *
 * @since  1.7.2
 */
class InstallationControllerActivationRetrieveajax extends InstallationControllerActivationRetrieve
{
	/**
	 * Execute the controller.
	 *
	 * @return  void
	 *
	 * @since   1.7.2
	 */
	public function execute()
	{
		/** @var InstallationApplicationWeb $app */
		$app     = $this->getApplication();
		$sitekey = $this->input->getString('sitekey');

		if ($sitekey)
		{
			try
			{
				$activated = $this->retrieve($sitekey);

				if ($activated)
				{
					$view = InstallationHtmlHelper::getStep('license', 1);
					$r    = (object) array('view' => $view);

					$app->sendJsonResponse($r);
				}
			}
			catch (Exception $e)
			{
				$app->sendJsonResponse($e);
			}
		}

		$r = (object) array('view' => 'license', 'data' => null);

		$app->sendJsonResponse($r);
	}
}
