<?php
/**
 * @package     Joomla.Installation
 * @subpackage  Controller
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

use Joomla\Registry\Registry;

defined('_JEXEC') or die;

/**
 * Controller class to acquire the sellacious license for the Installer.
 *
 * @since  1.7.2
 */
class InstallationControllerLicense extends JControllerBase
{
	/**
	 * Execute the controller.
	 *
	 * @return  void
	 *
	 * @since   1.7.2
	 */
	public function execute()
	{
		// Get the application
		/* @var InstallationApplicationWeb $app */
		$app = $this->getApplication();

		// Check for request forgeries, Todo: restore this check
		// JSession::checkToken() or $app->sendJsonResponse(new Exception(JText::_('JINVALID_TOKEN'), 403));

		// Get the setup model.
		$model = new InstallationModelSetup;

		// Check the form
		$vars    = $model->getOptions();
		$options = new Registry($vars);

		$r = new stdClass;

		// If registered, we're ok. Activation/verification can be overlooked
		if ($options['license.registered'] == 1)
		{
			$r->view = InstallationHtmlHelper::getStep('license', 1);
		}
		else
		{
			$app->enqueueMessage(JText::_('INST_SELLACIOUS_LICENSE_NOT_SET'), 'error');

			$r->view = InstallationHtmlHelper::getStep('license');
		}

		$app->sendJsonResponse($r);
	}
}
