<?php
/**
 * @package     Joomla.Installation
 * @subpackage  View
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/* @var InstallationViewDefault $this */
?>
<?php echo JHtml::_('InstallationHtml.helper.stepbar'); ?>

<form action="index.php" method="post" id="adminForm" class="form-validate form-horizontal">

	<div class="btn-toolbar">
		<div class="btn-group pull-right">s
			<a class="btn" href="#" onclick="return Install.goToPage('site');" rel="prev"
			   title="<?php echo JText::_('JPREVIOUS'); ?>"><span class="icon-arrow-left"></span> <?php echo JText::_('JPREVIOUS'); ?></a>
			<a class="btn btn-primary" href="#" onclick="Install.submitform();" rel="next"
			   title="<?php echo JText::_('JNEXT'); ?>"><?php echo JText::_('JNEXT'); ?> <span class="icon-arrow-right icon-white"></span></a>
		</div>
	</div>

	<div class="clearfix"></div>
	<br>

	<div class="row-fluid">
		<div class="span6">

			<?php $fields = $this->form->getFieldset('database'); ?>

			<?php foreach ($fields as $field): ?>
				<div class="control-group">
					<div class="control-label">
						<?php echo $field->label; ?>
					</div>
					<div class="controls">
						<?php echo $field->input; ?>
					</div>
				</div>
			<?php endforeach; ?>

		</div>

		<div class="span6">

			<?php $fields = $this->form->getFieldset('credentials'); ?>

			<?php foreach ($fields as $field): ?>
				<div class="control-group">
					<div class="control-label">
						<?php echo $field->label; ?>
					</div>
					<div class="controls">
						<?php echo $field->input; ?>
					</div>
				</div>
			<?php endforeach; ?>

		</div>

		<div class="clearfix"></div>

		<?php $field = $this->form->getField('sample_file'); ?>

		<div class="control-group">
			<div class="control-label">
				<?php echo $field->label; ?>
			</div>
			<div class="controls">
				<?php echo $field->input; ?>
			</div>
		</div>

		<p class="help-block">
			<?php echo JText::_('INSTL_SITE_INSTALL_SAMPLE_DESC'); ?>
		</p>

	</div>

	<div class="clearfix"></div>
	<br>

	<div id="db-advanced" class="collapse">
		<?php $fields = $this->form->getFieldset('advanced'); ?>

		<?php foreach ($fields as $field): ?>
			<div class="control-group">
				<div class="control-label">
					<?php echo $field->label; ?>
				</div>
				<div class="controls">
					<?php echo $field->input; ?>
				</div>
			</div>
		<?php endforeach; ?>

	</div>

	<div class="row-fluid">
		<div class="btn-toolbar">
			<div class="btn-group pull-left hidden">
				<button type="button" class="btn btn-success btn-circle pull-right" data-toggle="collapse"
						data-target="#db-advanced"><i class="fa fa-plus"></i>
					<?php echo JText::_('INSTL_DATABASE_FIELDSET_ADVANCED') ?></button>
			</div>
			<div class="btn-group pull-right">
				<a class="btn" href="#" onclick="return Install.goToPage('site');" rel="prev"
				   title="<?php echo JText::_('JPREVIOUS'); ?>"><span class="icon-arrow-left"></span> <?php echo JText::_('JPREVIOUS'); ?></a>
				<a class="btn btn-primary" href="#" onclick="Install.submitform();" rel="next"
				   title="<?php echo JText::_('JNEXT'); ?>"><?php echo JText::_('JNEXT'); ?> <span class="icon-arrow-right icon-white"></span></a>
			</div>
		</div>
	</div>

	<input type="hidden" name="task" value="database" />
	<?php echo JHtml::_('form.token'); ?>
</form>
