<?php
/**
 * @package     Joomla.Installation
 * @subpackage  View
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

use Joomla\Registry\Registry;

defined('_JEXEC') or die;

/**
 * The Installation Summary View
 *
 * @since  1.7.2
 */
class InstallationViewLicenseHtml extends InstallationViewDefault
{
	/**
	 * The session options
	 *
	 * @var    array
	 *
	 * @since  1.7.2
	 */
	protected $options;

	/**
	 * The license raw data
	 *
	 * @var    Registry
	 *
	 * @since  1.7.2
	 */
	protected $item;

	/**
	 * Method to render the view.
	 *
	 * @return  string  The rendered view.
	 *
	 * @since   1.7.2
	 */
	public function render()
	{
		$this->options = $this->model->getOptions();

		$language = JFactory::getLanguage();
		$language->load('com_sellacious', JPATH_SITE . '/components/com_sellacious');
		$language->load('com_sellacious', JPATH_SITE);

		// Variables: "name","email","sitekey","version","sitename","siteurl","template"
		$registry = new Registry();
		$license  = isset($this->options['license']) ? $this->options['license'] : array();

		$registry->set('license', $license);
		$registry->set('sitename', $this->options['site_name']);
		$registry->set('siteurl', trim(JUri::root(), '\\/'));
		$registry->set('version', S_VERSION_CORE);
		$registry->set('template', 'NA');

		$this->item = $registry;

		return parent::render();
	}
}
