<?php
/**
 * @package     Joomla.Installation
 * @subpackage  View
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/* @var InstallationViewLicenseHtml $this */
// Determine if the configuration file path is writable.
$prev = InstallationHtmlHelper::getStep('summary', -1);
?>
<?php echo JHtml::_('InstallationHtml.helper.stepbar'); ?>
<form action="index.php" method="post" id="adminForm" class="form-validate form-horizontal">
	<div class="btn-toolbar">
		<div class="btn-group pull-right">
			<a class="btn" href="#" onclick="return Install.goToPage('<?php echo $prev; ?>');" rel="prev"
			   title="<?php echo JText::_('JPREVIOUS'); ?>"><span class="icon-arrow-left"></span> <?php echo JText::_('JPREVIOUS'); ?></a>
			<a class="btn btn-primary" href="#" onclick="Install.submitform();" rel="next"
			   title="<?php echo JText::_('JNEXT'); ?>"><?php echo JText::_('JNEXT'); ?> <span class="icon-arrow-right icon-white"></span></a>
		</div>
	</div>

	<div class="clearfix"></div>
	<br>

	<div class="row-fluid">
		<div style="position: relative;">
			<div class="activation-register bs3">

				<!-- Enter license key -->
				<?php include __DIR__ . '/default_keyform.php'; ?>
				<!-- Enter license key -->

				<div class="plans-container <?php echo $this->item->get('license.active') ? 'hidden' : '' ?>">
					<div class="or-separator text-center">
						<div class="pull-left or-marker">OR</div> Choose a Subscription Plan</div>

					<!-- Choose a plan -->
					<?php include __DIR__ . '/default_plans.php'; ?>
					<!-- Choose a plan -->
				</div>
			</div>
		</div>
	</div>

	<div class="clearfix"></div>
	<br>

	<hr class="hr-condensed"/>

	<div class="row-fluid">
		<div class="btn-toolbar">
			<div class="btn-group pull-right">
				<a class="btn" href="#" onclick="return Install.goToPage('<?php echo $prev; ?>');" rel="prev"
				   title="<?php echo JText::_('JPREVIOUS'); ?>"><span class="icon-arrow-left"></span>
					<?php echo JText::_('JPREVIOUS'); ?></a>
				<a class="btn btn-primary" href="#" onclick="Install.submitform();" rel="next"
				   title="<?php echo JText::_('JNEXT'); ?>">
					<?php echo JText::_('JNEXT'); ?> <span class="icon-arrow-right icon-white"></span></a>
			</div>
		</div>
	</div>

	<input type="hidden" name="task" value="license" />
	<?php echo JHtml::_('form.token'); ?>
</form>
<script>
	jQuery(function () {
		// Now assign the object
		window.activation = new SellaciousPlanActivation;
		window.activation.init('#activation-plans');
	})
</script>
