<?php
/**
 * @package    Joomla.Installation
 *
 * @copyright  Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/* @var InstallationViewRemoveHtml $this */
?>
<form action="index.php" method="post" id="adminForm" class="form-validate form-horizontal">
	<div class="alert alert-error inlineError" id="theDefaultError" style="display: none">
		<h4 class="alert-heading"><?php echo JText::_('JERROR'); ?></h4>
		<p id="theDefaultErrorMessage"></p>
	</div>
	<div class="alert install-success center">
		<img src="template/images/svg-check.svg">
		<h3>
			<?php echo JText::_('INSTL_COMPLETE_TITLE'); ?>
		</h3>
	</div>
	<div class="row-fluid">
		<div class="auto-remove">
			<p class="message-rm-folder"><?php echo JText::sprintf('INSTL_COMPLETE_FOLDER_REMOVE_REDIRECT_MESSAGE', 'installation'); ?></p>
			<div class="timer"><span>10</span> <?php echo JText::_('INSTL_WAIT_N_SECONDS') ?></div>
			<div class="progress progress-striped active" id="wait_progress" style="width: 50%; margin: 10px auto;">
				<div class="bar" style="width: 0;"></div>
			</div>
			<input id="btn-remove-installation" type="button" class="btn btn-warning" name="instDefault"
				   value="<?php echo JText::sprintf('INSTL_COMPLETE_REMOVE_FOLDER', 'installation'); ?>" />
			<button id="btn-stop-remove" type="button" class="btn btn-danger"><i class="fa fa-stop"></i>
				<?php echo JText::_('INSTL_BUTTON_STOP_LABEL') ?></button>
			<hr class="hr-condensed" />
			<div class="btn-toolbar center" style="margin: 0">
				<div class="btn-group">
					<a class="btn btn-login-site" href="<?php echo JUri::root(); ?>index.php?login_key=<?php echo $key ?>" title="<?php echo JText::_('INSTL_COMPLETE_FRONT_END'); ?>"><span class="fa fa-eye"></span> &nbsp; <?php echo JText::_('INSTL_COMPLETE_FRONT_END'); ?></a>
				</div>
				<div class="btn-group">
					<a class="btn btn-success btn-login-site" href="<?php echo JUri::root(); ?>sellacious/index.php?login_key=<?php echo $key ?>" title="<?php echo JText::_('INSTL_COMPLETE_BACK_END'); ?>"><span class="fa fa-gears"></span> &nbsp; <?php echo JText::_('INSTL_COMPLETE_BACK_END'); ?></a>
				</div>
			</div>
			<div class="jadmin-button text-right">
				<a class="btn-login-site" href="<?php echo JUri::root(); ?>administrator/index.php?login_key=<?php echo $key ?>" title="<?php echo JText::_('INSTL_COMPLETE_JOOMLA_ADMIN'); ?>"><?php echo JText::_('INSTL_COMPLETE_JOOMLA_ADMIN'); ?></a>
			</div>
			<div class="clearfix"></div>
		</div>
		<br>
		<div class="alert alert-info">
			<p><?php echo JText::sprintf('INSTL_COMPLETE_REMOVE_INSTALLATION_NOTE', 'installation'); ?></p>
		</div>
	</div>
	<div id="languages" class="row-fluid">
		<h3><?php echo JText::_('INSTL_COMPLETE_LANGUAGE_1'); ?></h3>
		<hr class="hr-condensed" />
		<div class="row-fluid">
			<div class="span6">
				<p><?php echo JText::sprintf('INSTL_COMPLETE_LANGUAGE_DESC', 'installation'); ?></p>
				<p><a href="#" class="btn btn-primary" id="instLangs" onclick="return Install.goToPage('languages');"><span class="icon-arrow-right icon-white"></span> <?php echo JText::_('INSTL_COMPLETE_INSTALL_LANGUAGES'); ?></a></p>
			</div>
			<div class="alert alert-info span6">
				<p><?php echo JText::_('INSTL_COMPLETE_LANGUAGE_DESC2'); ?></p>
			</div>
		</div>
	</div>
	<div class="row-fluid">
	<?php echo JHtml::_('form.token'); ?>
</form>
<script>
	jQuery(function ($) {
		let f = function () {
			let $timer = $('.auto-remove .timer');
			$timer.hide();
			clearInterval(i);
			let ajax = Install.removeFolder(document.getElementById('btn-remove-installation'));
			ajax.done(function (r) {
				$('#btn-stop-remove').hide();
				$('.message-rm-folder').hide();
				if (r && r.error === false) {
					window.location.href = Joomla.getOptions('system.paths')['root'];
				}
			}).fail(function () {
				$.noop();
			}).always(function () {
				$('#wait_progress').removeClass('active');
			});
		};
		let h = function () {
			let $timer = $('.auto-remove .timer');
			let t = $timer.data('t') || 0;
			t += 0.1;
			$('#wait_progress').find('.bar').css({width: 10 * t + '%'});
			$timer.data('t', t).find('span').text(10 - parseInt(t));
			if (t >= 10) f.call(null);
		};
		$('#btn-remove-installation').click(function () {
			f.call(null);
		});
		$('#btn-stop-remove').click(function () {
			clearInterval(i);
			$('#btn-stop-remove').hide();
			$('.message-rm-folder').hide();
			$('.auto-remove .timer').hide();
			$('#wait_progress').hide();
		});
		let i = setInterval(h, 100);
	});
</script>
