<?php
/**
 * @package     Joomla.Installation
 * @subpackage  View
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/* @var InstallationViewDefault $this */
?>
<?php echo JHtml::_('InstallationHtml.helper.stepbar'); ?>
<form action="index.php" method="post" id="adminForm" class="form-validate form-horizontal">

	<div class="btn-toolbar">
		<div class="btn-group pull-right">
			<a href="#" class="btn btn-primary" onclick="Install.submitform();" rel="next"
			   title="<?php echo JText::_('JNEXT'); ?>"><?php echo JText::_('JNEXT'); ?>&nbsp;
				<span class="icon-arrow-right icon-white"></span> </a>
		</div>
	</div>

	<div class="clearfix"></div>
	<br>

	<div class="row-fluid">

		<div class="span6">

			<?php $fields = $this->form->getFieldset('store'); ?>

			<?php foreach ($fields as $field): ?>
				<?php if ($field->fieldname !== 'store_currency' && $field->fieldname !== 'store_country'): ?>
				<div class="control-group">
					<div class="control-label">
						<?php echo $field->label; ?>
					</div>
					<div class="controls">
						<?php echo $field->input; ?>
					</div>
				</div>
				<?php endif; ?>
			<?php endforeach; ?>

		</div>

		<div class="span6">

			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('store_currency'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('store_currency'); ?>
				</div>
			</div>

			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('store_country'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('store_country'); ?>
				</div>
			</div>

			<br>

			<?php $fields = $this->form->getFieldset('admin'); ?>
			<div class="center">
				<h4><?php echo JText::_('INSTL_SUPER_USER_TITLE'); ?></h4>
			</div>

			<?php foreach ($fields as $field): ?>
				<div class="control-group">
					<div class="control-label">
						<?php echo $field->label; ?>
					</div>
					<div class="controls">
						<?php echo $field->input; ?>
					</div>
				</div>
			<?php endforeach; ?>

		</div>

	</div>

	<div class="row-fluid">
		<div class="btn-toolbar">
			<div class="btn-group pull-right">
				<a href="#" class="btn btn-primary" onclick="Install.submitform();" rel="next"
				   title="<?php echo JText::_('JNEXT'); ?>"><?php echo JText::_('JNEXT'); ?>&nbsp;
					<span class="icon-arrow-right icon-white"></span> </a>
			</div>
		</div>
	</div>

	<input type="hidden" name="task" value="site" />
	<?php echo JHtml::_('form.token'); ?>
</form>
