SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

CREATE TABLE IF NOT EXISTS `#__action_logs` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `message_language_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `log_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `extension` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `item_id` int(11) NOT NULL DEFAULT '0',
  `ip_address` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0.0.0.0',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_user_id_logdate` (`user_id`,`log_date`),
  KEY `idx_user_id_extension` (`user_id`,`extension`),
  KEY `idx_extension_item_id` (`extension`,`item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__action_logs_extensions` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `extension` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__action_logs_extensions` (`id`, `extension`) VALUES
(1, 'com_banners'),
(2, 'com_cache'),
(3, 'com_categories'),
(4, 'com_config'),
(5, 'com_contact'),
(6, 'com_content'),
(7, 'com_installer'),
(8, 'com_media'),
(9, 'com_menus'),
(10, 'com_messages'),
(11, 'com_modules'),
(12, 'com_newsfeeds'),
(13, 'com_plugins'),
(14, 'com_redirect'),
(15, 'com_tags'),
(16, 'com_templates'),
(17, 'com_users'),
(18, 'com_checkin');

CREATE TABLE IF NOT EXISTS `#__action_logs_users` (
  `user_id` int(11) UNSIGNED NOT NULL,
  `notify` tinyint(1) UNSIGNED NOT NULL,
  `extensions` text COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`user_id`),
  KEY `idx_notify` (`notify`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__action_log_config` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `type_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `id_holder` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title_holder` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `table_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `text_prefix` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__action_log_config` (`id`, `type_title`, `type_alias`, `id_holder`, `title_holder`, `table_name`, `text_prefix`) VALUES
(1, 'article', 'com_content.article', 'id', 'title', '#__content', 'PLG_ACTIONLOG_JOOMLA'),
(2, 'article', 'com_content.form', 'id', 'title', '#__content', 'PLG_ACTIONLOG_JOOMLA'),
(3, 'banner', 'com_banners.banner', 'id', 'name', '#__banners', 'PLG_ACTIONLOG_JOOMLA'),
(4, 'user_note', 'com_users.note', 'id', 'subject', '#__user_notes', 'PLG_ACTIONLOG_JOOMLA'),
(5, 'media', 'com_media.file', '', 'name', '', 'PLG_ACTIONLOG_JOOMLA'),
(6, 'category', 'com_categories.category', 'id', 'title', '#__categories', 'PLG_ACTIONLOG_JOOMLA'),
(7, 'menu', 'com_menus.menu', 'id', 'title', '#__menu_types', 'PLG_ACTIONLOG_JOOMLA'),
(8, 'menu_item', 'com_menus.item', 'id', 'title', '#__menu', 'PLG_ACTIONLOG_JOOMLA'),
(9, 'newsfeed', 'com_newsfeeds.newsfeed', 'id', 'name', '#__newsfeeds', 'PLG_ACTIONLOG_JOOMLA'),
(10, 'link', 'com_redirect.link', 'id', 'old_url', '#__redirect_links', 'PLG_ACTIONLOG_JOOMLA'),
(11, 'tag', 'com_tags.tag', 'id', 'title', '#__tags', 'PLG_ACTIONLOG_JOOMLA'),
(12, 'style', 'com_templates.style', 'id', 'title', '#__template_styles', 'PLG_ACTIONLOG_JOOMLA'),
(13, 'plugin', 'com_plugins.plugin', 'extension_id', 'name', '#__extensions', 'PLG_ACTIONLOG_JOOMLA'),
(14, 'component_config', 'com_config.component', 'extension_id', 'name', '', 'PLG_ACTIONLOG_JOOMLA'),
(15, 'contact', 'com_contact.contact', 'id', 'name', '#__contact_details', 'PLG_ACTIONLOG_JOOMLA'),
(16, 'module', 'com_modules.module', 'id', 'title', '#__modules', 'PLG_ACTIONLOG_JOOMLA'),
(17, 'access_level', 'com_users.level', 'id', 'title', '#__viewlevels', 'PLG_ACTIONLOG_JOOMLA'),
(18, 'banner_client', 'com_banners.client', 'id', 'name', '#__banner_clients', 'PLG_ACTIONLOG_JOOMLA'),
(19, 'application_config', 'com_config.application', '', 'name', '', 'PLG_ACTIONLOG_JOOMLA');

CREATE TABLE IF NOT EXISTS `#__assets` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) UNSIGNED NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 0, 185, 0, 'root.1', 'Root Asset', '{\"core.login.site\":{\"6\":1,\"2\":1},\"core.login.admin\":{\"6\":1},\"core.login.offline\":{\"6\":1},\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
(2, 1, 1, 2, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 3, 6, 1, 'com_banners', 'com_banners', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),
(4, 1, 7, 8, 1, 'com_cache', 'com_cache', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
(5, 1, 9, 10, 1, 'com_checkin', 'com_checkin', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
(6, 1, 11, 12, 1, 'com_config', 'com_config', '{}'),
(7, 1, 13, 16, 1, 'com_contact', 'com_contact', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),
(8, 1, 17, 18, 1, 'com_content', 'com_content', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1}}'),
(9, 1, 19, 20, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 21, 22, 1, 'com_installer', 'com_installer', '{\"core.manage\":{\"7\":0},\"core.delete\":{\"7\":0},\"core.edit.state\":{\"7\":0}}'),
(11, 1, 23, 24, 1, 'com_languages', 'com_languages', '{\"core.admin\":{\"7\":1}}'),
(12, 1, 25, 26, 1, 'com_login', 'com_login', '{}'),
(13, 1, 27, 28, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 29, 30, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 31, 32, 1, 'com_media', 'com_media', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":{\"5\":1}}'),
(16, 1, 33, 48, 1, 'com_menus', 'com_menus', '{\"core.admin\":{\"7\":1}}'),
(17, 1, 49, 50, 1, 'com_messages', 'com_messages', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
(18, 1, 51, 114, 1, 'com_modules', 'com_modules', '{\"core.admin\":{\"7\":1}}'),
(19, 1, 115, 118, 1, 'com_newsfeeds', 'com_newsfeeds', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),
(20, 1, 119, 120, 1, 'com_plugins', 'com_plugins', '{\"core.admin\":{\"7\":1}}'),
(21, 1, 121, 122, 1, 'com_redirect', 'com_redirect', '{\"core.admin\":{\"7\":1}}'),
(22, 1, 123, 124, 1, 'com_search', 'com_search', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),
(23, 1, 125, 126, 1, 'com_templates', 'com_templates', '{\"core.admin\":{\"7\":1}}'),
(24, 1, 127, 130, 1, 'com_users', 'com_users', '{\"core.admin\":{\"7\":1}}'),
(26, 1, 131, 132, 1, 'com_wrapper', 'com_wrapper', '{}'),
(28, 3, 4, 5, 2, 'com_banners.category.3', 'Uncategorised', '{}'),
(29, 7, 14, 15, 2, 'com_contact.category.4', 'Uncategorised', '{}'),
(30, 19, 116, 117, 2, 'com_newsfeeds.category.5', 'Uncategorised', '{}'),
(32, 24, 128, 129, 2, 'com_users.category.7', 'Uncategorised', '{}'),
(33, 1, 133, 134, 1, 'com_finder', 'com_finder', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),
(34, 1, 135, 136, 1, 'com_joomlaupdate', 'com_joomlaupdate', '{}'),
(35, 1, 137, 138, 1, 'com_tags', 'com_tags', '{}'),
(36, 1, 139, 140, 1, 'com_contenthistory', 'com_contenthistory', '{}'),
(37, 1, 141, 142, 1, 'com_ajax', 'com_ajax', '{}'),
(38, 1, 143, 144, 1, 'com_postinstall', 'com_postinstall', '{}'),
(40, 18, 52, 53, 2, 'com_modules.module.2', 'Login', '{}'),
(41, 18, 54, 55, 2, 'com_modules.module.3', 'Popular Articles', '{}'),
(42, 18, 56, 57, 2, 'com_modules.module.4', 'Recently Added Articles', '{}'),
(43, 18, 58, 59, 2, 'com_modules.module.8', 'Toolbar', '{}'),
(44, 18, 60, 61, 2, 'com_modules.module.9', 'Quick Icons', '{}'),
(45, 18, 62, 63, 2, 'com_modules.module.10', 'Logged-in Users', '{}'),
(46, 18, 64, 65, 2, 'com_modules.module.12', 'Admin Menu', '{}'),
(47, 18, 66, 67, 2, 'com_modules.module.13', 'Admin Submenu', '{}'),
(48, 18, 68, 69, 2, 'com_modules.module.14', 'User Status', '{}'),
(49, 18, 70, 71, 2, 'com_modules.module.15', 'Title', '{}'),
(51, 18, 72, 73, 2, 'com_modules.module.17', 'Breadcrumbs', '{}'),
(52, 18, 74, 75, 2, 'com_modules.module.79', 'Multilanguage status', '{}'),
(53, 18, 76, 77, 2, 'com_modules.module.86', 'Joomla Version', '{}'),
(54, 16, 34, 35, 2, 'com_menus.menu.1', 'Main Menu', '{}'),
(55, 18, 78, 79, 2, 'com_modules.module.87', 'Sample Data', '{}'),
(56, 1, 145, 162, 1, 'com_sppagebuilder', 'SP Page Builder', '{}'),
(58, 18, 80, 81, 2, 'com_modules.module.89', 'SP Page Builder', '{}'),
(59, 18, 82, 83, 2, 'com_modules.module.90', 'SP Page Builder Admin Menu', '{}'),
(60, 56, 146, 147, 2, 'com_sppagebuilder.page.1', 'Home', '{}'),
(66, 56, 148, 149, 2, 'com_sppagebuilder.page.2', 'About', '{}'),
(67, 56, 150, 151, 2, 'com_sppagebuilder.page.3', 'Contact', '{}'),
(75, 16, 36, 37, 2, 'com_menus.menu.2', 'Information', '{}'),
(76, 16, 38, 39, 2, 'com_menus.menu.3', 'Quick Links', '{}'),
(89, 18, 84, 85, 2, 'com_modules.module.99', 'Offcanvas', '{}'),
(90, 1, 165, 166, 1, 'com_fields', 'com_fields', '{}'),
(91, 1, 167, 168, 1, 'com_associations', 'com_associations', '{}'),
(92, 1, 169, 170, 1, 'com_privacy', 'com_privacy', '{}'),
(93, 1, 171, 172, 1, 'com_actionlogs', 'com_actionlogs', '{}'),
(95, 1, 173, 174, 1, 'com_sellacious', 'com_sellacious', '{\"app.admin\":{\"7\":1},\"app.manage\":{\"7\":1,\"11\":1},\"app.login\":{\"7\":1,\"11\":1,\"10\":1},\"app.login.offline\":{\"7\":1,\"11\":1},\"config.edit\":{\"7\":1},\"permissions.edit\":{\"7\":1},\"statistics.visitor\":{\"7\":1},\"category.list\":{\"7\":1},\"category.create\":{\"7\":1},\"category.edit\":{\"7\":1},\"category.edit.state\":{\"7\":1},\"category.delete\":{\"7\":1},\"coupon.list\":{\"7\":1,\"11\":1},\"coupon.list.own\":{\"7\":1,\"11\":1,\"10\":1},\"coupon.create\":{\"7\":1,\"11\":1,\"10\":1},\"coupon.edit\":{\"7\":1},\"coupon.edit.own\":{\"7\":1,\"11\":1,\"10\":1},\"coupon.delete\":{\"7\":1},\"coupon.delete.own\":{\"7\":1,\"11\":1,\"10\":1},\"coupon.edit.state\":{\"7\":1},\"currency.list\":{\"7\":1,\"11\":1},\"currency.create\":{\"7\":1},\"currency.edit\":{\"7\":1},\"currency.edit.state\":{\"7\":1,\"11\":1},\"currency.delete\":{\"7\":1},\"currency.edit.forex\":{\"7\":1},\"field.list\":{\"7\":1},\"field.create\":{\"7\":1},\"field.delete\":{\"7\":1},\"field.edit\":{\"7\":1},\"field.edit.state\":{\"7\":1},\"product.list\":{\"7\":1,\"11\":1},\"product.list.own\":{\"7\":1,\"11\":1,\"10\":1},\"product.create\":{\"7\":1,\"11\":1,\"10\":1},\"product.edit.basic\":{\"7\":1,\"11\":1},\"product.edit.basic.own\":{\"7\":1,\"11\":1,\"10\":1},\"product.edit.seller\":{\"7\":1},\"product.edit.pricing\":{\"7\":1,\"11\":1},\"product.edit.shipping\":{\"7\":1,\"11\":1},\"product.edit.related\":{\"7\":1,\"11\":1},\"product.edit.seo\":{\"7\":1,\"11\":1},\"product.edit.seo.own\":{\"7\":1},\"product.delete\":{\"7\":1},\"product.delete.own\":{\"7\":1,\"11\":1,\"10\":1},\"product.edit.state\":{\"7\":1,\"11\":1},\"variant.create\":{\"7\":1,\"10\":1},\"variant.delete\":{\"7\":1},\"variant.delete.own\":{\"7\":1,\"10\":1},\"variant.edit\":{\"7\":1},\"variant.edit.own\":{\"7\":1,\"10\":1},\"variant.edit.state\":{\"7\":1},\"shippingrule.list\":{\"7\":1,\"11\":1},\"shippingrule.list.own\":{\"7\":1,\"10\":1},\"shippingrule.create\":{\"7\":1,\"11\":1},\"shippingrule.delete\":{\"7\":1,\"11\":1},\"shippingrule.delete.own\":{\"7\":1,\"10\":1},\"shippingrule.edit\":{\"7\":1,\"11\":1},\"shippingrule.edit.own\":{\"7\":1,\"10\":1},\"shippingrule.edit.state\":{\"7\":1,\"11\":1},\"shoprule.list\":{\"7\":1,\"11\":1},\"shoprule.create\":{\"7\":1,\"11\":1},\"shoprule.delete\":{\"7\":1},\"shoprule.edit\":{\"7\":1},\"shoprule.edit.state\":{\"7\":1,\"11\":1},\"splcategory.list\":{\"7\":1,\"11\":1},\"splcategory.create\":{\"7\":1,\"11\":1},\"splcategory.delete\":{\"7\":1,\"11\":1},\"splcategory.edit\":{\"7\":1,\"11\":1},\"splcategory.edit.state\":{\"7\":1,\"11\":1},\"status.list\":{\"7\":1,\"11\":1},\"status.create\":{\"7\":1,\"11\":1},\"status.delete\":{\"7\":1},\"status.edit\":{\"7\":1},\"status.edit.state\":{\"7\":1,\"11\":1},\"user.list\":{\"7\":1,\"11\":1},\"user.create\":{\"7\":1},\"user.delete\":{\"7\":1},\"user.edit\":{\"7\":1},\"user.edit.state\":{\"7\":1},\"user.edit.own\":{\"7\":1,\"10\":1,\"2\":1},\"unit.list\":{\"7\":1,\"11\":1},\"unit.create\":{\"7\":1,\"11\":1},\"unit.delete\":{\"7\":1,\"11\":1},\"unit.edit\":{\"7\":1,\"11\":1},\"unit.edit.state\":{\"7\":1,\"11\":1},\"order.list\":{\"7\":1,\"11\":1},\"order.list.own\":{\"7\":1,\"11\":1,\"10\":1},\"transaction.list\":{\"7\":1},\"transaction.list.own\":{\"7\":1,\"10\":1},\"transaction.addfund.direct\":{\"7\":1},\"transaction.addfund.gateway\":{\"7\":1},\"transaction.addfund.direct.own\":{\"7\":1},\"transaction.addfund.gateway.own\":{\"7\":1,\"10\":1},\"transaction.withdraw\":{\"7\":1},\"transaction.withdraw.own\":{\"7\":1,\"10\":1},\"transaction.withdraw.approve\":{\"7\":1},\"emailtemplate.list\":{\"7\":1,\"11\":1},\"emailtemplate.edit\":{\"7\":1},\"location.list\":{\"7\":1,\"11\":1},\"location.list.own\":{\"7\":1,\"11\":1},\"location.create\":{\"7\":1,\"11\":1},\"location.edit\":{\"7\":1},\"location.edit.state\":{\"7\":1,\"11\":1},\"paymentmethod.list\":{\"7\":1,\"11\":1},\"paymentmethod.list.own\":{\"7\":1,\"11\":1},\"paymentmethod.create\":{\"7\":1,\"11\":1},\"paymentmethod.edit\":{\"7\":1},\"message.list\":{\"7\":1},\"message.list.own\":{\"7\":1,\"11\":1,\"10\":1},\"message.create\":{\"7\":1,\"11\":1,\"10\":1},\"message.edit\":{\"7\":1},\"message.edit.own\":{\"7\":1},\"rating.list\":{\"7\":1,\"11\":1},\"rating.list.own\":{\"7\":1,\"11\":1,\"10\":1},\"rating.edit.own\":{\"7\":1},\"location.delete\":{\"7\":1},\"paymentmethod.delete\":{\"7\":1},\"message.delete\":{\"7\":1},\"rating.delete\":{\"7\":1,\"11\":1},\"rating.edit.state\":{\"7\":1,\"11\":1},\"product.edit.seller.own\":{\"7\":1,\"10\":1},\"product.edit.pricing.own\":{\"7\":1,\"11\":1,\"10\":1},\"product.edit.shipping.own\":{\"7\":1,\"11\":1,\"10\":1},\"product.edit.related.own\":{\"7\":1,\"11\":1,\"10\":1},\"order.item.edit.status.own\":{\"7\":1,\"11\":1,\"10\":1},\"message.reply\":{\"7\":1},\"message.reply.own\":{\"7\":1,\"11\":1,\"10\":1},\"message.create.bulk\":{\"7\":1,\"11\":1},\"message.html\":{\"7\":1,\"11\":1,\"10\":1},\"order.item.edit.status\":{\"7\":1,\"11\":1},\"mailqueue.list.own\":{\"7\":1,\"10\":1},\"mailqueue.list\":{\"7\":1},\"download.list.own\":{\"11\":1,\"10\":1},\"download.list\":{\"11\":1},\"license.list\":{\"11\":1},\"license.create\":{\"11\":1},\"license.delete\":{\"11\":1},\"license.edit\":{\"11\":1},\"license.edit.state\":{\"11\":1}}'),
(96, 16, 40, 41, 2, 'com_menus.menu.4', 'Sellacious Backoffice Menu', '{}'),
(97, 1, 175, 176, 1, 'com_importer', 'com_importer', '{}'),
(98, 1, 177, 178, 1, 'com_sellaciousreporting', 'com_sellaciousreporting', '{}'),
(99, 1, 179, 180, 1, 'com_sellaciousopc', 'com_sellaciousopc', '{}'),
(100, 1, 181, 182, 1, 'com_sellaciousdelivery', 'com_sellaciousdelivery', '{}'),
(122, 1, 183, 184, 1, 'com_sellacioustemplates', 'com_sellacioustemplates', '{}'),
(123, 18, 86, 87, 2, 'com_modules.module.126', 'About Squick 2.0', '{}'),
(124, 18, 88, 89, 2, 'com_modules.module.127', 'Latest Products', '{}'),
(125, 18, 90, 91, 2, 'com_modules.module.128', 'Men\'s Clothing', '{}'),
(126, 18, 92, 93, 2, 'com_modules.module.129', 'Highlighted Products', '{}'),
(127, 18, 94, 95, 2, 'com_modules.module.130', 'Seller Stores', '{}'),
(128, 18, 96, 97, 2, 'com_modules.module.131', 'Information', '{}'),
(129, 56, 152, 153, 2, 'com_sppagebuilder.page.5', 'Shipping Policy', '{}'),
(130, 56, 154, 155, 2, 'com_sppagebuilder.page.6', 'Privacy Policy', '{}'),
(131, 56, 156, 157, 2, 'com_sppagebuilder.page.7', 'Cancelations & Refunds', '{}'),
(132, 56, 158, 159, 2, 'com_sppagebuilder.page.8', 'Terms and Conditions', '{}'),
(133, 18, 98, 99, 2, 'com_modules.module.132', 'Quick Links', '{}'),
(134, 16, 42, 43, 2, 'com_menus.menu.5', 'Hidden Menu', '{}'),
(136, 16, 44, 45, 2, 'com_menus.menu.6', 'Useful Links', '{}'),
(137, 18, 100, 101, 2, 'com_modules.module.134', 'Useful Links', '{}'),
(138, 18, 102, 103, 2, 'com_modules.module.135', 'Shopping Cart', '{}'),
(140, 18, 104, 105, 2, 'com_modules.module.137', 'Finder', '{}'),
(142, 18, 106, 107, 2, 'com_modules.module.139', 'Filters', '{}'),
(145, 16, 46, 47, 2, 'com_menus.menu.7', 'My Account', '{}'),
(146, 18, 108, 109, 2, 'com_modules.module.141', 'My Account', '{}'),
(147, 18, 110, 111, 2, 'com_modules.module.142', 'Main Menu', '{}'),
(148, 56, 160, 161, 2, 'com_sppagebuilder.page.10', 'Login', '{}'),
(149, 18, 112, 113, 2, 'com_modules.module.143', 'Login', '{}');

CREATE TABLE IF NOT EXISTS `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100)),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) UNSIGNED NOT NULL,
  `banner_id` int(10) UNSIGNED NOT NULL,
  `count` int(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `path` varchar(400) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(1, 0, 0, 0, 9, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '{}', 320, '2020-03-14 05:47:31', 320, '0000-00-00 00:00:00', 0, '*', 1),
(3, 28, 1, 1, 2, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 320, '2020-03-14 05:47:31', 320, '0000-00-00 00:00:00', 0, '*', 1),
(4, 29, 1, 3, 4, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 320, '2020-03-14 05:47:31', 320, '0000-00-00 00:00:00', 0, '*', 1),
(5, 30, 1, 5, 6, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 320, '2020-03-14 05:47:31', 320, '0000-00-00 00:00:00', 0, '*', 1),
(7, 32, 1, 7, 8, 1, 'uncategorised', 'com_users', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 320, '2020-03-14 05:47:31', 320, '0000-00-00 00:00:00', 0, '*', 1);

CREATE TABLE IF NOT EXISTS `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `con_position` varchar(255) DEFAULT NULL,
  `address` text COLLATE utf8mb4_unicode_ci,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext COLLATE utf8mb4_unicode_ci,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL DEFAULT '',
  `sortname2` varchar(255) NOT NULL DEFAULT '',
  `sortname3` varchar(255) NOT NULL DEFAULT '',
  `language` varchar(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Set if contact is featured.',
  `xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES
(1, 'Contact', 'contact', '', '', '', '', '', '', '', '', '', '', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_tags\":\"\",\"show_info\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"add_mailto_link\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_image\":\"\",\"show_misc\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"articles_display_num\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":false,\"linkb_name\":\"\",\"linkb\":false,\"linkc_name\":\"\",\"linkc\":false,\"linkd_name\":\"\",\"linkd\":false,\"linke_name\":\"\",\"linke\":false,\"contact_layout\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}', 871, 4, 1, '', '', '', '', '', '*', '2020-03-06 09:35:16', 866, '', '2020-03-06 09:35:16', 866, '', '', '{\"robots\":\"\",\"rights\":\"\"}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 10, 83);

CREATE TABLE IF NOT EXISTS `#__content` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `note` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`),
  KEY `idx_alias` (`alias`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) UNSIGNED NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) UNSIGNED NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Maps items from content tables to tags';

CREATE TABLE IF NOT EXISTS `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `rating_count` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__content_rating` (`content_id`, `rating_sum`, `rating_count`, `lastip`) VALUES
(1, 5, 1, '::1'),
(3, 5, 1, '::1'),
(9, 5, 1, '10.0.1.2');

CREATE TABLE IF NOT EXISTS `#__content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(400) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` text NOT NULL,
  `field_mappings` text NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=10000;

INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(1, 'Article', 'com_content.article', '{"special":{"dbtable":"#__content","key":"id","type":"Content","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"introtext", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"attribs", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"asset_id", "note":"note"}, "special":{"fulltext":"fulltext"}}', 'ContentHelperRoute::getArticleRoute', '{"formFile":"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml", "hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits", "ordering"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(2, 'Contact', 'com_contact.contact', '{"special":{"dbtable":"#__contact_details","key":"id","type":"Contact","prefix":"ContactTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"address", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"image", "core_urls":"webpage", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special":{"con_position":"con_position","suburb":"suburb","state":"state","country":"country","postcode":"postcode","telephone":"telephone","fax":"fax","misc":"misc","email_to":"email_to","default_con":"default_con","user_id":"user_id","mobile":"mobile","sortname1":"sortname1","sortname2":"sortname2","sortname3":"sortname3"}}', 'ContactHelperRoute::getContactRoute', '{"formFile":"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml","hideFields":["default_con","checked_out","checked_out_time","version","xreference"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[ {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ] }'),
(3, 'Newsfeed', 'com_newsfeeds.newsfeed', '{"special":{"dbtable":"#__newsfeeds","key":"id","type":"Newsfeed","prefix":"NewsfeedsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special":{"numarticles":"numarticles","cache_time":"cache_time","rtl":"rtl"}}', 'NewsfeedsHelperRoute::getNewsfeedRoute', '{"formFile":"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml","hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(4, 'User', 'com_users.user', '{"special":{"dbtable":"#__users","key":"id","type":"User","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"null","core_alias":"username","core_created_time":"registerdate","core_modified_time":"lastvisitDate","core_body":"null", "core_hits":"null","core_publish_up":"null","core_publish_down":"null","access":"null", "core_params":"params", "core_featured":"null", "core_metadata":"null", "core_language":"null", "core_images":"null", "core_urls":"null", "core_version":"null", "core_ordering":"null", "core_metakey":"null", "core_metadesc":"null", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special":{}}', 'UsersHelperRoute::getUserRoute', ''),
(5, 'Article Category', 'com_content.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContentHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(6, 'Contact Category', 'com_contact.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContactHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(7, 'Newsfeeds Category', 'com_newsfeeds.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'NewsfeedsHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(8, 'Tag', 'com_tags.tag', '{"special":{"dbtable":"#__tags","key":"tag_id","type":"Tag","prefix":"TagsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path"}}', 'TagsHelperRoute::getTagRoute', '{"formFile":"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml", "hideFields":["checked_out","checked_out_time","version", "lft", "rgt", "level", "path", "urls", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(9, 'Banner', 'com_banners.banner', '{"special":{"dbtable":"#__banners","key":"id","type":"Banner","prefix":"BannersTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"null","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"null", "asset_id":"null"}, "special":{"imptotal":"imptotal", "impmade":"impmade", "clicks":"clicks", "clickurl":"clickurl", "custombannercode":"custombannercode", "cid":"cid", "purchase_type":"purchase_type", "track_impressions":"track_impressions", "track_clicks":"track_clicks"}}', '','{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml", "hideFields":["checked_out","checked_out_time","version", "reset"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "imptotal", "impmade", "reset"], "convertToInt":["publish_up", "publish_down", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"cid","targetTable":"#__banner_clients","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(10, 'Banners Category', 'com_banners.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(11, 'Banner Client', 'com_banners.client', '{"special":{"dbtable":"#__banner_clients","key":"id","type":"Client","prefix":"BannersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml", "hideFields":["checked_out","checked_out_time"], "ignoreChanges":["checked_out", "checked_out_time"], "convertToInt":[], "displayLookup":[]}'),
(12, 'User Notes', 'com_users.note', '{"special":{"dbtable":"#__user_notes","key":"id","type":"Note","prefix":"UsersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml", "hideFields":["checked_out","checked_out_time", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(13, 'User Notes Category', 'com_users.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}');

CREATE TABLE IF NOT EXISTS `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `package_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Parent package ID for extensions installed as a package.',
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '0',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 0, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{\"name\":\"com_mailto\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MAILTO_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mailto\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 0, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{\"name\":\"com_wrapper\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_WRAPPER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"wrapper\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 0, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{\"name\":\"com_admin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_ADMIN_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 0, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{\"name\":\"com_banners\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_BANNERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"banners\"}', '{\"purchase_type\":\"3\",\"track_impressions\":\"0\",\"track_clicks\":\"0\",\"metakey_prefix\":\"\",\"save_history\":\"1\",\"history_limit\":10}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 0, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{\"name\":\"com_cache\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CACHE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 0, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{\"name\":\"com_categories\",\"type\":\"component\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 0, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{\"name\":\"com_checkin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CHECKIN_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 0, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{\"name\":\"com_contact\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}', '{\"contact_layout\":\"_:default\",\"show_contact_category\":\"hide\",\"save_history\":\"1\",\"history_limit\":10,\"show_contact_list\":\"0\",\"presentation_style\":\"plain\",\"show_tags\":\"1\",\"show_info\":\"1\",\"show_name\":\"0\",\"show_position\":\"1\",\"show_email\":\"0\",\"add_mailto_link\":\"1\",\"show_street_address\":\"1\",\"show_suburb\":\"1\",\"show_state\":\"1\",\"show_postcode\":\"1\",\"show_country\":\"1\",\"show_telephone\":\"1\",\"show_mobile\":\"1\",\"show_fax\":\"1\",\"show_webpage\":\"1\",\"show_image\":\"1\",\"image\":\"\",\"show_misc\":\"1\",\"allow_vcard\":\"0\",\"show_articles\":\"0\",\"articles_display_num\":\"10\",\"show_profile\":\"0\",\"show_user_custom_fields\":[\"-1\"],\"show_links\":\"0\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"contact_icons\":\"0\",\"icon_address\":\"\",\"icon_email\":\"\",\"icon_telephone\":\"\",\"icon_mobile\":\"\",\"icon_fax\":\"\",\"icon_misc\":\"\",\"category_layout\":\"_:default\",\"show_category_title\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"0\",\"maxLevel\":\"-1\",\"show_subcat_desc\":\"1\",\"show_empty_categories\":\"0\",\"show_cat_items\":\"1\",\"show_cat_tags\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_subcat_desc_cat\":\"1\",\"show_empty_categories_cat\":\"0\",\"show_cat_items_cat\":\"1\",\"filter_field\":\"0\",\"show_pagination_limit\":\"0\",\"show_headings\":\"1\",\"show_image_heading\":\"0\",\"show_position_headings\":\"1\",\"show_email_headings\":\"0\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"0\",\"show_fax_headings\":\"0\",\"show_suburb_headings\":\"1\",\"show_state_headings\":\"1\",\"show_country_headings\":\"1\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"initial_sort\":\"ordering\",\"captcha\":\"\",\"show_email_form\":\"1\",\"show_email_copy\":\"0\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"1\",\"custom_reply\":\"0\",\"redirect\":\"\",\"show_feed_link\":\"1\",\"sef_advanced\":0,\"sef_ids\":0,\"custom_fields_enable\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 0, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{\"name\":\"com_cpanel\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CPANEL_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 0, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{\"name\":\"com_installer\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_INSTALLER_XML_DESCRIPTION\",\"group\":\"\"}', '{\"show_jed_info\":\"1\",\"cachetimeout\":\"6\",\"minimum_stability\":\"4\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 0, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{\"name\":\"com_languages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}', '{\"administrator\":\"en-GB\",\"site\":\"en-GB\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 0, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{\"name\":\"com_login\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 0, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{\"name\":\"com_media\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MEDIA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"media\"}', '{\"upload_extensions\":\"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,TXT,XCF,XLS\",\"upload_maxsize\":\"10\",\"file_path\":\"images\",\"image_path\":\"images\",\"restrict_uploads\":\"1\",\"allowed_media_usergroup\":\"3\",\"check_mime\":\"1\",\"image_extensions\":\"bmp,gif,jpg,png\",\"ignore_extensions\":\"\",\"upload_mime\":\"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip\",\"upload_mime_illegal\":\"text\\/html\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 0, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{\"name\":\"com_menus\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MENUS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 0, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{\"name\":\"com_messages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MESSAGES_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 0, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{\"name\":\"com_modules\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MODULES_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 0, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{\"name\":\"com_newsfeeds\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}', '{\"newsfeed_layout\":\"_:default\",\"save_history\":\"1\",\"history_limit\":5,\"show_feed_image\":\"1\",\"show_feed_description\":\"1\",\"show_item_description\":\"1\",\"feed_character_count\":\"0\",\"feed_display_order\":\"des\",\"float_first\":\"right\",\"float_second\":\"right\",\"show_tags\":\"1\",\"category_layout\":\"_:default\",\"show_category_title\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"maxLevel\":\"-1\",\"show_empty_categories\":\"0\",\"show_subcat_desc\":\"1\",\"show_cat_items\":\"1\",\"show_cat_tags\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_items_cat\":\"1\",\"filter_field\":\"1\",\"show_pagination_limit\":\"1\",\"show_headings\":\"1\",\"show_articles\":\"0\",\"show_link\":\"1\",\"show_pagination\":\"1\",\"show_pagination_results\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 0, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{\"name\":\"com_plugins\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_PLUGINS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 0, 'com_search', 'component', 'com_search', '', 1, 1, 1, 0, '{\"name\":\"com_search\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_SEARCH_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"search\"}', '{\"enabled\":\"0\",\"search_phrases\":\"1\",\"search_areas\":\"1\",\"show_date\":\"1\",\"opensearch_name\":\"\",\"opensearch_description\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 0, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{\"name\":\"com_templates\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_TEMPLATES_XML_DESCRIPTION\",\"group\":\"\"}', '{\"template_positions_display\":\"0\",\"upload_limit\":\"10\",\"image_formats\":\"gif,bmp,jpg,jpeg,png\",\"source_formats\":\"txt,less,ini,xml,js,php,css,scss,sass\",\"font_formats\":\"woff,ttf,otf\",\"compressed_formats\":\"zip\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 0, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{\"name\":\"com_content\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}', '{\"article_layout\":\"_:default\",\"show_title\":\"1\",\"link_titles\":\"1\",\"show_intro\":\"1\",\"info_block_position\":\"0\",\"info_block_show_title\":\"1\",\"show_category\":\"1\",\"link_category\":\"1\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_associations\":\"0\",\"flags\":\"1\",\"show_author\":\"1\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"1\",\"show_item_navigation\":\"1\",\"show_vote\":\"1\",\"show_readmore\":\"1\",\"show_readmore_title\":\"0\",\"readmore_limit\":\"100\",\"show_tags\":\"1\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"1\",\"show_hits\":\"1\",\"record_hits\":\"1\",\"show_noauth\":\"0\",\"urls_position\":\"0\",\"captcha\":\"\",\"show_publishing_options\":\"1\",\"show_article_options\":\"1\",\"save_history\":\"1\",\"history_limit\":10,\"show_urls_images_frontend\":\"0\",\"show_urls_images_backend\":\"1\",\"targeta\":0,\"targetb\":0,\"targetc\":0,\"float_intro\":\"left\",\"float_fulltext\":\"left\",\"category_layout\":\"_:blog\",\"show_category_heading_title_text\":\"1\",\"show_category_title\":\"0\",\"show_description\":\"0\",\"show_description_image\":\"0\",\"maxLevel\":\"1\",\"show_empty_categories\":\"0\",\"show_no_articles\":\"1\",\"show_subcat_desc\":\"1\",\"show_cat_num_articles\":\"0\",\"show_cat_tags\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_num_articles_cat\":\"1\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"0\",\"show_pagination_limit\":\"1\",\"filter_field\":\"hide\",\"show_headings\":\"1\",\"list_show_date\":\"0\",\"date_format\":\"\",\"list_show_hits\":\"1\",\"list_show_author\":\"1\",\"list_show_votes\":\"0\",\"list_show_ratings\":\"0\",\"orderby_pri\":\"order\",\"orderby_sec\":\"rdate\",\"order_date\":\"published\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_featured\":\"show\",\"show_feed_link\":\"1\",\"feed_summary\":\"0\",\"feed_show_readmore\":\"0\",\"sef_advanced\":1,\"sef_ids\":1,\"custom_fields_enable\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 0, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{\"name\":\"com_config\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONFIG_XML_DESCRIPTION\",\"group\":\"\"}', '{\"filters\":{\"1\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"9\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"6\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"7\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"2\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"3\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"4\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"5\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"8\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 0, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{\"name\":\"com_redirect\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 0, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{\"name\":\"com_users\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_USERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"users\"}', '{\"allowUserRegistration\":\"1\",\"new_usertype\":\"2\",\"guest_usergroup\":\"9\",\"sendpassword\":\"1\",\"useractivation\":\"2\",\"mail_to_admin\":\"1\",\"captcha\":\"\",\"frontend_userparams\":\"1\",\"site_language\":\"0\",\"change_login_name\":\"0\",\"reset_count\":\"10\",\"reset_time\":\"1\",\"minimum_length\":\"4\",\"minimum_integers\":\"0\",\"minimum_symbols\":\"0\",\"minimum_uppercase\":\"0\",\"save_history\":\"1\",\"history_limit\":5,\"mailSubjectPrefix\":\"\",\"mailBodySuffix\":\"\",\"debugUsers\":\"1\",\"debugGroups\":\"1\",\"sef_advanced\":0,\"custom_fields_enable\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(27, 0, 'com_finder', 'component', 'com_finder', '', 1, 1, 0, 0, '{\"name\":\"com_finder\",\"type\":\"component\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_FINDER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"finder\"}', '{\"enabled\":\"0\",\"show_description\":\"1\",\"description_length\":255,\"allow_empty_query\":\"0\",\"show_url\":\"1\",\"show_autosuggest\":\"1\",\"show_suggested_query\":\"1\",\"show_explained_query\":\"1\",\"show_advanced\":\"1\",\"show_advanced_tips\":\"1\",\"expand_advanced\":\"0\",\"show_date_filters\":\"0\",\"sort_order\":\"relevance\",\"sort_direction\":\"desc\",\"highlight_terms\":\"1\",\"opensearch_name\":\"\",\"opensearch_description\":\"\",\"batch_size\":\"50\",\"memory_table_limit\":30000,\"title_multiplier\":\"1.7\",\"text_multiplier\":\"0.7\",\"meta_multiplier\":\"1.2\",\"path_multiplier\":\"2.0\",\"misc_multiplier\":\"0.3\",\"stem\":\"1\",\"stemmer\":\"snowball\",\"enable_logging\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 0, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{\"name\":\"com_joomlaupdate\",\"type\":\"component\",\"creationDate\":\"February 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.2\",\"description\":\"COM_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\"}', '{\"updatesource\":\"default\",\"customurl\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(29, 0, 'com_tags', 'component', 'com_tags', '', 1, 1, 1, 1, '{\"name\":\"com_tags\",\"type\":\"component\",\"creationDate\":\"December 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"COM_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}', '{\"tag_layout\":\"_:default\",\"save_history\":\"1\",\"history_limit\":5,\"show_tag_title\":\"0\",\"tag_list_show_tag_image\":\"0\",\"tag_list_show_tag_description\":\"0\",\"tag_list_image\":\"\",\"tag_list_orderby\":\"title\",\"tag_list_orderby_direction\":\"ASC\",\"show_headings\":\"0\",\"tag_list_show_date\":\"0\",\"tag_list_show_item_image\":\"0\",\"tag_list_show_item_description\":\"0\",\"tag_list_item_maximum_characters\":0,\"return_any_or_all\":\"1\",\"include_children\":\"0\",\"maximum\":200,\"tag_list_language_filter\":\"all\",\"tags_layout\":\"_:default\",\"all_tags_orderby\":\"title\",\"all_tags_orderby_direction\":\"ASC\",\"all_tags_show_tag_image\":\"0\",\"all_tags_show_tag_descripion\":\"0\",\"all_tags_tag_maximum_characters\":20,\"all_tags_show_tag_hits\":\"0\",\"filter_field\":\"1\",\"show_pagination_limit\":\"1\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"tag_field_ajax_mode\":\"1\",\"show_feed_link\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(30, 0, 'com_contenthistory', 'component', 'com_contenthistory', '', 1, 1, 1, 0, '{\"name\":\"com_contenthistory\",\"type\":\"component\",\"creationDate\":\"May 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_CONTENTHISTORY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contenthistory\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(31, 0, 'com_ajax', 'component', 'com_ajax', '', 1, 1, 1, 1, '{\"name\":\"com_ajax\",\"type\":\"component\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_AJAX_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ajax\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(32, 0, 'com_postinstall', 'component', 'com_postinstall', '', 1, 1, 1, 1, '{\"name\":\"com_postinstall\",\"type\":\"component\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_POSTINSTALL_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(33, 0, 'com_fields', 'component', 'com_fields', '', 1, 1, 1, 0, '{\"name\":\"com_fields\",\"type\":\"component\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"COM_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(34, 0, 'com_associations', 'component', 'com_associations', '', 1, 1, 1, 0, '{\"name\":\"com_associations\",\"type\":\"component\",\"creationDate\":\"January 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"COM_ASSOCIATIONS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(35, 0, 'com_privacy', 'component', 'com_privacy', '', 1, 1, 1, 1, '{\"name\":\"com_privacy\",\"type\":\"component\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"COM_PRIVACY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"privacy\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(36, 0, 'com_actionlogs', 'component', 'com_actionlogs', '', 1, 1, 1, 1, '{\"name\":\"com_actionlogs\",\"type\":\"component\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"COM_ACTIONLOGS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"ip_logging\":0,\"csv_delimiter\":\",\",\"loggable_extensions\":[\"com_banners\",\"com_cache\",\"com_categories\",\"com_checkin\",\"com_config\",\"com_contact\",\"com_content\",\"com_installer\",\"com_media\",\"com_menus\",\"com_messages\",\"com_modules\",\"com_newsfeeds\",\"com_plugins\",\"com_redirect\",\"com_tags\",\"com_templates\",\"com_users\"]}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 0, 'LIB_PHPUTF8', 'library', 'phputf8', '', 0, 1, 1, 1, '{\"name\":\"LIB_PHPUTF8\",\"type\":\"library\",\"creationDate\":\"2006\",\"author\":\"Harry Fuecks\",\"copyright\":\"Copyright various authors\",\"authorEmail\":\"hfuecks@gmail.com\",\"authorUrl\":\"http:\\/\\/sourceforge.net\\/projects\\/phputf8\",\"version\":\"0.5\",\"description\":\"LIB_PHPUTF8_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phputf8\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 0, 'LIB_JOOMLA', 'library', 'joomla', '', 0, 1, 1, 1, '{\"name\":\"LIB_JOOMLA\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"https:\\/\\/www.joomla.org\",\"version\":\"13.1\",\"description\":\"LIB_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}', '{\"mediaversion\":\"d66a9e7deea99712bb15e79c4d6c0c20\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(104, 0, 'LIB_IDNA', 'library', 'idna_convert', '', 0, 1, 1, 1, '{\"name\":\"LIB_IDNA\",\"type\":\"library\",\"creationDate\":\"2004\",\"author\":\"phlyLabs\",\"copyright\":\"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de\",\"authorEmail\":\"phlymail@phlylabs.de\",\"authorUrl\":\"http:\\/\\/phlylabs.de\",\"version\":\"0.8.0\",\"description\":\"LIB_IDNA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"idna_convert\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(105, 0, 'FOF', 'library', 'fof', '', 0, 1, 1, 1, '{\"name\":\"FOF\",\"type\":\"library\",\"creationDate\":\"2015-04-22 13:15:32\",\"author\":\"Nicholas K. Dionysopoulos \\/ Akeeba Ltd\",\"copyright\":\"(C)2011-2015 Nicholas K. Dionysopoulos\",\"authorEmail\":\"nicholas@akeebabackup.com\",\"authorUrl\":\"https:\\/\\/www.akeebabackup.com\",\"version\":\"2.4.3\",\"description\":\"LIB_FOF_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fof\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(106, 0, 'LIB_PHPASS', 'library', 'phpass', '', 0, 1, 1, 1, '{\"name\":\"LIB_PHPASS\",\"type\":\"library\",\"creationDate\":\"2004-2006\",\"author\":\"Solar Designer\",\"copyright\":\"\",\"authorEmail\":\"solar@openwall.com\",\"authorUrl\":\"http:\\/\\/www.openwall.com\\/phpass\\/\",\"version\":\"0.3\",\"description\":\"LIB_PHPASS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phpass\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 0, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 0, '{\"name\":\"mod_articles_archive\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_archive\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 0, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 0, '{\"name\":\"mod_articles_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_NEWS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_latest\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 0, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{\"name\":\"mod_articles_popular\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_popular\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 0, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 0, '{\"name\":\"mod_banners\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BANNERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_banners\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 0, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{\"name\":\"mod_breadcrumbs\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BREADCRUMBS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_breadcrumbs\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 0, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_custom\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 0, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 0, '{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_feed\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 0, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 0, '{\"name\":\"mod_footer\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FOOTER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_footer\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 0, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_login\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 0, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_menu\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 0, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{\"name\":\"mod_articles_news\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_NEWS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_news\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 0, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{\"name\":\"mod_random_image\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RANDOM_IMAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_random_image\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 0, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{\"name\":\"mod_related_items\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RELATED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_related_items\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 0, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{\"name\":\"mod_search\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SEARCH_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_search\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 0, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{\"name\":\"mod_stats\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_stats\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 0, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{\"name\":\"mod_syndicate\",\"type\":\"module\",\"creationDate\":\"May 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SYNDICATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_syndicate\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 0, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 0, '{\"name\":\"mod_users_latest\",\"type\":\"module\",\"creationDate\":\"December 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_USERS_LATEST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_users_latest\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 0, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{\"name\":\"mod_whosonline\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WHOSONLINE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_whosonline\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 0, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{\"name\":\"mod_wrapper\",\"type\":\"module\",\"creationDate\":\"October 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WRAPPER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_wrapper\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 0, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 0, '{\"name\":\"mod_articles_category\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_category\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 0, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 0, '{\"name\":\"mod_articles_categories\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_categories\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 0, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{\"name\":\"mod_languages\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"MOD_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_languages\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(223, 0, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 0, 0, '{\"name\":\"mod_finder\",\"type\":\"module\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FINDER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_finder\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 0, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_custom\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 0, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_feed\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 0, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{\"name\":\"mod_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_latest\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 0, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{\"name\":\"mod_logged\",\"type\":\"module\",\"creationDate\":\"January 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGGED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_logged\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 0, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"March 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_login\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 0, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_menu\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 0, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{\"name\":\"mod_popular\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_popular\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 0, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{\"name\":\"mod_quickicon\",\"type\":\"module\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_QUICKICON_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_quickicon\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 0, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{\"name\":\"mod_status\",\"type\":\"module\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATUS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_status\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 0, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{\"name\":\"mod_submenu\",\"type\":\"module\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SUBMENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_submenu\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 0, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{\"name\":\"mod_title\",\"type\":\"module\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TITLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_title\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 0, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{\"name\":\"mod_toolbar\",\"type\":\"module\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TOOLBAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_toolbar\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 0, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{\"name\":\"mod_multilangstatus\",\"type\":\"module\",\"creationDate\":\"September 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MULTILANGSTATUS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_multilangstatus\"}', '{\"cache\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(314, 0, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{\"name\":\"mod_version\",\"type\":\"module\",\"creationDate\":\"January 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_VERSION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_version\"}', '{\"format\":\"short\",\"product\":\"1\",\"cache\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(315, 0, 'mod_stats_admin', 'module', 'mod_stats_admin', '', 1, 1, 1, 0, '{\"name\":\"mod_stats_admin\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_stats_admin\"}', '{\"serverinfo\":\"0\",\"siteinfo\":\"0\",\"counter\":\"0\",\"increase\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(316, 0, 'mod_tags_popular', 'module', 'mod_tags_popular', '', 0, 1, 1, 0, '{\"name\":\"mod_tags_popular\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_tags_popular\"}', '{\"maximum\":\"5\",\"timeframe\":\"alltime\",\"owncache\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(317, 0, 'mod_tags_similar', 'module', 'mod_tags_similar', '', 0, 1, 1, 0, '{\"name\":\"mod_tags_similar\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_SIMILAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_tags_similar\"}', '{\"maximum\":\"5\",\"matchtype\":\"any\",\"owncache\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(318, 0, 'mod_sampledata', 'module', 'mod_sampledata', '', 1, 1, 1, 0, '{\"name\":\"mod_sampledata\",\"type\":\"module\",\"creationDate\":\"July 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8.0\",\"description\":\"MOD_SAMPLEDATA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_sampledata\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(319, 0, 'mod_latestactions', 'module', 'mod_latestactions', '', 1, 1, 1, 0, '{\"name\":\"mod_latestactions\",\"type\":\"module\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"MOD_LATESTACTIONS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_latestactions\"}', '{}', '', '', 0, '1970-01-01 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(320, 0, 'mod_privacy_dashboard', 'module', 'mod_privacy_dashboard', '', 1, 1, 1, 0, '{\"name\":\"mod_privacy_dashboard\",\"type\":\"module\",\"creationDate\":\"June 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"MOD_PRIVACY_DASHBOARD_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_privacy_dashboard\"}', '{}', '', '', 0, '1970-01-01 00:00:00', 0, 0),
(400, 0, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{\"name\":\"plg_authentication_gmail\",\"type\":\"plugin\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_GMAIL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"gmail\"}', '{\"applysuffix\":\"0\",\"suffix\":\"\",\"verifypeer\":\"1\",\"user_blacklist\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 0, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{\"name\":\"plg_authentication_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 0, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{\"name\":\"plg_authentication_ldap\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LDAP_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ldap\"}', '{\"host\":\"\",\"port\":\"389\",\"use_ldapV3\":\"0\",\"negotiate_tls\":\"0\",\"no_referrals\":\"0\",\"auth_method\":\"bind\",\"base_dn\":\"\",\"search_string\":\"\",\"users_dn\":\"\",\"username\":\"admin\",\"password\":\"bobby7\",\"ldap_fullname\":\"fullName\",\"ldap_email\":\"mail\",\"ldap_uid\":\"uid\"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(403, 0, 'plg_content_contact', 'plugin', 'contact', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_contact\",\"type\":\"plugin\",\"creationDate\":\"January 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.2\",\"description\":\"PLG_CONTENT_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(404, 0, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_emailcloak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"emailcloak\"}', '{\"mode\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(406, 0, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_loadmodule\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOADMODULE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"loadmodule\"}', '{\"style\":\"xhtml\"}', '', '', 0, '2011-09-18 15:22:50', 0, 0),
(407, 0, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagebreak\"}', '{\"title\":\"1\",\"multipage_toc\":\"1\",\"showall\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 0, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_pagenavigation\",\"type\":\"plugin\",\"creationDate\":\"January 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_PAGENAVIGATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagenavigation\"}', '{\"position\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(409, 0, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_vote\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_VOTE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"vote\"}', '', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 0, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{\"name\":\"plg_editors_codemirror\",\"type\":\"plugin\",\"creationDate\":\"28 March 2011\",\"author\":\"Marijn Haverbeke\",\"copyright\":\"Copyright (C) 2014 - 2017 by Marijn Haverbeke <marijnh@gmail.com> and others\",\"authorEmail\":\"marijnh@gmail.com\",\"authorUrl\":\"http:\\/\\/codemirror.net\\/\",\"version\":\"5.40.0\",\"description\":\"PLG_CODEMIRROR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"codemirror\"}', '{\"lineNumbers\":\"1\",\"lineWrapping\":\"1\",\"matchTags\":\"1\",\"matchBrackets\":\"1\",\"marker-gutter\":\"1\",\"autoCloseTags\":\"1\",\"autoCloseBrackets\":\"1\",\"autoFocus\":\"1\",\"theme\":\"default\",\"tabmode\":\"indent\"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 0, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{\"name\":\"plg_editors_none\",\"type\":\"plugin\",\"creationDate\":\"September 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_NONE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"none\"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 0, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 0, '{\"name\":\"plg_editors_tinymce\",\"type\":\"plugin\",\"creationDate\":\"2005-2019\",\"author\":\"Tiny Technologies, Inc\",\"copyright\":\"Tiny Technologies, Inc\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"https:\\/\\/www.tiny.cloud\",\"version\":\"4.5.11\",\"description\":\"PLG_TINY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tinymce\"}', '{\"configuration\":{\"toolbars\":{\"2\":{\"toolbar1\":[\"bold\",\"underline\",\"strikethrough\",\"|\",\"undo\",\"redo\",\"|\",\"bullist\",\"numlist\",\"|\",\"pastetext\"]},\"1\":{\"menu\":[\"edit\",\"insert\",\"view\",\"format\",\"table\",\"tools\"],\"toolbar1\":[\"bold\",\"italic\",\"underline\",\"strikethrough\",\"|\",\"alignleft\",\"aligncenter\",\"alignright\",\"alignjustify\",\"|\",\"formatselect\",\"|\",\"bullist\",\"numlist\",\"|\",\"outdent\",\"indent\",\"|\",\"undo\",\"redo\",\"|\",\"link\",\"unlink\",\"anchor\",\"code\",\"|\",\"hr\",\"table\",\"|\",\"subscript\",\"superscript\",\"|\",\"charmap\",\"pastetext\",\"preview\"]},\"0\":{\"menu\":[\"edit\",\"insert\",\"view\",\"format\",\"table\",\"tools\"],\"toolbar1\":[\"bold\",\"italic\",\"underline\",\"strikethrough\",\"|\",\"alignleft\",\"aligncenter\",\"alignright\",\"alignjustify\",\"|\",\"styleselect\",\"|\",\"formatselect\",\"fontselect\",\"fontsizeselect\",\"|\",\"searchreplace\",\"|\",\"bullist\",\"numlist\",\"|\",\"outdent\",\"indent\",\"|\",\"undo\",\"redo\",\"|\",\"link\",\"unlink\",\"anchor\",\"image\",\"|\",\"code\",\"|\",\"forecolor\",\"backcolor\",\"|\",\"fullscreen\",\"|\",\"table\",\"|\",\"subscript\",\"superscript\",\"|\",\"charmap\",\"emoticons\",\"media\",\"hr\",\"ltr\",\"rtl\",\"|\",\"cut\",\"copy\",\"paste\",\"pastetext\",\"|\",\"visualchars\",\"visualblocks\",\"nonbreaking\",\"blockquote\",\"template\",\"|\",\"print\",\"preview\",\"codesample\",\"insertdatetime\",\"removeformat\"]}},\"setoptions\":{\"2\":{\"access\":[\"1\"],\"skin\":\"0\",\"skin_admin\":\"0\",\"mobile\":\"0\",\"drag_drop\":\"1\",\"path\":\"\",\"entity_encoding\":\"raw\",\"lang_mode\":\"1\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"use_config_textfilters\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"valid_elements\":\"\",\"extended_elements\":\"\",\"resizing\":\"1\",\"resize_horizontal\":\"1\",\"element_path\":\"1\",\"wordcount\":\"1\",\"image_advtab\":\"0\",\"advlist\":\"1\",\"autosave\":\"1\",\"contextmenu\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"},\"1\":{\"access\":[\"6\",\"2\"],\"skin\":\"0\",\"skin_admin\":\"0\",\"mobile\":\"0\",\"drag_drop\":\"1\",\"path\":\"\",\"entity_encoding\":\"raw\",\"lang_mode\":\"1\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"use_config_textfilters\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"valid_elements\":\"\",\"extended_elements\":\"\",\"resizing\":\"1\",\"resize_horizontal\":\"1\",\"element_path\":\"1\",\"wordcount\":\"1\",\"image_advtab\":\"0\",\"advlist\":\"1\",\"autosave\":\"1\",\"contextmenu\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"},\"0\":{\"access\":[\"7\",\"4\",\"8\"],\"skin\":\"0\",\"skin_admin\":\"0\",\"mobile\":\"0\",\"drag_drop\":\"1\",\"path\":\"\",\"entity_encoding\":\"raw\",\"lang_mode\":\"1\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"use_config_textfilters\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"valid_elements\":\"\",\"extended_elements\":\"\",\"resizing\":\"1\",\"resize_horizontal\":\"1\",\"element_path\":\"1\",\"wordcount\":\"1\",\"image_advtab\":\"1\",\"advlist\":\"1\",\"autosave\":\"1\",\"contextmenu\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"}}},\"sets_amount\":3,\"html_height\":\"550\",\"html_width\":\"750\"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 0, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_article\",\"type\":\"plugin\",\"creationDate\":\"October 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_ARTICLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"article\"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 0, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_image\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_IMAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"image\"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 0, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagebreak\"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 0, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_readmore\",\"type\":\"plugin\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_READMORE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"readmore\"}', '', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 0, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{\"name\":\"plg_search_categories\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"categories\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 0, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{\"name\":\"plg_search_contacts\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTACTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contacts\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 0, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{\"name\":\"plg_search_content\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 0, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{\"name\":\"plg_search_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 0, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{\"name\":\"plg_system_languagefilter\",\"type\":\"plugin\",\"creationDate\":\"July 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"languagefilter\"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 0, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 0, 1, 0, '{\"name\":\"plg_system_p3p\",\"type\":\"plugin\",\"creationDate\":\"September 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_P3P_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"p3p\"}', '{\"headers\":\"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM\"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 0, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{\"name\":\"plg_system_cache\",\"type\":\"plugin\",\"creationDate\":\"February 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CACHE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"cache\"}', '{\"browsercache\":\"0\",\"cachetime\":\"15\"}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(425, 0, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_debug\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_DEBUG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"debug\"}', '{\"profile\":\"1\",\"queries\":\"1\",\"memory\":\"1\",\"language_files\":\"1\",\"language_strings\":\"1\",\"strip-first\":\"1\",\"strip-prefix\":\"\",\"strip-suffix\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 0, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{\"name\":\"plg_system_log\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"log\"}', '', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 0, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 0, 1, 1, '{\"name\":\"plg_system_redirect\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"redirect\"}', '', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(428, 0, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{\"name\":\"plg_system_remember\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_REMEMBER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"remember\"}', '', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 0, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_sef\",\"type\":\"plugin\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEF_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sef\"}', '', '', '', 0, '0000-00-00 00:00:00', 8, 0),
(430, 0, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{\"name\":\"plg_system_logout\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"logout\"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(431, 0, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 0, '{\"name\":\"plg_user_contactcreator\",\"type\":\"plugin\",\"creationDate\":\"August 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTACTCREATOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contactcreator\"}', '{\"autowebpage\":\"\",\"category\":\"34\",\"autopublish\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 0, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{\"name\":\"plg_user_joomla\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}', '{\"autoregister\":\"1\",\"mail_to_user\":\"1\",\"forceLogout\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 0, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 0, '{\"name\":\"plg_user_profile\",\"type\":\"plugin\",\"creationDate\":\"January 2008\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_PROFILE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"profile\"}', '{\"register-require_address1\":\"1\",\"register-require_address2\":\"1\",\"register-require_city\":\"1\",\"register-require_region\":\"1\",\"register-require_country\":\"1\",\"register-require_postal_code\":\"1\",\"register-require_phone\":\"1\",\"register-require_website\":\"1\",\"register-require_favoritebook\":\"1\",\"register-require_aboutme\":\"1\",\"register-require_tos\":\"1\",\"register-require_dob\":\"1\",\"profile-require_address1\":\"1\",\"profile-require_address2\":\"1\",\"profile-require_city\":\"1\",\"profile-require_region\":\"1\",\"profile-require_country\":\"1\",\"profile-require_postal_code\":\"1\",\"profile-require_phone\":\"1\",\"profile-require_website\":\"1\",\"profile-require_favoritebook\":\"1\",\"profile-require_aboutme\":\"1\",\"profile-require_tos\":\"1\",\"profile-require_dob\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 0, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{\"name\":\"plg_extension_joomla\",\"type\":\"plugin\",\"creationDate\":\"May 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 0, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(436, 0, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 0, 1, 0, '{\"name\":\"plg_system_languagecode\",\"type\":\"plugin\",\"creationDate\":\"November 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"languagecode\"}', '', '', '', 0, '0000-00-00 00:00:00', 10, 0),
(437, 0, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 1, '{\"name\":\"plg_quickicon_joomlaupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomlaupdate\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(438, 0, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 1, '{\"name\":\"plg_quickicon_extensionupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"extensionupdate\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(439, 0, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 0, 1, 0, '{\"name\":\"plg_captcha_recaptcha\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.4.0\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"recaptcha\"}', '{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(440, 0, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_highlight\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"highlight\"}', '', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(441, 0, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 0, 1, 0, '{\"name\":\"plg_content_finder\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_FINDER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"finder\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(442, 0, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{\"name\":\"plg_finder_categories\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"categories\"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(443, 0, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{\"name\":\"plg_finder_contacts\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTACTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contacts\"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(444, 0, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{\"name\":\"plg_finder_content\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(445, 0, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{\"name\":\"plg_finder_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}', '', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(447, 0, 'plg_finder_tags', 'plugin', 'tags', 'finder', 0, 1, 1, 0, '{\"name\":\"plg_finder_tags\",\"type\":\"plugin\",\"creationDate\":\"February 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(448, 0, 'plg_twofactorauth_totp', 'plugin', 'totp', 'twofactorauth', 0, 0, 1, 0, '{\"name\":\"plg_twofactorauth_totp\",\"type\":\"plugin\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"totp\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(449, 0, 'plg_authentication_cookie', 'plugin', 'cookie', 'authentication', 0, 1, 1, 0, '{\"name\":\"plg_authentication_cookie\",\"type\":\"plugin\",\"creationDate\":\"July 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_COOKIE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"cookie\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(450, 0, 'plg_twofactorauth_yubikey', 'plugin', 'yubikey', 'twofactorauth', 0, 0, 1, 0, '{\"name\":\"plg_twofactorauth_yubikey\",\"type\":\"plugin\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"yubikey\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(451, 0, 'plg_search_tags', 'plugin', 'tags', 'search', 0, 1, 1, 0, '{\"name\":\"plg_search_tags\",\"type\":\"plugin\",\"creationDate\":\"March 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}', '{\"search_limit\":\"50\",\"show_tagged_items\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(452, 0, 'plg_system_updatenotification', 'plugin', 'updatenotification', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_updatenotification\",\"type\":\"plugin\",\"creationDate\":\"May 2015\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"PLG_SYSTEM_UPDATENOTIFICATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"updatenotification\"}', '{\"lastrun\":1584333794}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(453, 0, 'plg_editors-xtd_module', 'plugin', 'module', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_module\",\"type\":\"plugin\",\"creationDate\":\"October 2015\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"PLG_MODULE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"module\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(454, 0, 'plg_system_stats', 'plugin', 'stats', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_stats\",\"type\":\"plugin\",\"creationDate\":\"November 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"PLG_SYSTEM_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"stats\"}', '{\"mode\":3,\"lastrun\":\"\",\"unique_id\":\"6d30f13db174eb0c94efb885594275cd80da3e3a\",\"interval\":12}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(455, 0, 'plg_installer_packageinstaller', 'plugin', 'packageinstaller', 'installer', 0, 1, 1, 1, '{\"name\":\"plg_installer_packageinstaller\",\"type\":\"plugin\",\"creationDate\":\"May 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.0\",\"description\":\"PLG_INSTALLER_PACKAGEINSTALLER_PLUGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"packageinstaller\"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(456, 0, 'PLG_INSTALLER_FOLDERINSTALLER', 'plugin', 'folderinstaller', 'installer', 0, 1, 1, 1, '{\"name\":\"PLG_INSTALLER_FOLDERINSTALLER\",\"type\":\"plugin\",\"creationDate\":\"May 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.0\",\"description\":\"PLG_INSTALLER_FOLDERINSTALLER_PLUGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"folderinstaller\"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(457, 0, 'PLG_INSTALLER_URLINSTALLER', 'plugin', 'urlinstaller', 'installer', 0, 1, 1, 1, '{\"name\":\"PLG_INSTALLER_URLINSTALLER\",\"type\":\"plugin\",\"creationDate\":\"May 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.0\",\"description\":\"PLG_INSTALLER_URLINSTALLER_PLUGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"urlinstaller\"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(458, 0, 'plg_quickicon_phpversioncheck', 'plugin', 'phpversioncheck', 'quickicon', 0, 1, 1, 1, '{\"name\":\"plg_quickicon_phpversioncheck\",\"type\":\"plugin\",\"creationDate\":\"August 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_QUICKICON_PHPVERSIONCHECK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phpversioncheck\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(459, 0, 'plg_editors-xtd_menu', 'plugin', 'menu', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_menu\",\"type\":\"plugin\",\"creationDate\":\"August 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_EDITORS-XTD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"menu\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(460, 0, 'plg_editors-xtd_contact', 'plugin', 'contact', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_contact\",\"type\":\"plugin\",\"creationDate\":\"October 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_EDITORS-XTD_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(461, 0, 'plg_system_fields', 'plugin', 'fields', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_fields\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_SYSTEM_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(462, 0, 'plg_fields_calendar', 'plugin', 'calendar', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_calendar\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_CALENDAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"calendar\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(463, 0, 'plg_fields_checkboxes', 'plugin', 'checkboxes', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_checkboxes\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_CHECKBOXES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"checkboxes\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(464, 0, 'plg_fields_color', 'plugin', 'color', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_color\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_COLOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"color\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(465, 0, 'plg_fields_editor', 'plugin', 'editor', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_editor\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_EDITOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"editor\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(466, 0, 'plg_fields_imagelist', 'plugin', 'imagelist', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_imagelist\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_IMAGELIST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"imagelist\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(467, 0, 'plg_fields_integer', 'plugin', 'integer', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_integer\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_INTEGER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"integer\"}', '{\"multiple\":\"0\",\"first\":\"1\",\"last\":\"100\",\"step\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(468, 0, 'plg_fields_list', 'plugin', 'list', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_list\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_LIST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"list\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(469, 0, 'plg_fields_media', 'plugin', 'media', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_media\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_MEDIA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"media\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(470, 0, 'plg_fields_radio', 'plugin', 'radio', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_radio\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_RADIO_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"radio\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(471, 0, 'plg_fields_sql', 'plugin', 'sql', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_sql\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_SQL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sql\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(472, 0, 'plg_fields_text', 'plugin', 'text', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_text\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_TEXT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"text\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(473, 0, 'plg_fields_textarea', 'plugin', 'textarea', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_textarea\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_TEXTAREA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"textarea\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(474, 0, 'plg_fields_url', 'plugin', 'url', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_url\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_URL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"url\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(475, 0, 'plg_fields_user', 'plugin', 'user', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_user\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_USER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"user\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(476, 0, 'plg_fields_usergrouplist', 'plugin', 'usergrouplist', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_usergrouplist\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_USERGROUPLIST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"usergrouplist\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(477, 0, 'plg_content_fields', 'plugin', 'fields', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_fields\",\"type\":\"plugin\",\"creationDate\":\"February 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_CONTENT_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(478, 0, 'plg_editors-xtd_fields', 'plugin', 'fields', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_fields\",\"type\":\"plugin\",\"creationDate\":\"February 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_EDITORS-XTD_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(479, 0, 'plg_sampledata_blog', 'plugin', 'blog', 'sampledata', 0, 1, 1, 0, '{\"name\":\"plg_sampledata_blog\",\"type\":\"plugin\",\"creationDate\":\"July 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8.0\",\"description\":\"PLG_SAMPLEDATA_BLOG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"blog\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(480, 0, 'plg_system_sessiongc', 'plugin', 'sessiongc', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_sessiongc\",\"type\":\"plugin\",\"creationDate\":\"February 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8.6\",\"description\":\"PLG_SYSTEM_SESSIONGC_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sessiongc\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(481, 0, 'plg_fields_repeatable', 'plugin', 'repeatable', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_repeatable\",\"type\":\"plugin\",\"creationDate\":\"April 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_FIELDS_REPEATABLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"repeatable\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(482, 0, 'plg_content_confirmconsent', 'plugin', 'confirmconsent', 'content', 0, 0, 1, 0, '{\"name\":\"plg_content_confirmconsent\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_CONTENT_CONFIRMCONSENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"confirmconsent\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(483, 0, 'PLG_SYSTEM_ACTIONLOGS', 'plugin', 'actionlogs', 'system', 0, 0, 1, 0, '{\"name\":\"PLG_SYSTEM_ACTIONLOGS\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_SYSTEM_ACTIONLOGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"actionlogs\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(484, 0, 'PLG_ACTIONLOG_JOOMLA', 'plugin', 'joomla', 'actionlog', 0, 1, 1, 0, '{\"name\":\"PLG_ACTIONLOG_JOOMLA\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_ACTIONLOG_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(485, 0, 'plg_system_privacyconsent', 'plugin', 'privacyconsent', 'system', 0, 0, 1, 0, '{\"name\":\"plg_system_privacyconsent\",\"type\":\"plugin\",\"creationDate\":\"April 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_SYSTEM_PRIVACYCONSENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"privacyconsent\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(486, 0, 'plg_system_logrotation', 'plugin', 'logrotation', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_logrotation\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_SYSTEM_LOGROTATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"logrotation\"}', '{\"lastrun\":1583992298}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(487, 0, 'plg_privacy_user', 'plugin', 'user', 'privacy', 0, 1, 1, 0, '{\"name\":\"plg_privacy_user\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_USER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"user\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(488, 0, 'plg_quickicon_privacycheck', 'plugin', 'privacycheck', 'quickicon', 0, 1, 1, 0, '{\"name\":\"plg_quickicon_privacycheck\",\"type\":\"plugin\",\"creationDate\":\"June 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_QUICKICON_PRIVACYCHECK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"privacycheck\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(489, 0, 'plg_user_terms', 'plugin', 'terms', 'user', 0, 0, 1, 0, '{\"name\":\"plg_user_terms\",\"type\":\"plugin\",\"creationDate\":\"June 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_USER_TERMS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"terms\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(490, 0, 'plg_privacy_contact', 'plugin', 'contact', 'privacy', 0, 1, 1, 0, '{\"name\":\"plg_privacy_contact\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(491, 0, 'plg_privacy_content', 'plugin', 'content', 'privacy', 0, 1, 1, 0, '{\"name\":\"plg_privacy_content\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(492, 0, 'plg_privacy_message', 'plugin', 'message', 'privacy', 0, 1, 1, 0, '{\"name\":\"plg_privacy_message\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_MESSAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"message\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(493, 0, 'plg_privacy_actionlogs', 'plugin', 'actionlogs', 'privacy', 0, 1, 1, 0, '{\"name\":\"plg_privacy_actionlogs\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_ACTIONLOGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"actionlogs\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(494, 0, 'plg_captcha_recaptcha_invisible', 'plugin', 'recaptcha_invisible', 'captcha', 0, 0, 1, 0, '{\"name\":\"plg_captcha_recaptcha_invisible\",\"type\":\"plugin\",\"creationDate\":\"November 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_INVISIBLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"recaptcha_invisible\"}', '{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(495, 0, 'plg_privacy_consents', 'plugin', 'consents', 'privacy', 0, 1, 1, 0, '{\"name\":\"plg_privacy_consents\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_CONSENTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"consents\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(503, 0, 'beez3', 'template', 'beez3', '', 0, 1, 1, 0, '{\"name\":\"beez3\",\"type\":\"template\",\"creationDate\":\"25 November 2009\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"3.1.0\",\"description\":\"TPL_BEEZ3_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}', '{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"templatecolor\":\"nature\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 0, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{\"name\":\"hathor\",\"type\":\"template\",\"creationDate\":\"May 2010\",\"author\":\"Andrea Tarr\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"3.0.0\",\"description\":\"TPL_HATHOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}', '{\"showSiteName\":\"0\",\"colourChoice\":\"0\",\"boldText\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(506, 0, 'protostar', 'template', 'protostar', '', 0, 1, 1, 0, '{\"name\":\"protostar\",\"type\":\"template\",\"creationDate\":\"4\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_PROTOSTAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}', '{\"templateColor\":\"\",\"logoFile\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(507, 0, 'isis', 'template', 'isis', '', 1, 1, 1, 0, '{\"name\":\"isis\",\"type\":\"template\",\"creationDate\":\"3\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_ISIS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}', '{\"templateColor\":\"\",\"logoFile\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 802, 'English (en-GB)', 'language', 'en-GB', '', 0, 1, 1, 1, '{\"name\":\"English (en-GB)\",\"type\":\"language\",\"creationDate\":\"March 2020\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.16\",\"description\":\"en-GB site language\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 802, 'English (en-GB)', 'language', 'en-GB', '', 1, 1, 1, 1, '{\"name\":\"English (en-GB)\",\"type\":\"language\",\"creationDate\":\"March 2020\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.16\",\"description\":\"en-GB administrator language\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 0, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{\"name\":\"files_joomla\",\"type\":\"file\",\"creationDate\":\"March 2020\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.16\",\"description\":\"FILES_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(802, 0, 'English (en-GB) Language Pack', 'package', 'pkg_en-GB', '', 0, 1, 1, 1, '{\"name\":\"English (en-GB) Language Pack\",\"type\":\"package\",\"creationDate\":\"March 2020\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.16.1\",\"description\":\"en-GB language pack\",\"group\":\"\",\"filename\":\"pkg_en-GB\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10000, 0, 'SP Page Builder', 'component', 'com_sppagebuilder', '', 1, 1, 0, 0, '{\"name\":\"SP Page Builder\",\"type\":\"component\",\"creationDate\":\"Sep 2014\",\"author\":\"JoomShaper\",\"copyright\":\"Copyright @ 2010 - 2019 JoomShaper. All rights reserved.\",\"authorEmail\":\"support@joomshaper.com\",\"authorUrl\":\"http:\\/\\/www.joomshaper.com\",\"version\":\"3.4.2\",\"description\":\"\",\"group\":\"\",\"filename\":\"sppagebuilder\"}', '{\"production_mode\":\"0\",\"addcontainer\":\"1\",\"gmap_api\":\"\",\"fontawesome\":\"1\",\"disableanimatecss\":\"0\",\"disablecss\":\"0\",\"joomshaper_email\":\"\",\"joomshaper_license_key\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10001, 0, 'SP Page Builder', 'module', 'mod_sppagebuilder', '', 0, 1, 0, 0, '{\"name\":\"SP Page Builder\",\"type\":\"module\",\"creationDate\":\"Oct 2016\",\"author\":\"JoomShaper\",\"copyright\":\"Copyright (C) 2010 - 2016 JoomShaper.com. All rights reserved.\",\"authorEmail\":\"support@joomshaper.com\",\"authorUrl\":\"www.joomshaper.com\",\"version\":\"1.2\",\"description\":\"Module to display content from SP Page Builder\",\"group\":\"\",\"filename\":\"mod_sppagebuilder\"}', '{\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10002, 0, 'mod_sppagebuilder_icons', 'module', 'mod_sppagebuilder_icons', '', 1, 1, 2, 0, '{\"name\":\"mod_sppagebuilder_icons\",\"type\":\"module\",\"creationDate\":\"August 2014\",\"author\":\"JoomShaper\",\"copyright\":\"Copyright (C) 2010 - 2016 JoomShaper. All rights reserved.\",\"authorEmail\":\"support@joomshaper.com\",\"authorUrl\":\"www.joomshaper.com\",\"version\":\"1.0.2\",\"description\":\"MOD_SPPAGEBUILDER_ICONS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_sppagebuilder_icons\"}', '[]', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10003, 0, 'mod_sppagebuilder_admin_menu', 'module', 'mod_sppagebuilder_admin_menu', '', 1, 1, 2, 0, '{\"name\":\"mod_sppagebuilder_admin_menu\",\"type\":\"module\",\"creationDate\":\"August 2014\",\"author\":\"JoomShaper\",\"copyright\":\"Copyright (C) 2010 - 2017 JoomShaper. All rights reserved.\",\"authorEmail\":\"support@joomshaper.com\",\"authorUrl\":\"www.joomshaper.com\",\"version\":\"1.3\",\"description\":\"MOD_SPPAGEBUILDER_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_sppagebuilder_admin_menu\"}', '[]', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10004, 0, 'System - Helix Ultimate Framework', 'plugin', 'helixultimate', 'system', 0, 1, 1, 0, '{\"name\":\"System - Helix Ultimate Framework\",\"type\":\"plugin\",\"creationDate\":\"Feb 2018\",\"author\":\"JoomShaper.com\",\"copyright\":\"Copyright (C) 2010 - 2018 JoomShaper. All rights reserved.\",\"authorEmail\":\"support@joomshaper.com\",\"authorUrl\":\"www.joomshaper.com\",\"version\":\"1.1.2\",\"description\":\"Helix Ultimate Framework - Joomla Template Framework by JoomShaper\",\"group\":\"\",\"filename\":\"helixultimate\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10005, 0, 'SQuick-v2.0', 'template', 'squickv2', '', 0, 1, 1, 0, '{\"name\":\"SQuick-v2.0\",\"type\":\"template\",\"creationDate\":\"March 2020\",\"author\":\"Sellacious\",\"copyright\":\"Copyright (C) 2016 - 2020 Sellacious.com. All rights reserved.\",\"authorEmail\":\"contact@sellacious.com\",\"authorUrl\":\"http:\\/\\/www.sellacious.com\",\"version\":\"2.0.0\",\"description\":\"SQuick-v2.0 - Starter eCommerce Template\",\"group\":\"\",\"filename\":\"templateDetails\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10012, 10013, 'com_sellacious', 'component', 'com_sellacious', '', 1, 1, 0, 0, '{\"name\":\"com_sellacious\",\"type\":\"component\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"COM_SELLACIOUS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellacious\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10013, 0, 'Sellacious Package', 'package', 'pkg_sellacious', '', 0, 1, 1, 0, '{\"name\":\"Sellacious Package\",\"type\":\"package\",\"creationDate\":\"March 16, 2020\",\"author\":\"Bhartiy Web Technologies\",\"copyright\":\"\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"2.0.0-alpha6\",\"description\":\"\\n\\n\\t\",\"group\":\"\",\"filename\":\"pkg_sellacious\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10015, 10089, 'files_sellacious', 'file', 'sellacious', '', 0, 1, 0, 0, '{\"name\":\"files_sellacious\",\"type\":\"file\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"\\n\\t\\t<div class=\'alert alert-info\'><h1>Sellacious Backoffice<\\/h1>\\n\\t\\t\\t<p style=\'font-weight: normal;\'>\\n\\t\\t\\tThe sellacious backoffice is where you can manage the shop, products, sellers and all related settings.<br\\/>\\n\\t\\t\\tBy default the <b>Backoffice<\\/b> is installed at http:\\/\\/example.com<b>\\/sellacious<\\/b>.\\n\\t\\t\\tHowever, you can always rename this directory under your Joomla site root. <br\\/>\\n\\t\\t\\t<b>Important:<\\/b> After you rename the backoffice directory you must open and login to the backoffice using the new name.\\n\\t\\t\\tUnless you do this, all other parts of the website may be non-functional.<br\\/>\\n\\t\\t\\tFor more help write us at: <em>support@sellacious.com<\\/em>\\n\\t\\t\\t<\\/p>\\n\\t\\t<\\/div>\\n\\t\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10016, 0, 'sellacious', 'template', 'sellacious', '', 2, 1, 1, 1, '{\"author\":\"Izhar Aazmi\",\"creationDate\":\"March 06, 2020\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha5\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10017, 0, 'mod_custom', 'module', 'mod_custom', '', 2, 1, 1, 1, '{\"author\":\"Izhar Aazmi\",\"creationDate\":\"March 06, 2020\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha5\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10018, 0, 'mod_login', 'module', 'mod_login', '', 2, 1, 1, 1, '{\"author\":\"Izhar Aazmi\",\"creationDate\":\"March 06, 2020\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha5\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10019, 0, 'mod_toolbar', 'module', 'mod_toolbar', '', 2, 1, 1, 1, '{\"author\":\"Izhar Aazmi\",\"creationDate\":\"March 06, 2020\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha5\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10020, 0, 'mod_smartymenu', 'module', 'mod_smartymenu', '', 2, 1, 2, 1, '{\"author\":\"Izhar Aazmi\",\"creationDate\":\"March 06, 2020\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha5\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10021, 0, 'mod_title', 'module', 'mod_title', '', 2, 1, 1, 1, '{\"author\":\"Izhar Aazmi\",\"creationDate\":\"March 06, 2020\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha5\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10022, 0, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 2, 1, 1, 1, '{\"author\":\"Izhar Aazmi\",\"creationDate\":\"March 06, 2020\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha5\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10023, 0, 'mod_footer', 'module', 'mod_footer', '', 2, 1, 1, 1, '{\"author\":\"Izhar Aazmi\",\"creationDate\":\"March 06, 2020\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha5\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10025, 10089, 'System - Sellacious Importer', 'plugin', 'sellaciousimporter', 'system', 0, 1, 1, 0, '{\"name\":\"System - Sellacious Importer\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"<div class=\\\"alert alert-info\\\"><h5>Sellacious Importer<\\/h5>\\n\\t<p>Allows importing of data into sellacious using CSV data-sheet. <br>\\n\\tThe supported CSV format can be downloaded for each category and\\/or for all categories form the categories and products list pages.<\\/p>\\n\\t<\\/div>\",\"group\":\"\",\"filename\":\"sellaciousimporter\"}', '{\"import_source\":\"\\/import-source\",\"cron\":\"1\",\"cron_key\":\"\",\"category_menu_sync\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10026, 10089, 'com_importer', 'component', 'com_importer', '', 1, 1, 0, 0, '{\"name\":\"com_importer\",\"type\":\"component\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"COM_IMPORTER_XML_DESCRIPTION\",\"group\":\"\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10027, 10089, 'com_sellaciousreporting', 'component', 'com_sellaciousreporting', '', 1, 1, 0, 0, '{\"name\":\"com_sellaciousreporting\",\"type\":\"component\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"COM_SELLACIOUSREPORTING_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciousreporting\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10028, 10089, 'PLG_SYSTEM_SELLACIOUSREPORTSCART', 'plugin', 'sellaciousreportscart', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSREPORTSCART\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSREPORTSCART_DESC\",\"group\":\"\",\"filename\":\"sellaciousreportscart\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10029, 10089, 'com_sellaciousopc', 'component', 'com_sellaciousopc', '', 1, 1, 0, 0, '{\"name\":\"com_sellaciousopc\",\"type\":\"component\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"COM_SELLACIOUSOPC_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciousopc\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10030, 10089, 'com_sellaciousdelivery', 'component', 'com_sellaciousdelivery', '', 1, 1, 0, 0, '{\"name\":\"com_sellaciousdelivery\",\"type\":\"component\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"COM_SELLACIOUSDELIVERY_XML_DESCRIPTION\",\"group\":\"\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10032, 10089, 'plg_sellaciouspayment_paypalstandard', 'plugin', 'paypalstandard', 'sellaciouspayment', 0, 1, 1, 0, '{\"name\":\"plg_sellaciouspayment_paypalstandard\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Bhavika Matariya\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SELLACIOUSPAYMENT_PAYPALSTANDARD_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"paypalstandard\"}', '{\"api_mode\":\"sandbox\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10033, 10089, 'plg_content_sellaciousbuttons', 'plugin', 'sellaciousbuttons', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_sellaciousbuttons\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_CONTENT_SELLACIOUSBUTTONS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciousbuttons\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10034, 10089, 'plg_content_sellaciousproductquery', 'plugin', 'sellaciousproductquery', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_sellaciousproductquery\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_CONTENT_SELLACIOUSPRODUCTQUERY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciousproductquery\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10035, 10089, 'PLG_SELLACIOUS_FIELDTYPEFORMS', 'plugin', 'fieldtypeforms', 'sellacious', 0, 1, 1, 0, '{\"name\":\"PLG_SELLACIOUS_FIELDTYPEFORMS\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SELLACIOUS_FIELDTYPEFORMS_DESCRIPTION\",\"group\":\"\",\"filename\":\"fieldtypeforms\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10036, 10089, 'PLG_SELLACIOUS_ORDER', 'plugin', 'order', 'sellacious', 0, 1, 1, 0, '{\"name\":\"PLG_SELLACIOUS_ORDER\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SELLACIOUS_ORDER_DESCRIPTION\",\"group\":\"\",\"filename\":\"order\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10037, 10089, 'PLG_SELLACIOUS_USER', 'plugin', 'user', 'sellacious', 0, 1, 1, 0, '{\"name\":\"PLG_SELLACIOUS_USER\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SELLACIOUS_USER_DESCRIPTION\",\"group\":\"\",\"filename\":\"user\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10038, 10089, 'PLG_SELLACIOUS_MAILQUEUE', 'plugin', 'mailqueue', 'sellacious', 0, 1, 1, 0, '{\"name\":\"PLG_SELLACIOUS_MAILQUEUE\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SELLACIOUS_MAILQUEUE_DESCRIPTION\",\"group\":\"\",\"filename\":\"mailqueue\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10039, 10089, 'plg_sellaciouspayment_cod', 'plugin', 'cod', 'sellaciouspayment', 0, 1, 1, 0, '{\"name\":\"plg_sellaciouspayment_cod\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SELLACIOUSPAYMENT_COD_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"cod\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10040, 10089, 'plg_sellaciouspayment_custom', 'plugin', 'custom', 'sellaciouspayment', 0, 1, 1, 0, '{\"name\":\"plg_sellaciouspayment_custom\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SELLACIOUSPAYMENT_CUSTOM_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"custom\"}', '[]', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10041, 10089, 'plg_sellaciouspayment_ewallet', 'plugin', 'ewallet', 'sellaciouspayment', 0, 1, 1, 0, '{\"name\":\"plg_sellaciouspayment_ewallet\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SELLACIOUSPAYMENT_EWALLET_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ewallet\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10042, 10089, 'PLG_SELLACIOUSRULES_AMOUNTFILTER', 'plugin', 'amountfilter', 'sellaciousrules', 0, 1, 1, 0, '{\"name\":\"PLG_SELLACIOUSRULES_AMOUNTFILTER\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SELLACIOUSRULES_AMOUNTFILTER_DESCRIPTION\",\"group\":\"\",\"filename\":\"amountfilter\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10043, 10089, 'PLG_SELLACIOUSRULES_CLIENT', 'plugin', 'client', 'sellaciousrules', 0, 1, 1, 0, '{\"name\":\"PLG_SELLACIOUSRULES_CLIENT\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SELLACIOUSRULES_CLIENT_DESCRIPTION\",\"group\":\"\",\"filename\":\"client\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10044, 10089, 'PLG_SELLACIOUSRULES_GEOLOCATION', 'plugin', 'geolocation', 'sellaciousrules', 0, 1, 1, 0, '{\"name\":\"PLG_SELLACIOUSRULES_GEOLOCATION\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SELLACIOUSRULES_GEOLOCATION_DESCRIPTION\",\"group\":\"\",\"filename\":\"geolocation\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10045, 10089, 'PLG_SELLACIOUSRULES_PRODUCT', 'plugin', 'product', 'sellaciousrules', 0, 1, 1, 0, '{\"name\":\"PLG_SELLACIOUSRULES_PRODUCT\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SELLACIOUSRULES_PRODUCT_DESCRIPTION\",\"group\":\"\",\"filename\":\"product\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10046, 10089, 'PLG_SYSTEM_SELLACIOUS', 'plugin', 'sellacious', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUS\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUS_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellacious\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10047, 10089, 'PLG_SYSTEM_SELLACIOUSCACHE', 'plugin', 'sellaciouscache', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSCACHE\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSCACHE_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciouscache\"}', '{\"cron\":\"0\",\"cron_key\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10048, 10089, 'PLG_SYSTEM_SELLACIOUSMAILER', 'plugin', 'sellaciousmailer', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSMAILER\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSMAILER_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciousmailer\"}', '{\"cron\":\"0\",\"cron_key\":\"\",\"limit\":\"10\",\"retry\":\"5\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10049, 10089, 'PLG_SYSTEM_SELLACIOUSUTM', 'plugin', 'sellaciousutm', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSUTM\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSUTM_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciousutm\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10050, 10089, 'PLG_SYSTEM_SELLACIOUSFOREX', 'plugin', 'sellaciousforex', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSFOREX\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSFOREX_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciousforex\"}', '{\"cron\":\"0\",\"cron_key\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10051, 10089, 'PLG_SYSTEM_SELLACIOUSPRODUCTNOTIFICATION', 'plugin', 'sellaciousproductnotification', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSPRODUCTNOTIFICATION\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Mohd Kareemuddin\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSPRODUCTNOTIFICATION_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciousproductnotification\"}', '{\"cron\":\"0\",\"cron_key\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10052, 10089, 'PLG_SYSTEM_SELLACIOUSRECENT', 'plugin', 'sellaciousrecent', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSRECENT\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSRECENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciousrecent\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10053, 10089, 'PLG_SYSTEM_SELLACIOUSGOOGLEMARKUP', 'plugin', 'sellaciousgooglemarkup', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSGOOGLEMARKUP\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSGOOGLEMARKUP_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciousgooglemarkup\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10054, 10089, 'PLG_SYSTEM_SELLACIOUSHYPERLOCAL', 'plugin', 'sellacioushyperlocal', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSHYPERLOCAL\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSHYPERLOCAL_DESC\",\"group\":\"\",\"filename\":\"sellacioushyperlocal\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10055, 10089, 'PLG_SYSTEM_SELLACIOUSREPORTSDELIVERY', 'plugin', 'sellaciousreportsdelivery', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSREPORTSDELIVERY\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSREPORTSDELIVERY_DESC\",\"group\":\"\",\"filename\":\"sellaciousreportsdelivery\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10056, 10089, 'PLG_SYSTEM_SELLACIOUSFREESHIPPING', 'plugin', 'sellaciousfreeshipping', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSFREESHIPPING\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"((C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSFREESHIPPING_DESC\",\"group\":\"\",\"filename\":\"sellaciousfreeshipping\"}', '{\"shipping_extra_freerule\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10057, 10089, 'plg_finder_sellaciousproduct', 'plugin', 'sellaciousproduct', 'finder', 0, 1, 1, 0, '{\"name\":\"plg_finder_sellaciousproduct\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_FINDER_SELLACIOUSPRODUCT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciousproduct\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10058, 10089, 'PLG_EDITORS_CKEDITOR4', 'plugin', 'ckeditor4', 'editors', 0, 1, 1, 0, '{\"name\":\"PLG_EDITORS_CKEDITOR4\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_EDITORS_CKEDITOR4_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ckeditor4\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10059, 10089, 'PLG_EDITORS_CKINLINEEDITOR4', 'plugin', 'ckinlineeditor4', 'editors', 0, 1, 1, 0, '{\"name\":\"PLG_EDITORS_CKINLINEEDITOR4\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_EDITORS_CKINLINEEDITOR4_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ckinlineeditor4\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10060, 10089, 'mod_usercurrency', 'module', 'mod_usercurrency', '', 0, 1, 0, 0, '{\"name\":\"mod_usercurrency\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_USERCURRENCY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_usercurrency\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10061, 10089, 'mod_sellacious_ewallet', 'module', 'mod_sellacious_ewallet', '', 0, 1, 0, 0, '{\"name\":\"mod_sellacious_ewallet\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Mohd Kareemuddin\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_EWALLET_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_ewallet\"}', '{\"class_sfx\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10062, 10089, 'mod_sellacious_cart', 'module', 'mod_sellacious_cart', '', 0, 1, 0, 0, '{\"name\":\"mod_sellacious_cart\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Bhavika Matariya\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_CART_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_cart\"}', '{\"class_sfx\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10063, 10089, 'mod_sellacious_users', 'module', 'mod_sellacious_users', '', 0, 1, 0, 0, '{\"name\":\"mod_sellacious_users\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Mohd Kareemuddin\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_USERS_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_users\"}', '{\"count\":\"10\",\"avatar\":\"avatar\",\"show_avatar\":\"1\",\"show_name\":\"1\",\"show_username\":\"1\",\"show_email\":\"1\",\"show_mobile\":\"1\",\"show_company\":\"1\",\"show_link_to_store\":\"1\",\"show_store_rating\":\"1\",\"show_order_count\":\"1\",\"show_order_amount\":\"1\",\"ordering\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10064, 10089, 'mod_sellacious_filters', 'module', 'mod_sellacious_filters', '', 0, 1, 0, 0, '{\"name\":\"mod_sellacious_filters\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Bhavika Matariya\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_FILTERS_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_filters\"}', '[]', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10065, 10089, 'mod_sellacious_finder', 'module', 'mod_sellacious_finder', '', 0, 1, 0, 0, '{\"name\":\"mod_sellacious_finder\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_FINDER_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_finder\"}', '{\"integration\":\"sellacious\",\"search_layout\":\"default\",\"full_width\":\"1\",\"input_width\":\"200\",\"display_label\":\"1\",\"label_value\":\"Search\",\"finder_placeholder\":\"Search..\",\"button_type\":\"icon\",\"button_text\":\"Search\",\"button_position\":\"right\",\"show_category_results\":\"1\",\"category_result_redirect\":\"1\",\"show_category_image\":\"1\",\"show_seller_results\":\"1\",\"seller_result_redirect\":\"1\",\"show_seller_image\":\"1\",\"show_categories_results\":\"1\",\"categories_result_redirect\":\"1\",\"show_categories_image\":\"1\",\"show_sellers_results\":\"1\",\"sellers_result_redirect\":\"1\",\"show_sellers_image\":\"1\",\"show_product_image\":\"1\",\"show_product_category\":\"1\",\"show_product_price\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10066, 10089, 'MOD_SELLACIOUS_PRODUCTS', 'module', 'mod_sellacious_products', '', 0, 1, 0, 0, '{\"name\":\"MOD_SELLACIOUS_PRODUCTS\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_PRODUCTS_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_products\"}', '{\"module_type\":\"default\",\"layout\":\"grid\",\"product_block_layout\":\"default\",\"autoplay\":\"0\",\"autoplayspeed\":\"3000\",\"gutter\":\"8\",\"responsive0to500\":\"1\",\"responsive500\":\"2\",\"responsive992\":\"3\",\"responsive1200\":\"4\",\"responsive1400\":\"4\",\"total_products\":\"20\",\"products_by\":\"sid\",\"sellers\":\"\",\"current_page_seller_products\":\"1\",\"standout_special_category\":\"0\",\"featurelist\":\"1\",\"displayratings\":\"1\",\"displaycomparebtn\":\"1\",\"displayaddtocartbtn\":\"1\",\"displaybuynowbtn\":\"1\",\"displayproductprice\":\"1\",\"displayquickviewbtn\":\"1\",\"class_sfx\":\"\",\"ordering\":\"order_units\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10067, 10089, 'MOD_SELLACIOUS_LATESTPRODUCTS', 'module', 'mod_sellacious_latestproducts', '', 0, 1, 0, 0, '{\"name\":\"MOD_SELLACIOUS_LATESTPRODUCTS\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_LATESTPRODUCTS_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_latestproducts\"}', '{\"module_type\":\"latest\",\"layout\":\"grid\",\"product_block_layout\":\"default\",\"autoplay\":\"0\",\"autoplayspeed\":\"3000\",\"gutter\":\"8\",\"responsive0to500\":\"1\",\"responsive500\":\"2\",\"responsive992\":\"3\",\"responsive1200\":\"4\",\"responsive1400\":\"4\",\"total_products\":\"20\",\"products_by\":\"sid\",\"sellers\":\"\",\"current_page_seller_products\":\"1\",\"standout_special_category\":\"0\",\"featurelist\":\"1\",\"displayratings\":\"1\",\"displaycomparebtn\":\"1\",\"displayaddtocartbtn\":\"1\",\"displaybuynowbtn\":\"1\",\"displayproductprice\":\"1\",\"displayquickviewbtn\":\"1\",\"class_sfx\":\"\",\"ordering\":\"order_units\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10068, 10089, 'MOD_SELLACIOUS_RELATEDPRODUCTS', 'module', 'mod_sellacious_relatedproducts', '', 0, 1, 0, 0, '{\"name\":\"MOD_SELLACIOUS_RELATEDPRODUCTS\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_RELATEDPRODUCTS_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_relatedproducts\"}', '{\"module_type\":\"related\",\"layout\":\"grid\",\"product_block_layout\":\"default\",\"autoplay\":\"0\",\"autoplayspeed\":\"3000\",\"gutter\":\"8\",\"responsive0to500\":\"1\",\"responsive500\":\"2\",\"responsive992\":\"3\",\"responsive1200\":\"4\",\"responsive1400\":\"4\",\"total_products\":\"20\",\"products_by\":\"sid\",\"sellers\":\"\",\"current_page_seller_products\":\"1\",\"standout_special_category\":\"0\",\"featurelist\":\"1\",\"displayratings\":\"1\",\"displaycomparebtn\":\"1\",\"displayaddtocartbtn\":\"1\",\"displaybuynowbtn\":\"1\",\"displayproductprice\":\"1\",\"displayquickviewbtn\":\"1\",\"class_sfx\":\"\",\"ordering\":\"order_units\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10069, 10089, 'MOD_SELLACIOUS_SPECIALCATSPRODUCTS', 'module', 'mod_sellacious_specialcatsproducts', '', 0, 1, 0, 0, '{\"name\":\"MOD_SELLACIOUS_SPECIALCATSPRODUCTS\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_SPECIALCATSPRODUCTS_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_specialcatsproducts\"}', '{\"module_type\":\"special_cats\",\"layout\":\"grid\",\"product_block_layout\":\"default\",\"autoplay\":\"0\",\"autoplayspeed\":\"3000\",\"gutter\":\"8\",\"responsive0to500\":\"1\",\"responsive500\":\"2\",\"responsive992\":\"3\",\"responsive1200\":\"4\",\"responsive1400\":\"4\",\"total_products\":\"20\",\"products_by\":\"sid\",\"sellers\":\"\",\"current_page_seller_products\":\"1\",\"standout_special_category\":\"0\",\"featurelist\":\"1\",\"displayratings\":\"1\",\"displaycomparebtn\":\"1\",\"displayaddtocartbtn\":\"1\",\"displaybuynowbtn\":\"1\",\"displayproductprice\":\"1\",\"displayquickviewbtn\":\"1\",\"class_sfx\":\"\",\"ordering\":\"order_units\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10070, 10089, 'mod_sellacious_stores', 'module', 'mod_sellacious_stores', '', 0, 1, 0, 0, '{\"name\":\"mod_sellacious_stores\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Mohd Kareemuddin\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_STORES_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_stores\"}', '{\"total_records\":\"50\",\"display_ratings\":\"1\",\"display_product_count\":\"1\",\"layout\":\"grid\",\"autoplay\":\"0\",\"autoplayspeed\":\"3000\",\"gutter\":\"8\",\"responsive0to500\":\"1\",\"responsive500\":\"2\",\"responsive992\":\"3\",\"responsive1200\":\"4\",\"responsive1400\":\"4\",\"ordering\":\"3\",\"orderby\":\"DESC\",\"class_sfx\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10071, 10089, 'MOD_SELLACIOUS_SELLERPRODUCTS', 'module', 'mod_sellacious_sellerproducts', '', 0, 1, 0, 0, '{\"name\":\"MOD_SELLACIOUS_SELLERPRODUCTS\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_SELLERPRODUCTS_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_sellerproducts\"}', '{\"module_type\":\"seller\",\"layout\":\"grid\",\"product_block_layout\":\"default\",\"autoplay\":\"0\",\"autoplayspeed\":\"3000\",\"gutter\":\"8\",\"responsive0to500\":\"1\",\"responsive500\":\"2\",\"responsive992\":\"3\",\"responsive1200\":\"4\",\"responsive1400\":\"4\",\"total_products\":\"20\",\"products_by\":\"sid\",\"sellers\":\"\",\"current_page_seller_products\":\"1\",\"standout_special_category\":\"0\",\"featurelist\":\"1\",\"displayratings\":\"1\",\"displaycomparebtn\":\"1\",\"displayaddtocartbtn\":\"1\",\"displaybuynowbtn\":\"1\",\"displayproductprice\":\"1\",\"displayquickviewbtn\":\"1\",\"class_sfx\":\"\",\"ordering\":\"order_units\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(10072, 10089, 'MOD_SELLACIOUS_BESTSELLINGPRODUCTS', 'module', 'mod_sellacious_bestsellingproducts', '', 0, 1, 0, 0, '{\"name\":\"MOD_SELLACIOUS_BESTSELLINGPRODUCTS\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_BESTSELLINGPRODUCTS_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_bestsellingproducts\"}', '{\"module_type\":\"bestselling\",\"layout\":\"grid\",\"product_block_layout\":\"default\",\"autoplay\":\"0\",\"autoplayspeed\":\"3000\",\"gutter\":\"8\",\"responsive0to500\":\"1\",\"responsive500\":\"2\",\"responsive992\":\"3\",\"responsive1200\":\"4\",\"responsive1400\":\"4\",\"total_products\":\"20\",\"products_by\":\"sid\",\"sellers\":\"\",\"current_page_seller_products\":\"1\",\"standout_special_category\":\"0\",\"featurelist\":\"1\",\"displayratings\":\"1\",\"displaycomparebtn\":\"1\",\"displayaddtocartbtn\":\"1\",\"displaybuynowbtn\":\"1\",\"displayproductprice\":\"1\",\"displayquickviewbtn\":\"1\",\"class_sfx\":\"\",\"ordering\":\"order_units\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10073, 10089, 'MOD_SELLACIOUS_RECENTLYVIEWEDPRODUCTS', 'module', 'mod_sellacious_recentlyviewedproducts', '', 0, 1, 0, 0, '{\"name\":\"MOD_SELLACIOUS_RECENTLYVIEWEDPRODUCTS\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_RECENTLYVIEWEDPRODUCTS_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_recentlyviewedproducts\"}', '{\"module_type\":\"recently_viewed\",\"layout\":\"grid\",\"product_block_layout\":\"default\",\"autoplay\":\"0\",\"autoplayspeed\":\"3000\",\"gutter\":\"8\",\"responsive0to500\":\"1\",\"responsive500\":\"2\",\"responsive992\":\"3\",\"responsive1200\":\"4\",\"responsive1400\":\"4\",\"total_products\":\"20\",\"products_by\":\"sid\",\"sellers\":\"\",\"current_page_seller_products\":\"1\",\"standout_special_category\":\"0\",\"featurelist\":\"1\",\"displayratings\":\"1\",\"displaycomparebtn\":\"1\",\"displayaddtocartbtn\":\"1\",\"displaybuynowbtn\":\"1\",\"displayproductprice\":\"1\",\"displayquickviewbtn\":\"1\",\"class_sfx\":\"\",\"ordering\":\"order_units\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10074, 10089, 'MOD_SELLACIOUS_HYPERLOCAL', 'module', 'mod_sellacious_hyperlocal', '', 0, 1, 0, 0, '{\"name\":\"MOD_SELLACIOUS_HYPERLOCAL\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_HYPERLOCAL_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_hyperlocal\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10075, 10089, 'mod_sellacious_finder_for_category', 'module', 'mod_sellacious_finder_for_category', '', 0, 1, 0, 0, '{\"name\":\"mod_sellacious_finder_for_category\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_FINDER_FOR_CATEGORY_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_finder_for_category\"}', '{\"integration\":\"sellacious\",\"search_layout\":\"default\",\"full_width\":\"1\",\"input_width\":\"200\",\"display_label\":\"1\",\"label_value\":\"Search\",\"finder_placeholder\":\"Search..\",\"button_type\":\"icon\",\"button_text\":\"Search\",\"button_position\":\"right\",\"show_seller_results\":\"1\",\"seller_result_redirect\":\"1\",\"show_seller_image\":\"1\",\"show_sellers_results\":\"1\",\"sellers_result_redirect\":\"1\",\"show_sellers_image\":\"1\",\"show_product_image\":\"1\",\"show_product_category\":\"1\",\"show_product_price\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10076, 10089, 'mod_sellacious_finder_for_store', 'module', 'mod_sellacious_finder_for_store', '', 0, 1, 0, 0, '{\"name\":\"mod_sellacious_finder_for_store\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_FINDER_FOR_STORE_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_finder_for_store\"}', '{\"integration\":\"sellacious\",\"search_layout\":\"default\",\"full_width\":\"1\",\"input_width\":\"200\",\"display_label\":\"1\",\"label_value\":\"Search\",\"finder_placeholder\":\"Search..\",\"button_type\":\"icon\",\"button_text\":\"Search\",\"button_position\":\"right\",\"show_category_results\":\"1\",\"category_result_redirect\":\"1\",\"show_category_image\":\"1\",\"show_categories_results\":\"1\",\"categories_result_redirect\":\"1\",\"show_categories_image\":\"1\",\"show_product_image\":\"1\",\"show_product_category\":\"1\",\"show_product_price\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10077, 10089, 'mod_sellacious_toolbar', 'module', 'mod_sellacious_toolbar', '', 0, 1, 0, 0, '{\"name\":\"mod_sellacious_toolbar\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_TOOLBAR_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_toolbar\"}', '{\"bar_position\":\"top\",\"show_dashboard_menu\":\"1\",\"show_orders_menu\":\"1\",\"unread_orders_setting\":\"1\",\"show_add_product_menu\":\"1\",\"show_product_catalog_menu\":\"1\",\"show_buy_now_menu\":\"1\",\"show_edit_product_menu\":\"1\",\"show_messages_menu\":\"1\",\"show_questions_menu\":\"1\",\"check_messages_interval\":\"3\",\"usermenu\":\"1\",\"class_sfx\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10078, 10089, 'mod_sellacious_contact', 'module', 'mod_sellacious_contact', '', 0, 1, 0, 0, '{\"name\":\"mod_sellacious_contact\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Saurabh Sabharwal\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_CONTACT_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_contact\"}', '{\"class_sfx\":\"\",\"text_color\":\"#000000\",\"icon_color\":\"#000000\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10079, 10089, 'mod_sellacious_login', 'module', 'mod_sellacious_login', '', 0, 1, 0, 0, '{\"name\":\"mod_sellacious_login\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_sellacious_login\"}', '{\"pretext_tr\":\"0\",\"posttext_tr\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10080, 10089, 'mod_sellacious_categories', 'module', 'mod_sellacious_categories', '', 0, 1, 0, 0, '{\"name\":\"mod_sellacious_categories\",\"type\":\"module\",\"creationDate\":\"March 16, 2020\",\"author\":\"Chandni Thakur\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"MOD_SELLACIOUS_CATEGORIES_DESC\",\"group\":\"\",\"filename\":\"mod_sellacious_categories\"}', '{\"class_sfx\":\"\",\"show_sub_categories\":\"1\",\"order_by\":\"a.title ASC\",\"display_layout\":\"grid\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10081, 10089, 'PLG_SYSTEM_SELLACIOUSTEMPLATEORDER', 'plugin', 'sellacioustemplateorder', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSTEMPLATEORDER\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSTEMPLATEORDER_DESC\",\"group\":\"\",\"filename\":\"sellacioustemplateorder\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10082, 10089, 'com_sellacioustemplates', 'component', 'com_sellacioustemplates', '', 1, 1, 0, 0, '{\"name\":\"com_sellacioustemplates\",\"type\":\"component\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"COM_SELLACIOUSTEMPLATES_XML_DESCRIPTION\",\"group\":\"\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10083, 10089, 'PLG_SYSTEM_SELLACIOUSPRODUCTREDIRECT', 'plugin', 'sellaciousproductredirect', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSPRODUCTREDIRECT\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSPRODUCTREDIRECT_DESC\",\"group\":\"\",\"filename\":\"sellaciousproductredirect\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10084, 10089, 'PLG_SYSTEM_SELLACIOUSGST', 'plugin', 'sellaciousgst', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSGST\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSGST_DESC\",\"group\":\"\",\"filename\":\"sellaciousgst\"}', '{\"ask_buyer_gst\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10085, 10089, 'plg_authentication_sellacious', 'plugin', 'sellacious', 'authentication', 0, 1, 1, 0, '{\"name\":\"plg_authentication_sellacious\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_AUTHENTICATION_SELLACIOUS_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellacious\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10086, 10089, 'PLG_SYSTEM_SELLACIOUSTEMPLATECOLORS', 'plugin', 'sellacioustemplatecolors', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSTEMPLATECOLORS\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Saurabh Sabharwal\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSTEMPLATECOLORS_DESC\",\"group\":\"\",\"filename\":\"sellacioustemplatecolors\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10087, 10089, 'PLG_SYSTEM_SELLACIOUSEVENTS', 'plugin', 'sellaciousevents', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSEVENTS\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"(C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSEVENTS_DESC\",\"group\":\"\",\"filename\":\"sellaciousevents\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10088, 10089, 'PLG_SYSTEM_SELLACIOUSTEXTMESSAGE', 'plugin', 'sellacioustextmessage', 'system', 0, 1, 1, 0, '{\"name\":\"PLG_SYSTEM_SELLACIOUSTEXTMESSAGE\",\"type\":\"plugin\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PLG_SYSTEM_SELLACIOUSTEXTMESSAGE_DESC\",\"group\":\"\",\"filename\":\"sellacioustextmessage\"}', '[]', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10089, 0, 'Sellacious Extended Package', 'package', 'pkg_sellacious_extended', '', 0, 1, 1, 0, '{\"name\":\"Sellacious Extended Package\",\"type\":\"package\",\"creationDate\":\"March 16, 2020\",\"author\":\"Bhartiy Web Technologies\",\"copyright\":\"\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"2.0.0-alpha6\",\"description\":\"\\n\\t\\t<div align=\\\"center\\\">\\n\\t\\t\\t<div align=\\\"left\\\" style=\\\"font-weight: normal; background-color: #dff0d8; border: 1px solid #d6e9c6; border-radius: 2px; color: #3c763d; margin-bottom: 20px; padding: 20px;\\\">\\n\\t\\t\\t\\t<h3 style=\\\"margin: 0 0 20px; font-size: 24px;\\\">Thank you for installing Sellacious<\\/h3>\\n\\t\\t\\t\\t<p>Sellacious is a powerful joomla extension to create eCommerce and Marketplace easily.\\n\\t\\t\\t\\t\\tWe have followed best practices to keep the interface easy and detailed. Hope you\'ll love it!<\\/p>\\n\\t\\t\\t\\t<div class=\\\"btn-actions\\\">\\n\\t\\t\\t\\t\\t<a href=\\\"http:\\/\\/sellacious.com\\/documentation.html\\\" target=\\\"_blank\\\" title=\\\"Document\\\" class=\\\"primary\\\">Documentation<\\/a>\\n\\t\\t\\t\\t\\t<a href=\\\"http:\\/\\/sellacious.com\\/community-support.html\\\" target=\\\"_blank\\\" title=\\\"Forum\\\">Support<\\/a>\\n\\t\\t\\t\\t\\t<a href=\\\"http:\\/\\/sellacious.com\\/demo.html\\\" target=\\\"_blank\\\" title=\\\"Demo\\\">Demo<\\/a>\\n\\t\\t\\t\\t\\t<a href=\\\"https:\\/\\/extensions.joomla.org\\/write-review\\/review\\/add?extension_id=11448\\\" target=\\\"_blank\\\" title=\\\"More info\\\">Rate us on JED<\\/a>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t\\t<p>Sellacious is free to use, However you can subscribe to our awesome support plans.\\n\\t\\t\\t\\t\\t<a href=\\\"http:\\/\\/sellacious.com\\/pricing.html\\\" target=\\\"_blank\\\">Upgrade options<\\/a><\\/p>\\n\\t\\t\\t\\t<p style=\\\"font-size: 12px;\\\">Copyright 2012 - 2017 <a href=\\\"http:\\/\\/sellacious.com\\\" title=\\\"Sellacious\\\">sellacious.com<\\/a>.<\\/p>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\t\\t<style>\\n\\t\\t\\t.btn-actions {margin: 30px 0;}.btn-actions a {background: #fff; border: 1px solid #ddd; border-radius: 2px; color: #666;\\n\\t\\t\\tbox-shadow: 0 -2px 0 rgba(0,0,0,0.1) inset; font-size: 16px; letter-spacing: 1px; padding: 8px 20px 9px; margin: 0 5px 0 0;\\n\\t\\t\\ttext-decoration: none; transition: all 0.35s;}.btn-actions a.primary {background-color: #2e7d32; border-color: #2e7d32; color: #fff;}\\n\\t\\t\\t.btn-actions a:hover, .btn-actions a:focus {background: #01579b; border-color: #01579b; color: #fff;}\\n\\t\\t<\\/style>\\n\\t\",\"group\":\"\",\"filename\":\"pkg_sellacious_extended\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10093, 0, 'Sellacious Templates Package', 'package', 'pkg_sellacious_templates', '', 0, 1, 1, 0, '{\"name\":\"Sellacious Templates Package\",\"type\":\"package\",\"creationDate\":\"March 14, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"Sellacious Templates Package\",\"group\":\"\",\"filename\":\"pkg_sellacious_templates\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10095, 0, 'Sellacious Importer Package', 'package', 'pkg_sellacious_importer', '', 0, 1, 1, 0, '{\"name\":\"Sellacious Importer Package\",\"type\":\"package\",\"creationDate\":\"March 14, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"Sellacious Importer Package\",\"group\":\"\",\"filename\":\"pkg_sellacious_importer\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10096, 0, 'Sellacious Hyperlocal Package', 'package', 'pkg_sellacious_hyperlocal', '', 0, 1, 1, 0, '{\"name\":\"Sellacious Hyperlocal Package\",\"type\":\"package\",\"creationDate\":\"March 14, 2020\",\"author\":\"Aditya Chakraborty\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"Sellacious Hyperlocal Package\",\"group\":\"\",\"filename\":\"pkg_sellacious_hyperlocal\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10097, 10099, 'plg_system_sellaciouscattemplates', 'plugin', 'sellaciouscattemplates', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_sellaciouscattemplates\",\"type\":\"plugin\",\"creationDate\":\"March 03, 2020\",\"author\":\"Bhavika Matariya\",\"copyright\":\"Copyright (C) 2016 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha5\",\"description\":\"PLG_SYSTEM_SELLACIOUSCATTEMPLATES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciouscattemplates\"}', '{\"cat_redirect\":\"1\",\"product_redirect\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 9999, 0),
(10098, 10099, 'plg_content_sellaciouscatspecs', 'plugin', 'sellaciouscatspecs', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_sellaciouscatspecs\",\"type\":\"plugin\",\"creationDate\":\"March 03, 2020\",\"author\":\"Bhavika Matariya\",\"copyright\":\"Copyright (C) 2016 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha5\",\"description\":\"PLG_CONTENT_SELLACIOUSCATSPECS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sellaciouscatspecs\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 9999, 0),
(10099, 0, 'SellaciousSPPagebuilderAddons Package', 'package', 'pkg_sellacious_addons', '', 0, 1, 1, 0, '{\"name\":\"SellaciousSPPagebuilderAddons Package\",\"type\":\"package\",\"creationDate\":\"May 21, 2018\",\"author\":\"Bhartiy Web Technologies\",\"copyright\":\"\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"2.2.0\",\"description\":\"\\n\\t\\t<div align=\\\"center\\\">\\n            <div align=\\\"left\\\" style=\\\"background-color: #dff0d8; border: 1px solid #d6e9c6; border-radius: 2px; color: #3c763d; padding: 20px;\\\">\\n                <h3 style=\\\"margin: 0 0 20px; font-size: 24px;\\\">Thank you for installing Sellacious SP Pagebuilder Addons<\\/h3>\\n                <p>Sellacious is a powerful joomla extension to create eCommerce and Marketplace easily.\\n                    We have followed best practices to keep the interface easy and detailed. Hope you\'ll love it!<\\/p>\\n                <div class=\\\"btn-actions\\\">\\n                    <a href=\\\"http:\\/\\/sellacious.com\\/page-builder\\/setting-up-sp-sellacious-add-ons.html\\\" target=\\\"_blank\\\" title=\\\"Document\\\" class=\\\"primary\\\">Documentation<\\/a>\\n                    <a href=\\\"http:\\/\\/sellacious.com\\/community-support.html\\\" target=\\\"_blank\\\" title=\\\"Forum\\\">Support<\\/a>\\n                    <a href=\\\"http:\\/\\/sellacious.com\\/sellacious-templates.html\\\" target=\\\"_blank\\\" title=\\\"Demo\\\">Our Templates<\\/a>\\n                <\\/div>\\n                <p>Sellacious is free to use, However you can subscribe to our awesome support plans.\\n                    <a href=\\\"http:\\/\\/sellacious.com\\/pricing.html\\\" target=\\\"_blank\\\">Upgrade options<\\/a><\\/p>\\n                <p style=\\\"font-size: 12px;\\\">Copyright 2012 - 2017 <a href=\\\"http:\\/\\/sellacious.com\\\" title=\\\"Sellacious\\\">sellacious.com<\\/a>.<\\/p>\\n            <\\/div>\\n        <\\/div>\\n        <style>\\n            .btn-actions {margin: 30px 0;}.btn-actions a {background: #fff; border: 1px solid #ddd; border-radius: 2px; color: #666;\\n            box-shadow: 0 -2px 0 rgba(0,0,0,0.1) inset; font-size: 16px; letter-spacing: 1px; padding: 8px 20px 9px; margin: 0 5px 0 0;\\n            text-decoration: none; transition: all 0.35s;}.btn-actions a.primary {background-color: #2e7d32; border-color: #2e7d32; color: #fff;}\\n            .btn-actions a:hover, .btn-actions a:focus {background: #01579b; border-color: #01579b; color: #fff;}\\n        <\\/style>\\n\\t\",\"group\":\"\",\"filename\":\"pkg_sellacious_addons\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10100, 10089, 'Sellacious Library', 'library', 'sellacious', '', 0, 1, 1, 0, '{\"name\":\"Sellacious Library\",\"type\":\"library\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"Internal Library for Sellacious Application\",\"group\":\"\",\"filename\":\"sellacious\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10101, 10089, 'Sellacious Importer Library', 'library', 'sellacious_importer', '', 0, 1, 1, 0, '{\"name\":\"Sellacious Importer Library\",\"type\":\"library\",\"creationDate\":\"March 16, 2020\",\"author\":\"Izhar Aazmi\",\"copyright\":\"Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.\",\"authorEmail\":\"info@bhartiy.com\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"Library for Sellacious Importer \",\"group\":\"\",\"filename\":\"sellacious_importer\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10102, 10089, 'PayPal SDK for Joomla', 'library', 'paypal', '', 0, 1, 1, 0, '{\"name\":\"PayPal SDK for Joomla\",\"type\":\"library\",\"creationDate\":\"March 16, 2020\",\"author\":\"PayPal Inc.\",\"copyright\":\"(c) All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"www.bhartiy.com\",\"version\":\"2.0.0-alpha6\",\"description\":\"PayPal PHP SDK is the official Open Source PHP SDK for supporting PayPal Rest APIs. This is the packaging of the same for use in Sellacious and Joomla CMS.\",\"group\":\"\",\"filename\":\"paypal\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);

CREATE TABLE IF NOT EXISTS `#__fields` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `context` varchar(255) NOT NULL DEFAULT '',
  `group_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `label` varchar(255) NOT NULL DEFAULT '',
  `default_value` text NOT NULL,
  `type` varchar(255) NOT NULL DEFAULT 'text',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `fieldparams` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_user_id` (`created_user_id`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__fields_categories` (
  `field_id` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`field_id`,`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__fields_groups` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `context` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__fields_values` (
  `field_id` int(10) UNSIGNED NOT NULL,
  `item_id` varchar(255) NOT NULL COMMENT 'Allow references to items which have strings as ids, eg. none db systems.',
  `value` text NOT NULL,
  KEY `idx_field_id` (`field_id`),
  KEY `idx_item_id` (`item_id`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__finder_filters` (
  `filter_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `map_count` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `data` text NOT NULL,
  `params` mediumtext,
  PRIMARY KEY (`filter_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links` (
  `link_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `route` varchar(255) NOT NULL,
  `title` varchar(400) DEFAULT NULL,
  `description` text,
  `indexdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `md5sum` varchar(32) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `state` int(5) DEFAULT '1',
  `access` int(5) DEFAULT '0',
  `language` varchar(8) NOT NULL,
  `publish_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `list_price` double UNSIGNED NOT NULL DEFAULT '0',
  `sale_price` double UNSIGNED NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL,
  `object` mediumblob NOT NULL,
  PRIMARY KEY (`link_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_title` (`title`(100)),
  KEY `idx_md5` (`md5sum`),
  KEY `idx_url` (`url`(75)),
  KEY `idx_published_list` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`list_price`),
  KEY `idx_published_sale` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`sale_price`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_terms0` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_terms1` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_terms2` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_terms3` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_terms4` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_terms5` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_terms6` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_terms7` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_terms8` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_terms9` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_termsa` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_termsb` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_termsc` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_termsd` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_termse` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_links_termsf` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_taxonomy` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `state` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
  `access` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `ordering` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `state` (`state`),
  KEY `ordering` (`ordering`),
  KEY `access` (`access`),
  KEY `idx_parent_published` (`parent_id`,`state`,`access`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `#__finder_taxonomy` (`id`, `parent_id`, `title`, `state`, `access`, `ordering`) VALUES
(1, 0, 'ROOT', 0, 0, 0);

CREATE TABLE IF NOT EXISTS `#__finder_taxonomy_map` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `node_id` int(10) UNSIGNED NOT NULL,
  PRIMARY KEY (`link_id`,`node_id`),
  KEY `link_id` (`link_id`),
  KEY `node_id` (`node_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_terms` (
  `term_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `phrase` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `weight` float UNSIGNED NOT NULL DEFAULT '0',
  `soundex` varchar(75) NOT NULL,
  `links` int(10) NOT NULL DEFAULT '0',
  `language` char(3) NOT NULL DEFAULT '',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `idx_term` (`term`),
  KEY `idx_term_phrase` (`term`,`phrase`),
  KEY `idx_stem_phrase` (`stem`,`phrase`),
  KEY `idx_soundex_phrase` (`soundex`,`phrase`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_terms_common` (
  `term` varchar(75) NOT NULL,
  `language` varchar(3) NOT NULL,
  KEY `idx_word_lang` (`term`,`language`),
  KEY `idx_lang` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `#__finder_terms_common` (`term`, `language`) VALUES
('a', 'en'),
('about', 'en'),
('after', 'en'),
('ago', 'en'),
('all', 'en'),
('am', 'en'),
('an', 'en'),
('and', 'en'),
('any', 'en'),
('are', 'en'),
('aren\'t', 'en'),
('as', 'en'),
('at', 'en'),
('be', 'en'),
('but', 'en'),
('by', 'en'),
('for', 'en'),
('from', 'en'),
('get', 'en'),
('go', 'en'),
('how', 'en'),
('if', 'en'),
('in', 'en'),
('into', 'en'),
('is', 'en'),
('isn\'t', 'en'),
('it', 'en'),
('its', 'en'),
('me', 'en'),
('more', 'en'),
('most', 'en'),
('must', 'en'),
('my', 'en'),
('new', 'en'),
('no', 'en'),
('none', 'en'),
('not', 'en'),
('nothing', 'en'),
('of', 'en'),
('off', 'en'),
('often', 'en'),
('old', 'en'),
('on', 'en'),
('onc', 'en'),
('once', 'en'),
('only', 'en'),
('or', 'en'),
('other', 'en'),
('our', 'en'),
('ours', 'en'),
('out', 'en'),
('over', 'en'),
('page', 'en'),
('she', 'en'),
('should', 'en'),
('small', 'en'),
('so', 'en'),
('some', 'en'),
('than', 'en'),
('thank', 'en'),
('that', 'en'),
('the', 'en'),
('their', 'en'),
('theirs', 'en'),
('them', 'en'),
('then', 'en'),
('there', 'en'),
('these', 'en'),
('they', 'en'),
('this', 'en'),
('those', 'en'),
('thus', 'en'),
('time', 'en'),
('times', 'en'),
('to', 'en'),
('too', 'en'),
('true', 'en'),
('under', 'en'),
('until', 'en'),
('up', 'en'),
('upon', 'en'),
('use', 'en'),
('user', 'en'),
('users', 'en'),
('version', 'en'),
('very', 'en'),
('via', 'en'),
('want', 'en'),
('was', 'en'),
('way', 'en'),
('were', 'en'),
('what', 'en'),
('when', 'en'),
('where', 'en'),
('which', 'en'),
('who', 'en'),
('whom', 'en'),
('whose', 'en'),
('why', 'en'),
('wide', 'en'),
('will', 'en'),
('with', 'en'),
('within', 'en'),
('without', 'en'),
('would', 'en'),
('yes', 'en'),
('yet', 'en'),
('you', 'en'),
('your', 'en'),
('yours', 'en');

CREATE TABLE IF NOT EXISTS `#__finder_tokens` (
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `phrase` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `weight` float UNSIGNED NOT NULL DEFAULT '1',
  `context` tinyint(1) UNSIGNED NOT NULL DEFAULT '2',
  `language` char(3) NOT NULL DEFAULT '',
  KEY `idx_word` (`term`),
  KEY `idx_context` (`context`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_tokens_aggregate` (
  `term_id` int(10) UNSIGNED NOT NULL,
  `map_suffix` char(1) NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `phrase` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `term_weight` float UNSIGNED NOT NULL,
  `context` tinyint(1) UNSIGNED NOT NULL DEFAULT '2',
  `context_weight` float UNSIGNED NOT NULL,
  `total_weight` float UNSIGNED NOT NULL,
  `language` char(3) NOT NULL DEFAULT '',
  KEY `token` (`term`),
  KEY `keyword_id` (`term_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__finder_types` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `mime` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `#__importer_imports` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `handler` varchar(30) NOT NULL,
  `template` int(11) NOT NULL DEFAULT 0,
  `path` varchar(250) NOT NULL DEFAULT '',
  `output_path` varchar(250) NOT NULL DEFAULT '',
  `log_path` varchar(250) NOT NULL DEFAULT '',
  `mapping` text,
  `options` text,
  `progress` text,
  `state` int(11) NOT NULL DEFAULT 0,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT 0,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT 0,
  `params` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__importer_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alias` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int(11) NOT NULL,
  `import_type` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `mapping` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` int(11) NOT NULL,
  `override` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__importer_template_usercategories` (
  `template_id` int(11) NOT NULL,
  `user_cat_id` int(11) NOT NULL,
  UNIQUE KEY `template_id` (`template_id`,`user_cat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__languages` (
  `lang_id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `lang_code` char(7) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__languages` (`lang_id`, `asset_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 0, 'en-GB', 'English (en-GB)', 'English (United Kingdom)', 'en', 'en_gb', '', '', '', '', 1, 1, 1);

CREATE TABLE IF NOT EXISTS `#__languages_strings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `lang_constant` varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL,
  `orig_text` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `client` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `extension` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `filename` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`(100),`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_path` (`path`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 285, 0, '*', 0),
(2, 'main', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 1, 1, 1, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 1, 10, 0, '*', 1),
(3, 'main', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 2, 3, 0, '*', 1),
(4, 'main', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 1, 2, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 4, 5, 0, '*', 1),
(5, 'main', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 6, 7, 0, '*', 1),
(6, 'main', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 8, 9, 0, '*', 1),
(7, 'main', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 83, 88, 0, '*', 1),
(8, 'main', 'com_contact_contacts', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 1, 7, 2, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 84, 85, 0, '*', 1),
(9, 'main', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 1, 7, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 86, 87, 0, '*', 1),
(10, 'main', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 1, 1, 1, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 89, 92, 0, '*', 1),
(11, 'main', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 1, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 90, 91, 0, '*', 1),
(13, 'main', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 1, 1, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 93, 98, 0, '*', 1),
(14, 'main', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 13, 2, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 94, 95, 0, '*', 1),
(15, 'main', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 1, 13, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 96, 97, 0, '*', 1),
(16, 'main', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 1, 1, 1, 24, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 99, 100, 0, '*', 1),
(17, 'main', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', 1, 1, 1, 19, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 101, 102, 0, '*', 1),
(18, 'main', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', 1, 1, 1, 27, 0, '0000-00-00 00:00:00', 0, 0, 'class:finder', 0, '', 103, 104, 0, '*', 1),
(19, 'main', 'com_joomlaupdate', 'Joomla! Update', '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', 1, 1, 1, 28, 0, '0000-00-00 00:00:00', 0, 0, 'class:joomlaupdate', 0, '', 105, 106, 0, '*', 1),
(20, 'main', 'com_tags', 'Tags', '', 'Tags', 'index.php?option=com_tags', 'component', 1, 1, 1, 29, 0, '0000-00-00 00:00:00', 0, 1, 'class:tags', 0, '', 107, 108, 0, '', 1),
(21, 'main', 'com_postinstall', 'Post-installation messages', '', 'Post-installation messages', 'index.php?option=com_postinstall', 'component', 1, 1, 1, 32, 0, '0000-00-00 00:00:00', 0, 1, 'class:postinstall', 0, '', 109, 110, 0, '*', 1),
(22, 'main', 'com_associations', 'Multilingual Associations', '', 'Multilingual Associations', 'index.php?option=com_associations', 'component', 1, 1, 1, 34, 0, '0000-00-00 00:00:00', 0, 0, 'class:associations', 0, '', 111, 112, 0, '*', 1),
(101, 'mainmenu', 'Home', 'home', '', 'home', 'index.php?option=com_sppagebuilder&view=page&id=1', 'component', 1, 1, 1, 10000, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"0\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 31, 32, 1, '*', 0),
(107, 'mainmenu', 'About', 'about', '', 'pages/about', 'index.php?option=com_sppagebuilder&view=page&id=2', 'component', 1, 108, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 68, 69, 0, '*', 0),
(108, 'mainmenu', 'Pages', 'pages', '', 'pages', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"New\\\",\\\"badge_position\\\":\\\"right\\\",\\\"badge_bg_color\\\":\\\"#2ba84a\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 67, 82, 0, '*', 0),
(110, 'mainmenu', 'Registration', 'registration', '', 'pages/registration', 'index.php?Itemid=', 'alias', 1, 108, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"aliasoptions\":\"253\",\"alias_redirect\":1,\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 74, 75, 0, '*', 0),
(111, 'mainmenu', '404', '404', '', 'pages/404', 'index.php?Itemid=404', 'url', 1, 108, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 78, 79, 0, '*', 0),
(112, 'mainmenu', 'Coming Soon', 'coming-soon', '', 'pages/coming-soon', '?tmpl=comingsoon', 'url', 1, 108, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 80, 81, 0, '*', 0),
(113, 'mainmenu', 'Contact', 'contact', '', 'pages/contact', 'index.php?option=com_sppagebuilder&view=page&id=3', 'component', 1, 108, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 70, 71, 0, '*', 0),
(161, 'main', 'COM_SPPAGEBUILDER', 'com-sppagebuilder', '', 'com-sppagebuilder', 'index.php?option=com_sppagebuilder', 'component', 1, 1, 1, 10000, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 113, 114, 0, '', 1),
(165, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_DASHBOARD', 'dashboard', '', 'dashboard', 'index.php?option=com_sellacious&view=dashboard', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"dashboard\",\"menu_image\":\"\",\"menu_text\":1}', 115, 116, 0, '*', 2),
(166, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_SHOP', 'shop', '', 'shop', '#', 'heading', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"shopping-cart\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"category.list\",\"coupon.list\",\"coupon.list.own\",\"product.list\",\"product.list.own\",\"product.edit.pricing\",\"product.edit.seller\",\"product.edit.pricing.own\",\"product.edit.seller.own\",\"shoprule.list\",\"shoprule.list.own\",\"shippingrule.list\",\"shippingrule.list.own\",\"coupon.list\",\"coupon.list.own\",\"order.list\",\"order.list.own\",\"rating.list\",\"rating.list.own\"]}', 117, 138, 0, '*', 2),
(167, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_PRODUCT_CATALOGUE', 'product-catalogue', '', 'shop/product-catalogue', 'index.php?option=com_sellacious&view=products', 'component', 1, 166, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"book\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"product.list\",\"product.list.own\"]}', 118, 119, 0, '*', 2),
(168, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_INVENTORY_MANAGER', 'inventory-manager', '', 'shop/inventory-manager', 'index.php?option=com_sellacious&view=products&layout=bulk', 'component', 1, 166, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"bullseye\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"product.edit.pricing\",\"product.edit.seller\",\"product.edit.pricing.own\",\"product.edit.seller.own\"]}', 120, 121, 0, '*', 2),
(169, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_TAXES_AND_DISCOUNT', 'taxes-discounts', '', 'shop/taxes-discounts', 'index.php?option=com_sellacious&view=shoprules', 'component', 1, 166, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"exchange\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"shoprule.list\",\"shoprule.list.own\"]}', 122, 123, 0, '*', 2),
(170, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_SHIPPING_RULES', 'shipping-rules', '', 'shop/shipping-rules', 'index.php?option=com_sellacious&view=shippingrules', 'component', 1, 166, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"wrench\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"shippingrule.list\", \"shippingrule.list.own\"]}', 124, 125, 0, '*', 2),
(171, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_COUPONS', 'coupons', '', 'shop/coupons', 'index.php?option=com_sellacious&view=coupons', 'component', 1, 166, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"ticket\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"coupon.list\",\"coupon.list.own\"]}', 126, 127, 0, '*', 2),
(172, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_ORDERS', 'orders', '', 'shop/orders', 'index.php?option=com_sellacious&view=orders', 'component', 1, 166, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"paperclip\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"order.list\",\"order.list.own\"]}', 128, 129, 0, '*', 2),
(173, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_REVIEW_AND_RATINGS', 'review-n-ratings', '', 'shop/review-n-ratings', 'index.php?option=com_sellacious&view=ratings', 'component', 1, 166, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"star-half-o\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"rating.list\",\"rating.list.own\"]}', 130, 131, 0, '*', 2),
(174, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_PRODUCT_QUESTIONS', 'product-questions', '', 'shop/product-questions', 'index.php?option=com_sellacious&view=questions', 'component', 1, 166, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"question\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"question.list\",\"question.list.own\"]}', 132, 133, 0, '*', 2),
(175, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_PRODUCT_BUTTONS', 'product-buttons', '', 'shop/product-buttons', 'index.php?option=com_sellacious&view=productbuttons', 'component', 1, 166, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"link\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"productbutton.list\",\"productbutton.list.own\"]}', 134, 135, 0, '*', 2),
(176, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_TRANSACTIONS', 'transactions', '', 'transactions', 'index.php?option=com_sellacious&view=transactions', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"bank\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"transaction.list\",\"transaction.list.own\"]}', 139, 140, 0, '*', 2),
(177, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_USER_PROFILES', 'user-profiles', '', 'user-profiles', '#', 'heading', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"user\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"user.list\"]}', 141, 152, 0, '*', 2),
(178, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_MANUFACTURERS', 'manufacturers', '', 'user-profiles/manufacturers', 'index.php?option=com_sellacious&view=users&filter[profile_type]=mfr', 'component', 1, 177, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"user\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"user.list\"]}', 142, 143, 0, '*', 2),
(179, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_SELLERS', 'sellers', '', 'user-profiles/sellers', 'index.php?option=com_sellacious&view=users&filter[profile_type]=seller', 'component', 1, 177, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"user\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"user.list\"]}', 144, 145, 0, '*', 2),
(180, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_CLIENTS', 'clients', '', 'user-profiles/clients', 'index.php?option=com_sellacious&view=users&filter[profile_type]=client', 'component', 1, 177, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"user\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"user.list\"]}', 146, 147, 0, '*', 2),
(181, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_STAFFS', 'staffs', '', 'user-profiles/staffs', 'index.php?option=com_sellacious&view=users&filter[profile_type]=staff', 'component', 1, 177, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"user\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"user.list\"]}', 148, 149, 0, '*', 2),
(182, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_ALL_USERS', 'all-users', '', 'user-profiles/all-users', 'index.php?option=com_sellacious&view=users&filter[profile_type]=', 'component', 1, 177, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"user\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"user.list\"]}', 150, 151, 0, '*', 2),
(183, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_CATEGORIES', 'categories', '', 'categories', '#', 'heading', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"sitemap\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"category.list\",\"splcategory.list\"]}', 153, 170, 0, '*', 2),
(184, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_SPECIAL_CATEGORIES', 'special-categories', '', 'categories/special-categories', 'index.php?option=com_sellacious&view=splcategories', 'component', 1, 183, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"tags\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"splcategory.list\"]}', 154, 155, 0, '*', 2),
(185, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_ALL_CATEGORIES', 'all-categories', '', 'categories/all-categories', 'index.php?option=com_sellacious&view=categories&filter[type]=', 'component', 1, 183, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"cubes\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"category.list\"],\"menu-page-title\":\"\"}', 156, 157, 0, '*', 2),
(186, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_PHYSICAL_PRODUCT', 'physical-product', '', 'categories/physical-product', 'index.php?option=com_sellacious&view=categories&filter[type]=product/physical', 'component', 1, 183, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"laptop\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"category.list\"],\"menu-page-title\":\"\"}', 158, 159, 0, '*', 2),
(187, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_ELECTRONIC_PRODUCT', 'electronic-product', '', 'categories/electronic-product', 'index.php?option=com_sellacious&view=categories&filter[type]=product/electronic', 'component', 1, 183, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"desktop\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"category.list\"]}', 160, 161, 0, '*', 2),
(188, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_CLIENT', 'client-customer', '', 'categories/client-customer', 'index.php?option=com_sellacious&view=categories&filter[type]=client', 'component', 1, 183, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"empire\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"category.list\"],\"menu-page-title\":\"\"}', 162, 163, 0, '*', 2),
(189, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_STAFF', 'staff', '', 'categories/staff', 'index.php?option=com_sellacious&view=categories&filter[type]=staff', 'component', 1, 183, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"odnoklassniki\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"category.list\"]}', 164, 165, 0, '*', 2),
(190, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_SELLER', 'seller', '', 'categories/seller', 'index.php?option=com_sellacious&view=categories&filter[type]=seller', 'component', 1, 183, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"diamond\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"category.list\"]}', 166, 167, 0, '*', 2),
(191, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_MANUFACTURER', 'manufacturer', '', 'categories/manufacturer', 'index.php?option=com_sellacious&view=categories&filter[type]=manufacturer', 'component', 1, 183, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"industry\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"category.list\"]}', 168, 169, 0, '*', 2),
(192, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_MESSAGES', 'messages', '', 'messages', '#', 'heading', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"envelope\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"message.list\",\"message.list.own\",\"message.create\"]}', 171, 176, 0, '*', 2),
(193, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_READ_MESSAGE', 'read-message', '', 'messages/read-message', 'index.php?option=com_sellacious&view=messages', 'component', 1, 192, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"inbox\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"message.list\",\"message.list.own\"]}', 172, 173, 0, '*', 2),
(194, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_COMPOSE', 'compose', '', 'messages/compose', 'index.php?option=com_sellacious&view=message&layout=edit&id=0', 'component', 1, 192, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"edit\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"message.create\"]}', 174, 175, 0, '*', 2),
(195, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_ADDITIONAL_ATTRIBUTES', 'additional-attributes', '', 'additional-attributes', '#', 'heading', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"check-square-o\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"field.list\"]}', 177, 190, 0, '*', 2),
(196, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_PRODUCT_ATTRIBUTES', 'product-attributes', '', 'additional-attributes/product-attributes', 'index.php?option=com_sellacious&view=fields&filter[context]=product', 'component', 1, 195, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"check-square-o\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"field.list\"]}', 178, 179, 0, '*', 2),
(197, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_USER_ATTRIBUTES', 'user-attributes', '', 'additional-attributes/user-attributes', 'index.php?option=com_sellacious&view=fields&filter[context]=user', 'component', 1, 195, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"check-square-o\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"field.list\"]}', 180, 181, 0, '*', 2),
(198, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_QUERY_FORM_FIELDS', 'query-form-fields', '', 'additional-attributes/query-form-fields', 'index.php?option=com_sellacious&view=fields&filter[context]=queryform', 'component', 1, 195, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"check-square-o\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"field.list\"]}', 182, 183, 0, '*', 2),
(199, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_PAYMENT_FORM_FIELDS', 'payment-form-fields', '', 'additional-attributes/payment-form-fields', 'index.php?option=com_sellacious&view=fields&filter[context]=paymentmethod', 'component', 1, 195, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"check-square-o\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"field.list\"]}', 184, 185, 0, '*', 2),
(200, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_CHECKOUT_FORM_FIELDS', 'checkoutform-fields', '', 'additional-attributes/checkoutform-fields', 'index.php?option=com_sellacious&view=fields&filter[context]=checkoutform', 'component', 1, 195, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"check-square-o\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"field.list\"]}', 186, 187, 0, '*', 2),
(201, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_SHIPPING_FORM_FIELDS', 'shippingmethod-fields', '', 'additional-attributes/shippingmethod-fields', 'index.php?option=com_sellacious&view=fields&filter[context]=shippingmethod', 'component', 1, 195, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"check-square-o\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"field.list\"]}', 188, 189, 0, '*', 2),
(202, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_REPORTING', 'reporting', '', 'reporting', '#', 'heading', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"bar-chart-o\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"mailqueue.list\",\"download.list\",\"download.list.own\"]}', 191, 204, 0, '*', 2),
(203, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_COMMUNICATION_LOG', 'communication-log', '', 'reporting/communication-log', 'index.php?option=com_sellacious&view=mailqueue', 'component', 1, 202, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"at\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"mailqueue.list\"]}', 192, 193, 0, '*', 2),
(204, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_PRODUCT_QUERIES', 'product-queries', '', 'reporting/product-queries', 'index.php?option=com_sellacious&view=mailqueue&context=product_query', 'component', 1, 202, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"at\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"mailqueue.list\"]}', 194, 195, 0, '*', 2),
(205, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_ALL_DOWNLOADS', 'downloads', '', 'reporting/downloads', 'index.php?option=com_sellacious&view=downloads', 'component', 1, 202, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"download\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"download.list\",\"download.list.own\"]}', 196, 197, 0, '*', 2),
(206, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_FILE_WISE_DOWNLOADS', 'file-wise-downloads', '', 'reporting/file-wise-downloads', 'index.php?option=com_sellacious&view=downloads&layout=file', 'component', 1, 202, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"download\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"download.list\",\"download.list.own\"]}', 198, 199, 0, '*', 2),
(207, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_PRODUCT_WISE', 'product-wise-downloads', '', 'reporting/product-wise-downloads', 'index.php?option=com_sellacious&view=downloads&layout=product', 'component', 1, 202, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"download\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"download.list\",\"download.list.own\"]}', 200, 201, 0, '*', 2),
(208, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_ADVANCED_REPORTING', 'advanced-reports', '', 'reporting/advanced-reports', 'index.php?option=com_sellaciousreporting&view=reports', 'component', 1, 202, 2, 10027, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_css\":\"paperclip\",\"menu_show\":1,\"menu-access\":[\"report.list\",\"report.list.own\"]}', 202, 203, 0, '*', 2),
(209, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_IMPORTER', 'importer', '', 'importer', '#', 'heading', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"exchange\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"importer.import\",\"import.list\",\"import.list.own\",\"template.list\",\"template.list.own\"]}', 205, 212, 0, '*', 2),
(210, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_IMPORTER_IMPORT', 'import', '', 'importer/import', 'index.php?option=com_importer&view=import', 'component', 1, 209, 2, 10026, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"upload\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"importer.import\"]}', 206, 207, 0, '*', 2),
(211, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_IMPORTER_TEMPLATES', 'translations', '', 'importer/translations', 'index.php?option=com_importer&view=templates', 'component', 1, 209, 2, 10026, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"file\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"template.list\",\"template.list.own\"]}', 208, 209, 0, '*', 2),
(212, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_IMPORTER_IMPORTS', 'imports', '', 'importer/imports', 'index.php?option=com_importer&view=imports', 'component', 1, 209, 2, 10026, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"list\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"import.list\",\"import.list.own\"]}', 210, 211, 0, '*', 2),
(213, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_LANGUAGES', 'languages', '', 'languages', '#', 'heading', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"globe\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"app.manage\"]}', 213, 218, 0, '*', 2),
(214, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_LANGUAGES', 'languages', '', 'languages/languages', 'index.php?option=com_languages&view=languages', 'component', 1, 213, 2, 11, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"globe\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"app.manage\"]}', 214, 215, 0, '*', 2),
(215, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_LANGUAGE_STRINGS', 'translations', '', 'languages/translations', 'index.php?option=com_languages&view=strings', 'component', 1, 213, 2, 11, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"language\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"app.manage\"]}', 216, 217, 0, '*', 2),
(216, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_SETTINGS', 'settings', '', 'settings', '#', 'heading', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"gear\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"app.manage\",\"permissions.edit\",\"currency.list\",\"status.list\",\"unit.list\",\"paymentmethod.list\",\"location.list\",\"location.list\",\"emailtemplate.edit\"]}', 219, 242, 0, '*', 2),
(217, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_MENUS', 'menu', '', 'settings/menu', 'index.php?option=com_menus&view=items', 'component', 1, 216, 2, 14, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"anchor\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"app.manage\"]}', 220, 221, 0, '*', 2),
(218, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_GLOBAL_CONFIGURATION', 'global-configuration', '', 'settings/global-configuration', 'index.php?option=com_sellacious&view=config', 'component', 1, 216, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"cogs\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"config.edit\"]}', 222, 223, 0, '*', 2),
(219, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_PERMISSIONS', 'permissions', '', 'settings/permissions', 'index.php?option=com_sellacious&view=permissions', 'component', 1, 216, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"lock\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"permissions.edit\"]}', 224, 225, 0, '*', 2),
(220, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_CURRENCIES', 'currencies', '', 'settings/currencies', 'index.php?option=com_sellacious&view=currencies', 'component', 1, 216, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"money\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"currency.list\"],\"menu-page-title\":\"\"}', 226, 227, 0, '*', 2),
(221, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_ORDER_STATUSES', 'order-statuses', '', 'settings/order-statuses', 'index.php?option=com_sellacious&view=statuses', 'component', 1, 216, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"key\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"status.list\"]}', 228, 229, 0, '*', 2),
(222, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_MEASUREMENT_UNITS', 'measurement-units', '', 'settings/measurement-units', 'index.php?option=com_sellacious&view=units', 'component', 1, 216, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"balance-scale\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"unit.list\"]}', 230, 231, 0, '*', 2),
(223, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_PAYMENT_METHODS', 'payment-methods', '', 'settings/payment-methods', 'index.php?option=com_sellacious&view=paymentmethods', 'component', 1, 216, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"bank\",\"menu_image\":\"\",\"menu_text\":1,\"menu-page-title\":\"\",\"menu-access\":[\"paymentmethod.list\"]}', 232, 233, 0, '*', 2),
(224, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_GEOLOCATIONS', 'locations', '', 'settings/locations', 'index.php?option=com_sellacious&view=locations', 'component', 1, 216, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"map-marker\",\"menu_image\":\"\",\"menu_text\":1,\"menu-page-title\":\"\",\"menu-access\":[\"location.list\"]}', 234, 235, 0, '*', 2),
(225, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_EMAIL_TEMPLATES', 'email-templates', '', 'settings/email-templates', 'index.php?option=com_sellacious&view=emailtemplates', 'component', 1, 216, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"lock\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"emailtemplate.edit\"]}', 236, 237, 0, '*', 2),
(226, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_TEMPLATE_MANAGER', 'template-manager', '', 'settings/template-manager', 'index.php?option=com_sellacioustemplates&view=templates', 'component', 1, 216, 2, 10082, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"lock\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"app.admin\"]}', 238, 239, 0, '*', 2),
(227, 'sellacious-menu', 'MOD_SMARTYMENU_MENU_LINK_LICENSES', 'licenses', '', 'settings/licenses', 'index.php?option=com_sellacious&view=licenses', 'component', 1, 216, 2, 10012, 0, '0000-00-00 00:00:00', 0, 0, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"sticky-note\",\"menu_image\":\"\",\"menu_text\":1,\"menu-access\":[\"license.list\"]}', 240, 241, 0, '*', 2),
(228, 'sellacious-menu', 'Delivery Orders', 'delivery-orders', '', 'shop/delivery-orders', 'index.php?option=com_sellaciousdelivery&view=orders', 'component', 1, 166, 2, 10030, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{\"menu-anchor_css\":\"paperclip\",\"menu_show\":1}', 136, 137, 0, '', 2),
(229, 'mainmenu', 'Shop', 'shop', '', 'shop', 'index.php?option=com_sellacious&view=categories&category_id=1', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"image_priority\":\"none\",\"allow_fallback\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":400,\\\"menualign\\\":\\\"center\\\",\\\"megamenu\\\":1,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"Hot\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"#ff0303\\\",\\\"badge_text_color\\\":\\\"#ffffff\\\",\\\"layout\\\":[{\\\"type\\\":\\\"row\\\",\\\"attr\\\":[{\\\"type\\\":\\\"column\\\",\\\"colGrid\\\":\\\"6\\\",\\\"menuParentId\\\":\\\"\\\",\\\"moduleId\\\":\\\"237,230,236\\\",\\\"items\\\":[{\\\"type\\\":\\\"menu_item\\\",\\\"item_id\\\":237},{\\\"type\\\":\\\"menu_item\\\",\\\"item_id\\\":230},{\\\"type\\\":\\\"menu_item\\\",\\\"item_id\\\":236}]},{\\\"type\\\":\\\"column\\\",\\\"colGrid\\\":\\\"6\\\",\\\"menuParentId\\\":\\\"\\\",\\\"moduleId\\\":\\\"231,242\\\",\\\"items\\\":[{\\\"type\\\":\\\"menu_item\\\",\\\"item_id\\\":231},{\\\"type\\\":\\\"menu_item\\\",\\\"item_id\\\":242}]}]}]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 33, 66, 0, '*', 0),
(230, 'mainmenu', 'Camera', 'camera', '', 'shop/camera', 'index.php?option=com_sellacious&view=categories&category_id=15', 'component', 1, 229, 2, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"image_priority\":\"none\",\"allow_fallback\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 34, 35, 0, '*', 0),
(231, 'mainmenu', 'Electronics', 'computers-and-accessories', '', 'shop/computers-and-accessories', 'index.php?option=com_sellacious&view=categories&category_id=4', 'component', 1, 229, 2, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"image_priority\":\"none\",\"allow_fallback\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 36, 41, 0, '*', 0),
(232, 'mainmenu', 'Laptops', 'laptops', '', 'shop/computers-and-accessories/laptops', 'index.php?option=com_sellacious&view=products&layout=category&category_id=5', 'component', 1, 231, 3, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":1,\"menu_text\":\"1\",\"menu_show\":\"1\",\"dropdown_position\":\"right\",\"showmenutitle\":\"1\",\"enable_page_title\":1,\"page_title_bg_image\":\"h3\"}', 37, 38, 0, '*', 0),
(233, 'mainmenu', 'Pendrives', 'pendrives', '', 'shop/computers-and-accessories/pendrives', 'index.php?option=com_sellacious&view=products&layout=category&category_id=10', 'component', 1, 231, 3, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":1,\"menu_text\":\"1\",\"menu_show\":\"1\",\"dropdown_position\":\"right\",\"showmenutitle\":\"1\",\"enable_page_title\":1,\"page_title_bg_image\":\"h3\"}', 39, 40, 0, '*', 0),
(236, 'mainmenu', 'E-Books', 'e-books', '', 'shop/e-books', 'index.php?option=com_sellacious&view=products&layout=category&category_id=103', 'component', 1, 229, 2, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":1,\"menu_text\":\"1\",\"menu_show\":\"1\",\"dropdown_position\":\"right\",\"showmenutitle\":\"1\",\"enable_page_title\":1,\"page_title_bg_image\":\"h3\"}', 42, 43, 0, '*', 0),
(237, 'mainmenu', 'Men', 'men', '', 'shop/men', 'index.php?option=com_sellacious&view=categories&category_id=35', 'component', 1, 229, 2, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"image_priority\":\"none\",\"allow_fallback\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 44, 53, 0, '*', 0),
(238, 'mainmenu', 'Formal Shirts', 'formal-shirts', '', 'shop/men/formal-shirts', 'index.php?option=com_sellacious&view=products&layout=category&category_id=39', 'component', 1, 237, 3, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":1,\"menu_text\":\"1\",\"menu_show\":\"1\",\"dropdown_position\":\"right\",\"showmenutitle\":\"1\",\"enable_page_title\":1,\"page_title_bg_image\":\"h3\"}', 45, 46, 0, '*', 0),
(239, 'mainmenu', 'Grooming', 'grooming', '', 'shop/men/grooming', 'index.php?option=com_sellacious&view=products&layout=category&category_id=77', 'component', 1, 237, 3, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":1,\"menu_text\":\"1\",\"menu_show\":\"1\",\"dropdown_position\":\"right\",\"showmenutitle\":\"1\",\"enable_page_title\":1,\"page_title_bg_image\":\"h3\"}', 47, 48, 0, '*', 0),
(240, 'mainmenu', 'T-Shirts', 't-shirts', '', 'shop/men/t-shirts', 'index.php?option=com_sellacious&view=products&layout=category&category_id=37', 'component', 1, 237, 3, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":1,\"menu_text\":\"1\",\"menu_show\":\"1\",\"dropdown_position\":\"right\",\"showmenutitle\":\"1\",\"enable_page_title\":1,\"page_title_bg_image\":\"h3\"}', 49, 50, 0, '*', 0),
(241, 'mainmenu', 'Winter Wears', 'winter-wears', '', 'shop/men/winter-wears', 'index.php?option=com_sellacious&view=products&layout=category&category_id=42', 'component', 1, 237, 3, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":1,\"menu_text\":\"1\",\"menu_show\":\"1\",\"dropdown_position\":\"right\",\"showmenutitle\":\"1\",\"enable_page_title\":1,\"page_title_bg_image\":\"h3\"}', 51, 52, 0, '*', 0),
(242, 'mainmenu', 'Television', 'television', '', 'shop/television', 'index.php?option=com_sellacious&view=categories&category_id=114', 'component', 1, 229, 2, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"image_priority\":\"none\",\"allow_fallback\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 54, 65, 0, '*', 0),
(243, 'mainmenu', 'LG', 'lg', '', 'shop/television/lg', 'index.php?option=com_sellacious&view=products&layout=category&category_id=115', 'component', 1, 242, 3, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":1,\"menu_text\":\"1\",\"menu_show\":\"1\",\"dropdown_position\":\"right\",\"showmenutitle\":\"1\",\"enable_page_title\":1,\"page_title_bg_image\":\"h3\"}', 55, 56, 0, '*', 0),
(244, 'mainmenu', 'Panasonic', 'panasonic', '', 'shop/television/panasonic', 'index.php?option=com_sellacious&view=products&layout=category&category_id=119', 'component', 1, 242, 3, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":1,\"menu_text\":\"1\",\"menu_show\":\"1\",\"dropdown_position\":\"right\",\"showmenutitle\":\"1\",\"enable_page_title\":1,\"page_title_bg_image\":\"h3\"}', 57, 58, 0, '*', 0),
(245, 'mainmenu', 'Samsung', 'samsung', '', 'shop/television/samsung', 'index.php?option=com_sellacious&view=products&layout=category&category_id=116', 'component', 1, 242, 3, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":1,\"menu_text\":\"1\",\"menu_show\":\"1\",\"dropdown_position\":\"right\",\"showmenutitle\":\"1\",\"enable_page_title\":1,\"page_title_bg_image\":\"h3\"}', 59, 60, 0, '*', 0),
(246, 'mainmenu', 'Sansui', 'sansui', '', 'shop/television/sansui', 'index.php?option=com_sellacious&view=products&layout=category&category_id=118', 'component', 1, 242, 3, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":1,\"menu_text\":\"1\",\"menu_show\":\"1\",\"dropdown_position\":\"right\",\"showmenutitle\":\"1\",\"enable_page_title\":1,\"page_title_bg_image\":\"h3\"}', 61, 62, 0, '*', 0),
(247, 'mainmenu', 'Sony', 'sony', '', 'shop/television/sony', 'index.php?option=com_sellacious&view=products&layout=category&category_id=117', 'component', 1, 242, 3, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":1,\"menu_text\":\"1\",\"menu_show\":\"1\",\"dropdown_position\":\"right\",\"showmenutitle\":\"1\",\"enable_page_title\":1,\"page_title_bg_image\":\"h3\"}', 63, 64, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(248, 'information', 'Shipping Policy', 'shipping-policy', '', 'shipping-policy', 'index.php?option=com_sppagebuilder&view=page&id=5', 'component', 1, 1, 1, 10000, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 243, 244, 0, '*', 0),
(249, 'information', 'Privacy Policy', 'privacy-policy', '', 'privacy-policy', 'index.php?option=com_sppagebuilder&view=page&id=6', 'component', 1, 1, 1, 10000, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 245, 246, 0, '*', 0),
(250, 'information', 'Cancelations & Refunds', 'cancelations-refunds', '', 'cancelations-refunds', 'index.php?option=com_sppagebuilder&view=page&id=7', 'component', 1, 1, 1, 10000, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 247, 248, 0, '*', 0),
(251, 'information', 'Terms and Conditions', 'terms-and-conditions', '', 'terms-and-conditions', 'index.php?option=com_sppagebuilder&view=page&id=8', 'component', 1, 1, 1, 10000, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 249, 250, 0, '*', 0),
(252, 'useful-links', 'Register as a Seller', 'register-as-a-seller', '', 'register-as-a-seller', 'index.php?option=com_sellacious&view=seller&catid=137', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 265, 266, 0, '*', 0),
(253, 'useful-links', 'Register as a Customer', 'register-as-a-customer', '', 'register-as-a-customer', 'index.php?option=com_sellacious&view=register', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 267, 268, 0, '*', 0),
(254, 'quick-links', 'Registered Stores', 'registered-stores', '', 'registered-stores', 'index.php?option=com_sellacious&view=stores', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 251, 252, 0, '*', 0),
(255, 'quick-links', 'Shopping Cart', 'shopping-cart', '', 'shopping-cart', 'index.php?option=com_sellacious&view=cart', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 253, 254, 0, '*', 0),
(256, 'hidden-menu', 'My Shop', 'my-shop', '', 'my-shop', 'index.php?option=com_sellacious&view=sellacious', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 255, 256, 0, '*', 0),
(257, 'hidden-menu', 'Products', 'products', '', 'products', 'index.php?option=com_sellacious&view=products&category_id=1', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 257, 258, 0, '*', 0),
(258, 'hidden-menu', 'Product', 'product', '', 'product', 'index.php?option=com_sellacious&view=product', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 259, 260, 0, '*', 0),
(259, 'hidden-menu', 'Store', 'store', '', 'store', 'index.php?option=com_sellacious&view=store', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 261, 262, 0, '*', 0),
(260, 'hidden-menu', 'OPC', 'opc', '', 'opc', 'index.php?option=com_sellaciousopc&view=opc', 'component', 1, 1, 1, 10029, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 263, 264, 0, '*', 0),
(261, 'quick-links', 'Wishlist', 'wishlist', '', 'wishlist', 'index.php?option=com_sellacious&view=wishlist', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 269, 270, 0, '*', 0),
(262, 'quick-links', 'Shop', 'shop2', '', 'shop2', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"aliasoptions\":\"229\",\"alias_redirect\":1,\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 271, 272, 0, '*', 0),
(263, 'useful-links', 'About Us', 'about-us', '', 'about-us', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"aliasoptions\":\"107\",\"alias_redirect\":1,\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 273, 274, 0, '*', 0),
(264, 'useful-links', 'Contact Us', 'contact-us', '', 'contact-us', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"aliasoptions\":\"113\",\"alias_redirect\":1,\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"1\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 275, 276, 0, '*', 0),
(265, 'mainmenu', 'Wishlist', 'wishlist2', '', 'wishlist2', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"aliasoptions\":\"261\",\"alias_redirect\":1,\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":\\\"\\\",\\\"faicon\\\":\\\"fa-heart-o\\\",\\\"customclass\\\":\\\"custom-icon\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 277, 278, 0, '*', 0),
(268, 'my-account', 'Your Orders', 'your-orders', '', 'your-orders', 'index.php?option=com_sellacious&view=orders', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 2, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 11, 12, 0, '*', 0),
(269, 'my-account', 'Logout', 'logout', '', 'logout', 'index.php?option=com_users&view=login&layout=logout&task=user.menulogout', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 2, ' ', 0, '{\"logout\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"mobile-logout\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 27, 28, 0, '*', 0),
(270, 'my-account', 'Edit Your Profile', 'edit-your-profile', '', 'edit-your-profile', 'index.php?option=com_sellacious&view=profile&layout=edit', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 13, 14, 0, '*', 0),
(271, 'my-account', 'Your Favourite Stores', 'your-favourite-stores', '', 'your-favourite-stores', 'index.php?option=com_sellacious&view=favoritestores', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 15, 16, 0, '*', 0),
(272, 'my-account', 'Your Questions', 'your-questions', '', 'your-questions', 'index.php?option=com_sellacious&view=userquestions', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 17, 18, 0, '*', 0),
(273, 'my-account', 'Your Reviews', 'your-reviews', '', 'your-reviews', 'index.php?option=com_sellacious&view=userreviews', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 21, 22, 0, '*', 0),
(274, 'my-account', 'Your Transactions', 'your-transactions', '', 'your-transactions', 'index.php?option=com_sellacious&view=transactions', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 23, 24, 0, '*', 0),
(275, 'my-account', 'Manage Your Addresses', 'manage-your-addresses', '', 'manage-your-addresses', 'index.php?option=com_sellacious&view=addresses', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 25, 26, 0, '*', 0),
(276, 'mainmenu', 'My Account', 'my-account', '', 'my-account', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 2, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"helixultimatemenulayout\":\"{\\\"width\\\":300,\\\"menualign\\\":\\\"center\\\",\\\"megamenu\\\":1,\\\"showtitle\\\":\\\"\\\",\\\"faicon\\\":\\\"fa-user\\\",\\\"customclass\\\":\\\"custom-icon\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[{\\\"type\\\":\\\"row\\\",\\\"attr\\\":[{\\\"type\\\":\\\"column\\\",\\\"colGrid\\\":\\\"12\\\",\\\"menuParentId\\\":\\\"\\\",\\\"moduleId\\\":\\\"143,141\\\",\\\"items\\\":[{\\\"type\\\":\\\"module\\\",\\\"item_id\\\":143},{\\\"type\\\":\\\"module\\\",\\\"item_id\\\":141}]}]}]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 279, 280, 0, '*', 0),
(278, 'mainmenu', 'Login', 'login', '', 'login', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 5, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"mobile-login\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"helixultimatemenulayout\":\"{\\\"width\\\":300,\\\"menualign\\\":\\\"left\\\",\\\"megamenu\\\":1,\\\"showtitle\\\":\\\"\\\",\\\"faicon\\\":\\\"fa-user\\\",\\\"customclass\\\":\\\"custom-icon\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[{\\\"type\\\":\\\"row\\\",\\\"attr\\\":[{\\\"type\\\":\\\"column\\\",\\\"colGrid\\\":\\\"12\\\",\\\"menuParentId\\\":\\\"\\\",\\\"moduleId\\\":\\\"143\\\",\\\"items\\\":[{\\\"type\\\":\\\"module\\\",\\\"item_id\\\":143}]}]}]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 281, 282, 0, '*', 0),
(282, 'mainmenu', 'Seller Login', 'seller-login', '', 'pages/seller-login', 'sellacious', 'url', 1, 108, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 72, 73, 0, '*', 0),
(283, 'my-account', 'Seller Login', 'seller-login', '', 'seller-login', 'sellacious', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 29, 30, 0, '*', 0),
(284, 'my-account', 'Your Messages', 'your-messages', '', 'your-messages', 'index.php?option=com_sellacious&view=messages', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 19, 20, 0, '*', 0),
(285, 'main', 'COM_SELLACIOUS', 'com-sellacious', '', 'com-sellacious', 'index.php?option=com_sellacious', 'component', 1, 1, 1, 10012, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 283, 284, 0, '', 1),
(286, 'mainmenu', 'Sellacious Categories', 'sellacious-categories', '', 'pages/sellacious-categories', 'index.php?option=com_sellacious&view=categories&category_id=15', 'component', 1, 108, 2, 10012, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"image_priority\":\"none\",\"allow_fallback\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"helixultimatemenulayout\":\"{\\\"width\\\":600,\\\"menualign\\\":\\\"right\\\",\\\"megamenu\\\":0,\\\"showtitle\\\":1,\\\"faicon\\\":\\\"\\\",\\\"customclass\\\":\\\"\\\",\\\"dropdown\\\":\\\"right\\\",\\\"badge\\\":\\\"\\\",\\\"badge_position\\\":\\\"\\\",\\\"badge_bg_color\\\":\\\"\\\",\\\"badge_text_color\\\":\\\"\\\",\\\"layout\\\":[]}\",\"helixultimate_enable_page_title\":\"0\",\"helixultimate_page_title_alt\":\"\",\"helixultimate_page_subtitle\":\"\",\"helixultimate_page_title_heading\":\"h2\",\"helixultimate_page_title_bg_color\":\"\",\"helixultimate_page_title_bg_image\":\"\"}', 76, 77, 0, '*', 0);

CREATE TABLE IF NOT EXISTS `#__menu_types` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  `client_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__menu_types` (`id`, `asset_id`, `menutype`, `title`, `description`, `client_id`) VALUES
(1, 0, 'mainmenu', 'Main Menu', 'The main menu for the site', 0),
(2, 75, 'information', 'Information', '', 0),
(3, 76, 'quick-links', 'Quick Links', '', 0),
(4, 96, 'sellacious-menu', 'Sellacious Backoffice Menu', 'Menu for Sellacious Backoffice', 2),
(5, 134, 'hidden-menu', 'Hidden Menu', '', 0),
(6, 136, 'useful-links', 'Useful Links', '', 0),
(7, 145, 'my-account', 'My Account', '', 0);

CREATE TABLE IF NOT EXISTS `#__messages` (
  `message_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `user_id_to` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__messages_cfg` (
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) UNSIGNED NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(2, 40, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 41, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{\"count\":\"5\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', 1, '*'),
(4, 42, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{\"count\":\"5\",\"ordering\":\"c_dsc\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', 1, '*'),
(8, 43, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 44, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 45, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{\"count\":\"5\",\"name\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', 1, '*'),
(12, 46, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{\"layout\":\"\",\"moduleclass_sfx\":\"\",\"shownew\":\"1\",\"showhelp\":\"1\",\"cache\":\"0\"}', 1, '*'),
(13, 47, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 48, 'User Status', '', '', 2, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 49, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(17, 51, 'Breadcrumbs', '', '', 1, 'breadcrumb', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_breadcrumbs', 1, 1, '{\"showHere\":1,\"showHome\":1,\"homeText\":\"\",\"showLast\":1,\"separator\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":0,\"cache_time\":0,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(79, 52, 'Multilanguage status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_multilangstatus', 3, 1, '{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', 1, '*'),
(86, 53, 'Joomla Version', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_version', 3, 1, '{\"format\":\"short\",\"product\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', 1, '*'),
(87, 55, 'Sample Data', '', '', 0, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_sampledata', 6, 1, '{}', 1, '*'),
(89, 58, 'SP Page Builder', '', '', 0, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sppagebuilder_icons', 1, 1, '', 1, '*'),
(90, 59, 'SP Page Builder Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sppagebuilder_admin_menu', 1, 1, '', 1, '*'),
(99, 89, 'Offcanvas', '', '', 2, 'offcanvas', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 2, 0, '{\"menutype\":\"my-account\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(100, 0, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 1, 1, '', 2, '*'),
(101, 0, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 1, 1, '', 2, '*'),
(102, 0, 'Smarty Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_smartymenu', 1, 0, '{\"menutype\":\"sellacious-menu\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 2, '*'),
(103, 0, 'Breadcrumbs', '', '', 1, 'ribbon-left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_breadcrumbs', 1, 1, '{\"moduleclass_sfx\":\"\",\"showHome\":\"1\",\"homeText\":\"\",\"showComponent\":\"1\",\"separator\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', 2, '*'),
(104, 0, 'Footer', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_footer', 1, 1, '{\"moduleclass_sfx\":\"\"}', 2, '*'),
(126, 123, 'About Squick 2.0', '', '', 1, 'bottom1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sppagebuilder', 1, 1, '{\"content\":\"[{\\\"id\\\":1583902043323,\\\"visibility\\\":true,\\\"collapse\\\":false,\\\"settings\\\":{\\\"admin_label\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"heading_selector\\\":\\\"h3\\\",\\\"title_fontsize\\\":\\\"\\\",\\\"title_fontweight\\\":\\\"\\\",\\\"title_position\\\":\\\"sppb-text-center\\\",\\\"columns_align_center\\\":0,\\\"fullscreen\\\":0,\\\"no_gutter\\\":0,\\\"padding\\\":{\\\"md\\\":\\\"5px 0px 10px 0px\\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"margin\\\":{\\\"md\\\":\\\"0px 0px 0px 0px\\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"background_image\\\":\\\"\\\",\\\"background_repeat\\\":\\\"no-repeat\\\",\\\"background_size\\\":\\\"cover\\\",\\\"background_attachment\\\":\\\"fixed\\\",\\\"background_position\\\":\\\"0 0\\\",\\\"background_video\\\":0,\\\"hidden_xs\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_md\\\":0,\\\"animationduration\\\":\\\"300\\\",\\\"animationdelay\\\":\\\"0\\\"},\\\"layout\\\":\\\"12\\\",\\\"columns\\\":[{\\\"id\\\":1583902043322,\\\"class_name\\\":\\\"col-md-12\\\",\\\"visibility\\\":true,\\\"settings\\\":{\\\"background_image\\\":\\\"\\\",\\\"background_repeat\\\":\\\"no-repeat\\\",\\\"background_size\\\":\\\"cover\\\",\\\"background_attachment\\\":\\\"scroll\\\",\\\"background_position\\\":\\\"0 0\\\",\\\"items_align_center\\\":0,\\\"boxshadow\\\":\\\"0 0 0 0 #fff\\\",\\\"sm_col\\\":\\\"\\\",\\\"xs_col\\\":\\\"\\\",\\\"hidden_xs\\\":\\\"\\\",\\\"hidden_sm\\\":\\\"\\\",\\\"hidden_md\\\":\\\"\\\",\\\"animationduration\\\":\\\"300\\\",\\\"animationdelay\\\":\\\"0\\\"},\\\"addons\\\":[{\\\"id\\\":1583902043326,\\\"name\\\":\\\"text_block\\\",\\\"visibility\\\":true,\\\"settings\\\":{\\\"default\\\":{\\\"admin_label\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"heading_selector\\\":\\\"h3\\\",\\\"title_fontsize\\\":\\\"\\\",\\\"title_lineheight\\\":\\\"\\\",\\\"title_letterspace\\\":\\\"0\\\",\\\"title_fontweight\\\":\\\"\\\",\\\"text\\\":\\\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer adipiscing erat eget risus sollicitudin pellentesque et non erat. Maecenas nibh dolor, malesuada et bibendum a, sagittis accumsan ipsum. Pellentesque ultrices ultrices sapien, nec tincidunt nunc posuere ut. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam scelerisque tristique dolor vitae tincidunt. Aenean quis massa uada mi elementum elementum. Nec sapien convallis vulputate rhoncus vel dui.\\\",\\\"alignment\\\":\\\"\\\",\\\"text_fontsize\\\":\\\"\\\",\\\"text_lineheight\\\":\\\"\\\",\\\"dropcap\\\":0,\\\"class\\\":\\\"\\\"},\\\"dropcap\\\":0,\\\"global_use_background\\\":0,\\\"global_user_border\\\":0,\\\"global_margin\\\":{\\\"md\\\":\\\"   \\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"global_padding\\\":{\\\"md\\\":\\\"   \\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"global_use_animation\\\":0,\\\"use_global_width\\\":0,\\\"hidden_md\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_xs\\\":0,\\\"admin_label\\\":\\\"About Sellacious\\\",\\\"text\\\":\\\"<p>A Flexible and Scalable Joomla eCommerce and Marketplace<\\/p>\\\"}}]}]},{\\\"id\\\":1583902714170,\\\"visibility\\\":true,\\\"collapse\\\":false,\\\"settings\\\":{\\\"admin_label\\\":\\\"Address\\\",\\\"title\\\":\\\"\\\",\\\"heading_selector\\\":\\\"h3\\\",\\\"title_fontsize\\\":\\\"\\\",\\\"title_fontweight\\\":\\\"\\\",\\\"title_position\\\":\\\"sppb-text-center\\\",\\\"columns_align_center\\\":0,\\\"fullscreen\\\":0,\\\"no_gutter\\\":0,\\\"padding\\\":{\\\"md\\\":\\\"0px 0px 5px 0px\\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"margin\\\":{\\\"md\\\":\\\"0px 0px 0px 0px\\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"background_image\\\":\\\"\\\",\\\"background_repeat\\\":\\\"no-repeat\\\",\\\"background_size\\\":\\\"cover\\\",\\\"background_attachment\\\":\\\"fixed\\\",\\\"background_position\\\":\\\"0 0\\\",\\\"background_video\\\":0,\\\"hidden_xs\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_md\\\":0,\\\"animationduration\\\":\\\"300\\\",\\\"animationdelay\\\":\\\"0\\\"},\\\"layout\\\":\\\"2,10\\\",\\\"columns\\\":[{\\\"id\\\":1583902714169,\\\"class_name\\\":\\\"col-md-2\\\",\\\"visibility\\\":true,\\\"settings\\\":{\\\"background_image\\\":\\\"\\\",\\\"background_repeat\\\":\\\"no-repeat\\\",\\\"background_size\\\":\\\"cover\\\",\\\"background_attachment\\\":\\\"scroll\\\",\\\"background_position\\\":\\\"0 0\\\",\\\"items_align_center\\\":0,\\\"boxshadow\\\":\\\"0 0 0 0 #fff\\\",\\\"sm_col\\\":\\\"\\\",\\\"xs_col\\\":\\\"\\\",\\\"hidden_xs\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_md\\\":0,\\\"animationduration\\\":\\\"300\\\",\\\"animationdelay\\\":\\\"0\\\",\\\"padding\\\":{\\\"md\\\":\\\"0px 0px 0px 0px\\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"}},\\\"addons\\\":[{\\\"id\\\":1583902399870,\\\"name\\\":\\\"icon\\\",\\\"visibility\\\":true,\\\"settings\\\":{\\\"default\\\":{\\\"admin_label\\\":\\\"\\\",\\\"name\\\":\\\"fa-cogs\\\",\\\"link\\\":\\\"\\\",\\\"size\\\":{\\\"md\\\":36},\\\"width\\\":{\\\"md\\\":96},\\\"height\\\":{\\\"md\\\":96},\\\"use_hover\\\":0,\\\"hover_effect\\\":\\\"zoom-in\\\",\\\"alignment\\\":\\\"sppb-text-center\\\",\\\"class\\\":\\\"\\\"},\\\"margin\\\":{\\\"md\\\":\\\"   \\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"use_hover\\\":0,\\\"global_use_background\\\":0,\\\"global_user_border\\\":0,\\\"global_margin\\\":{\\\"md\\\":\\\"   \\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"global_padding\\\":{\\\"md\\\":\\\"   \\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"global_use_animation\\\":0,\\\"use_global_width\\\":0,\\\"hidden_md\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_xs\\\":0,\\\"name\\\":\\\"fa-location-arrow\\\",\\\"color\\\":\\\"#00aeef\\\"}}]},{\\\"id\\\":1583902714171,\\\"class_name\\\":\\\"col-md-10\\\",\\\"visibility\\\":true,\\\"settings\\\":{\\\"default\\\":{\\\"background_image\\\":\\\"\\\",\\\"background_repeat\\\":\\\"no-repeat\\\",\\\"background_size\\\":\\\"cover\\\",\\\"background_attachment\\\":\\\"scroll\\\",\\\"background_position\\\":\\\"0 0\\\",\\\"items_align_center\\\":0,\\\"boxshadow\\\":\\\"0 0 0 0 #fff\\\",\\\"sm_col\\\":\\\"\\\",\\\"xs_col\\\":\\\"\\\",\\\"hidden_xs\\\":\\\"\\\",\\\"hidden_sm\\\":\\\"\\\",\\\"hidden_md\\\":\\\"\\\",\\\"animationduration\\\":\\\"300\\\",\\\"animationdelay\\\":\\\"0\\\"},\\\"items_align_center\\\":0,\\\"padding\\\":{\\\"md\\\":\\\"0px 0px 0px 0px\\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"hidden_xs\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_md\\\":0},\\\"addons\\\":[{\\\"id\\\":1583902399873,\\\"name\\\":\\\"text_block\\\",\\\"visibility\\\":true,\\\"settings\\\":{\\\"default\\\":{\\\"admin_label\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"heading_selector\\\":\\\"h3\\\",\\\"title_fontsize\\\":\\\"\\\",\\\"title_lineheight\\\":\\\"\\\",\\\"title_letterspace\\\":\\\"0\\\",\\\"title_fontweight\\\":\\\"\\\",\\\"text\\\":\\\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer adipiscing erat eget risus sollicitudin pellentesque et non erat. Maecenas nibh dolor, malesuada et bibendum a, sagittis accumsan ipsum. Pellentesque ultrices ultrices sapien, nec tincidunt nunc posuere ut. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam scelerisque tristique dolor vitae tincidunt. Aenean quis massa uada mi elementum elementum. Nec sapien convallis vulputate rhoncus vel dui.\\\",\\\"alignment\\\":\\\"\\\",\\\"text_fontsize\\\":\\\"\\\",\\\"text_lineheight\\\":\\\"\\\",\\\"dropcap\\\":0,\\\"class\\\":\\\"\\\"},\\\"global_use_background\\\":0,\\\"global_user_border\\\":0,\\\"global_margin\\\":{\\\"md\\\":\\\"   -20px\\\",\\\"sm\\\":\\\"   0px\\\",\\\"xs\\\":\\\"   0px\\\"},\\\"global_padding\\\":{\\\"md\\\":\\\"   \\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"global_use_animation\\\":0,\\\"use_global_width\\\":0,\\\"hidden_md\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_xs\\\":0,\\\"dropcap\\\":0,\\\"title\\\":\\\"\\\",\\\"heading_selector\\\":\\\"h6\\\",\\\"text\\\":\\\"551 Wall Street, USA, New York\\\"}}]}]},{\\\"id\\\":1583902714172,\\\"visibility\\\":true,\\\"collapse\\\":false,\\\"settings\\\":{\\\"admin_label\\\":\\\"Phone\\\",\\\"title\\\":\\\"\\\",\\\"heading_selector\\\":\\\"h3\\\",\\\"title_fontsize\\\":\\\"\\\",\\\"title_fontweight\\\":\\\"\\\",\\\"title_position\\\":\\\"sppb-text-center\\\",\\\"columns_align_center\\\":0,\\\"fullscreen\\\":0,\\\"no_gutter\\\":0,\\\"padding\\\":{\\\"md\\\":\\\"5px 0px 0px 0px\\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"margin\\\":{\\\"md\\\":\\\"0px 0px 0px 0px\\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"background_image\\\":\\\"\\\",\\\"background_repeat\\\":\\\"no-repeat\\\",\\\"background_size\\\":\\\"cover\\\",\\\"background_attachment\\\":\\\"fixed\\\",\\\"background_position\\\":\\\"0 0\\\",\\\"background_video\\\":0,\\\"hidden_xs\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_md\\\":0,\\\"animationduration\\\":\\\"300\\\",\\\"animationdelay\\\":\\\"0\\\"},\\\"layout\\\":\\\"2,10\\\",\\\"columns\\\":[{\\\"id\\\":1583902714173,\\\"class_name\\\":\\\"col-md-2\\\",\\\"visibility\\\":true,\\\"settings\\\":{\\\"background_image\\\":\\\"\\\",\\\"background_repeat\\\":\\\"no-repeat\\\",\\\"background_size\\\":\\\"cover\\\",\\\"background_attachment\\\":\\\"scroll\\\",\\\"background_position\\\":\\\"0 0\\\",\\\"items_align_center\\\":0,\\\"boxshadow\\\":\\\"0 0 0 0 #fff\\\",\\\"sm_col\\\":\\\"\\\",\\\"xs_col\\\":\\\"\\\",\\\"hidden_xs\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_md\\\":0,\\\"animationduration\\\":\\\"300\\\",\\\"animationdelay\\\":\\\"0\\\",\\\"padding\\\":{\\\"md\\\":\\\"0px 0px 0px 0px\\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"}},\\\"addons\\\":[{\\\"id\\\":1583902520911,\\\"name\\\":\\\"icon\\\",\\\"visibility\\\":true,\\\"settings\\\":{\\\"default\\\":{\\\"admin_label\\\":\\\"\\\",\\\"name\\\":\\\"fa-cogs\\\",\\\"link\\\":\\\"\\\",\\\"size\\\":{\\\"md\\\":36},\\\"width\\\":{\\\"md\\\":96},\\\"height\\\":{\\\"md\\\":96},\\\"use_hover\\\":0,\\\"hover_effect\\\":\\\"zoom-in\\\",\\\"alignment\\\":\\\"sppb-text-center\\\",\\\"class\\\":\\\"\\\"},\\\"margin\\\":{\\\"md\\\":\\\"   \\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"use_hover\\\":0,\\\"global_use_background\\\":0,\\\"global_user_border\\\":0,\\\"global_margin\\\":{\\\"md\\\":\\\"   \\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"global_padding\\\":{\\\"md\\\":\\\"   \\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"global_use_animation\\\":0,\\\"use_global_width\\\":0,\\\"hidden_md\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_xs\\\":0,\\\"name\\\":\\\"fa-mobile-phone\\\",\\\"color\\\":\\\"#00aeef\\\"}}]},{\\\"id\\\":1583902714175,\\\"class_name\\\":\\\"col-md-10\\\",\\\"visibility\\\":true,\\\"settings\\\":{\\\"default\\\":{\\\"background_image\\\":\\\"\\\",\\\"background_repeat\\\":\\\"no-repeat\\\",\\\"background_size\\\":\\\"cover\\\",\\\"background_attachment\\\":\\\"scroll\\\",\\\"background_position\\\":\\\"0 0\\\",\\\"items_align_center\\\":0,\\\"boxshadow\\\":\\\"0 0 0 0 #fff\\\",\\\"sm_col\\\":\\\"\\\",\\\"xs_col\\\":\\\"\\\",\\\"hidden_xs\\\":\\\"\\\",\\\"hidden_sm\\\":\\\"\\\",\\\"hidden_md\\\":\\\"\\\",\\\"animationduration\\\":\\\"300\\\",\\\"animationdelay\\\":\\\"0\\\"},\\\"items_align_center\\\":0,\\\"padding\\\":{\\\"md\\\":\\\"0px 0px 0px 0px\\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"hidden_xs\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_md\\\":0},\\\"addons\\\":[{\\\"id\\\":1583902520914,\\\"name\\\":\\\"text_block\\\",\\\"visibility\\\":true,\\\"settings\\\":{\\\"default\\\":{\\\"admin_label\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"heading_selector\\\":\\\"h3\\\",\\\"title_fontsize\\\":\\\"\\\",\\\"title_lineheight\\\":\\\"\\\",\\\"title_letterspace\\\":\\\"0\\\",\\\"title_fontweight\\\":\\\"\\\",\\\"text\\\":\\\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer adipiscing erat eget risus sollicitudin pellentesque et non erat. Maecenas nibh dolor, malesuada et bibendum a, sagittis accumsan ipsum. Pellentesque ultrices ultrices sapien, nec tincidunt nunc posuere ut. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam scelerisque tristique dolor vitae tincidunt. Aenean quis massa uada mi elementum elementum. Nec sapien convallis vulputate rhoncus vel dui.\\\",\\\"alignment\\\":\\\"\\\",\\\"text_fontsize\\\":\\\"\\\",\\\"text_lineheight\\\":\\\"\\\",\\\"dropcap\\\":0,\\\"class\\\":\\\"\\\"},\\\"global_use_background\\\":0,\\\"global_user_border\\\":0,\\\"global_margin\\\":{\\\"md\\\":\\\"   -20px\\\",\\\"sm\\\":\\\"   0px\\\",\\\"xs\\\":\\\"   0px\\\"},\\\"global_padding\\\":{\\\"md\\\":\\\"   \\\",\\\"sm\\\":\\\"   \\\",\\\"xs\\\":\\\"   \\\"},\\\"global_use_animation\\\":0,\\\"use_global_width\\\":0,\\\"hidden_md\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_xs\\\":0,\\\"dropcap\\\":0,\\\"title\\\":\\\"\\\",\\\"heading_selector\\\":\\\"h6\\\",\\\"text\\\":\\\"Phone: (064) 312-1013\\\"}}]}]}]\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(127, 124, 'Latest Products', '', '', 1, 'pagebuilder', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sellacious_products', 1, 0, '{\"module_type\":\"latest\",\"section_title\":\"\",\"section_desc\":\"\",\"layout\":\"carousel\",\"product_block_layout\":\"elegant\",\"autoplay\":\"1\",\"autoplayspeed\":\"3000\",\"gutter\":\"8\",\"responsive0to500\":\"1\",\"responsive500\":\"2\",\"responsive992\":\"3\",\"responsive1200\":\"4\",\"responsive1400\":\"4\",\"total_products\":\"20\",\"splcategory\":\"\",\"related_for\":\"\",\"products_by\":\"sid\",\"sellers\":\"\",\"current_page_seller_products\":\"1\",\"standout_special_category\":\"0\",\"featurelist\":\"0\",\"displayratings\":\"0\",\"displaycomparebtn\":\"1\",\"displayaddtocartbtn\":\"1\",\"displaybuynowbtn\":\"1\",\"displayproductprice\":\"1\",\"displayquickviewbtn\":\"1\",\"class_sfx\":\"\",\"ordering\":\"order_max\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(128, 125, 'Men\'s Clothing', '', '', 1, 'pagebuilder', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sellacious_products', 1, 0, '{\"module_type\":\"default\",\"section_title\":\"\",\"section_desc\":\"\",\"layout\":\"carousel\",\"product_block_layout\":\"elegant\",\"autoplay\":\"0\",\"autoplayspeed\":\"3000\",\"gutter\":\"8\",\"responsive0to500\":\"1\",\"responsive500\":\"2\",\"responsive992\":\"3\",\"responsive1200\":\"4\",\"responsive1400\":\"4\",\"total_products\":\"20\",\"categories\":[\"35\"],\"splcategory\":\"\",\"related_for\":\"\",\"products_by\":\"sid\",\"sellers\":\"\",\"current_page_seller_products\":\"1\",\"standout_special_category\":\"0\",\"featurelist\":\"0\",\"displayratings\":\"0\",\"displaycomparebtn\":\"1\",\"displayaddtocartbtn\":\"1\",\"displaybuynowbtn\":\"1\",\"displayproductprice\":\"1\",\"displayquickviewbtn\":\"1\",\"class_sfx\":\"\",\"ordering\":\"order_max\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(129, 126, 'Highlighted Products', '', '', 1, 'pagebuilder', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sellacious_products', 1, 0, '{\"module_type\":\"special_cats\",\"section_title\":\"\",\"section_desc\":\"\",\"layout\":\"carousel\",\"product_block_layout\":\"elegant\",\"autoplay\":\"0\",\"autoplayspeed\":\"3000\",\"gutter\":\"8\",\"responsive0to500\":\"1\",\"responsive500\":\"2\",\"responsive992\":\"3\",\"responsive1200\":\"4\",\"responsive1400\":\"4\",\"total_products\":\"20\",\"splcategory\":\"\",\"related_for\":\"\",\"products_by\":\"sid\",\"sellers\":\"\",\"current_page_seller_products\":\"1\",\"standout_special_category\":\"0\",\"featurelist\":\"0\",\"displayratings\":\"1\",\"displaycomparebtn\":\"1\",\"displayaddtocartbtn\":\"1\",\"displaybuynowbtn\":\"1\",\"displayproductprice\":\"1\",\"displayquickviewbtn\":\"1\",\"class_sfx\":\"\",\"ordering\":\"order_max\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(130, 127, 'Seller Stores', '', '', 1, 'pagebuilder', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sellacious_stores', 1, 0, '{\"section_title\":\"\",\"section_desc\":\"\",\"total_records\":\"50\",\"category_id\":\"\",\"display_ratings\":\"1\",\"display_product_count\":\"1\",\"layout\":\"grid\",\"autoplay\":\"0\",\"autoplayspeed\":\"3000\",\"gutter\":\"8\",\"responsive0to500\":\"1\",\"responsive500\":\"2\",\"responsive992\":\"3\",\"responsive1200\":\"4\",\"responsive1400\":\"4\",\"ordering\":\"2\",\"orderby\":\"DESC\",\"class_sfx\":\"\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(131, 128, 'Information', '', '', 1, 'bottom3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{\"menutype\":\"information\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(132, 133, 'Quick Links', '', '', 1, 'bottom2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{\"menutype\":\"quick-links\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(134, 137, 'Useful Links', '', '', 1, 'bottom4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{\"menutype\":\"useful-links\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(135, 138, 'Shopping Cart', '', '', 2, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sellacious_cart', 1, 0, '{\"class_sfx\":\"\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(137, 140, 'Finder', '', '', 3, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sellacious_finder', 1, 0, '{\"integration\":\"sellacious\",\"search_layout\":\"dropdown\",\"full_width\":\"1\",\"input_width\":\"200\",\"display_label\":\"0\",\"label_value\":\"Search\",\"finder_placeholder\":\"Search..\",\"button_type\":\"icon\",\"button_text\":\"Search\",\"button_position\":\"right\",\"show_category_results\":\"1\",\"category_result_redirect\":\"1\",\"show_category_image\":\"1\",\"show_seller_results\":\"1\",\"seller_result_redirect\":\"1\",\"show_seller_image\":\"1\",\"show_categories_results\":\"1\",\"categories_result_redirect\":\"1\",\"show_categories_image\":\"1\",\"show_sellers_results\":\"1\",\"sellers_result_redirect\":\"1\",\"show_sellers_image\":\"1\",\"show_product_image\":\"1\",\"show_product_category\":\"1\",\"show_product_price\":\"1\",\"ordering\":{\"product\":\"1\",\"category\":\"2\",\"seller\":\"3\",\"categories\":\"4\",\"sellers\":\"5\"},\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(139, 142, 'Filters', '', '', 1, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sellacious_filters', 1, 0, '{\"moduleclass_sfx\":\"\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(141, 146, 'My Account', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 2, 0, '{\"menutype\":\"my-account\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\" my-account-child\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" my-account\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(142, 147, 'Main Menu', '', '', 1, 'offcanvas', 0, '0000-00-00 00:00:00', '2020-04-09 07:11:28', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{\"menutype\":\"mainmenu\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(143, 149, 'Login', '', '', 1, 'offcanvas', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sellacious_login', 1, 0, '{\"login\":\"\",\"logout\":\"\",\"pretext\":\"\",\"pretext_tr\":\"0\",\"posttext\":\"\",\"posttext_tr\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*');

CREATE TABLE IF NOT EXISTS `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(17, 0),
(79, 0),
(86, 0),
(87, 0),
(89, 0),
(90, 0),
(99, 0),
(100, 0),
(101, 0),
(102, 0),
(103, 0),
(104, 0),
(126, 0),
(127, 0),
(128, 0),
(129, 0),
(130, 0),
(131, 0),
(132, 0),
(134, 0),
(135, 0),
(137, 0),
(139, 232),
(139, 233),
(139, 236),
(139, 238),
(139, 239),
(139, 240),
(139, 241),
(139, 243),
(139, 244),
(139, 245),
(139, 246),
(139, 247),
(139, 257),
(141, 0),
(142, 0),
(143, 0);

CREATE TABLE IF NOT EXISTS `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `link` varchar(2048) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `cache_time` int(10) UNSIGNED NOT NULL DEFAULT '3600',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` text NOT NULL,
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT '700' COMMENT 'FK to #__extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT '1',
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`postinstall_message_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__postinstall_messages` (`postinstall_message_id`, `extension_id`, `title_key`, `description_key`, `action_key`, `language_extension`, `language_client_id`, `type`, `action_file`, `action`, `condition_file`, `condition_method`, `version_introduced`, `enabled`) VALUES
(1, 700, 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION', 'plg_twofactorauth_totp', 1, 'action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_condition', '3.2.0', 1),
(2, 700, 'COM_CPANEL_WELCOME_BEGINNERS_TITLE', 'COM_CPANEL_WELCOME_BEGINNERS_MESSAGE', '', 'com_cpanel', 1, 'message', '', '', '', '', '3.2.0', 1),
(3, 700, 'COM_CPANEL_MSG_STATS_COLLECTION_TITLE', 'COM_CPANEL_MSG_STATS_COLLECTION_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/statscollection.php', 'admin_postinstall_statscollection_condition', '3.5.0', 1),
(4, 700, 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_BODY', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_ACTION', 'plg_system_updatenotification', 1, 'action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_condition', '3.6.3', 1),
(5, 700, 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_TITLE', 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/joomla40checks.php', 'admin_postinstall_joomla40checks_condition', '3.7.0', 1),
(6, 700, 'TPL_HATHOR_MESSAGE_POSTINSTALL_TITLE', 'TPL_HATHOR_MESSAGE_POSTINSTALL_BODY', 'TPL_HATHOR_MESSAGE_POSTINSTALL_ACTION', 'tpl_hathor', 1, 'action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_condition', '3.7.0', 1),
(7, 700, 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_TITLE', 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_BODY', 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_ACTION', 'plg_captcha_recaptcha', 1, 'action', 'site://plugins/captcha/recaptcha/postinstall/actions.php', 'recaptcha_postinstall_action', 'site://plugins/captcha/recaptcha/postinstall/actions.php', 'recaptcha_postinstall_condition', '3.8.6', 1),
(8, 700, 'COM_CPANEL_MSG_UPDATEDEFAULTSETTINGS_TITLE', 'COM_CPANEL_MSG_UPDATEDEFAULTSETTINGS_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/updatedefaultsettings.php', 'admin_postinstall_updatedefaultsettings_condition', '3.8.8', 1),
(9, 700, 'COM_ACTIONLOGS_POSTINSTALL_TITLE', 'COM_ACTIONLOGS_POSTINSTALL_BODY', '', 'com_actionlogs', 1, 'message', '', '', '', '', '3.9.0', 1),
(10, 700, 'COM_PRIVACY_POSTINSTALL_TITLE', 'COM_PRIVACY_POSTINSTALL_BODY', '', 'com_privacy', 1, 'message', '', '', '', '', '3.9.0', 1),
(11, 700, 'COM_CPANEL_MSG_ADDNOSNIFF_TITLE', 'COM_CPANEL_MSG_ADDNOSNIFF_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/addnosniff.php', 'admin_postinstall_addnosniff_condition', '3.9.3', 1);

CREATE TABLE IF NOT EXISTS `#__privacy_consents` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `state` int(10) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `subject` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `body` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `remind` tinyint(4) NOT NULL DEFAULT '0',
  `token` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__privacy_requests` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(100) NOT NULL DEFAULT '',
  `requested_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `status` tinyint(4) NOT NULL DEFAULT 0,
  `request_type` varchar(25) NOT NULL DEFAULT '',
  `confirm_token` varchar(100) NOT NULL DEFAULT '',
  `confirm_token_created_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__redirect_links` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `old_url` varchar(2048) NOT NULL,
  `new_url` varchar(2048) DEFAULT NULL,
  `referer` varchar(2048) NOT NULL,
  `comment` varchar(255) NOT NULL DEFAULT '',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `header` smallint(3) NOT NULL DEFAULT '301',
  PRIMARY KEY (`id`),
  KEY `idx_old_url` (`old_url`(100)),
  KEY `idx_link_modifed` (`modified_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__schemas` (`extension_id`, `version_id`) VALUES
(10000, '3.1-2018-01-01'),
(10012, '2.0.0-2020-03-28'),
(10026, '1.6.1'),
(10027, '1.7.3-2019-06-10'),
(10029, '1.7.3-2019-06-10'),
(10030, '1.7.3-2019-06-10'),
(10082, '1.7.3-2019-06-10');

CREATE TABLE IF NOT EXISTS `#__sellacious_addresses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `first_name` varchar(100) NOT NULL,
  `middle_name` varchar(100) NOT NULL,
  `last_name` varchar(100) NOT NULL,
  `address` varchar(300) NOT NULL,
  `address_line_1` varchar(200) NOT NULL,
  `address_line_2` varchar(200) NOT NULL,
  `address_line_3` varchar(200) NOT NULL,
  `district` varchar(150) NOT NULL,
  `landmark` varchar(150) NOT NULL,
  `country` varchar(100) NOT NULL,
  `state_loc` varchar(100) NOT NULL,
  `city` varchar(100) NOT NULL,
  `zip` varchar(10) NOT NULL,
  `mobile` varchar(15) NOT NULL,
  `state` int(11) NOT NULL,
  `company` varchar(200) NOT NULL,
  `po_box` varchar(50) NOT NULL,
  `residential` int(11) NOT NULL,
  `is_primary` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `assoc_key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_cart` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(50) NOT NULL,
  `product_id` int(11) NOT NULL,
  `variant_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `quantity` int(11) NOT NULL,
  `ship_quotes` text NOT NULL,
  `ship_quote_id` varchar(50) NOT NULL,
  `remote_ip` varchar(64) NOT NULL COMMENT 'most recent accessed from ipv4 or ipv6',
  `token` varchar(100) NOT NULL,
  `state` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  `cart_version` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_cart_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `billing` int(11) NOT NULL,
  `shipping` int(11) NOT NULL,
  `ship_quotes` text NOT NULL,
  `ship_quote_id` varchar(100) NOT NULL,
  `seller_ship_quotes` TEXT NOT NULL,
  `seller_ship_quote_ids` TEXT NOT NULL,
  `shipment_params` text NOT NULL,
  `currency` varchar(5) NOT NULL,
  `coupon` varchar(100) NOT NULL,
  `cart_hash` varchar(100) NOT NULL,
  `cart_id` varchar(20) NOT NULL,
  `cart_token` varchar(100) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  `cart_version` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `alias` varchar(100) NOT NULL,
  `introtext` text NOT NULL,
  `description` text NOT NULL,
  `parent_id` int(11) NOT NULL,
  `level` int(11) NOT NULL DEFAULT '0',
  `path` varchar(500) NOT NULL,
  `state` tinyint(1) NOT NULL,
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL,
  `mfr_id` int(11) NOT NULL,
  `type` varchar(50) NOT NULL,
  `is_default` int(11) NOT NULL DEFAULT '0',
  `compare` tinyint(1) NOT NULL,
  `usergroups` varchar(250) NOT NULL,
  `ledgergroup` int(11) NOT NULL,
  `seller_commission` varchar(50) NOT NULL,
  `commission` varchar(200) NOT NULL,
  `core_fields` text NOT NULL,
  `variant_fields` text NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_categories` (`id`, `title`, `alias`, `introtext`, `description`, `parent_id`, `level`, `path`, `state`, `lft`, `rgt`, `mfr_id`, `type`, `is_default`, `compare`, `usergroups`, `ledgergroup`, `seller_commission`, `commission`, `core_fields`, `variant_fields`, `created`, `created_by`, `modified`, `modified_by`, `params`) VALUES
(1, 'ROOT', 'root', '', '', 0, 0, '', 1, 0, 1, 0, '', 0, 0, '0', 0, '', '', '', '', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0'),
(136, 'Default Client Category', 'default-client-category', '', '', 1, 1, 'default-client-category', 1, 229, 230, 0, 'client', 0, 0, '', 0, '', '', '[]', '[]', '2020-04-02 11:24:20', 375, '0000-00-00 00:00:00', 375, '{\"preverify\":{\"email\":\"0\",\"mobile\":\"0\"},\"category_price_markup\":\"0.00\",\"tnc_body\":\"\",\"profile_fields\":\"\",\"specs\":[{\"label\":\"\",\"value\":\"\"}],\"cat_redirect\":\"0\",\"cat_template\":\"\",\"product_redirect\":\"0\",\"product_template\":\"\",\"gallery_thumb_title\":\"\"}'),
(137, 'Default Seller Category', 'default-seller-category', '', '', 1, 1, 'default-seller-category', 1, 231, 232, 0, 'seller', 0, 0, '', 0, '', '', '[]', '[]', '2020-04-02 11:24:20', 375, '0000-00-00 00:00:00', 375, '{\"preverify\":{\"email\":\"0\",\"mobile\":\"0\"},\"tnc_body\":\"\",\"profile_fields\":\"\",\"specs\":[{\"label\":\"\",\"value\":\"\"}],\"cat_redirect\":\"1\",\"cat_template\":\"\",\"product_redirect\":\"1\",\"product_template\":\"\",\"gallery_thumb_title\":\"\"}'),
(138, 'Default Staff Category', 'default-staff-category', '', '', 1, 1, 'default-staff-category', 1, 233, 234, 0, 'staff', 0, 0, '', 0, '', '{\"onsale\":\"0.00\",\"onsalereturn\":\"0.00\"}', '[]', '[]', '2020-04-07 09:47:35', 375, '0000-00-00 00:00:00', 0, '{\"specs\":[{\"label\":\"\",\"value\":\"\"}],\"cat_redirect\":\"1\",\"cat_template\":\"\",\"product_redirect\":\"1\",\"product_template\":\"\",\"gallery_thumb_title\":\"\"}'),
(139, 'Default Manufacturer Category', 'default-manufacturer-category', '', '', 1, 1, 'default-manufacturer-category', 1, 235, 236, 0, 'manufacturer', 0, 0, '', 0, '', '', '[]', '[]', '2020-04-07 09:47:53', 375, '0000-00-00 00:00:00', 0, '{\"specs\":[{\"label\":\"\",\"value\":\"\"}],\"cat_redirect\":\"1\",\"cat_template\":\"\",\"product_redirect\":\"1\",\"product_template\":\"\",\"gallery_thumb_title\":\"\"}');

CREATE TABLE IF NOT EXISTS `#__sellacious_category_commissions` (
  `product_catid` int(11) NOT NULL,
  `seller_catid` int(11) NOT NULL,
  `commission` varchar(15) NOT NULL,
  UNIQUE KEY `seller_catid` (`seller_catid`,`product_catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_category_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`state`),
  KEY `idx_path` (`path`(191)),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_category_types` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `description`, `state`, `params`) VALUES
(1, 0, 0, 15, 0, '', 'ROOT', 'root', '', 1, ''),
(2, 1, 1, 6, 1, 'product', 'Product', 'product', 'Categories of the products in this company', 1, ''),
(3, 1, 7, 8, 1, 'staff', 'Staff', 'staff', 'All user categories with staff access to the company', 1, ''),
(4, 1, 9, 10, 1, 'client', 'Client', 'client', 'All user categories of the shoppers/clients of the company', 1, ''),
(5, 1, 11, 12, 1, 'seller', 'Seller', 'seller', 'All user categories of the sellers of the company', 1, ''),
(6, 1, 13, 14, 1, 'manufacturer', 'Manufacturer', 'manufacturer', 'All user categories of the manufacturers listed with this company', 1, ''),
(8, 2, 2, 3, 2, 'product/physical', 'Physical Product', 'physical', '', 1, ''),
(9, 2, 4, 5, 2, 'product/electronic', 'Electronic Product', 'electronic', '', 1, '');

CREATE TABLE IF NOT EXISTS `#__sellacious_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `business_name` varchar(100) NOT NULL,
  `client_type` varchar(50) NOT NULL,
  `org_reg_no` varchar(50) NOT NULL,
  `location` varchar(100) NOT NULL,
  `credit_limit` double NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_client_authorised` (
  `client_uid` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `credit_limit` double NOT NULL,
  UNIQUE KEY `client_uid` (`client_uid`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_client_types` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `client_type` varchar(100) NOT NULL,
  `title` varchar(100) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  `state` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_client_types` (`id`, `client_type`, `title`, `description`, `state`) VALUES
(1, 'individual', 'COM_SELLACIOUS_USER_CLIENT_TYPE_INDIVIDUAL', '', 1),
(2, 'business', 'COM_SELLACIOUS_USER_CLIENT_TYPE_BUSINESS', '', 1),
(3, 'group', 'COM_SELLACIOUS_USER_CLIENT_TYPE_GROUP', '', 1),
(4, 'org', 'COM_SELLACIOUS_USER_CLIENT_TYPE_ORGANIZATION', '', 1),
(5, 'govt', 'COM_SELLACIOUS_USER_CLIENT_TYPE_GOVERNMENT', '', 1);

CREATE TABLE IF NOT EXISTS `#__sellacious_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `context` varchar(100) NOT NULL,
  `subcontext` varchar(100) NOT NULL COMMENT 'e.g. - seller.42 (for a seller''s settings for that extension)',
  `params` text NOT NULL,
  `state` tinyint(1) NOT NULL,
  `ordering` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_config` (`id`, `context`, `subcontext`, `params`, `state`, `ordering`, `created`, `created_by`, `modified`, `modified_by`) VALUES
(2, 'plg_system_sellaciouscache', 'core', '{\"cron\":\"0\"}', 1, 3, '0000-00-00 00:00:00', 320, '0000-00-00 00:00:00', 320),
(3, 'plg_system_sellaciousmailer', 'core', '{\"cron\":\"0\",\"limit\":\"10\",\"retry\":\"5\"}', 1, 4, '0000-00-00 00:00:00', 320, '0000-00-00 00:00:00', 320),
(4, 'plg_system_sellaciousforex', 'core', '{\"cron\":\"0\"}', 1, 5, '0000-00-00 00:00:00', 320, '0000-00-00 00:00:00', 320),
(5, 'sellacious', 'application', '{\"app_path\":\"sellacious\",\"license\":{\"registered\":true,\"modified\":false,\"active\":true,\"dev_mode\":true,\"site_id\":\"SSSSSS49\",\"name\":\"Vijaya\",\"email\":\"vijaya@codeacious.tech\",\"sitename\":\"My Awesome Store\",\"siteurl\":\"http:\\/\\/localhost\\/~c3\\/squick-2.0\",\"version\":\"2.0.0-alpha6\",\"subscription\":\"Diamond Lifetime (Development mode)\",\"expiry_date\":\"Apr 29, 2023\",\"expiry_iso\":\"2023-04-29 23:59:59\",\"sitekey\":\"bf264ca7b651667503fc64c74df280670dd7c322:201\",\"ts\":1584352216,\"free_forever\":true}}', 1, 6, '2020-03-14 00:17:31', 320, '0000-00-00 00:00:00', 320),
(8, 'com_sellacious', 'emailtemplate_options', '{\"header\":\"<table style=\\\"background: #f5f5f5;\\\" border=\\\"0\\\" width=\\\"100%\\\" cellspacing=\\\"0\\\" cellpadding=\\\"0\\\">\\r\\n<tbody>\\r\\n<tr>\\r\\n<td>\\r\\n<table style=\\\"margin: auto;\\\" border=\\\"0\\\" width=\\\"650\\\" cellspacing=\\\"0\\\" cellpadding=\\\"0\\\">\\r\\n<tbody>\\r\\n<tr>\\r\\n<td style=\\\"padding: 20px 0 20px;\\\"><a href=\\\"http:\\/\\/sellacious.com\\/\\\"><img src=\\\"http:\\/\\/sellacious.com\\/images\\/sellacious-logo-main.png\\\" alt=\\\"Sellacious\\\" \\/><\\/a><\\/td>\\r\\n<\\/tr>\\r\\n<\\/tbody>\\r\\n<\\/table>\\r\\n<\\/td>\\r\\n<\\/tr>\\r\\n<\\/tbody>\\r\\n<\\/table>\",\"footer\":\"<table style=\\\"background: #f5f5f5; margin-top: -8px;\\\" border=\\\"0\\\" width=\\\"100%\\\" cellspacing=\\\"0\\\" cellpadding=\\\"0\\\">\\r\\n<tbody>\\r\\n<tr>\\r\\n<td>\\r\\n<p style=\\\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0 0 0; padding: 20px 0; text-align: center; background-color: #d3ebff;\\\">Your %SITENAME% Team!!<\\/p>\\r\\n<table style=\\\"margin: 20px auto 0;\\\" border=\\\"0\\\" width=\\\"650\\\" cellspacing=\\\"0\\\" cellpadding=\\\"0\\\">\\r\\n<tbody>\\r\\n<tr>\\r\\n<td style=\\\"text-align: center;\\\">\\r\\n<p style=\\\"font-size: 12px; text-align: center; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #555; margin: 0 0; font-weight: normal;\\\">For more information, visit our site <a style=\\\"font-size: 12px; font-family: helvetica,arial,sans-serif; color: #5551f7;\\\" href=\\\"%SITE_URL%\\\">%SITENAME%<\\/a><\\/p>\\r\\n<p style=\\\"margin: 5px 0 0;\\\"><a style=\\\"margin: 0 3px;\\\" href=\\\"https:\\/\\/www.facebook.com\\/sellacious\\/?fref=ts\\\"><img src=\\\"http:\\/\\/d3qngc7ypzt3ty.cloudfront.net\\/blog\\/icon-facebook.png\\\" \\/><\\/a> <a style=\\\"margin: 0 3px;\\\" href=\\\"https:\\/\\/twitter.com\\/SellaciousCom\\\"><img src=\\\"http:\\/\\/d3qngc7ypzt3ty.cloudfront.net\\/blog\\/icon-tweet.png\\\" \\/><\\/a><\\/p>\\r\\n<\\/td>\\r\\n<\\/tr>\\r\\n<\\/tbody>\\r\\n<\\/table>\\r\\n<\\/td>\\r\\n<\\/tr>\\r\\n<\\/tbody>\\r\\n<\\/table>\"}', 1, 0, '0000-00-00 00:00:00', 320, '0000-00-00 00:00:00', 320),
(9, 'plg_system_sellaciousimporter', 'core', '{\"import_source\":\"\\/import-source\",\"cron\":\"1\",\"category_menu_sync\":\"0\"}', 1, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(10, 'plg_system_sellaciousproductnotification', 'core', '{\"cron\":\"0\"}', 1, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(11, 'plg_system_sellaciousfreeshipping', 'core', '{\"shipping_extra_freerule\":\"1\"}', 1, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(12, 'plg_system_sellaciousgst', 'core', '{\"ask_buyer_gst\":\"0\",\"hsn_sac_display\":[\"\"]}', 1, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(13, 'plg_system_sellacioustemplatecolors', 'core', '{\"colors\":{\"ctech_primary_button_color\":\"{\\\"ctech_primary_button_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-primary {background-color: #00AEEF !important; border-color: #00AEEF !important; color: #fff !important; }.ctech-wrapper .ctech-btn-primary:hover {background-color: #00AEEF !important; border-color: #00AEEF !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#00AEEF\\\",\\\"hover\\\":\\\"#00AEEF\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#00AEEF\\\",\\\"hover\\\":\\\"#00AEEF\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_primary_text_color\":\"{\\\"ctech_primary_text_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-text-primary {color: #00AEEF !important; }\\\",\\\"color\\\":{\\\"value\\\":\\\"#00AEEF\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_btn_outline_primary_color\":\"{\\\"ctech_btn_outline_primary_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-outline-primary {border-color: #00AEEF !important; color: #00AEEF !important; }.ctech-wrapper .ctech-btn-outline-primary:hover {border-color: #fff !important; color: #fff !important; }\\\",\\\"border-color\\\":{\\\"value\\\":\\\"#00AEEF\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#00AEEF\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_badge_primary_color\":\"{\\\"ctech_badge_primary_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-badge-primary {background-color: #00AEEF !important; color: #fff !important; }.ctech-wrapper .ctech-badge-primary:hover {background-color: #fff !important; color: #00AEEF !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#00AEEF\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#00AEEF\\\"}}}\",\"ctech_alert_primary_color\":\"{\\\"ctech_alert_primary_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-alert-primary {background-color: rgba(0, 174, 239, 0.25) !important; border-color: rgba(0, 174, 239, 0.25) !important; color: #00AEEF !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"rgba(0, 174, 239, 0.25)\\\",\\\"hover\\\":\\\"\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"rgba(0, 174, 239, 0.25)\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#00AEEF\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_bg_primary_color\":\"{\\\"ctech_bg_primary_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-bg-primary {background-color: #00AEEF !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#00AEEF\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_secondary_button_color\":\"{\\\"ctech_secondary_button_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-secondary {background-color: #6c757d !important; border-color: #6c757d !important; color: #fff !important; }.ctech-wrapper .ctech-btn-secondary:hover {background-color: #6c757d !important; border-color: #6c757d !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#6c757d\\\",\\\"hover\\\":\\\"#6c757d\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#6c757d\\\",\\\"hover\\\":\\\"#6c757d\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_secondary_text_color\":\"{\\\"ctech_secondary_text_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-text-secondary {color: #6c757d !important; }\\\",\\\"color\\\":{\\\"value\\\":\\\"#6c757d\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_btn_outline_secondary_color\":\"{\\\"ctech_btn_outline_secondary_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-outline-secondary {border-color: #6c757d !important; color: #6c757d !important; }.ctech-wrapper .ctech-btn-outline-secondary:hover {border-color: #fff !important; color: #fff !important; }\\\",\\\"border-color\\\":{\\\"value\\\":\\\"#6c757d\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#6c757d\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_badge_secondary_color\":\"{\\\"ctech_badge_secondary_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-badge-secondary {background-color: #6c757d !important; color: #fff !important; }.ctech-wrapper .ctech-badge-secondary:hover {background-color: #fff !important; color: #6c757d !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#6c757d\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#6c757d\\\"}}}\",\"ctech_alert_secondary_color\":\"{\\\"ctech_alert_secondary_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-alert-secondary {background-color: #e2e3e5 !important; border-color: #d6d8db !important; color: #6c757d !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#e2e3e5\\\",\\\"hover\\\":\\\"\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#d6d8db\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#6c757d\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_bg_secondary_color\":\"{\\\"ctech_bg_secondary_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-bg-secondary {background-color: #6c757d !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#6c757d\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_success_button_color\":\"{\\\"ctech_success_button_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-success {background-color: #28a745 !important; border-color: #28a745 !important; color: #fff !important; }.ctech-wrapper .ctech-btn-success:hover {background-color: #28a745 !important; border-color: #28a745 !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#28a745\\\",\\\"hover\\\":\\\"#28a745\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#28a745\\\",\\\"hover\\\":\\\"#28a745\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_success_text_color\":\"{\\\"ctech_success_text_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-text-success {color: #28a745 !important; }\\\",\\\"color\\\":{\\\"value\\\":\\\"#28a745\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_btn_outline_success_color\":\"{\\\"ctech_btn_outline_success_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-outline-success {border-color: #28a745 !important; color: #28a745 !important; }.ctech-wrapper .ctech-btn-outline-success:hover {border-color: #fff !important; color: #fff !important; }\\\",\\\"border-color\\\":{\\\"value\\\":\\\"#28a745\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#28a745\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_badge_success_color\":\"{\\\"ctech_badge_success_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-badge-success {background-color: #28a745 !important; color: #fff !important; }.ctech-wrapper .ctech-badge-success:hover {background-color: #fff !important; color: #28a745 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#28a745\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#28a745\\\"}}}\",\"ctech_alert_success_color\":\"{\\\"ctech_alert_success_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-alert-success {background-color: #d4edda !important; border-color: #c3e6cb !important; color: #28a745 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#d4edda\\\",\\\"hover\\\":\\\"\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#c3e6cb\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#28a745\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_bg_success_color\":\"{\\\"ctech_bg_success_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-bg-success {background-color: #28A745 !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#28A745\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_info_button_color\":\"{\\\"ctech_info_button_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-info {background-color: #17a2b8 !important; border-color: #17a2b8 !important; color: #fff !important; }.ctech-wrapper .ctech-btn-info:hover {background-color: #17a2b8 !important; border-color: #17a2b8 !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#17a2b8\\\",\\\"hover\\\":\\\"#17a2b8\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#17a2b8\\\",\\\"hover\\\":\\\"#17a2b8\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_info_text_color\":\"{\\\"ctech_info_text_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-text-info {color: #17a2b8 !important; }\\\",\\\"color\\\":{\\\"value\\\":\\\"#17a2b8\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_btn_outline_info_color\":\"{\\\"ctech_btn_outline_info_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-outline-info {border-color: #17a2b8 !important; color: #17a2b8 !important; }.ctech-wrapper .ctech-btn-outline-info:hover {border-color: #fff !important; color: #fff !important; }\\\",\\\"border-color\\\":{\\\"value\\\":\\\"#17a2b8\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#17a2b8\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_badge_info_color\":\"{\\\"ctech_badge_info_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-badge-info {background-color: #17a2b8 !important; color: #fff !important; }.ctech-wrapper .ctech-badge-info:hover {background-color: #fff !important; color: #17a2b8 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#17a2b8\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#17a2b8\\\"}}}\",\"ctech_alert_info_color\":\"{\\\"ctech_alert_info_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-alert-info {background-color: #d1ecf1 !important; border-color: #bee5eb !important; color: #17a2b8 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#d1ecf1\\\",\\\"hover\\\":\\\"\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#bee5eb\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#17a2b8\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_bg_info_color\":\"{\\\"ctech_bg_info_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-bg-info {background-color: #17a2b8 !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#17a2b8\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_danger_button_color\":\"{\\\"ctech_danger_button_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-danger {background-color: #dc3545 !important; border-color: #dc3545 !important; color: #fff !important; }.ctech-wrapper .ctech-btn-danger:hover {background-color: #dc3545 !important; border-color: #dc3545 !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#dc3545\\\",\\\"hover\\\":\\\"#dc3545\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#dc3545\\\",\\\"hover\\\":\\\"#dc3545\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_danger_text_color\":\"{\\\"ctech_danger_text_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-text-danger {color: #dc3545 !important; }\\\",\\\"color\\\":{\\\"value\\\":\\\"#dc3545\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_btn_outline_danger_color\":\"{\\\"ctech_btn_outline_danger_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-outline-danger {border-color: #dc3545 !important; color: #dc3545 !important; }.ctech-wrapper .ctech-btn-outline-danger:hover {border-color: #fff !important; color: #fff !important; }\\\",\\\"border-color\\\":{\\\"value\\\":\\\"#dc3545\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#dc3545\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_badge_danger_color\":\"{\\\"ctech_badge_danger_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-badge-danger {background-color: #dc3545 !important; color: #fff !important; }.ctech-wrapper .ctech-badge-danger:hover {background-color: #fff !important; color: #dc3545 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#dc3545\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#dc3545\\\"}}}\",\"ctech_alert_danger_color\":\"{\\\"ctech_alert_danger_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-alert-danger {background-color: #f8d7da !important; border-color: #f5c6cb !important; color: #dc3545 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#f8d7da\\\",\\\"hover\\\":\\\"\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#f5c6cb\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#dc3545\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_bg_danger_color\":\"{\\\"ctech_bg_danger_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-bg-danger {background-color: #dc3545 !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#dc3545\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_warning_button_color\":\"{\\\"ctech_warning_button_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-warning {background-color: #ffc107 !important; border-color: #ffc107 !important; color: #fff !important; }.ctech-wrapper .ctech-btn-warning:hover {background-color: #ffc107 !important; border-color: #ffc107 !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#ffc107\\\",\\\"hover\\\":\\\"#ffc107\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#ffc107\\\",\\\"hover\\\":\\\"#ffc107\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_warning_text_color\":\"{\\\"ctech_warning_text_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-text-warning {color: #ffc107 !important; }\\\",\\\"color\\\":{\\\"value\\\":\\\"#ffc107\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_btn_outline_warning_color\":\"{\\\"ctech_btn_outline_warning_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-outline-warning {border-color: #ffc107 !important; color: #ffc107 !important; }.ctech-wrapper .ctech-btn-outline-warning:hover {border-color: #fff !important; color: #fff !important; }\\\",\\\"border-color\\\":{\\\"value\\\":\\\"#ffc107\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#ffc107\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_badge_warning_color\":\"{\\\"ctech_badge_warning_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-badge-warning {background-color: #ffc107 !important; color: #fff !important; }.ctech-wrapper .ctech-badge-warning:hover {background-color: #fff !important; color: #ffc107 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#ffc107\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#ffc107\\\"}}}\",\"ctech_alert_warning_color\":\"{\\\"ctech_alert_warning_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-alert-warning {background-color: #fff3cd !important; border-color: #ffeeba !important; color: #ffc107 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#fff3cd\\\",\\\"hover\\\":\\\"\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#ffeeba\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#ffc107\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_bg_warning_color\":\"{\\\"ctech_bg_warning_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-bg-warning {background-color: #ffc107 !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#ffc107\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_light_button_color\":\"{\\\"ctech_light_button_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-light {background-color: #f8f9fa !important; border-color: #f8f9fa !important; color: #818182 !important; }.ctech-wrapper .ctech-btn-light:hover {background-color: #f8f9fa !important; border-color: #f8f9fa !important; color: #818182 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#f8f9fa\\\",\\\"hover\\\":\\\"#f8f9fa\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#f8f9fa\\\",\\\"hover\\\":\\\"#f8f9fa\\\"},\\\"color\\\":{\\\"value\\\":\\\"#818182\\\",\\\"hover\\\":\\\"#818182\\\"}}}\",\"ctech_light_text_color\":\"{\\\"ctech_light_text_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-text-light {color: #818182 !important; }\\\",\\\"color\\\":{\\\"value\\\":\\\"#818182\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_btn_outline_light_color\":\"{\\\"ctech_btn_outline_light_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-outline-light {border-color: #818182 !important; color: #818182 !important; }.ctech-wrapper .ctech-btn-outline-light:hover {border-color: #818182 !important; color: #818182 !important; }\\\",\\\"border-color\\\":{\\\"value\\\":\\\"#818182\\\",\\\"hover\\\":\\\"#818182\\\"},\\\"color\\\":{\\\"value\\\":\\\"#818182\\\",\\\"hover\\\":\\\"#818182\\\"}}}\",\"ctech_badge_light_color\":\"{\\\"ctech_badge_light_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-badge-light {background-color: #f8f9fa !important; color: #818182 !important; }.ctech-wrapper .ctech-badge-light:hover {background-color: #818182 !important; color: #f8f9fa !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#f8f9fa\\\",\\\"hover\\\":\\\"#818182\\\"},\\\"color\\\":{\\\"value\\\":\\\"#818182\\\",\\\"hover\\\":\\\"#f8f9fa\\\"}}}\",\"ctech_alert_light_color\":\"{\\\"ctech_alert_light_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-alert-light {background-color: #fefefe !important; border-color: #818182 !important; color: #818182 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#fefefe\\\",\\\"hover\\\":\\\"\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#818182\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#818182\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_bg_light_color\":\"{\\\"ctech_bg_light_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-bg-light {background-color: #f8f9fa !important; color: #818182 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#f8f9fa\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#818182\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_dark_button_color\":\"{\\\"ctech_dark_button_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-dark {background-color: #fff !important; border-color: #818182 !important; color: #818182 !important; }.ctech-wrapper .ctech-btn-dark:hover {background-color: #343a40 !important; border-color: #818182 !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#343a40\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#818182\\\",\\\"hover\\\":\\\"#818182\\\"},\\\"color\\\":{\\\"value\\\":\\\"#818182\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_dark_text_color\":\"{\\\"ctech_dark_text_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-text-dark {color: #343a40 !important; }\\\",\\\"color\\\":{\\\"value\\\":\\\"#343a40\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_btn_outline_dark_color\":\"{\\\"ctech_btn_outline_dark_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-btn-outline-dark {border-color: #343a40 !important; color: #343a40 !important; }.ctech-wrapper .ctech-btn-outline-dark:hover {border-color: #fff !important; color: #fff !important; }\\\",\\\"border-color\\\":{\\\"value\\\":\\\"#343a40\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#343a40\\\",\\\"hover\\\":\\\"#fff\\\"}}}\",\"ctech_badge_dark_color\":\"{\\\"ctech_badge_dark_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-badge-dark {background-color: #343a40 !important; color: #fff !important; }.ctech-wrapper .ctech-badge-dark:hover {background-color: #fff !important; color: #343a40 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#343a40\\\",\\\"hover\\\":\\\"#fff\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"#343a40\\\"}}}\",\"ctech_alert_dark_color\":\"{\\\"ctech_alert_dark_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-alert-dark {background-color: #d6d8d9 !important; border-color: #c6c8ca !important; color: #343a40 !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#d6d8d9\\\",\\\"hover\\\":\\\"\\\"},\\\"border-color\\\":{\\\"value\\\":\\\"#c6c8ca\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#343a40\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_bg_dark_color\":\"{\\\"ctech_bg_dark_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-bg-dark {background-color: #343a40 !important; color: #fff !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#343a40\\\",\\\"hover\\\":\\\"\\\"},\\\"color\\\":{\\\"value\\\":\\\"#fff\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_rating_stars_color\":\"{\\\"ctech_rating_stars_color\\\":{\\\"css\\\":\\\".ctech-wrapper [class*=\'star\'] {color: #fd9000 !important; }.ctech-wrapper .progress-bar {background-color: #fd9000 !important}\\\",\\\"color\\\":{\\\"value\\\":\\\"#fd9000\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_tabs_color\":\"{\\\"ctech_tabs_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-nav-link {background-color: rgba(0, 174, 239, 0.1) !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"rgba(0, 174, 239, 0.1)\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_active_tabs_color\":\"{\\\"ctech_active_tabs_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-nav-link.ctech-active {background-color: rgba(0, 174, 239, 0.5) !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"rgba(0, 174, 239, 0.5)\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_chat_list_color\":\"{\\\"ctech_chat_list_color\\\":{\\\"css\\\":\\\".ctech-wrapper #messages_tabs .ctech-nav-link {background-color: #fffcfc !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#fffcfc\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_active_chat_list_color\":\"{\\\"ctech_active_chat_list_color\\\":{\\\"css\\\":\\\".ctech-wrapper #messages_tabs .ctech-nav-link.ctech-active {background-color: rgba(0, 174, 239, 0.5) !important; }\\\",\\\"background-color\\\":{\\\"value\\\":\\\"rgba(0, 174, 239, 0.5)\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_my_chat_bubble_color\":\"{\\\"ctech_my_chat_bubble_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-bg-me {background-color: #d9edf7 !important; }.ctech-wrapper .ctech-bg-me:after {border-bottom-color: #d9edf7 !important}\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#d9edf7\\\",\\\"hover\\\":\\\"\\\"}}}\",\"ctech_their_chat_bubble_color\":\"{\\\"ctech_their_chat_bubble_color\\\":{\\\"css\\\":\\\".ctech-wrapper .ctech-bg-them {background-color: #dff0d8 !important; }.ctech-wrapper .ctech-bg-them:after {border-bottom-color: #dff0d8 !important}\\\",\\\"background-color\\\":{\\\"value\\\":\\\"#dff0d8\\\",\\\"hover\\\":\\\"\\\"}}}\"}}', 1, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(14, 'mod_sellacious_hyperlocal', 'core', '{\"enabled\":\"1\",\"browser_detect\":\"1\",\"address_autocomplete\":\"db\",\"hyperlocal_type\":\"1\",\"location_type\":\"1\",\"distance_filter\":\"0\",\"distance_unit\":\"m\",\"distance_max\":\"200\",\"address_components\":[\"\"]}', 1, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(15, 'plg_system_sellaciouscattemplates', 'core', '{\"cat_redirect\":\"1\",\"product_redirect\":\"1\"}', 1, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(16, 'plg_system_sellaciousproductnotification', 'logs', '{\"last_report_sent\":1584352293}', 1, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

CREATE TABLE IF NOT EXISTS `#__sellacious_coupons` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(250) NOT NULL,
  `alias` varchar(250) NOT NULL,
  `description` TEXT NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `per_user_limit` int(11) NOT NULL DEFAULT '0',
  `coupon_code` varchar(30) NOT NULL,
  `total_limit` int(11) NOT NULL DEFAULT '0',
  `discount_amount` varchar(30) NOT NULL,
  `min_purchase` decimal(10,2) NOT NULL,
  `max_discount` decimal(10,2) NOT NULL,
  `max_discount_total` decimal(10,2) NOT NULL,
  `apply_on_all_products` TINYINT(1) NOT NULL,
  `state` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL,
  `publish_up` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_coupon_usage` (
  `coupon_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `coupon_title` varchar(250) NOT NULL,
  `code` varchar(100) NOT NULL,
  `amount` double NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  PRIMARY KEY (`coupon_id`,`order_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_currencies` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `alias` varchar(100) NOT NULL,
  `code_2` varchar(2) NOT NULL,
  `code_3` varchar(3) NOT NULL,
  `code_n` int(4) NOT NULL,
  `symbol` varchar(4) NOT NULL,
  `decimal_places` varchar(4) NOT NULL,
  `decimal_sep` varchar(4) NOT NULL,
  `thousand_sep` varchar(4) NOT NULL,
  `format_pos` varchar(25) NOT NULL,
  `format_neg` varchar(25) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `state` int(11) NOT NULL DEFAULT '0',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_currencies` (`id`, `title`, `alias`, `code_2`, `code_3`, `code_n`, `symbol`, `decimal_places`, `decimal_sep`, `thousand_sep`, `format_pos`, `format_neg`, `ordering`, `state`, `created`, `created_by`, `modified`, `modified_by`) VALUES
(1, 'United Arab Emirates dirham', '', '', 'AED', 784, 'د.إ', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(2, 'Albanian lek', '', '', 'ALL', 8, 'Lek', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(3, 'Netherlands Antillean gulden', '', '', 'ANG', 532, 'ƒ', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, 'Argentine peso', '', '', 'ARS', 32, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(5, 'Australian dollar', '', '', 'AUD', 36, '$', '2', '.', ',', '{symbol} {number}', '{sign}{symbol} {number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(6, 'Aruban florin', '', '', 'AWG', 533, 'ƒ', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(7, 'Barbadian dollar', '', '', 'BBD', 52, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(8, 'Bangladeshi taka', '', '', 'BDT', 50, '৳', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(9, 'Bahraini dinar', '', '', 'BHD', 48, 'ب.د', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(10, 'Burundian franc', '', '', 'BIF', 108, 'Fr', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(11, 'Bermudian dollar', '', '', 'BMD', 60, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(12, 'Brunei dollar', '', '', 'BND', 96, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(13, 'Bolivian boliviano', '', '', 'BOB', 68, '$b', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(14, 'Brazilian real', '', '', 'BRL', 986, 'R$', '2', ',', '.', '{symbol} {number}', '{symbol} {sign}{number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(15, 'Bahamian dollar', '', '', 'BSD', 44, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(16, 'Bhutanese ngultrum', '', '', 'BTN', 64, 'BTN', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(17, 'Botswana pula', '', '', 'BWP', 72, 'P', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(18, 'Belize dollar', '', '', 'BZD', 84, 'BZ$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(19, 'Canadian dollar', '', '', 'CAD', 124, '$', '2', '.', ',', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(20, 'Swiss franc', '', '', 'CHF', 756, 'CHF', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(21, 'Unidad de Fomento', '', '', 'CLF', 990, 'CLF', '0', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(22, 'Chilean peso', '', '', 'CLP', 152, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(23, 'Chinese renminbi yuan', '', '', 'CNY', 156, '元', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(24, 'Colombian peso', '', '', 'COP', 170, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(25, 'Costa Rican colón', '', '', 'CRC', 188, '₡', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(26, 'Czech koruna', '', '', 'CZK', 203, 'Kč', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(27, 'Cuban peso', '', '', 'CUP', 192, '₱', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(28, 'Cape Verdean escudo', '', '', 'CVE', 132, '$', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(29, 'Danish krone', '', '', 'DKK', 208, 'kr', '2', '.', ',', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(30, 'Dominican peso', '', '', 'DOP', 214, 'RD$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(31, 'Algerian dinar', '', '', 'DZD', 12, 'د.ج', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(32, 'Egyptian pound', '', '', 'EGP', 818, '£', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(33, 'Ethiopian birr', '', '', 'ETB', 230, 'ETB', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(34, 'Euro', '', '', 'EUR', 978, '€', '2', ',', '.', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(35, 'Fijian dollar', '', '', 'FJD', 242, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(36, 'Falkland pound', '', '', 'FKP', 238, '£', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(37, 'British pound', '', '', 'GBP', 826, '£', '2', '.', ',', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(38, 'Gibraltar pound', '', '', 'GIP', 292, '£', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(39, 'Gambian dalasi', '', '', 'GMD', 270, 'D', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(40, 'Guinean franc', '', '', 'GNF', 324, 'Fr', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(41, 'Guatemalan quetzal', '', '', 'GTQ', 320, 'Q', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(42, 'Guyanese dollar', '', '', 'GYD', 328, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(43, 'Hong Kong dollar', '', '', 'HKD', 344, '元', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(44, 'Honduran lempira', '', '', 'HNL', 340, 'L', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(45, 'Haitian gourde', '', '', 'HTG', 332, 'G', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(46, 'Hungarian forint', '', '', 'HUF', 348, 'Ft', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(47, 'Indonesian rupiah', '', '', 'IDR', 360, 'Rp', '0', '', '', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(48, 'Israeli new sheqel', '', '', 'ILS', 376, '₪', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(49, 'Indian rupee', '', '', 'INR', 356, '₹', '2', '.', ',', '{symbol} {number}', '{symbol} {sign}{number} ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(50, 'Iraqi dinar', '', '', 'IQD', 368, 'ع.د', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(51, 'Iranian rial', '', '', 'IRR', 364, '﷼', '2', ',', '', '{number} {symbol}', '{sign}{number}{symb0l}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(52, 'Jamaican dollar', '', '', 'JMD', 388, 'J$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(53, 'Jordanian dinar', '', '', 'JOD', 400, 'د.ا', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(54, 'Japanese yen', '', '', 'JPY', 392, '¥', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(55, 'Kenyan shilling', '', '', 'KES', 404, 'Sh', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(56, 'Cambodian riel', '', '', 'KHR', 116, '៛', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(57, 'Comorian franc', '', '', 'KMF', 174, 'Fr', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(58, 'North Korean won', '', '', 'KPW', 408, '₩', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(59, 'South Korean won', '', '', 'KRW', 410, '₩', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(60, 'Kuwaiti dinar', '', '', 'KWD', 414, 'د.ك', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(61, 'Cayman Islands dollar', '', '', 'KYD', 136, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(62, 'Lao kip', '', '', 'LAK', 418, '₭', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(63, 'Lebanese pound', '', '', 'LBP', 422, '£', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(64, 'Sri Lankan rupee', '', '', 'LKR', 144, '₨', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(65, 'Liberian dollar', '', '', 'LRD', 430, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(66, 'Lesotho loti', '', '', 'LSL', 426, 'L', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(67, 'Libyan dinar', '', '', 'LYD', 434, 'ل.د', '3', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(68, 'Moroccan dirham', '', '', 'MAD', 504, 'د.م.', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(69, 'Mongolian tögrög', '', '', 'MNT', 496, '₮', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(70, 'Macanese pataca', '', '', 'MOP', 446, 'P', '1', ',', '', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(71, 'Mauritanian ouguiya', '', '', 'MRO', 478, 'UM', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(72, 'Mauritian rupee', '', '', 'MUR', 480, '₨', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(73, 'Maldivian rufiyaa', '', '', 'MVR', 462, 'ރ.', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(74, 'Malawian kwacha', '', '', 'MWK', 454, 'MK', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(75, 'Malaysian ringgit', '', '', 'MYR', 458, 'RM', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(76, 'Nigerian naira', '', '', 'NGN', 566, '₦', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(77, 'Norwegian krone', '', '', 'NOK', 578, 'kr', '2', ',', '', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(78, 'Nepalese rupee', '', '', 'NPR', 524, '₨', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(79, 'New Zealand dollar', '', '', 'NZD', 554, '$', '2', ',', '', '{number} {symbol}', '{symbol}{sign}{number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(80, 'Omani rial', '', '', 'OMR', 512, '﷼', '3', '.', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(81, 'Panamanian balboa', '', '', 'PAB', 590, 'B/.', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(82, 'Peruvian nuevo sol', '', '', 'PEN', 604, 'S/.', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(83, 'Papua New Guinean kina', '', '', 'PGK', 598, 'K', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(84, 'Philippine peso', '', '', 'PHP', 608, '₱', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(85, 'Pakistani rupee', '', '', 'PKR', 586, '₨', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(86, 'Polish Złoty', '', '', 'PLN', 985, 'zł', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(87, 'Paraguayan guaraní', '', '', 'PYG', 600, '₲', '0', '', '.', '{symbol} {number}', '{symbol} {sign}{number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(88, 'Qatari riyal', '', '', 'QAR', 634, '﷼', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(89, 'Romanian leu', '', '', 'RON', 946, 'lei', '2', ',', '.', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(90, 'Rwandan franc', '', '', 'RWF', 646, 'Fr', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(91, 'Saudi riyal', '', '', 'SAR', 682, '﷼', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(92, 'Solomon Islands dollar', '', '', 'SBD', 90, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(93, 'Seychellois rupee', '', '', 'SCR', 690, '₨', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(94, 'Swedish krona', '', '', 'SEK', 752, 'kr', '2', ',', '.', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(95, 'Singapore dollar', '', '', 'SGD', 702, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(96, 'Saint Helenian pound', '', '', 'SHP', 654, '£', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(97, 'Sierra Leonean leone', '', '', 'SLL', 694, 'Le', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(98, 'Somali shilling', '', '', 'SOS', 706, 'S', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(99, 'São Tomé and Príncipe dobra', '', '', 'STD', 678, 'Db', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(100, 'Russian ruble', '', '', 'RUB', 643, 'руб', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(101, 'Salvadoran colón', '', '', 'SVC', 222, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(102, 'Syrian pound', '', '', 'SYP', 760, '£', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(103, 'Swazi lilangeni', '', '', 'SZL', 748, 'L', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(104, 'Thai baht', '', '', 'THB', 764, '฿', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(105, 'Tunisian dinar', '', '', 'TND', 788, 'د.ت', '3', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(106, 'Tongan paʻanga', '', '', 'TOP', 776, 'T$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(107, 'Turkish new lira', '', '', 'TRY', 949, 'YTL', '2', ',', '.', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(108, 'Trinidad and Tobago dollar', '', '', 'TTD', 780, 'TT$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(109, 'New Taiwan dollar', '', '', 'TWD', 901, 'NT$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(110, 'Tanzanian shilling', '', '', 'TZS', 834, 'Sh', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(111, 'United States dollar', '', '', 'USD', 840, '$', '2', '.', ',', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(112, 'Vietnamese Dong', '', '', 'VND', 704, '₫', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(113, 'Vanuatu vatu', '', '', 'VUV', 548, 'Vt', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(114, 'Samoan tala', '', '', 'WST', 882, 'T', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(115, 'Yemeni rial', '', '', 'YER', 886, '﷼', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(116, 'Serbian dinar', '', '', 'RSD', 941, 'Дин.', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(117, 'South African rand', '', '', 'ZAR', 710, 'R', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(118, 'Zambian kwacha', '', '', 'ZMK', 894, 'ZK', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(119, 'Zimbabwean dollar', '', '', 'ZWD', 932, 'Z$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(120, 'Armenian dram', '', '', 'AMD', 51, 'դր.', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(121, 'Myanmar kyat', '', '', 'MMK', 104, 'K', '2', ',', '', '{number} {symbol}', '{symbol} {sign}{number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(122, 'Croatian kuna', '', '', 'HRK', 191, 'kn', '2', ',', '.', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(123, 'Eritrean nakfa', '', '', 'ERN', 232, 'Nfk', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(124, 'Djiboutian franc', '', '', 'DJF', 262, 'Fr', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(125, 'Icelandic króna', '', '', 'ISK', 352, 'kr', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(126, 'Kazakhstani tenge', '', '', 'KZT', 398, 'лв', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(127, 'Kyrgyzstani som', '', '', 'KGS', 417, 'лв', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(128, 'Latvian lats', '', '', 'LVL', 428, 'Ls', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(129, 'Lithuanian litas', '', '', 'LTL', 440, 'Lt', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(130, 'Mexican peso', '', '', 'MXN', 484, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(131, 'Moldovan leu', '', '', 'MDL', 498, 'L', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(132, 'Namibian dollar', '', '', 'NAD', 516, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(133, 'Nicaraguan córdoba', '', '', 'NIO', 558, 'C$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(134, 'Ugandan shilling', '', '', 'UGX', 800, 'Sh', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(135, 'Macedonian denar', '', '', 'MKD', 807, 'ден', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(136, 'Uruguayan peso', '', '', 'UYU', 858, '$', '0', '', '', '{symbol}number}', '{symbol}{sign}{number}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(137, 'Uzbekistani som', '', '', 'UZS', 860, 'лв', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(138, 'Azerbaijani manat', '', '', 'AZN', 934, 'ман', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(139, 'Ghanaian cedi', '', '', 'GHS', 936, '₵', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(140, 'Venezuelan bolívar', '', '', 'VEF', 937, 'Bs', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(141, 'Sudanese pound', '', '', 'SDG', 938, '£', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(142, 'Uruguay Peso', '', '', 'UYI', 940, 'UYI', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(143, 'Mozambican metical', '', '', 'MZN', 943, 'MT', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(144, 'WIR Euro', '', '', 'CHE', 947, '€', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(145, 'WIR Franc', '', '', 'CHW', 948, 'CHW', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(146, 'Central African CFA franc', '', '', 'XAF', 950, 'Fr', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(147, 'East Caribbean dollar', '', '', 'XCD', 951, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(148, 'West African CFA franc', '', '', 'XOF', 952, 'Fr', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(149, 'CFP franc', '', '', 'XPF', 953, 'Fr', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(150, 'Surinamese dollar', '', '', 'SRD', 968, '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(151, 'Malagasy ariary', '', '', 'MGA', 969, 'MGA', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(152, 'Unidad de Valor Real', '', '', 'COU', 970, 'COU', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(153, 'Afghan afghani', '', '', 'AFN', 971, '؋', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(154, 'Tajikistani somoni', '', '', 'TJS', 972, 'ЅМ', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(155, 'Angolan kwanza', '', '', 'AOA', 973, 'Kz', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(156, 'Belarusian ruble', '', '', 'BYR', 974, 'p.', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(157, 'Bulgarian lev', '', '', 'BGN', 975, 'лв', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(158, 'Congolese franc', '', '', 'CDF', 976, 'Fr', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(159, 'Bosnia and Herzegovina convert', '', '', 'BAM', 977, 'KM', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(160, 'Mexican Unid', '', '', 'MXV', 979, 'MXV', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(161, 'Ukrainian hryvnia', '', '', 'UAH', 980, '₴', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(162, 'Georgian lari', '', '', 'GEL', 981, 'ლ', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(163, 'Mvdol', '', '', 'BOV', 984, 'BOV', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

CREATE TABLE IF NOT EXISTS `#__sellacious_emailtemplates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subject` text NOT NULL,
  `body` text NOT NULL,
  `recipients` text NOT NULL,
  `sender` text NOT NULL,
  `cc` text NOT NULL,
  `bcc` text NOT NULL,
  `replyto` text NOT NULL,
  `send_actual_recipient` int(11) NOT NULL DEFAULT '0',
  `context` varchar(50) NOT NULL,
  `recipient_category` int(11) NOT NULL,
  `send_attachment` TINYINT(1) NOT NULL,
  `message_type` VARCHAR(30) NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_emailtemplates` (`id`, `subject`, `body`, `recipients`, `sender`, `cc`, `bcc`, `replyto`, `send_actual_recipient`, `context`, `recipient_category`, `send_attachment`, `message_type`, `state`, `created`, `created_by`, `modified`, `modified_by`, `params`) VALUES
(1, '%SITENAME% | Activation Pending Reminder', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 100px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %FULL_NAME%,</h2>\r\n<p style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444; margin: 0 0 10px; text-align: justify;\">%SITENAME% team congratulates you on re-embarking a journey towards becoming a more prominent company, This is a reminder that %DAYS_PASSED% have passed, your activation request is pending since you have registered with us on %REGISTRATION_DATE%.</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"text-align: center;\">\r\n<h4 style=\"font-size: 16px; font-weight: normal; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444; margin: 0 0 10px;\">Click Here To Activate</h4>\r\n<p style=\"margin: 0;\"><a style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 22px; background-color: #3070a9; color: #fff; padding: 8px 0px; display: inline-block; text-decoration: none; width: 100%; max-width: 300px; margin-bottom: 35px;\" href=\"%ACTIVATION_LINK%\">Activate</a></p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"text-align: center; padding: 25px 35px; background-color: #d3ebff;\">\r\n<p style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444; margin: 0 0 10px;\">Have you given any additional thought to your further collaboration with us? We are looking forward to your activation. It would be a pleasure to have you as our customer, we are always here to provide our cooperation.</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'user_activation.self', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(2, '%SITENAME% | Activation Pending Users List', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 100px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444; margin: 0 0 10px;\">Please see below the list of users with pending activation request :-<br /><br />%USER_LIST%</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'user_activation.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(3, '%SITENAME% | Order Payment Successful', '<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"background: #f5f5f5;\" width=\"100%\">\r\n	<tbody>\r\n		<tr>\r\n			<td>\r\n			<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: auto;\" width=\"650\">\r\n				<tbody>\r\n					<tr>\r\n						<td style=\"padding: 80px 0 20px;\">\r\n						<p>%EMAIL_HEADER%</p>\r\n						</td>\r\n					</tr>\r\n				</tbody>\r\n			</table>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td>\r\n			<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" width=\"650\">\r\n				<tbody>\r\n					<tr>\r\n						<td style=\"padding: 25px 35px 20px;\">\r\n						<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %CUSTOMER_NAME%,</h2>\r\n\r\n						<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #0b9c1d; margin: 0 0 10px;\">Your order payment has been successful.&nbsp;</div>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"text-align: center;\">\r\n						<p style=\"margin: 0;\"><a href=\"%ORDER_URL%\" style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 22px; background-color: #3070a9; color: #fff; padding: 8px 0px; display: inline-block; text-decoration: none; width: 100%; max-width: 300px; margin-bottom: 35px;\">Track Order</a></p>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 0px 35px 20px;\">\r\n						<p style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0; font-weight: bold;\">Order Details</p>\r\n\r\n						<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Order Number</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%ORDER_NUMBER%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Order Date</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%ORDER_DATE%</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 0px 35px 0px;\">\r\n						<p style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0; font-weight: bold;\">Billing Details</p>\r\n\r\n						<table>\r\n							<tbody>\r\n								<tr>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\">Shipping Questions (If any)</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\">Checkout Questions (If any)</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n\r\n						<table>\r\n							<tbody>\r\n								<tr>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\">%SHIPMENT_FORM%</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\">%CHECKOUT_FORM%</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n\r\n						<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Name</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%BILLING_NAME%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Address</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%BILLING_ADDRESS%<br />\r\n									%BILLING_LANDMARK%<br />\r\n									%BILLING_DISTRICT%<br />\r\n									%BILLING_STATE%<br />\r\n									%BILLING_COUNTRY%<br />\r\n									%BILLING_ZIP%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Phone</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%BILLING_MOBILE%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Email</td>\r\n									<td>:</td>\r\n									<td>%CUSTOMER_EMAIL%</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 20px 35px 20px;\">\r\n						<table border=\"0\" cellpadding=\"0\" cellspacing=\"4\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\"><b>Product</b></td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 66px;\" valign=\"top\"><b>Quantity</b></td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 72px;\" valign=\"top\"><b>Price</b></td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 154px;\" valign=\"top\"><b>Seller</b></td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Shipping</b></td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						%GRID_BEGIN%\r\n\r\n						<table border=\"0\" cellpadding=\"0\" cellspacing=\"4\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\">%PRODUCT_TITLE%</td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 66px;\" valign=\"top\">%PRODUCT_QUANTITY%</td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 72px;\" valign=\"top\">%PRODUCT_PRICE%</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 154px;\" valign=\"top\">%PRODUCT_SELLER%</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_SHIPPING%</td>\r\n								</tr>\r\n								<tr>\r\n									<td colspan=\"100%\" style=\"width: 654px;\">\r\n									<hr width=\"100%\" /></td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						%GRID_END%</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 10px 20px 10px; text-align: right; background-color: #d3ebff;\">\r\n						<table align=\"right\" border=\"0\" cellpadding=\"1\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal; text-align: left;\" width=\"50%\">\r\n							<tbody>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Cart Shipping</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%CART_SHIPPING%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Discount</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%CART_DISCOUNTS%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Tax</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%CART_TAXES%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Total</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%GRAND_TOTAL%</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						</td>\r\n					</tr>\r\n				</tbody>\r\n			</table>\r\n\r\n			<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: 0px auto 70px;\" width=\"650\">\r\n				<tbody>\r\n					<tr>\r\n						<td colspan=\"2\">\r\n						<p>%EMAIL_FOOTER%</p>\r\n						</td>\r\n					</tr>\r\n				</tbody>\r\n			</table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '', '', '', '', '', 1, 'order_payment_success.self', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-02-14 05:32:55', 180, '{\"days\":\"\"}'),
(4, '%SITENAME% | Order Payment Received Successfully', '<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"background: #f5f5f5;\" width=\"100%\">\r\n	<tbody>\r\n		<tr>\r\n			<td>\r\n			<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: auto;\" width=\"650\">\r\n				<tbody>\r\n					<tr>\r\n						<td style=\"padding: 80px 0 20px;\">\r\n						<p>%EMAIL_HEADER%</p>\r\n						</td>\r\n					</tr>\r\n				</tbody>\r\n			</table>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td>\r\n			<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" width=\"650\">\r\n				<tbody>\r\n					<tr>\r\n						<td style=\"padding: 25px 35px 20px;\">\r\n						<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %SELLER_COMPANY%,</h2>\r\n\r\n						<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #0b9c1d; margin: 0 0 10px;\">Order Payment by %CUSTOMER_NAME% has been successfully made against below details:</div>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 0px 35px 20px;\">\r\n						<p style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0; font-weight: bold;\">Order Details</p>\r\n\r\n						<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Order Number</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%ORDER_NUMBER%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Order Date</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%ORDER_DATE%</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 0px 35px 0px;\">\r\n						<p style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0; font-weight: bold;\">Billing Details</p>\r\n\r\n						<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Name</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%BILLING_NAME%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Address</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%BILLING_ADDRESS%<br />\r\n									%BILLING_LANDMARK%<br />\r\n									%BILLING_DISTRICT%<br />\r\n									%BILLING_STATE%<br />\r\n									%BILLING_COUNTRY%<br />\r\n									%BILLING_ZIP%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Phone</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%BILLING_MOBILE%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Email</td>\r\n									<td>:</td>\r\n									<td>%CUSTOMER_EMAIL%</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 20px 35px 20px;\">\r\n						<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 224px;\" valign=\"top\"><b>Product</b></td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 104px;\" valign=\"top\"><b>Quantity</b></td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\"><b>Price</b></td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 104px;\" valign=\"top\"><b>Shipping</b></td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						%GRID_BEGIN%\r\n\r\n						<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 224px;\" valign=\"top\">%PRODUCT_TITLE%</td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 104px;\" valign=\"top\">%PRODUCT_QUANTITY%</td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\">%PRODUCT_PRICE%</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 104px;\" valign=\"top\">%PRODUCT_SHIPPING%</td>\r\n								</tr>\r\n								<tr>\r\n									<td colspan=\"100%\">\r\n									<hr width=\"100%\" /></td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						%GRID_END%</td>\r\n					</tr>\r\n				</tbody>\r\n			</table>\r\n\r\n			<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: 0px auto 70px;\" width=\"650\">\r\n				<tbody>\r\n					<tr>\r\n						<td colspan=\"2\">\r\n						<p>%EMAIL_FOOTER%</p>\r\n						</td>\r\n					</tr>\r\n				</tbody>\r\n			</table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '', '', '', '', '', 1, 'order_payment_success.seller', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-02-12 00:44:01', 180, '{\"days\":\"\"}'),
(5, '%SITENAME% | Successful Order Payment', '<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"background: #f5f5f5;\" width=\"100%\">\r\n	<tbody>\r\n		<tr>\r\n			<td>\r\n			<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: auto;\" width=\"650\">\r\n				<tbody>\r\n					<tr>\r\n						<td style=\"padding: 80px 0 20px;\">\r\n						<p>%EMAIL_HEADER%</p>\r\n						</td>\r\n					</tr>\r\n				</tbody>\r\n			</table>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td>\r\n			<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" width=\"650\">\r\n				<tbody>\r\n					<tr>\r\n						<td style=\"padding: 25px 35px 20px;\">\r\n						<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n\r\n						<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #0b9c1d; margin: 0 0 10px; text-align: justify;\">The order payment was made successful by %CUSTOMER_NAME%.</div>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 0px 35px 20px;\">\r\n						<p style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0; font-weight: bold;\">Order Details</p>\r\n\r\n						<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Order Number</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%ORDER_NUMBER%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Order Date</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%ORDER_DATE%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\" width=\"23%\">Payment Response</td>\r\n									<td valign=\"top\" width=\"3%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%PAYMENT_RESPONSE%</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 0px 35px 0px;\">\r\n						<p style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0; font-weight: bold;\">Billing Details</p>\r\n\r\n						<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Name</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%BILLING_NAME%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Address</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%BILLING_ADDRESS%<br />\r\n									%BILLING_LANDMARK%<br />\r\n									%BILLING_DISTRICT%<br />\r\n									%BILLING_STATE%<br />\r\n									%BILLING_COUNTRY%<br />\r\n									%BILLING_ZIP%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Phone</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%BILLING_MOBILE%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Email</td>\r\n									<td>:</td>\r\n									<td>%CUSTOMER_EMAIL%</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 20px 35px 20px;\">\r\n						<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\"><b>Product</b></td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 66px;\" valign=\"top\"><b>Quantity</b></td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 72px;\" valign=\"top\"><b>Price</b></td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 154px;\" valign=\"top\"><b>Seller</b></td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Shipping</b></td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						%GRID_BEGIN%\r\n\r\n						<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\">%PRODUCT_TITLE%</td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 66px;\" valign=\"top\">%PRODUCT_QUANTITY%</td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 72px;\" valign=\"top\">%PRODUCT_PRICE%</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 154px;\" valign=\"top\">%PRODUCT_SELLER%</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_SHIPPING%</td>\r\n								</tr>\r\n								<tr>\r\n									<td colspan=\"100%\">\r\n									<hr width=\"100%\" /></td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n\r\n						<table>\r\n							<tbody>\r\n								<tr>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\">Shipping Questions (If any)</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\">Checkout Questions (If any)</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n\r\n						<table>\r\n							<tbody>\r\n								<tr>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\">%SHIPMENT_FORM%</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\">%CHECKOUT_FORM%</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						%GRID_END%</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 10px 20px 10px; text-align: right; background-color: #d3ebff;\">\r\n						<table align=\"right\" border=\"0\" cellpadding=\"1\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal; text-align: left;\" width=\"50%\">\r\n							<tbody>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Cart Shipping</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%CART_SHIPPING%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Discount</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%CART_DISCOUNTS%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Tax</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%CART_TAXES%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Total</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%GRAND_TOTAL%</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						</td>\r\n					</tr>\r\n				</tbody>\r\n			</table>\r\n\r\n			<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: 0px auto 70px;\" width=\"650\">\r\n				<tbody>\r\n					<tr>\r\n						<td colspan=\"2\">\r\n						<p>%EMAIL_FOOTER%</p>\r\n						</td>\r\n					</tr>\r\n				</tbody>\r\n			</table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '', '', '', '', '', 1, 'order_payment_success.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-02-14 05:24:32', 180, '{\"days\":\"\"}'),
(6, '%SITENAME% | Order Payment Failure', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><tbody><tr><td><table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\"><tbody><tr><td style=\"padding: 80px 0 20px;\"><a href=\"http://sellacious.com/\"><img src=\"http://sellacious.com/images/sellacious-logo-main.png\" alt=\"Sellacious\" /></a></td></tr></tbody></table></td></tr><tr><td><table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\"><tbody><tr><td style=\"padding: 25px 35px 20px;\"><h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %CUSTOMER_NAME%,</h2><div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #e90000; margin: 0 0 10px;\">Your order payment against below Order has been failed.</div></td></tr><tr><td style=\"padding: 0px 35px 20px;\"><p style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0; font-weight: bold;\">Order Details</p><table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\"><tbody><tr><td valign=\"top\" width=\"20%\">Order Number</td><td valign=\"top\" width=\"5%\">:</td><td valign=\"top\" width=\"75%\">%ORDER_NUMBER%</td></tr><tr><td valign=\"top\" width=\"20%\">Order Date</td><td valign=\"top\" width=\"5%\">:</td><td valign=\"top\" width=\"75%\">%ORDER_DATE%</td></tr></tbody></table></td></tr><tr><td style=\"padding: 0px 35px 0px;\"><p style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0; font-weight: bold;\">Billing Details</p><table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\"><tbody><tr><td valign=\"top\" width=\"20%\">Name</td><td valign=\"top\" width=\"5%\">:</td><td valign=\"top\" width=\"75%\">%BILLING_NAME%</td></tr><tr><td valign=\"top\">Address</td><td valign=\"top\">:</td><td valign=\"top\">%BILLING_ADDRESS%<br /> %BILLING_LANDMARK%<br /> %BILLING_DISTRICT%<br /> %BILLING_STATE%<br /> %BILLING_COUNTRY%<br /> %BILLING_ZIP%</td></tr><tr><td valign=\"top\">Phone</td><td valign=\"top\">:</td><td valign=\"top\">%BILLING_MOBILE%</td></tr><tr><td valign=\"top\">Email</td><td>:</td><td>%CUSTOMER_EMAIL%</td></tr></tbody></table></td></tr><tr><td style=\"padding: 20px 35px 20px;\"><table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><tbody><tr><td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\"><b>Product</b></td><td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 66px;\" valign=\"top\"><b>Quantity</b></td><td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 72px;\" valign=\"top\"><b>Price</b></td><td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 154px;\" valign=\"top\"><b>Seller</b></td><td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Shipping</b></td></tr></tbody></table>\r\n%GRID_BEGIN%\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><tbody><tr><td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\">%PRODUCT_TITLE%</td><td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 66px;\" valign=\"top\">%PRODUCT_QUANTITY%</td><td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 72px;\" valign=\"top\">%PRODUCT_PRICE%</td><td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 154px;\" valign=\"top\">%PRODUCT_SELLER%</td><td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_SHIPPING%</td></tr><tr><td colspan=\"100%\"><hr width=\"100%\" /></td></tr></tbody></table>\r\n%GRID_END%</td></tr><tr><td style=\"padding: 10px 20px 10px; text-align: right; background-color: #d3ebff;\"><table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal; text-align: left;\" border=\"0\" width=\"50%\" cellspacing=\"0\" cellpadding=\"1\" align=\"right\"><tbody><tr><td valign=\"top\" width=\"20%\">Cart Shipping</td><td valign=\"top\" width=\"5%\">:</td><td valign=\"top\" width=\"75%\">%CART_SHIPPING%</td></tr><tr><td valign=\"top\" width=\"20%\">Discount</td><td valign=\"top\" width=\"5%\">:</td><td valign=\"top\" width=\"75%\">%CART_DISCOUNTS%</td></tr><tr><td valign=\"top\">Tax</td><td valign=\"top\">:</td><td valign=\"top\">%CART_TAXES%</td></tr><tr><td valign=\"top\">Total</td><td valign=\"top\">:</td><td valign=\"top\">%GRAND_TOTAL%</td></tr></tbody></table></td></tr></tbody></table><table style=\"margin: 20px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\"><tbody><tr><td style=\"text-align: center;\"><p style=\"font-size: 12px; text-align: center; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #555; margin: 0 0; font-weight: normal;\">For more information, visit our site <a style=\"font-size: 12px; font-family: helvetica,arial,sans-serif; color: #5551f7;\" href=\"%SITE_URL%\">%SITENAME%</a></p><p style=\"margin: 5px 0 0;\"><a style=\"margin: 0 3px;\" href=\"https://www.facebook.com/sellacious/?fref=ts\"><img src=\"http://d3qngc7ypzt3ty.cloudfront.net/blog/icon-facebook.png\" /></a> <a style=\"margin: 0 3px;\" href=\"https://twitter.com/SellaciousCom\"><img src=\"http://d3qngc7ypzt3ty.cloudfront.net/blog/icon-tweet.png\" /></a></p></td></tr></tbody></table></td></tr></tbody></table>', '', '', '', '', '', 1, 'order_payment_failure.self', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '0000-00-00 00:00:00', 180, '{\"days\":\"\"}'),
(7, '%SITENAME% | Failed Order Payment ', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #e90000; margin: 0 0 10px; text-align: justify;\">The order payment by %CUSTOMER_NAME% was failed.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\">\r\n<p style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0; font-weight: bold;\">Order Details</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Order Number</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%ORDER_NUMBER%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Order Date</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%ORDER_DATE%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\" width=\"23%\">Payment Response</td>\r\n<td valign=\"top\" width=\"2%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%PAYMENT_RESPONSE%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 0px;\">\r\n<p style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0; font-weight: bold;\">Buyer’s Details</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%BILLING_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Address</td>\r\n<td valign=\"top\">:</td>\r\n<td valign=\"top\">%BILLING_ADDRESS%<br /> %BILLING_LANDMARK%<br /> %BILLING_DISTRICT%<br /> %BILLING_STATE%<br /> %BILLING_COUNTRY%<br /> %BILLING_ZIP%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Phone</td>\r\n<td valign=\"top\">:</td>\r\n<td valign=\"top\">%BILLING_MOBILE%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%CUSTOMER_EMAIL%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 20px 35px 20px;\">\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\"><b>Product</b></td>\r\n<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 66px;\" valign=\"top\"><b>Quantity</b></td>\r\n<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 72px;\" valign=\"top\"><b>Price</b></td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 154px;\" valign=\"top\"><b>Seller</b></td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Shipping</b></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n%GRID_BEGIN%\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 184px;\" valign=\"top\">%PRODUCT_TITLE% (%PRODUCT_SKU%)</td>\r\n<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 66px;\" valign=\"top\">%PRODUCT_QUANTITY%</td>\r\n<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 72px;\" valign=\"top\">%PRODUCT_PRICE%</td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 154px;\" valign=\"top\">%PRODUCT_SELLER%</td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_SHIPPING%</td>\r\n</tr>\r\n<tr>\r\n<td colspan=\"100%\"><hr width=\"100%\" /></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n%GRID_END%</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 10px 20px 10px; text-align: right; background-color: #d3ebff;\">\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal; text-align: left;\" border=\"0\" width=\"50%\" cellspacing=\"0\" cellpadding=\"1\" align=\"right\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Cart Shipping</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%CART_SHIPPING%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Discount</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%CART_DISCOUNTS%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Tax</td>\r\n<td valign=\"top\">:</td>\r\n<td valign=\"top\">%CART_TAXES%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Total</td>\r\n<td valign=\"top\">:</td>\r\n<td valign=\"top\">%GRAND_TOTAL%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'order_payment_failure.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(8, '%SITENAME% | Order Status Change', '<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"background: #f5f5f5;\" width=\"100%\">\r\n	<tbody>\r\n		<tr>\r\n			<td>\r\n			<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: auto;\" width=\"650\">\r\n				<tbody>\r\n					<tr>\r\n						<td style=\"padding: 80px 0 20px;\">\r\n						<p>%EMAIL_HEADER%</p>\r\n						</td>\r\n					</tr>\r\n				</tbody>\r\n			</table>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td>\r\n			<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" width=\"650\">\r\n				<tbody>\r\n					<tr>\r\n						<td style=\"padding: 25px 35px 20px;\">\r\n						<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %CUSTOMER_NAME%,</h2>\r\n\r\n						<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\">Your order status has been updated. You can track your order by using the link below.</div>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"text-align: center;\">\r\n						<p style=\"margin: 0;\"><a href=\"%ORDER_URL%\" style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 22px; background-color: #3070a9; color: #fff; padding: 8px 0px; display: inline-block; text-decoration: none; width: 100%; max-width: 300px; margin-bottom: 35px;\">Track Order</a></p>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 0px 35px 10px;\">\r\n						<p style=\"font-size: 20px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #444; margin: 10px 0 0px; font-weight: bold;\">Billing Information</p>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 0px 35px 20px;\">\r\n						<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Name</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%BILLING_NAME%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Address</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%BILLING_ADDRESS%<br />\r\n									%BILLING_LANDMARK%<br />\r\n									%BILLING_DISTRICT%<br />\r\n									%BILLING_STATE%<br />\r\n									%BILLING_COUNTRY%<br />\r\n									%BILLING_ZIP%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Phone</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%BILLING_MOBILE%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Email</td>\r\n									<td>:</td>\r\n									<td>%CUSTOMER_EMAIL%</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 20px 35px 10px; background-color: #d3ebff;\">\r\n						<p style=\"font-size: 20px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #444; margin: 10px 0 0px; font-weight: bold;\">Shipping Information</p>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 0px 35px 0px; background-color: #d3ebff;\">\r\n						<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td valign=\"top\" width=\"20%\">Name</td>\r\n									<td valign=\"top\" width=\"5%\">:</td>\r\n									<td valign=\"top\" width=\"75%\">%SHIPPING_NAME%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Address</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%SHIPPING_ADDRESS%<br />\r\n									%SHIPPING_LANDMARK%<br />\r\n									%SHIPPING_DISTRICT%<br />\r\n									%SHIPPING_STATE%<br />\r\n									%SHIPPING_COUNTRY%<br />\r\n									%SHIPPING_ZIP%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Phone</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%SHIPPING_MOBILE%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">Shipping form</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%SHIPMENT_FORM%</td>\r\n								</tr>\r\n								<tr>\r\n									<td valign=\"top\">checkout form</td>\r\n									<td valign=\"top\">:</td>\r\n									<td valign=\"top\">%CHECKOUT_FORM%</td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						</td>\r\n					</tr>\r\n					<tr>\r\n						<td style=\"padding: 20px 35px 20px; background-color: #d3ebff;\">\r\n						<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\"><b>Product</b></td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 66px;\" valign=\"top\"><b>Quantity</b></td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 72px;\" valign=\"top\"><b>Price</b></td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\"><b>Seller</b></td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Product Status</b></td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Status Creator</b></td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Status Creator Role</b></td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Status Created Date</b></td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						%GRID_BEGIN%\r\n\r\n						<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" width=\"100%\">\r\n							<tbody>\r\n								<tr>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\">%PRODUCT_TITLE%</td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 66px;\" valign=\"top\">%PRODUCT_QUANTITY%</td>\r\n									<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 72px;\" valign=\"top\">%PRODUCT_PRICE%</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\">%PRODUCT_SELLER%</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_STATUS_NEW%</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_STATUS_CREATOR%</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_STATUS_CREATOR_ROLE%</td>\r\n									<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_STATUS_CREATED_DATE%</td>\r\n								</tr>\r\n								<tr>\r\n									<td colspan=\"100%\">\r\n									<hr width=\"100%\" /></td>\r\n								</tr>\r\n							</tbody>\r\n						</table>\r\n						%GRID_END%</td>\r\n					</tr>\r\n				</tbody>\r\n			</table>\r\n\r\n			<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: 0px auto 70px;\" width=\"650\">\r\n				<tbody>\r\n					<tr>\r\n						<td colspan=\"2\">\r\n						<p>%EMAIL_FOOTER%</p>\r\n						</td>\r\n					</tr>\r\n				</tbody>\r\n			</table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '', '', '', '', '', 1, 'order_status.self', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-31 23:10:40', 180, '{\"days\":\"\"}');
INSERT INTO `#__sellacious_emailtemplates` (`id`, `subject`, `body`, `recipients`, `sender`, `cc`, `bcc`, `replyto`, `send_actual_recipient`, `context`, `recipient_category`, `send_attachment`, `message_type`, `state`, `created`, `created_by`, `modified`, `modified_by`, `params`) VALUES
(9, '%SITENAME% | Order Status Change', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %SELLER_COMPANY%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\">Status of the order by %CUSTOMER_NAME% with order number %ORDER_NUMBER% and order date %ORDER_DATE% has been updated.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 10px;\">\r\n<p style=\"font-size: 20px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #444; margin: 10px 0 0px; font-weight: bold;\">Billing Information</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\">\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%BILLING_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Address</td>\r\n<td valign=\"top\">:</td>\r\n<td valign=\"top\">%BILLING_ADDRESS%<br /> %BILLING_LANDMARK%<br /> %BILLING_DISTRICT%<br /> %BILLING_STATE%<br /> %BILLING_COUNTRY%<br /> %BILLING_ZIP%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Phone</td>\r\n<td valign=\"top\">:</td>\r\n<td valign=\"top\">%BILLING_MOBILE%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%CUSTOMER_EMAIL%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 20px 35px 10px; background-color: #d3ebff;\">\r\n<p style=\"font-size: 20px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #444; margin: 10px 0 0px; font-weight: bold;\">Shipping Information</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 0px; background-color: #d3ebff;\">\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%SHIPPING_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Address</td>\r\n<td valign=\"top\">:</td>\r\n<td valign=\"top\">%SHIPPING_ADDRESS%<br /> %SHIPPING_LANDMARK%<br /> %SHIPPING_DISTRICT%<br /> %SHIPPING_STATE%<br /> %SHIPPING_COUNTRY%<br /> %SHIPPING_ZIP%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Phone</td>\r\n<td valign=\"top\">:</td>\r\n<td valign=\"top\">%SHIPPING_MOBILE%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 20px 35px 20px; background-color: #d3ebff;\">\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\"><b>Product</b></td>\r\n<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 104px;\" valign=\"top\"><b>Quantity</b></td>\r\n<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\"><b>Price</b></td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 104px;\" valign=\"top\"><b>Product Status</b></td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Status Creator</b></td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Status Creator Role</b></td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Status Created Date</b></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n%GRID_BEGIN%\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\">%PRODUCT_TITLE%</td>\r\n<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 104px;\" valign=\"top\">%PRODUCT_QUANTITY%</td>\r\n<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\">%PRODUCT_PRICE%</td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 104px;\" valign=\"top\">%PRODUCT_STATUS_NEW%</td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_STATUS_CREATOR%</td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_STATUS_CREATOR_ROLE%</td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_STATUS_CREATED_DATE%</td>\r\n</tr>\r\n<tr>\r\n<td colspan=\"100%\"><hr width=\"100%\" /></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n%GRID_END%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'order_status.seller', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(10, '%SITENAME% | Changed Order Status', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\">Status of the order by %CUSTOMER_NAME% with order number %ORDER_NUMBER% and order date %ORDER_DATE% has been updated.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 10px;\">\r\n<p style=\"font-size: 20px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #444; margin: 10px 0 0px; font-weight: bold;\">Billing Information</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\">\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%BILLING_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Address</td>\r\n<td valign=\"top\">:</td>\r\n<td valign=\"top\">%BILLING_ADDRESS%<br /> %BILLING_LANDMARK%<br /> %BILLING_DISTRICT%<br /> %BILLING_STATE%<br /> %BILLING_COUNTRY%<br /> %BILLING_ZIP%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Phone</td>\r\n<td valign=\"top\">:</td>\r\n<td valign=\"top\">%BILLING_MOBILE%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%CUSTOMER_EMAIL%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 20px 35px 10px; background-color: #d3ebff;\">\r\n<p style=\"font-size: 20px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #444; margin: 10px 0 0px; font-weight: bold;\">Shipping Information</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 0px; background-color: #d3ebff;\">\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%SHIPPING_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Address</td>\r\n<td valign=\"top\">:</td>\r\n<td valign=\"top\">%SHIPPING_ADDRESS%<br /> %SHIPPING_LANDMARK%<br /> %SHIPPING_DISTRICT%<br /> %SHIPPING_STATE%<br /> %SHIPPING_COUNTRY%<br /> %SHIPPING_ZIP%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Phone</td>\r\n<td valign=\"top\">:</td>\r\n<td valign=\"top\">%SHIPPING_MOBILE%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 20px 35px 20px; background-color: #d3ebff;\">\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\"><b>Product</b></td>\r\n<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 66px;\" valign=\"top\"><b>Quantity</b></td>\r\n<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 72px;\" valign=\"top\"><b>Price</b></td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\"><b>Seller</b></td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Product Status</b></td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Status Creator</b></td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Status Creator Role</b></td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\"><b>Status Created Date</b></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n%GRID_BEGIN%\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\">%PRODUCT_TITLE%</td>\r\n<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 66px;\" valign=\"top\">%PRODUCT_QUANTITY%</td>\r\n<td style=\"text-align: center; padding: 0 3px 2px; white-space: normal; min-width: 72px;\" valign=\"top\">%PRODUCT_PRICE%</td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 124px;\" valign=\"top\">%PRODUCT_SELLER%</td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_STATUS_NEW%</td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_STATUS_CREATOR%</td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_STATUS_CREATOR_ROLE%</td>\r\n<td style=\"text-align: left; padding: 0 3px 2px; white-space: normal; min-width: 74px;\" valign=\"top\">%PRODUCT_STATUS_CREATED_DATE%</td>\r\n</tr>\r\n<tr>\r\n<td colspan=\"100%\"><hr width=\"100%\" /></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n%GRID_END%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'order_status.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(11, '%SITENAME% | Registration Successful', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %FULL_NAME%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\">You have successfully registered to <a style=\"text-decoration: none;\" href=\"%SITE_URL%\">%SITENAME%</a> on %REGISTRATION_DATE%. Please activate your account on <a href=\"%ACTIVATION_LINK%\">activation link</a> with Password - %PASSWORD%.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\">\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0; font-weight: bold;\">Your Details:</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%FULL_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%EMAIL_ADDRESS%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'user_registration.self', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(12, '%SITENAME% | New Registration', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\">New user, %FULL_NAME% has registered to <a style=\"text-decoration: none;\" href=\"%SITE_URL%\">%SITENAME%</a> on %REGISTRATION_DATE%. Following is the activation link to his profile - <a href=\"%ACTIVATION_LINK%\">activation link</a> with password %PASSWORD%.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\">\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0px 0; font-weight: bold;\">User’s Details:</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%FULL_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%EMAIL_ADDRESS%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0 0; padding: 20px 0; text-align: center; background-color: #d3ebff;\">Your %SITENAME% Team!!</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'user_registration.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(13, '%SITENAME% | New message from %SENDER_NAME%', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 20px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">You have a new message from %SENDER_NAME%.</h2>\r\n<h2 style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: bold;\">Subject : %SUBJECT%</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\">%BODY%</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'message.recipient', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(14, '%SITENAME% | Adding Fund Request Initiated', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %BENEFICIARY%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">You have requested to add %AMOUNT% on %DATE%. The transaction number is %TXN_NUMBER% and the mode of transaction used is %MODE%, your transaction status is %STATUS%.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0 0; padding: 20px 0; text-align: center; background-color: #d3ebff;\">For further queries, visit us at <a style=\"text-decoration: none;\" href=\"%SITE_URL%\">%SITENAME%</a></p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'transaction_initiate_addfund.user', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(15, '%SITENAME% | Adding Fund Request Initiated', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">%BENEFICIARY% has requested to add %AMOUNT% on %DATE%. The transaction number is %TXN_NUMBER% and the mode of transaction used is %MODE%, the transaction status is %STATUS%.</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'transaction_initiate_addfund.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(16, '%SITENAME% | Fund Withdrawal Request Initiated', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %BENEFICIARY%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">You have requested to withdraw %AMOUNT% on %DATE%. The transaction number is %TXN_NUMBER% and the mode of transaction used is %MODE%, your transaction status is %STATUS%.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0 0; padding: 20px 0; text-align: center; background-color: #d3ebff;\">For further queries, visit us at <a style=\"text-decoration: none;\" href=\"%SITE_URL%\">%SITENAME%</a></p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'transaction_initiate_withdraw.user', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(17, '%SITENAME% | Fund Withdrawal Request Initiated', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">%BENEFICIARY% has requested to withdraw %AMOUNT% on %DATE%. The transaction number is %TXN_NUMBER% and the mode of transaction used is %MODE%, the transaction status is %STATUS%.</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'transaction_initiate_withdraw.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(18, '%SITENAME% |Adding Fund Request Approved', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %BENEFICIARY%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">You have received %AMOUNT% on %DATE%, your transaction has been approved by %SITENAME%. The transaction number is %TXN_NUMBER% and the mode of transaction used is %MODE%, your transaction status is %STATUS%.</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'transaction_approved_addfund.user', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(19, '%SITENAME% |Adding Fund Request Approved', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">%BENEFICIARY% has received a %AMOUNT% on %DATE%, the transaction has been approved. The transaction number is %TXN_NUMBER% and the mode of transaction used is %MODE%, the transaction status is %STATUS%.</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'transaction_approved_addfund.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(20, '%SITENAME% | Fund Withdrawal Request Approved', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %BENEFICIARY%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">You have withdrawn %AMOUNT% from your account on %DATE%. The transaction number is %TXN_NUMBER% and the mode of transaction used is %MODE%, your transaction status is %STATUS%.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0 0; padding: 20px 0; text-align: center; background-color: #d3ebff;\">For further queries, visit us at <a style=\"text-decoration: none;\" href=\"%SITE_URL%\">%SITENAME%</a></p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'transaction_approved_withdraw.user', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(21, '%SITENAME% | Fund Withdrawal Request Approved', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">%BENEFICIARY% has withdrawn a %AMOUNT% on %DATE%. The transaction number is %TXN_NUMBER% and the mode of transaction used is %MODE%, the transaction status is %STATUS%.</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'transaction_approved_withdraw.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(22, '%SITENAME% | Adding Fund Request Declined', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %BENEFICIARY%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">You have requested to add this %AMOUNT% amount in your account on %DATE%, it has been declined by the %SITENAME%.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0 0; padding: 20px 0; text-align: center; background-color: #d3ebff;\">For further queries, visit us at <a style=\"text-decoration: none;\" href=\"%SITE_URL%\">%SITENAME%</a></p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'transaction_declined_addfund.user', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(23, '%SITENAME% | Adding Fund Request Declined', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">%BENEFICIARY% has requested to add this %AMOUNT% amount his account on %DATE%, it has been declined by the %SITENAME%.</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'transaction_declined_addfund.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(24, '%SITENAME% | Fund Withdrawal Request Declined', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %BENEFICIARY%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">You have requested to withdraw this %AMOUNT% amount from an account on %DATE%, it has been declined by the %SITENAME%.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 10px 0 0; padding: 20px 0; text-align: center; background-color: #d3ebff;\">For further queries, visit us at <a style=\"text-decoration: none;\" href=\"%SITE_URL%\">%SITENAME%</a></p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'transaction_declined_withdraw.user', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(25, '%SITENAME% | Fund Withdrawal Request Declined', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">%BENEFICIARY% requested to withdraw this %AMOUNT% amount from an account on %DATE%, it has been declined by the %SITENAME%.</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'transaction_declined_withdraw.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(26, '%SITENAME% | Registration Successful', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %NAME%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">You have registered with us as a new seller.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\">\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0; font-weight: bold;\">Your Details:</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%EMAIL%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Phone</td>\r\n<td>:</td>\r\n<td>%PHONE%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'seller_register.user', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(27, '%SITENAME% | New Seller Registered', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">New seller, %NAME% registered with us works for %COMPANY% from %COUNTRY%.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\">\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0; font-weight: bold;\">Seller\'s Details:</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%EMAIL%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Phone</td>\r\n<td>:</td>\r\n<td>%PHONE%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'seller_register.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"days\":\"\"}'),
(28, '%SITENAME% | You Are Authorized', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %USER_NAME%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\">You have been succefully added as an authorized user by %CLIENT_NAME% from %CLIENT_COMPANY% on %DATE%. Your account\'s credit limit is <b>%CREDIT_LIMIT%</b>. For further queries please contact %CLIENT_NAME%.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\">\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0; font-weight: bold;\">Client\'s Details:</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%CLIENT_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Phone</td>\r\n<td>:</td>\r\n<td>%CLIENT_PHONE%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%CLIENT_EMAIL%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'client_authorised_add.user', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '');
INSERT INTO `#__sellacious_emailtemplates` (`id`, `subject`, `body`, `recipients`, `sender`, `cc`, `bcc`, `replyto`, `send_actual_recipient`, `context`, `recipient_category`, `send_attachment`, `message_type`, `state`, `created`, `created_by`, `modified`, `modified_by`, `params`) VALUES
(29, '%SITENAME% | New Authorized User Edit', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %CLIENT_NAME%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\">You have added %USER_NAME% as an authorized user on %DATE%. His account\'s credit limit is <b>%CREDIT_LIMIT%</b>.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\">\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0; font-weight: bold;\">User\'s Details:</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%USER_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%USER_EMAIL%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'client_authorised_add.client', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, ''),
(30, '%SITENAME% | New Authorized User Edit', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\" colspan=\"2\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\">%CLIENT_NAME% from %CLIENT_COMPANY% has added %USER_NAME% as an authorized user on %DATE%. The credit limit of the user\'s account is <b>%CREDIT_LIMIT%</b>.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\" valign=\"top\">\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0; font-weight: bold;\">User\'s Details:</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%USER_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%USER_EMAIL%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n<td style=\"padding: 0px 35px 20px;\" valign=\"top\">\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0; font-weight: bold;\">Client\'s Details:</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%CLIENT_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Phone</td>\r\n<td>:</td>\r\n<td>%CLIENT_PHONE%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%CLIENT_EMAIL%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'client_authorised_add.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, ''),
(31, '%SITENAME% | Authorization Updated ', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %USER_NAME%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\">Your account\'s credit limit has been updated by %CLIENT_NAME% from %CLIENT_COMPANY% on %DATE%. Your account\'s old credit limit was <b>%CREDIT_LIMIT_OLD%</b> and the updated credit limit is <b>%CREDIT_LIMIT%</b>. For further queries please contact %CLIENT_NAME%.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\">\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0; font-weight: bold;\">Client\'s Details:</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%CLIENT_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Phone</td>\r\n<td>:</td>\r\n<td>%CLIENT_PHONE%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%CLIENT_EMAIL%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'client_authorised_update.user', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, ''),
(32, '%SITENAME% | Authorization Updated ', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %CLIENT_NAME%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\">You have updated the credit limit of the %USER_NAME%\'s account on %DATE%. The account\'s old credit limit was <b>%CREDIT_LIMIT_OLD%</b> and the updated credit limit is <b>%CREDIT_LIMIT%</b>.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\">\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0; font-weight: bold;\">User\'s Details:</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%USER_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%USER_EMAIL%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'client_authorised_update.client', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, ''),
(33, '%SITENAME% | Authorization Updated ', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\" colspan=\"2\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\">%CLIENT_NAME% from %CLIENT_COMPANY% has update the credit limit of %USER_NAME%\'s account on %DATE%. The account\'s old credit limit was <b>%CREDIT_LIMIT_OLD%</b> and the updated credit limit is <b>%CREDIT_LIMIT%</b>.</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0px 35px 20px;\" valign=\"top\">\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0; font-weight: bold;\">User\'s Details:</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%USER_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%USER_EMAIL%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n<td style=\"padding: 0px 35px 20px;\" valign=\"top\">\r\n<p style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #676d76; margin: 0; font-weight: bold;\">Client\'s Details:</p>\r\n<table style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 26px; color: #333; margin: 10px 0 10px; font-weight: normal;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"1\">\r\n<tbody>\r\n<tr>\r\n<td valign=\"top\" width=\"20%\">Name</td>\r\n<td valign=\"top\" width=\"5%\">:</td>\r\n<td valign=\"top\" width=\"75%\">%CLIENT_NAME%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Phone</td>\r\n<td>:</td>\r\n<td>%CLIENT_PHONE%</td>\r\n</tr>\r\n<tr>\r\n<td valign=\"top\">Email</td>\r\n<td>:</td>\r\n<td>%CLIENT_EMAIL%</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'client_authorised_update.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, ''),
(34, '%SITENAME% | New Question from %SENDER_NAME%', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<h2 style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">You have a new question from %SENDER_NAME% for the product <a href=\"%PRODUCT_URL%\" target=\"_blank\" rel=\"noopener noreferrer\">%PRODUCT_NAME%</a>.</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\"><b>Q: %QUESTION%</b></div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'question.admin', 0, 0, 'email', 1, '2020-01-28 03:30:44', 180, '2020-01-28 03:30:44', 180, ''),
(35, '%SITENAME% | New Question from %SENDER_NAME%', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %SELLER_COMPANY%,</h2>\r\n<h2 style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">You have a new question from %SENDER_NAME% for the product <a href=\"%PRODUCT_URL%\" target=\"_blank\" rel=\"noopener noreferrer\">%PRODUCT_NAME%</a>.</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\"><b>Q: %QUESTION%</b></div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'question.seller', 0, 0, 'email', 1, '2020-01-28 03:30:44', 180, '2020-01-28 03:30:44', 180, ''),
(36, '%SITENAME% | Thanks for Question', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %SENDER_NAME%,</h2>\r\n<h2 style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Thanks for asking the question for the product <a href=\"%PRODUCT_URL%\" target=\"_blank\" rel=\"noopener noreferrer\">%PRODUCT_NAME%</a>. We will reply soon.</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\"><b>Q: %QUESTION%</b></div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'question.self', 0, 0, 'email', 1, '2020-01-28 03:30:44', 180, '2020-01-28 03:30:44', 180, ''),
(37, '%SITENAME% | %SELLER_COMPANY% has replied to your question', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %SENDER_NAME%,</h2>\r\n<h2 style=\"font-size: 18px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">%SELLER_COMPANY% has replied to your question which you asked for the product <a href=\"%PRODUCT_URL%\" target=\"_blank\" rel=\"noopener noreferrer\">%PRODUCT_NAME%</a>.</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\"><b>%QUESTION%</b></div>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\"><em>%ANSWER%</em></div>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0 10px; text-align: justify;\"><del>%PREVIOUS_ANSWER%</del></div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'question.reply', 0, 0, 'email', 1, '2020-01-28 03:30:44', 180, '2020-01-28 03:30:44', 180, ''),
(38, '%SITENAME% | New Product Created', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">A New product, <a style=\"text-decoration: none;\" href=\"%PRODUCT_URL%\">%PRODUCT_NAME%</a> with status %STATUS% has created at <a style=\"text-decoration: none;\" href=\"%SITE_URL%\">%SITENAME%</a> on %DATE% by %SELLER_COMPANY% .</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'product.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, ''),
(39, '%SITENAME% | Product Notification ', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">%TOTAL_PRODUCTS% Products have created at <a style=\"text-decoration: none;\" href=\"%SITE_URL%\">%SITENAME%</a> in last %TIME_DURATION% .</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'product_notification.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '{\"intervals\":[\"1 day\",\"1 week\"]}'),
(40, '%SITENAME% | Product Status Changed', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %SELLER_COMPANY%,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">Status of the <a style=\"text-decoration: none;\" href=\"%PRODUCT_URL%\">%PRODUCT_NAME%</a> has been changed to new status <strong>%STATUS%</strong> at <a style=\"text-decoration: none;\" href=\"%SITE_URL%\">%SITENAME%</a> .</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'product_status.seller', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, ''),
(41, '%SITENAME% | Product for Approval', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 80px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello Admin,</h2>\r\n<div style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444444; margin: 0 0; text-align: justify;\">A product, <a style=\"text-decoration: none;\" href=\"%PRODUCT_URL%\">%PRODUCT_NAME%</a> with status %STATUS% is pending for Approval at <a style=\"text-decoration: none;\" href=\"%SITE_URL%\">%SITENAME%</a> .</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'product_approval.admin', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, ''),
(42, '%SITENAME% | Password Reset ', '<table style=\"background: #f5f5f5;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 100px 0 20px;\">\r\n<p>%EMAIL_HEADER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<table style=\"margin: auto; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px; background: #fff;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 25px 35px 20px;\">\r\n<h2 style=\"font-size: 24px; font-family: helvetica,arial,sans-serif; line-height: 30px; color: #222; margin: 10px 0; font-weight: normal;\">Hello %FULL_NAME%,</h2>\r\n<p style=\"font-size: 14px; font-family: helvetica,arial,sans-serif; line-height: 20px; color: #444; margin: 0 0 10px; text-align: justify;\">A request has been made to reset your %SITENAME% account password. To reset your password, you will need to submit this verification code in order to verify that the request was legitimate. <br />The verification code is <strong>%VERIFICATION_CODE%</strong></p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"text-align: center;\">\r\n<p style=\"margin: 0;\"><a style=\"font-size: 16px; font-family: helvetica,arial,sans-serif; line-height: 22px; background-color: #3070a9; color: #fff; padding: 8px 0px; display: inline-block; text-decoration: none; width: 100%; max-width: 300px; margin-bottom: 35px;\" href=\"%VERIFICATION_URL%\"> Click Here To Reset Your Password </a></p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"margin: 0px auto 70px;\" border=\"0\" width=\"650\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td colspan=\"2\">\r\n<p>%EMAIL_FOOTER%</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', '', '', '', '', 1, 'password_reset.self', 0, 0, 'email', 1, '0000-00-00 00:00:00', 180, '2020-01-28 03:30:44', 180, '');

CREATE TABLE IF NOT EXISTS `#__sellacious_eproduct_delivery` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `item_uid` varchar(20) NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `product_name` varchar(500) NOT NULL,
  `license_id` int(11) NOT NULL,
  `mode` varchar(20) NOT NULL,
  `download_limit` int(11) NOT NULL,
  `license_limit` int(11) NOT NULL DEFAULT '0',
  `expiry` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `preview_mode` varchar(20) NOT NULL,
  `preview_url` varchar(250) NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_eproduct_downloads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `delivery_id` int(11) NOT NULL,
  `ep_media_id` int(11) NOT NULL,
  `media_ctx` varchar(10) NOT NULL,
  `user_id` int(11) NOT NULL,
  `file_id` int(11) NOT NULL,
  `file_name` varchar(250) NOT NULL,
  `dl_count` int(11) NOT NULL,
  `dl_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ip` varchar(40) NOT NULL,
  `hash` varchar(40) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_eproduct_media` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `variant_id` int(11) NOT NULL,
  `media_url` VARCHAR(250) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sample_url` VARCHAR(250) COLLATE utf8mb4_unicode_ci NOT NULL,
  `media_type` VARCHAR(10) NOT NULL DEFAULT 'upload',
  `sample_type` VARCHAR(10) NOT NULL DEFAULT 'upload',
  `tags` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL,
  `files_group` VARCHAR(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `released` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Allow freehand date value',
  `is_latest` int(11) NOT NULL,
  `hotlink` int(11) NOT NULL,
  `notes` VARCHAR(250) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_eproduct_sellers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `psx_id` int(11) NOT NULL,
  `delivery_mode` varchar(20) NOT NULL,
  `download_limit` int(11) NOT NULL,
  `download_period` varchar(50) NOT NULL,
  `license` int(11) NOT NULL,
  `license_on` varchar(20) NOT NULL,
  `license_count` int(11) NOT NULL,
  `preview_mode` varchar(10) NOT NULL,
  `preview_url` mediumtext NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `alias` varchar(100) NOT NULL,
  `parent_id` int(11) NOT NULL,
  `level` int(11) NOT NULL,
  `path` mediumtext NOT NULL,
  `lft` int(11) NOT NULL,
  `rgt` int(11) NOT NULL,
  `type` varchar(50) NOT NULL COMMENT 'name of the resp, plugin',
  `context` varchar(20) NOT NULL,
  `message` text NOT NULL,
  `description` text NOT NULL,
  `class` varchar(100) NOT NULL,
  `validate` varchar(100) NOT NULL,
  `required` varchar(15) NOT NULL DEFAULT '0',
  `filterable` int(11) NOT NULL,
  `global` TINYINT(1) NOT NULL,
  `state` int(11) NOT NULL DEFAULT '1',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  `xml_cache` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `alias` (`alias`,`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='All available field types';

INSERT INTO `#__sellacious_fields` (`id`, `title`, `alias`, `parent_id`, `level`, `path`, `lft`, `rgt`, `type`, `context`, `message`, `description`, `class`, `validate`, `required`, `filterable`, `global`, `state`, `created`, `created_by`, `modified`, `modified_by`, `params`, `xml_cache`) VALUES
(1, 'ROOT', 'root', 0, 0, '', 0, 813, 'root', '', '', '', '', '', '', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '', '');

CREATE TABLE IF NOT EXISTS `#__sellacious_field_tags` (
  `field_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_field_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `table_name` varchar(100) NOT NULL,
  `record_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `is_json` int(11) NOT NULL,
  `field_value` text NOT NULL,
  `field_html` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_forex` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `x_from` varchar(5) NOT NULL,
  `x_to` varchar(5) NOT NULL,
  `x_factor` double NOT NULL,
  `note` varchar(10) NOT NULL,
  `state` mediumint(9) NOT NULL,
  `ordering` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_licenses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(250) NOT NULL,
  `alias` varchar(250) NOT NULL,
  `description` mediumtext NOT NULL,
  `external_link` varchar(250) NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_licenses` (`id`, `title`, `alias`, `description`, `external_link`, `state`, `created`, `created_by`, `modified`, `modified_by`) VALUES
(1, 'GNU Public License v3', 'gpl-v3', '<pre>A Quick Guide to GPLv3\n======================\n\n:Authors: Brett Smith\n:Organization: Free Software Foundation\n:Contact: licensing@fsf.org\n:Copyright: Copyright 2007 Free Software Foundation, Inc.  Verbatim copying\n  and distribution of this entire article are permitted worldwide, without\n  royalty, in any medium, provided this notice is preserved.\n\n.. |--| unicode:: U+2013   .. en dash\n.. |---| unicode:: U+2014  .. em dash, trimming surrounding whitespace\n   :trim:\n\nAfter a year and a half of public consultation, thousands of comments, and\nfour drafts, version 3 of the GNU General Public License (`GPLv3`_) was\nfinally published on June 29.  While there\'s been a lot of discussion about\nthe license since the first draft appeared, not many people have talked\nabout the benefits that it provides developers.  We\'ve published this guide\nto fill that gap.  We\'ll start with a brief refresher on free software,\ncopyleft, and the goals of the GPL.  We\'ll then review the major changes in\nthe license to see how they advance those goals and benefit developers.\n\n.. _GPLv3: http://www.fsf.org/licensing/licenses/gpl.html\n\nThe Foundations of the GPL\n--------------------------\n\nNobody should be restricted by the software they use.  There are four\nfreedoms that every user should have:\n\n* the freedom to use the software for any purpose,\n* the freedom to share the software with your friends and neighbors,\n* the freedom to change the software to suit your needs, and\n* the freedom to share the changes you make.\n\nWhen a program offers users all of these freedoms, we call it `free\nsoftware`_.\n\n.. _free software: http://www.fsf.org/licensing/essays/free-sw.html\n\nDevelopers who write software can release it under the terms of the GNU\nGPL.  When they do, it will be free software and stay free software, no\nmatter who changes or distributes the program.  We call this copyleft: the\nsoftware is copyrighted, but instead of using those rights to restrict\nusers like proprietary software does, we use them to ensure that\nevery user has freedom.\n\nWe update the GPL to protect its copyleft from being undermined by legal or\ntechnological developments.  The most recent version protects users from\nthree recent threats:\n\n* Tivoization: Some companies have created various different kinds of\n  devices that run GPLed software, and then rigged the hardware so that\n  they can change the software that\'s running, but you cannot.  If a device\n  can run arbitrary software, it\'s a general-purpose computer, and its\n  owner should control what it does.  When a device thwarts you from doing\n  that, we call that tivoization.\n\n* Laws prohibiting free software: Legislation like the Digital Millennium\n  Copyright Act and the European Union Copyright Directive make it a crime\n  to write or share software that can break DRM.  These laws should not\n  interfere with the rights the GPL grants you.\n\n* Discriminatory patent deals: Microsoft has recently started telling\n  people that they will not sue free software users for patent infringement\n  |---| as long as you get the software from a vendor that\'s paying\n  Microsoft for the privilege.  Ultimately, Microsoft is trying to collect\n  royalties for the use of free software, which interferes with users\'\n  freedom.  No company should be able to do this.\n\nVersion 3 also has a number of improvements to make the license easier for\neveryone to use and understand.  But even with all these changes, GPLv3\nisn\'t a radical new license; instead it\'s an evolution of the previous\nversion.  Though a lot of text has changed, much of it simply clarifies\nwhat GPLv2 said.  With that in mind, let\'s review the major changes in\nGPLv3, and talk about how they improve the license for users and\ndevelopers.\n\nNeutralizing Laws That Prohibit Free Software |--| But Not Forbidding DRM\n---\n----------------------------------------------------------------------\n\nYou\'re probably familiar with the Digital Restrictions Management (DRM) on\nDVDs and other media.  You\'re probably also familiar with the laws that\nmake it illegal to write your own tools to bypass those restrictions, like\nthe Digital Millennium Copyright Act and the European Union Copyright\nDirective.  Nobody should be able to stop you from writing any code that\nyou want, and GPLv3 protects this right for you.\n\nIt\'s always possible to use GPLed code to write software that implements\nDRM.  However, if someone does that with code protected by GPLv3, section 3\nsays that the system will not count as an effective technological\n\"protection\" measure.  This means that if you break the DRM, you\'ll be free\nto distribute your own software that does that, and you won\'t be threatened\nby the DMCA or similar laws.\n\nAs usual, the GNU GPL does not restrict what people do in software; it just\nstops them from restricting others.\n\nProtecting Your Right to Tinker\n-------------------------------\n\nTivoization is a dangerous attempt to curtail users\' freedom: the right to\nmodify your software will become meaningless if none of your computers let\nyou do it.  GPLv3 stops tivoization by requiring the distributor to provide\nyou with whatever information or data is necessary to install modified\nsoftware on the device.  This may be as simple as a set of instructions, or\nit may include special data such as cryptographic keys or information about\nhow to bypass an integrity check in the hardware.  It will depend on how\nthe hardware was designed |---| but no matter what information you need, you\nmust be able to get it.\n\nThis requirement is limited in scope.  Distributors are still allowed to\nuse cryptographic keys for any purpose, and they\'ll only be required to\ndisclose a key if you need it to modify GPLed software on the device they\ngave you.  The GNU Project itself uses GnuPG to prove the integrity of all\nthe software on its FTP site, and measures like that are beneficial to\nusers.  GPLv3 does not stop people from using cryptography; we wouldn\'t\nwant it to.  It only stops people from taking away the rights that the\nlicense provides you |---| whether through patent law, technology, or any\nother means.\n\nStronger Protection Against Patent Threats\n------------------------------------------\n\nIn the 17 years since GPLv2 was published, the software patent landscape\nhas changed considerably, and free software licenses have developed new\nstrategies to address them.  GPLv3 reflects these changes too.  Whenever\nsomeone conveys software covered by GPLv3 that they\'ve written or modified,\nthey must provide every recipient with any patent licenses necessary to\nexercise the rights that the GPL gives them.  In addition to that, if any\nlicensee tries to use a patent suit to stop another user from exercising\nthose rights, their license will be terminated.\n\nWhat this means for users and developers is that they\'ll be able to work\nwith GPLv3-covered software without worrying that a desperate contributor\nwill try to sue them for patent infringement later.  With these changes,\nGPLv3 affords its users more defenses against patent aggression than any\nother free software license.\n\nClarifying License Compatibility\n--------------------------------\n\nIf you found some code and wanted to incorporate it into a GPLed project,\nGPLv2 said that the license on the other code was not allowed to have any\nrestrictions that were not already in GPLv2.  As long as that was the case,\nwe said the license was GPL-compatible.\n\nHowever, some licenses had requirements that weren\'t really restrictive,\nbecause they were so easy to comply with.  For example, some licenses say\nthat they don\'t give you permission to use certain trademarks.  That\'s not\nreally an additional restriction: if that clause wasn\'t there\n, you still\nwouldn\'t have permission to use the trademark.  We always said those\nlicenses were compatible with GPLv2, too.\n\nNow, GPLv3 explicitly gives everyone permission to use code that has\nrequirements like this.  These new terms should help clear up\nmisunderstandings about which licenses are GPL-compatible, why that is, and\nwhat you can do with GPL-compatible code.\n\nNew Compatible Licenses\n-----------------------\n\nIn addition to clarifying the rules about licenses that are already\nGPL-compatible, GPLv3 is also newly compatible with a few other licenses.\nThe Apache License 2.0 is a prime example.  Lots of great free software is\navailable under this license, with strong communities surrounding it.  We\nhope that this change in GPLv3 will foster more cooperation and sharing\nwithin the free software community.  The chart below helps illustrate some\ncommon compatibility relationships between different free software\nlicenses:\n\n.. image:: gplv3-nov-guide-compatibility.png\n    :width: 594px\n    :height: 498px\n    :align: center\n    :alt: A chart illustrating compatibility relationships between\n      different free software licenses.  For details, see the FSF\'s license\n      list page.\n\nArrows pointing from one license to another indicate that the first license\nis compatible with the second.  This is true even if you follow multiple\narrows to get from one license to the other; so, for example, the ISC\nlicense is compatible with GPLv3.  GPLv2 is compatible with GPLv3 if the\nprogram allows you to choose \"any later version\" of the GPL, which is the\ncase for most software released under this license.  This diagram is not\ncomprehensive (see `our licenses page`_ for a more complete list of licenses\ncompatible with GPLv2 and GPLv3), but plainly illustrates that GPLv3\nis compatible with just about everything GPLv2 is, and then some.\n\n.. _our licenses page: http://www.fsf.org/licensing/licenses\n\nThe GNU Affero GPL version 3 has also been brought into the fold.  The\noriginal Affero GPL was designed to ensure that all users of a web\napplication would be able to receive its source.  The GNU Affero GPL\nversion 3 broadens this goal: it is applicable to all network-interactive\nsoftware, so it will also work well for programs like game servers.  The\nadditional provision is also more flexible, so that if someone uses AGPLed\nsource in an application without a network interface, they\'ll only have to\nprovide source in the same sort of way the GPL has always required.\nBy making these two licenses compatible, developers of network-interactive\nsoftware will be able to strengthen their copyleft while still building on\ntop of the mature body of GPLed code available to them.\n\nMore Ways for Developers to Provide Source\n------------------------------------------\n\nOne of the fundamental requirements of the GPL is that when you distribute\nobject code to users, you must also provide them with a way to get the\nsource.  GPLv2 gave you a few ways to do this, and GPLv3 keeps those intact\nwith some clarification.  It also offers you new ways to provide source\nwhen you convey object code over a network.  For instance, when you host\nobject code on a web or FTP server, you can simply provide instructions\nthat tell visitors how to get the source from a third-party server.  Thanks\nto this new option, fulfilling this requirement should be easier for many\nsmall distributors who only make a few changes to large bodies of source.\n\nThe new license also makes it much easier to convey object code via\nBitTorrent.  First, people who are merely downloading or seeding the\ntorrent are exempt from the license\'s requirements for conveying the\nsoftware.  Then, whoever starts the torrent can provide source by simply\ntelling other torrent users where it is available on a public network\nserver.\n\nThese new options help keep the GPL in line with community standards f\nor\noffering source, without making it harder for users to get.\n\nLess Source to Distribute: New System Libraries Exception\n---------------------------------------------------------\n\nBoth versions of the GPL require you to provide all the source necessary to\nbuild the software, including supporting libraries, compilation scripts,\nand so on.  They also draw the line at System Libraries: you\'re not\nrequired to provide the source for certain core components of the operating\nsystem, such as the C library.\n\nGPLv3 has adjusted the definition of System Library to include software\nthat may not come directly with the operating system, but that all users of\nthe software can reasonably be expected to have.  For example, it now also\nincludes the standard libraries of common programming languages such as\nPython and Ruby.\n\nThe new definition also makes it clear that you can combine GPLed software\nwith GPL-incompatible System Libraries, such as OpenSolaris\' C library, and\ndistribute them both together.  These changes will make life easier for\nfree software distributors who want to provide these combinations to their\nusers.\n\nA Global License\n----------------\n\nGPLv2 talks about \"distribution\" a lot |---| when you share the program\nwith someone else, you\'re distributing it.  The license never says what\ndistribution is, because the term was borrowed from United States copyright\nlaw.  We expected that judges would look there for the definition.\nHowever, we later found out that copyright laws in other countries use the\nsame word, but give it different meanings.  Because of this, a judge in\nsuch a country might analyze GPLv2 differently than a judge in the United\nStates.\n\nGPLv3 uses a new term, \"convey,\" and provides a definition for that term.\n\"Convey\" has the same meaning we intended for \"distribute,\" but now that\nthis is explained directly in the license, it should be easy for people\neverywhere to understand what we meant.  There are other minor changes\nthroughout the license that will also help ensure it is applied\nconsistently worldwide.\n\nWhen the Rules Are Broken: A Smooth Path to Compliance\n------------------------------------------------------\n\nUnder GPLv2, if you violated the license in any way, your rights were\nautomatically and permanently lost.  The only way to get them back was to\npetition the copyright holder.  While a strong defense against violations\nis valuable, this policy could cause a lot of headache when someone\naccidentally ran afoul of the rules.  Asking all the copyright holders for\na formal restoration of the license could be burdensome and costly: a\ntypical GNU/Linux distribution draws upon the work of thousands.\n\nGPLv3 offers a reprieve for good behavior: if you violate the license,\nyou\'ll get your rights back once you stop the violation, unless a copyright\nholder contacts you within 60 days.  After you receive such a notice, you\ncan have your rights fully restored if you\'re a first-time violator and\ncorrect the violation within 30 days.  Otherwise, you can work out the\nissue on a case-by-case basis with the copyright holders who contacted you,\nand your rights will be restored afterward.\n\nCompliance with the GPL has always been the top priority of the FSF\nCompliance Lab and other groups enforcing the license worldwide.  These\nchanges ensure that compliance remains the top priority for enforcers, and\ngives violators incentive to comply.\n\nThe Latest and Greatest\n-----------------------\n\nSome of these changes probably seem less important to you than others.\nThat\'s okay.  Every project is different, and needs different things from\nits license.  But odds are that a number of these improvements will help\nyou and your work.\n\nAnd taken as a whole, all these upgrades represent something more: we made\na better copyleft.  It does more to protect users\' freedom, but it also\nenables more cooperati\non in the free software community.  But updating the\nlicense is only part of the job: in order for people to get the benefits it\noffers, developers need to use GPLv3 for their projects, too.  By releasing\nyour own software under the new license, everyone who deals with it |---|\nusers, other developers, distributors, even lawyers |---| will benefit.  We\nhope you\'ll use GPLv3 for your next release.\n\nIf you\'d like to learn more about upgrading your project to GPLv3, the FSF\nCompliance Lab would be happy to assist you.  On `our web site`_, you can\nfind `basic instructions for using the license`_, and an `FAQ addressing\ncommon concerns`_ that people have about it.  If your situation is more\ncomplicated than that, please `contact us`_ and we\'ll do what we can to\nhelp you with your transition.  Together, we can help protect freedom for\nall users.\n\n.. _our web site: http://www.fsf.org/licensing/\n.. _basic instructions for using the license: http://www.fsf.org/licensing/licenses/gpl-howto.html\n.. _FAQ addressing common concerns: http://www.fsf.org/licensing/licenses/gpl-faq.html\n.. _contact us: mailto:licensing@fsf.org</pre>', 'https://www.gnu.org/licenses/gpl-3.0-standalone.html', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(2, 'GNU Public License v2', 'gpl-v2', '<div id=\"content\"><h3><a id=\"SEC1\"></a>GNU GENERAL PUBLIC LICENSE</h3><p>Version 2, June 1991</p><pre>Copyright (C) 1989, 1991 Free Software Foundation, Inc.  \n51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA\n\nEveryone is permitted to copy and distribute verbatim copies\nof this license document, but changing it is not allowed.\n</pre><h3><a id=\"preamble\"></a><a id=\"SEC2\"></a>Preamble</h3><p>The licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This General Public License applies to most of the Free Software Foundation\'s software and to any other program whose authors commit to using it. (Some other Free Software Foundation software is covered by the GNU Lesser General Public License instead.) You can apply it to your programs, too.</p><p>When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.</p><p>To protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.</p><p>For example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.</p><p>We protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.</p><p>Also, for each author\'s protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors\' reputations.</p><p>Finally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone\'s free use or not licensed at all.</p><p>The precise terms and conditions for copying, distribution and modification follow.</p><h3><a id=\"terms\"></a><a id=\"SEC3\"></a>TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</h3><a id=\"section0\"></a><p><strong>0.</strong> This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".</p><p>Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is true depends on what the Program does.</p><a id=\"section1\"></a><p><strong>1.</strong> You may copy and distribute verbatim copies of the Program\'s source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.</p><p>You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.</p><a id=\"section2\"></a><p><strong>2.</strong> You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:</p><dl><dt></dt><dd><strong>a)</strong> You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.</dd><dt></dt><dd><strong>b)</strong> You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.</dd><dt></dt><dd><strong>c)</strong> If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)</dd></dl><p>These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.</p><p>Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.</p><p>In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.</p><a id=\"section3\"></a><p><strong>3.</strong> You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:</p><dl><dt></dt><dd><strong>a)</strong> Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,</dd><dt></dt><dd><strong>b)</strong> Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,</dd><dt></dt><dd><strong>c)</strong> Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)</dd></dl><p>The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.</p><p>If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.</p><a id=\"section4\"></a><p><strong>4.</strong> You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.</p><a id=\"section5\"></a><p><strong>5.</strong> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.</p><a id=\"section6\"></a><p><strong>6.</strong> Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients\' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.</p><a id=\"section7\"></a><p><strong>7.</strong> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.</p><p>If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.</p><p>It is not the purpose of thi\ns section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.</p><p>This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.</p><a id=\"section8\"></a><p><strong>8.</strong> If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.</p><a id=\"section9\"></a><p><strong>9.</strong> The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.</p><p>Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.</p><a id=\"section10\"></a><p><strong>10.</strong> If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.</p><a id=\"section11\"></a><p><strong>NO WARRANTY</strong></p><p><strong>11.</strong> BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.</p><a id=\"section12\"></a><p><strong>12.</strong> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p><h3>END OF TERMS AND CONDITIONS</h3><h3><a id=\"howto\"></a><a id=\"SEC4\"></a>How to Apply These Terms to Your New Programs</h3><p>If you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.</p><p>To do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.</p><pre><var>one line to give the program\'s name and an idea of what it does.</var>\nCopyright (C) <var>yyyy</var>  <var>name of author</var>\n\nThis program is free software; you can redistribute it and/or\nmodify it under the terms of the GNU General Public License\nas published by the Free Software Foundation; either version 2\nof the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful,\nbut WITHOUT ANY WARRANTY; without even the implied warranty of\nMERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\nGNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License\nalong with this program; if not, write to the Free Software\nFoundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.\n</pre><p>Also add information on how to contact you by electronic and paper mail.</p><p>If the program is interactive, make it output a short notice like this when it starts in an interactive mode:</p><pre>Gnomovision version 69, Copyright (C) <var>year</var> <var>name of author</var>\nGnomovision comes with ABSOLUTELY NO WARRANTY; for details\ntype `show w\'.  This is free software, and you are welcome\nto redistribute it under certain conditions; type `show c\' \nfor details.\n</pre><p>The hypothetical commands <samp>`show w\'</samp> and <samp>`show c\'</samp> should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than <samp>`show w\'</samp> and <samp>`show c\'</samp>; they could even be mouse-clicks or menu items--whatever suits your program.</p><p>You should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here is a sample; alter the names:</p><pre>Yoyodyne, Inc., hereby disclaims all copyright\ninterest in the program `Gnomovision\'\n(which makes passes at compilers) written \nby James Hacker.\n\n<var>signature of Ty Coon</var>, 1 April 1989\nTy Coon, President of Vice\n</pre><p>This General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the <a href=\"http://www.gnu.org/licenses/lgpl.html\">GNU Lesser General Public License</a> instead of this License.</p></div><div id=\"fsf-links\"> </div>', 'https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

CREATE TABLE IF NOT EXISTS `#__sellacious_listing_orders` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) NOT NULL,
  `customer_firstname` varchar(255) NOT NULL,
  `customer_lastname` varchar(255) NOT NULL,
  `customer_company` varchar(255) NOT NULL,
  `customer_phone` varchar(20) NOT NULL,
  `customer_email` varchar(255) NOT NULL,
  `customer_fax` varchar(20) NOT NULL,
  `customer_ip` varchar(64) NOT NULL COMMENT 'ipv4 or ipv6',
  `billing_street1` varchar(255) NOT NULL,
  `billing_street2` varchar(255) NOT NULL,
  `billing_district` varchar(100) NOT NULL,
  `billing_landmark` varchar(100) NOT NULL,
  `billing_city` varchar(255) NOT NULL,
  `billing_state` varchar(255) NOT NULL,
  `billing_zip` varchar(10) NOT NULL,
  `billing_country` varchar(255) NOT NULL,
  `billing_phone` varchar(30) NOT NULL,
  `order_status` varchar(50) NOT NULL,
  `order_datetime` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `order_notes` text COLLATE utf8mb4_unicode_ci,
  `discount_name` varchar(255) NOT NULL,
  `discount_code` varchar(50) NOT NULL,
  `order_subtotal` double NOT NULL DEFAULT '0',
  `discount_amount` double NOT NULL,
  `order_tax` double NOT NULL,
  `total_tax` double NOT NULL,
  `order_total` double NOT NULL DEFAULT '0',
  `trans_id` varchar(15) NOT NULL,
  `order_cost` double NOT NULL DEFAULT '0',
  `trans_fee_percent` double NOT NULL,
  `trans_fee` decimal(19,4) NOT NULL,
  `payment_type` varchar(255) NOT NULL,
  `payment_message` text COLLATE utf8mb4_unicode_ci,
  `notes` text COLLATE utf8mb4_unicode_ci,
  `sales_notes` varchar(30) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `state` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_locations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(200) NOT NULL,
  `iso_code` varchar(15) NOT NULL,
  `iso_alpha_2` varchar(5) NOT NULL,
  `iso_alpha_3` varchar(5) NOT NULL,
  `iso_numeric` varchar(5) NOT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `type` varchar(50) NOT NULL,
  `state` int(11) NOT NULL,
  `continent_id` int(11) NOT NULL DEFAULT '0',
  `country_id` int(11) NOT NULL DEFAULT '0',
  `state_id` int(11) NOT NULL DEFAULT '0',
  `district_id` int(11) NOT NULL DEFAULT '0',
  `area_id` int(11) NOT NULL DEFAULT '0',
  `zip_id` int(11) NOT NULL,
  `new_id` int(11) DEFAULT '0',
  `continent_title` varchar(200) DEFAULT NULL COMMENT '@cache',
  `country_title` varchar(200) DEFAULT NULL COMMENT '@cache',
  `state_title` varchar(200) DEFAULT NULL COMMENT '@cache',
  `district_title` varchar(200) DEFAULT NULL COMMENT '@cache',
  `area_title` varchar(200) DEFAULT NULL COMMENT '@cache',
  `zip_title` varchar(50) DEFAULT NULL COMMENT '@cache',
  PRIMARY KEY (`id`),
  KEY `country_id` (`country_id`),
  KEY `state_id` (`state_id`),
  KEY `district_id` (`district_id`),
  KEY `area_id` (`area_id`),
  KEY `continent_id` (`continent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_locations` (`id`, `title`, `iso_code`, `iso_alpha_2`, `iso_alpha_3`, `iso_numeric`, `parent_id`, `type`, `state`, `continent_id`, `country_id`, `state_id`, `district_id`, `area_id`, `zip_id`, `new_id`, `continent_title`, `country_title`, `state_title`, `district_title`, `area_title`, `zip_title`) VALUES
(1, 'ROOT', '', '', '', '', 0, '', 1, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(2, 'Africa', 'AF', '', '', '', 1, 'continent', 1, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(3, 'Antarctica', 'AN', '', '', '', 1, 'continent', 1, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(4, 'Asia', 'AS', '', '', '', 1, 'continent', 1, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(5, 'Europe', 'EU', '', '', '', 1, 'continent', 1, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(6, 'North america', 'NA', '', '', '', 1, 'continent', 1, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(7, 'Oceania', 'OC', '', '', '', 1, 'continent', 1, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(8, 'South america', 'SA', '', '', '', 1, 'continent', 1, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(9, 'Angola', 'AO', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(10, 'Burkina Faso', 'BF', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(11, 'Burundi', 'BI', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(12, 'Benin', 'BJ', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(13, 'Botswana', 'BW', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(14, 'Democratic Republic of the Congo', 'CD', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(15, 'Central African Republic', 'CF', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(16, 'Republic of the Congo', 'CG', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(17, 'Ivory Coast', 'CI', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(18, 'Cameroon', 'CM', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(19, 'Cape Verde', 'CV', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(20, 'Djibouti', 'DJ', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(21, 'Algeria', 'DZ', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(22, 'Egypt', 'EG', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(23, 'Western Sahara', 'EH', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(24, 'Eritrea', 'ER', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(25, 'Ethiopia', 'ET', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(26, 'Gabon', 'GA', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(27, 'Ghana', 'GH', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(28, 'Gambia', 'GM', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(29, 'Guinea', 'GN', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(30, 'Equatorial Guinea', 'GQ', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(31, 'Guinea-Bissau', 'GW', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(32, 'Kenya', 'KE', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(33, 'Comoros', 'KM', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(34, 'Liberia', 'LR', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(35, 'Lesotho', 'LS', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(36, 'Libya', 'LY', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(37, 'Morocco', 'MA', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(38, 'Madagascar', 'MG', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(39, 'Mali', 'ML', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(40, 'Mauritania', 'MR', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(41, 'Mauritius', 'MU', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(42, 'Malawi', 'MW', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(43, 'Mozambique', 'MZ', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(44, 'Namibia', 'NA', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(45, 'Niger', 'NE', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(46, 'Nigeria', 'NG', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(47, 'Reunion', 'RE', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(48, 'Rwanda', 'RW', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(49, 'Seychelles', 'SC', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(50, 'Sudan', 'SD', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(51, 'Saint Helena', 'SH', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(52, 'Sierra Leone', 'SL', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(53, 'Senegal', 'SN', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(54, 'Somalia', 'SO', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(55, 'South Sudan', 'SS', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(56, 'Sao Tome and Principe', 'ST', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(57, 'Swaziland', 'SZ', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(58, 'Chad', 'TD', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(59, 'Togo', 'TG', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(60, 'Tunisia', 'TN', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(61, 'Tanzania', 'TZ', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(62, 'Uganda', 'UG', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(63, 'Mayotte', 'YT', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(64, 'South Africa', 'ZA', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(65, 'Zambia', 'ZM', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(66, 'Zimbabwe', 'ZW', '', '', '', 2, 'country', 1, 2, 0, 0, 0, 0, 0, 0, 'Africa', NULL, NULL, NULL, NULL, NULL),
(67, 'Antarctica', 'AQ', '', '', '', 3, 'country', 1, 3, 0, 0, 0, 0, 0, 0, 'Antarctica', NULL, NULL, NULL, NULL, NULL),
(68, 'Bouvet Island', 'BV', '', '', '', 3, 'country', 1, 3, 0, 0, 0, 0, 0, 0, 'Antarctica', NULL, NULL, NULL, NULL, NULL),
(69, 'South Georgia and the South Sandwich Islands', 'GS', '', '', '', 3, 'country', 1, 3, 0, 0, 0, 0, 0, 0, 'Antarctica', NULL, NULL, NULL, NULL, NULL),
(70, 'Heard Island and McDonald Islands', 'HM', '', '', '', 3, 'country', 1, 3, 0, 0, 0, 0, 0, 0, 'Antarctica', NULL, NULL, NULL, NULL, NULL),
(71, 'French Southern Territories', 'TF', '', '', '', 3, 'country', 1, 3, 0, 0, 0, 0, 0, 0, 'Antarctica', NULL, NULL, NULL, NULL, NULL),
(72, 'United Arab Emirates', 'AE', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(73, 'Afghanistan', 'AF', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(74, 'Armenia', 'AM', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(75, 'Azerbaijan', 'AZ', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(76, 'Bangladesh', 'BD', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(77, 'Bahrain', 'BH', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(78, 'Brunei', 'BN', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(79, 'Bhutan', 'BT', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(80, 'Cocos Islands', 'CC', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(81, 'China', 'CN', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(82, 'Christmas Island', 'CX', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(83, 'Georgia', 'GE', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(84, 'Hong Kong', 'HK', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(85, 'Indonesia', 'ID', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(86, 'Israel', 'IL', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(87, 'India', 'IN', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(88, 'British Indian Ocean Territory', 'IO', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(89, 'Iraq', 'IQ', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(90, 'Iran', 'IR', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(91, 'Jordan', 'JO', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(92, 'Japan', 'JP', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(93, 'Kyrgyzstan', 'KG', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(94, 'Cambodia', 'KH', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(95, 'North Korea', 'KP', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(96, 'South Korea', 'KR', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(97, 'Kuwait', 'KW', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(98, 'Kazakhstan', 'KZ', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(99, 'Laos', 'LA', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(100, 'Lebanon', 'LB', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(101, 'Sri Lanka', 'LK', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(102, 'Myanmar', 'MM', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(103, 'Mongolia', 'MN', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(104, 'Macao', 'MO', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(105, 'Maldives', 'MV', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(106, 'Malaysia', 'MY', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(107, 'Nepal', 'NP', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(108, 'Oman', 'OM', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(109, 'Philippines', 'PH', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(110, 'Pakistan', 'PK', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(111, 'Palestinian Territory', 'PS', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(112, 'Qatar', 'QA', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(113, 'Saudi Arabia', 'SA', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(114, 'Singapore', 'SG', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(115, 'Syria', 'SY', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(116, 'Thailand', 'TH', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(117, 'Tajikistan', 'TJ', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(118, 'Turkmenistan', 'TM', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(119, 'Turkey', 'TR', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(120, 'Taiwan', 'TW', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(121, 'Uzbekistan', 'UZ', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(122, 'Vietnam', 'VN', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(123, 'Yemen', 'YE', '', '', '', 4, 'country', 1, 4, 0, 0, 0, 0, 0, 0, 'Asia', NULL, NULL, NULL, NULL, NULL),
(124, 'Andorra', 'AD', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(125, 'Albania', 'AL', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(126, 'Austria', 'AT', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(127, 'Aland Islands', 'AX', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(128, 'Bosnia and Herzegovina', 'BA', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(129, 'Belgium', 'BE', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(130, 'Bulgaria', 'BG', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(131, 'Belarus', 'BY', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(132, 'Switzerland', 'CH', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(133, 'Serbia and Montenegro', 'CS', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(134, 'Cyprus', 'CY', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(135, 'Czech Republic', 'CZ', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(136, 'Germany', 'DE', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(137, 'Denmark', 'DK', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(138, 'Estonia', 'EE', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(139, 'Spain', 'ES', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(140, 'Finland', 'FI', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(141, 'Faroe Islands', 'FO', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(142, 'France', 'FR', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(143, 'United Kingdom', 'GB', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(144, 'Guernsey', 'GG', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(145, 'Gibraltar', 'GI', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(146, 'Greece', 'GR', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(147, 'Croatia', 'HR', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(148, 'Hungary', 'HU', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(149, 'Ireland', 'IE', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(150, 'Isle of Man', 'IM', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(151, 'Iceland', 'IS', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(152, 'Italy', 'IT', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(153, 'Jersey', 'JE', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(154, 'Liechtenstein', 'LI', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(155, 'Lithuania', 'LT', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(156, 'Luxembourg', 'LU', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(157, 'Latvia', 'LV', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(158, 'Monaco', 'MC', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(159, 'Moldova', 'MD', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(160, 'Montenegro', 'ME', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(161, 'Macedonia', 'MK', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(162, 'Malta', 'MT', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(163, 'Netherlands', 'NL', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(164, 'Norway', 'NO', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(165, 'Poland', 'PL', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(166, 'Portugal', 'PT', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(167, 'Romania', 'RO', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(168, 'Serbia', 'RS', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(169, 'Russia', 'RU', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(170, 'Sweden', 'SE', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(171, 'Slovenia', 'SI', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(172, 'Svalbard and Jan Mayen', 'SJ', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(173, 'Slovakia', 'SK', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(174, 'San Marino', 'SM', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(175, 'Ukraine', 'UA', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(176, 'Vatican', 'VA', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(177, 'Kosovo', 'XK', '', '', '', 5, 'country', 1, 5, 0, 0, 0, 0, 0, 0, 'Europe', NULL, NULL, NULL, NULL, NULL),
(178, 'Antigua and Barbuda', 'AG', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(179, 'Anguilla', 'AI', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(180, 'Netherlands Antilles', 'AN', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(181, 'Aruba', 'AW', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(182, 'Barbados', 'BB', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(183, 'Saint Barthelemy', 'BL', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(184, 'Bermuda', 'BM', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(185, 'Bonaire, Saint Eustatius and Saba ', 'BQ', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(186, 'Bahamas', 'BS', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(187, 'Belize', 'BZ', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(188, 'Canada', 'CA', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(189, 'Costa Rica', 'CR', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(190, 'Cuba', 'CU', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(191, 'Curacao', 'CW', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(192, 'Dominica', 'DM', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(193, 'Dominican Republic', 'DO', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(194, 'Grenada', 'GD', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(195, 'Greenland', 'GL', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(196, 'Guadeloupe', 'GP', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(197, 'Guatemala', 'GT', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(198, 'Honduras', 'HN', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(199, 'Haiti', 'HT', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(200, 'Jamaica', 'JM', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(201, 'Saint Kitts and Nevis', 'KN', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(202, 'Cayman Islands', 'KY', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(203, 'Saint Lucia', 'LC', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(204, 'Saint Martin', 'MF', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(205, 'Martinique', 'MQ', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(206, 'Montserrat', 'MS', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(207, 'Mexico', 'MX', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(208, 'Nicaragua', 'NI', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(209, 'Panama', 'PA', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(210, 'Saint Pierre and Miquelon', 'PM', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(211, 'Puerto Rico', 'PR', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(212, 'El Salvador', 'SV', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(213, 'Sint Maarten', 'SX', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(214, 'Turks and Caicos Islands', 'TC', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(215, 'Trinidad and Tobago', 'TT', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(216, 'United States', 'US', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(217, 'Saint Vincent and the Grenadines', 'VC', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(218, 'British Virgin Islands', 'VG', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(219, 'U.S. Virgin Islands', 'VI', '', '', '', 6, 'country', 1, 6, 0, 0, 0, 0, 0, 0, 'North america', NULL, NULL, NULL, NULL, NULL),
(220, 'American Samoa', 'AS', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(221, 'Australia', 'AU', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(222, 'Cook Islands', 'CK', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(223, 'Fiji', 'FJ', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(224, 'Micronesia', 'FM', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(225, 'Guam', 'GU', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(226, 'Kiribati', 'KI', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(227, 'Marshall Islands', 'MH', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(228, 'Northern Mariana Islands', 'MP', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(229, 'New Caledonia', 'NC', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(230, 'Norfolk Island', 'NF', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(231, 'Nauru', 'NR', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(232, 'Niue', 'NU', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(233, 'New Zealand', 'NZ', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(234, 'French Polynesia', 'PF', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(235, 'Papua New Guinea', 'PG', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(236, 'Pitcairn', 'PN', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(237, 'Palau', 'PW', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(238, 'Solomon Islands', 'SB', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(239, 'Tokelau', 'TK', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(240, 'East Timor', 'TL', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(241, 'Tonga', 'TO', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(242, 'Tuvalu', 'TV', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(243, 'United States Minor Outlying Islands', 'UM', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(244, 'Vanuatu', 'VU', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(245, 'Wallis and Futuna', 'WF', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(246, 'Samoa', 'WS', '', '', '', 7, 'country', 1, 7, 0, 0, 0, 0, 0, 0, 'Oceania', NULL, NULL, NULL, NULL, NULL),
(247, 'Argentina', 'AR', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(248, 'Bolivia', 'BO', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(249, 'Brazil', 'BR', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(250, 'Chile', 'CL', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(251, 'Colombia', 'CO', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(252, 'Ecuador', 'EC', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(253, 'Falkland Islands', 'FK', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(254, 'French Guiana', 'GF', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(255, 'Guyana', 'GY', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(256, 'Peru', 'PE', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(257, 'Paraguay', 'PY', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(258, 'Suriname', 'SR', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(259, 'Uruguay', 'UY', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(260, 'Venezuela', 'VE', '', '', '', 8, 'country', 1, 8, 0, 0, 0, 0, 0, 0, 'South america', NULL, NULL, NULL, NULL, NULL),
(261, 'Adrar', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(262, 'Ain-Defla', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(263, 'Ain-Temouchent', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(264, 'Alger', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(265, 'Annaba', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(266, 'Batna', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(267, 'Bechar', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(268, 'Bejaia', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(269, 'Biskra', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(270, 'Blida', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(271, 'Bordj-Bou-Arreridj', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(272, 'Bouira', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(273, 'Boumerdes', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(274, 'Chlef', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(275, 'Constantine', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(276, 'Djelfa', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(277, 'El-Bayadh', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(278, 'El-Oued', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(279, 'El-Taref', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(280, 'Ghardaia', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(281, 'Guelma', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(282, 'Illizi', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(283, 'Jijel', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(284, 'Khenchela', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(285, 'L.Aghouat', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(286, 'M\'Sila', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(287, 'Mascara', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(288, 'Medea', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(289, 'Mila', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(290, 'Mostaganem', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(291, 'Naama', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(292, 'Oran', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(293, 'Ouargla', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(294, 'Oum-El-Bouaghi', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(295, 'Relizane', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(296, 'Saida', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(297, 'Setif', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(298, 'Sidi-Bel-Abbes', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(299, 'Skikda', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(300, 'Souk-Ahras', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(301, 'Tamanrasset', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(302, 'Tebessa', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(303, 'Tiaret', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(304, 'Tindouf', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(305, 'Tipaza', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(306, 'Tissemsilt', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(307, 'Tizi-Ouzou', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(308, 'Tlemcen', '', '', '', '', 21, 'state', 1, 2, 21, 0, 0, 0, 0, 0, 'Africa', 'Algeria', NULL, NULL, NULL, NULL),
(309, 'Réunion', '', '', '', '', 47, 'state', 1, 2, 47, 0, 0, 0, 0, 0, 'Africa', 'Reunion', NULL, NULL, NULL, NULL),
(310, 'Reunion (general)', '', '', '', '', 47, 'state', 1, 2, 47, 0, 0, 0, 0, 0, 'Africa', 'Reunion', NULL, NULL, NULL, NULL),
(311, 'Bandraboua', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(312, 'Bandrele', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(313, 'Bouéni', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(314, 'Chiconi', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(315, 'Chirongui', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(316, 'Dembeni', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(317, 'Kani-Kéli', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(318, 'Koungou', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(319, 'M\'Tsangamouji', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(320, 'Mamoudzou', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(321, 'Mtsamboro', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(322, 'Ouangani', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(323, 'Sada', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(324, 'Tsingoni', '', '', '', '', 63, 'state', 1, 2, 63, 0, 0, 0, 0, 0, 'Africa', 'Mayotte', NULL, NULL, NULL, NULL),
(325, 'Andaman & Nicobar Islands', 'AN', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(326, 'Andhra Pradesh', 'AP', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(327, 'Arunachal Pradesh', 'AR', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(328, 'Assam', 'AS', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(329, 'Bihar', 'BR', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(330, 'Chandigarh', 'CH', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(331, 'Chattisgarh', 'CT', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(332, 'Dadra & Nagar Haveli', 'DN', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(333, 'Daman & Diu', 'DD', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(334, 'Delhi', 'DL', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(335, 'Goa', 'GA', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(336, 'Gujarat', 'GJ', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(337, 'Haryana', 'HR', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(338, 'Himachal Pradesh', 'HP', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(339, 'Jammu & Kashmir', 'JK', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(340, 'Jharkhand', 'JH', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(341, 'Karnataka', 'KA', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(342, 'Kerala', 'KL', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(343, 'Lakshadweep', 'LD', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(344, 'Madhya Pradesh', 'MP', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(345, 'Maharashtra', 'MH', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(346, 'Manipur', 'MN', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(347, 'Meghalaya', 'ML', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(348, 'Mizoram', 'MZ', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(349, 'Nagaland', 'NL', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(350, 'Odisha', 'OR', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(351, 'Pondicherry', 'PY', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(352, 'Punjab', 'PB', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(353, 'Rajasthan', 'RJ', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(354, 'Sikkim', 'SK', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(355, 'Tamil Nadu', 'TN', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(356, 'Telangana', 'TG', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(357, 'Tripura', 'TR', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(358, 'Uttar Pradesh', 'UP', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(359, 'Uttarakhand', 'UT', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(360, 'West Bengal', 'WB', '', '', '', 87, 'state', 1, 4, 87, 0, 0, 0, 0, 0, 'Asia', 'India', NULL, NULL, NULL, NULL),
(361, 'Aichiken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(362, 'Chibaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(363, 'Ehimeken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(364, 'Fukuiken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(365, 'Fukuokaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(366, 'Fukushimaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(367, 'Gifuken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(368, 'Gunmaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(369, 'Hiroshimaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(370, 'Hyougoken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(371, 'Ibarakiken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(372, 'Ishikawaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(373, 'Kagawaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(374, 'Kagoshimaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(375, 'Kanagawaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(376, 'Kouchiken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(377, 'Kumamotoken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(378, 'Kyoutofu', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(379, 'Mieken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(380, 'Miyagiken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(381, 'Miyazakiken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(382, 'Naganoken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(383, 'Nagasakiken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(384, 'Naraken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(385, 'Niigataken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(386, 'Okayamaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(387, 'Okinawaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(388, 'Ooitaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(389, 'Oosakafu', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(390, 'Sagaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(391, 'Saitamaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(392, 'Shigaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(393, 'Shimaneken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(394, 'Shizuokaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(395, 'Tochigiken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(396, 'Tokushimaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(397, 'Tottoriken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(398, 'Toukyouto', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(399, 'Toyamaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(400, 'Wakayamaken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(401, 'Yamagataken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(402, 'Yamaguchiken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(403, 'Yamanashiken', '', '', '', '', 92, 'state', 1, 4, 92, 0, 0, 0, 0, 0, 'Asia', 'Japan', NULL, NULL, NULL, NULL),
(404, 'Johor', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(405, 'Kedah', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(406, 'Kelantan', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(407, 'Kuala Lumpur', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(408, 'Labuan', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(409, 'Melaka', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(410, 'Negeri Sembilan', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(411, 'Pahang', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(412, 'Perak', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(413, 'Perlis', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(414, 'Pulau Pinang', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(415, 'Putrajaya', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(416, 'Sabah', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(417, 'Sarawak', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(418, 'Selangor', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(419, 'Terengganu', '', '', '', '', 106, 'state', 1, 4, 106, 0, 0, 0, 0, 0, 'Asia', 'Malaysia', NULL, NULL, NULL, NULL),
(420, 'Balochisan', '', '', '', '', 110, 'state', 1, 4, 110, 0, 0, 0, 0, 0, 'Asia', 'Pakistan', NULL, NULL, NULL, NULL),
(421, 'Federal Capial &AJK', '', '', '', '', 110, 'state', 1, 4, 110, 0, 0, 0, 0, 0, 'Asia', 'Pakistan', NULL, NULL, NULL, NULL),
(422, 'Hyderabad', '', '', '', '', 110, 'state', 1, 4, 110, 0, 0, 0, 0, 0, 'Asia', 'Pakistan', NULL, NULL, NULL, NULL),
(423, 'Lahore', '', '', '', '', 110, 'state', 1, 4, 110, 0, 0, 0, 0, 0, 'Asia', 'Pakistan', NULL, NULL, NULL, NULL),
(424, 'Norhern Punajb Rawalpindi', '', '', '', '', 110, 'state', 1, 4, 110, 0, 0, 0, 0, 0, 'Asia', 'Pakistan', NULL, NULL, NULL, NULL),
(425, 'NWFP Peshawar', '', '', '', '', 110, 'state', 1, 4, 110, 0, 0, 0, 0, 0, 'Asia', 'Pakistan', NULL, NULL, NULL, NULL),
(426, 'Souhern Punajb Mulan', '', '', '', '', 110, 'state', 1, 4, 110, 0, 0, 0, 0, 0, 'Asia', 'Pakistan', NULL, NULL, NULL, NULL),
(427, 'Amnat Charoen', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(428, 'Ang Thong', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(429, 'Bangkok', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL);
INSERT INTO `#__sellacious_locations` (`id`, `title`, `iso_code`, `iso_alpha_2`, `iso_alpha_3`, `iso_numeric`, `parent_id`, `type`, `state`, `continent_id`, `country_id`, `state_id`, `district_id`, `area_id`, `zip_id`, `new_id`, `continent_title`, `country_title`, `state_title`, `district_title`, `area_title`, `zip_title`) VALUES
(430, 'Burirum', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(431, 'Chachoengsao', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(432, 'Chainat', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(433, 'Chaiyaphum', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(434, 'Chanthaburi', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(435, 'Chiang Mai', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(436, 'Chiang Rai', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(437, 'Chonburi', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(438, 'Chumphon', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(439, 'Kalasin', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(440, 'Kamphaeng Phet', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(441, 'Khanchanaburi', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(442, 'Khon Kaen', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(443, 'Krabi', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(444, 'Lampang', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(445, 'Lamphun', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(446, 'Loei', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(447, 'Lopburi', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(448, 'Mae Hong Son', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(449, 'Maha Sarakham', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(450, 'Mukdahan', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(451, 'Na Tan', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(452, 'Nakhon Nayok', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(453, 'Nakhon Pathom', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(454, 'Nakhon Phanom', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(455, 'Nakhon Ratchasima', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(456, 'Nakhon Sawan', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(457, 'Nakhon Sie Thammarat', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(458, 'Nan', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(459, 'Narathiwat', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(460, 'Non Bua Lam Phu', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(461, 'Nong Khai', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(462, 'Nonthaburi', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(463, 'Pathum Thani', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(464, 'Pattani', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(465, 'Phang Nga', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(466, 'Phatthalung', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(467, 'Phayao', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(468, 'Phetchabun', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(469, 'Phetchaburi', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(470, 'Phichit', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(471, 'Phitsanulok', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(472, 'Phrae', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(473, 'Phranakhon Si Ayutthaya', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(474, 'Phuket', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(475, 'Prachinburi', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(476, 'Prachuap Khirikhan', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(477, 'Ranong', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(478, 'Ratchaburi', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(479, 'Rayong', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(480, 'Roi Et', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(481, 'Sa Kaeo', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(482, 'Sakon Nakhon', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(483, 'Samut Prakan', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(484, 'Samut Sakhon', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(485, 'Samut Songkhram', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(486, 'Saraburi', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(487, 'Satun', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(488, 'Singburi', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(489, 'Sisaket', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(490, 'Songkhla', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(491, 'Sukhothai', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(492, 'Suphanburi', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(493, 'Surat Thani', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(494, 'Tak', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(495, 'Trang', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(496, 'Trat', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(497, 'Ubon Ratchathani', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(498, 'Udon Thani', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(499, 'Uthai Thani', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(500, 'Uttaradit', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(501, 'Yala', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(502, 'Yasothon', '', '', '', '', 116, 'state', 1, 4, 116, 0, 0, 0, 0, 0, 'Asia', 'Thailand', NULL, NULL, NULL, NULL),
(503, 'Adana', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(504, 'Adiyaman', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(505, 'Afyonkarahisar', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(506, 'Ağri', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(507, 'Aksaray', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(508, 'Amasya', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(509, 'Ankara', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(510, 'Antalya', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(511, 'Ardahan', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(512, 'Artvin', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(513, 'Aydin', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(514, 'Balikesir', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(515, 'Bartin', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(516, 'Batman', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(517, 'Bayburt', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(518, 'Bilecik', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(519, 'Bingöl', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(520, 'Bitlis', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(521, 'Bolu', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(522, 'Burdur', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(523, 'Bursa', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(524, 'Çanakkale', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(525, 'Çankiri', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(526, 'Çorum', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(527, 'Denizli', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(528, 'Diyarbakir', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(529, 'Düzce', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(530, 'Edirne', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(531, 'Elaziğ', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(532, 'Erzincan', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(533, 'Erzurum', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(534, 'Eskişehir', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(535, 'Gaziantep', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(536, 'Giresun', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(537, 'Gümüşhane', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(538, 'Hakkari', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(539, 'Hatay', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(540, 'Iğdir', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(541, 'Isparta', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(542, 'İstanbul', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(543, 'İzmir', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(544, 'Kahramanmaraş', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(545, 'Karabük', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(546, 'Karaman', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(547, 'Kars', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(548, 'Kastamonu', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(549, 'Kayseri', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(550, 'Kilis', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(551, 'Kirikkale', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(552, 'Kirklareli', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(553, 'Kirşehir', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(554, 'Kktc', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(555, 'Kocaeli', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(556, 'Konya', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(557, 'Kütahya', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(558, 'Malatya', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(559, 'Manisa', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(560, 'Mardin', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(561, 'Mersin(İçel)', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(562, 'Muğla', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(563, 'Muş', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(564, 'Nevşehir', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(565, 'Niğde', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(566, 'Ordu', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(567, 'Osmaniye', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(568, 'Rize', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(569, 'Sakarya', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(570, 'Samsun', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(571, 'Şanliurfa', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(572, 'Siirt', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(573, 'Sinop', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(574, 'Şirnak', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(575, 'Sivas', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(576, 'Tekirdağ', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(577, 'Tokat', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(578, 'Trabzon', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(579, 'Tunceli', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(580, 'Uşak', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(581, 'Van', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(582, 'Yalova', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(583, 'Yozgat', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(584, 'Zonguldak', '', '', '', '', 119, 'state', 1, 4, 119, 0, 0, 0, 0, 0, 'Asia', 'Turkey', NULL, NULL, NULL, NULL),
(585, 'Burgenland', '', '', '', '', 126, 'state', 1, 5, 126, 0, 0, 0, 0, 0, 'Europe', 'Austria', NULL, NULL, NULL, NULL),
(586, 'Kärnten', '', '', '', '', 126, 'state', 1, 5, 126, 0, 0, 0, 0, 0, 'Europe', 'Austria', NULL, NULL, NULL, NULL),
(587, 'Niederösterreich', '', '', '', '', 126, 'state', 1, 5, 126, 0, 0, 0, 0, 0, 'Europe', 'Austria', NULL, NULL, NULL, NULL),
(588, 'Oberösterreich', '', '', '', '', 126, 'state', 1, 5, 126, 0, 0, 0, 0, 0, 'Europe', 'Austria', NULL, NULL, NULL, NULL),
(589, 'Salzburg', '', '', '', '', 126, 'state', 1, 5, 126, 0, 0, 0, 0, 0, 'Europe', 'Austria', NULL, NULL, NULL, NULL),
(590, 'Steiermark', '', '', '', '', 126, 'state', 1, 5, 126, 0, 0, 0, 0, 0, 'Europe', 'Austria', NULL, NULL, NULL, NULL),
(591, 'Tirol', '', '', '', '', 126, 'state', 1, 5, 126, 0, 0, 0, 0, 0, 'Europe', 'Austria', NULL, NULL, NULL, NULL),
(592, 'Vorarlberg', '', '', '', '', 126, 'state', 1, 5, 126, 0, 0, 0, 0, 0, 'Europe', 'Austria', NULL, NULL, NULL, NULL),
(593, 'Wien', '', '', '', '', 126, 'state', 1, 5, 126, 0, 0, 0, 0, 0, 'Europe', 'Austria', NULL, NULL, NULL, NULL),
(594, 'Ålands landsbygd', '', '', '', '', 127, 'state', 1, 5, 127, 0, 0, 0, 0, 0, 'Europe', 'Aland Islands', NULL, NULL, NULL, NULL),
(595, 'Ålands skärgård', '', '', '', '', 127, 'state', 1, 5, 127, 0, 0, 0, 0, 0, 'Europe', 'Aland Islands', NULL, NULL, NULL, NULL),
(596, 'Mariehamns stad', '', '', '', '', 127, 'state', 1, 5, 127, 0, 0, 0, 0, 0, 'Europe', 'Aland Islands', NULL, NULL, NULL, NULL),
(597, 'Bruxelles-Capitale', '', '', '', '', 129, 'state', 1, 5, 129, 0, 0, 0, 0, 0, 'Europe', 'Belgium', NULL, NULL, NULL, NULL),
(598, 'Vlaanderen', '', '', '', '', 129, 'state', 1, 5, 129, 0, 0, 0, 0, 0, 'Europe', 'Belgium', NULL, NULL, NULL, NULL),
(599, 'Wallonie', '', '', '', '', 129, 'state', 1, 5, 129, 0, 0, 0, 0, 0, 'Europe', 'Belgium', NULL, NULL, NULL, NULL),
(600, 'Благоевград / Blagoevgrad', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(601, 'Бургас / Burgas', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(602, 'Варна / Varna', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(603, 'Велико Търново / Veliko Turnovo', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(604, 'Видин / Vidin', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(605, 'Враца / Vraca', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(606, 'Габрово / Gabrovo', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(607, 'Добрич / Dobrich', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(608, 'Кърджали / Kurdzhali', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(609, 'Кюстендил / Kjustendil', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(610, 'Ловеч / Lovech', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(611, 'Монтана / Montana', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(612, 'Пазарджик / Pazardzhik', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(613, 'Перник / Pernik', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(614, 'Плевен / Pleven', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(615, 'Пловдив / Plovdiv', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(616, 'Разград / Razgrad', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(617, 'Русе / Ruse', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(618, 'Силистра / Silistra', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(619, 'Сливен / Sliven', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(620, 'Смолян / Smoljan', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(621, 'София (столица) / Sofija (stolica)', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(622, 'София / Sofija', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(623, 'Стара Загора / Stara Zagora', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(624, 'Търговище / Turgovishhe', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(625, 'Хасково / Khaskovo', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(626, 'Шумен / Shumen', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(627, 'Ямбол / Jambol', '', '', '', '', 130, 'state', 1, 5, 130, 0, 0, 0, 0, 0, 'Europe', 'Bulgaria', NULL, NULL, NULL, NULL),
(628, 'Canton de Fribourg', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(629, 'Canton de Genève', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(630, 'Canton de Neuchâtel', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(631, 'Canton de Vaud', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(632, 'Canton du Jura', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(633, 'Canton du Valais', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(634, 'Cantone Ticino', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(635, 'Kanton Aargau', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(636, 'Kanton Appenzell Ausserrhoden', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(637, 'Kanton Appenzell Innerrhoden', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(638, 'Kanton Basel-Landschaft', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(639, 'Kanton Basel-Stadt', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(640, 'Kanton Bern', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(641, 'Kanton Glarus', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(642, 'Kanton Graubünden', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(643, 'Kanton Luzern', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(644, 'Kanton Nidwalden', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(645, 'Kanton Obwalden', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(646, 'Kanton Schaffhausen', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(647, 'Kanton Schwyz', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(648, 'Kanton Solothurn', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(649, 'Kanton St. Gallen', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(650, 'Kanton Thurgau', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(651, 'Kanton Uri', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(652, 'Kanton Zug', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(653, 'Kanton Zürich', '', '', '', '', 132, 'state', 1, 5, 132, 0, 0, 0, 0, 0, 'Europe', 'Switzerland', NULL, NULL, NULL, NULL),
(654, 'Baden-Württemberg', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(655, 'Bayern', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(656, 'Berlin', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(657, 'Brandenburg', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(658, 'Bremen', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(659, 'Hamburg', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(660, 'Hessen', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(661, 'Mecklenburg-Vorpommern', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(662, 'Niedersachsen', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(663, 'Nordrhein-Westfalen', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(664, 'Rheinland-Pfalz', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(665, 'Saarland', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(666, 'Sachsen', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(667, 'Sachsen-Anhalt', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(668, 'Schleswig-Holstein', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(669, 'Thüringen', '', '', '', '', 136, 'state', 1, 5, 136, 0, 0, 0, 0, 0, 'Europe', 'Germany', NULL, NULL, NULL, NULL),
(670, 'Region Hovedstaden', '', '', '', '', 137, 'state', 1, 5, 137, 0, 0, 0, 0, 0, 'Europe', 'Denmark', NULL, NULL, NULL, NULL),
(671, 'Region Midtjylland', '', '', '', '', 137, 'state', 1, 5, 137, 0, 0, 0, 0, 0, 'Europe', 'Denmark', NULL, NULL, NULL, NULL),
(672, 'Region Nordjylland', '', '', '', '', 137, 'state', 1, 5, 137, 0, 0, 0, 0, 0, 'Europe', 'Denmark', NULL, NULL, NULL, NULL),
(673, 'Region Sjælland', '', '', '', '', 137, 'state', 1, 5, 137, 0, 0, 0, 0, 0, 'Europe', 'Denmark', NULL, NULL, NULL, NULL),
(674, 'Region Syddanmark', '', '', '', '', 137, 'state', 1, 5, 137, 0, 0, 0, 0, 0, 'Europe', 'Denmark', NULL, NULL, NULL, NULL),
(675, 'Andalucia', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(676, 'Aragon', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(677, 'Asturias', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(678, 'Baleares', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(679, 'Canarias', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(680, 'Cantabria', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(681, 'Castilla - La Mancha', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(682, 'Castilla - Leon', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(683, 'Cataluna', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(684, 'Ceuta', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(685, 'Comunidad Valenciana', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(686, 'Extremadura', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(687, 'Galicia', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(688, 'La Rioja', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(689, 'Madrid', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(690, 'Melilla', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(691, 'Murcia', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(692, 'Navarra', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(693, 'Pais Vasco', '', '', '', '', 139, 'state', 1, 5, 139, 0, 0, 0, 0, 0, 'Europe', 'Spain', NULL, NULL, NULL, NULL),
(694, 'Etelä-Karjala', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(695, 'Etelä-Pohjanmaa', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(696, 'Etelä-Savo', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(697, 'Kainuu', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(698, 'Kanta-Häme', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(699, 'Keski-Pohjanmaa', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(700, 'Keski-Suomi', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(701, 'Kymenlaakso', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(702, 'Lappi', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(703, 'Päijät-Häme', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(704, 'Pirkanmaa', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(705, 'Pohjanmaa', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(706, 'Pohjois-Karjala', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(707, 'Pohjois-Pohjanmaa', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(708, 'Pohjois-Savo', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(709, 'Satakunta', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(710, 'Uusimaa', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(711, 'Varsinais-Suomi', '', '', '', '', 140, 'state', 1, 5, 140, 0, 0, 0, 0, 0, 'Europe', 'Finland', NULL, NULL, NULL, NULL),
(712, 'Alsace-Champagne-Ardenne-Lorraine', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(713, 'Aquitaine-Limousin-Poitou-Charentes', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(714, 'Auvergne-Rhône-Alpes', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(715, 'Bourgogne-Franche-Comté', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(716, 'Bretagne', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(717, 'Centre', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(718, 'Corse', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(719, 'Île-de-France', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(720, 'Languedoc-Roussillon-Midi-Pyrénées', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(721, 'Nord-Pas-de-Calais-Picardie', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(722, 'Normandy', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(723, 'Pays de la Loire', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(724, 'Provence-Alpes-Côte d\'Azur', '', '', '', '', 142, 'state', 1, 5, 142, 0, 0, 0, 0, 0, 'Europe', 'France', NULL, NULL, NULL, NULL),
(725, 'England', '', '', '', '', 143, 'state', 1, 5, 143, 0, 0, 0, 0, 0, 'Europe', 'United Kingdom', NULL, NULL, NULL, NULL),
(726, 'Northern Ireland', '', '', '', '', 143, 'state', 1, 5, 143, 0, 0, 0, 0, 0, 'Europe', 'United Kingdom', NULL, NULL, NULL, NULL),
(727, 'Scotland', '', '', '', '', 143, 'state', 1, 5, 143, 0, 0, 0, 0, 0, 'Europe', 'United Kingdom', NULL, NULL, NULL, NULL),
(728, 'Wales', '', '', '', '', 143, 'state', 1, 5, 143, 0, 0, 0, 0, 0, 'Europe', 'United Kingdom', NULL, NULL, NULL, NULL),
(729, 'Bjelovarsko-Bilogorska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(730, 'Brodsko-Posavska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(731, 'Dubrovačko-Neretvanska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(732, 'Istarska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(733, 'Karlovačka', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(734, 'Koprivničko-Križevačka', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(735, 'Krapinsko-Zagorska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(736, 'Ličko-Senjska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(737, 'Međimurska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(738, 'Osječko-Baranjska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(739, 'Požeško-Slavonska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(740, 'Primorsko-Goranska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(741, 'Šibensko-Kninska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(742, 'Sisačko-Moslavačka', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(743, 'Splitsko-Dalmatinska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(744, 'Varaždinska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(745, 'Virovitičko-Podravska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(746, 'Vukovarsko-Srijemska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(747, 'Zadarska', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(748, 'Zagrebačka', '', '', '', '', 147, 'state', 1, 5, 147, 0, 0, 0, 0, 0, 'Europe', 'Croatia', NULL, NULL, NULL, NULL),
(749, 'Bács-Kiskun', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(750, 'Baranya', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(751, 'Békés', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(752, 'Borsod-Abaúj-Zemplén', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(753, 'Budapest', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(754, 'Csongrád', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(755, 'Fejér', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(756, 'Győr-Moson-Sopron', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(757, 'Hajdú-Bihar', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(758, 'Heves', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(759, 'Jász-Nagykun-Szolnok', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(760, 'Komárom-Esztergom', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(761, 'Nógrád', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(762, 'Pest', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(763, 'Somogy', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(764, 'Szabolcs-Szatmár-Bereg', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(765, 'Tolna', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(766, 'Vas', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(767, 'Veszprém', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(768, 'Zala', '', '', '', '', 148, 'state', 1, 5, 148, 0, 0, 0, 0, 0, 'Europe', 'Hungary', NULL, NULL, NULL, NULL),
(769, 'Abruzzi', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(770, 'Basilicata', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(771, 'Calabria', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(772, 'Campania', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(773, 'Emilia-Romagna', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(774, 'Friuli-Venezia Giulia', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(775, 'Lazio', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(776, 'Liguria', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(777, 'Lombardia', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(778, 'Marche', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(779, 'Molise', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(780, 'Piemonte', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(781, 'Puglia', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(782, 'Sardegna', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(783, 'Sicilia', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(784, 'Toscana', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(785, 'Trentino-Alto Adige', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(786, 'Umbria', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(787, 'Valle D\'Aosta', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(788, 'Veneto', '', '', '', '', 152, 'state', 1, 5, 152, 0, 0, 0, 0, 0, 'Europe', 'Italy', NULL, NULL, NULL, NULL),
(789, 'Balzers', '', '', '', '', 154, 'state', 1, 5, 154, 0, 0, 0, 0, 0, 'Europe', 'Liechtenstein', NULL, NULL, NULL, NULL),
(790, 'Eschen', '', '', '', '', 154, 'state', 1, 5, 154, 0, 0, 0, 0, 0, 'Europe', 'Liechtenstein', NULL, NULL, NULL, NULL),
(791, 'Gamprin', '', '', '', '', 154, 'state', 1, 5, 154, 0, 0, 0, 0, 0, 'Europe', 'Liechtenstein', NULL, NULL, NULL, NULL),
(792, 'Mauren', '', '', '', '', 154, 'state', 1, 5, 154, 0, 0, 0, 0, 0, 'Europe', 'Liechtenstein', NULL, NULL, NULL, NULL),
(793, 'Planken', '', '', '', '', 154, 'state', 1, 5, 154, 0, 0, 0, 0, 0, 'Europe', 'Liechtenstein', NULL, NULL, NULL, NULL),
(794, 'Ruggell', '', '', '', '', 154, 'state', 1, 5, 154, 0, 0, 0, 0, 0, 'Europe', 'Liechtenstein', NULL, NULL, NULL, NULL),
(795, 'Schaan', '', '', '', '', 154, 'state', 1, 5, 154, 0, 0, 0, 0, 0, 'Europe', 'Liechtenstein', NULL, NULL, NULL, NULL),
(796, 'Schellenberg', '', '', '', '', 154, 'state', 1, 5, 154, 0, 0, 0, 0, 0, 'Europe', 'Liechtenstein', NULL, NULL, NULL, NULL),
(797, 'Triesen', '', '', '', '', 154, 'state', 1, 5, 154, 0, 0, 0, 0, 0, 'Europe', 'Liechtenstein', NULL, NULL, NULL, NULL),
(798, 'Triesenberg', '', '', '', '', 154, 'state', 1, 5, 154, 0, 0, 0, 0, 0, 'Europe', 'Liechtenstein', NULL, NULL, NULL, NULL),
(799, 'Vaduz', '', '', '', '', 154, 'state', 1, 5, 154, 0, 0, 0, 0, 0, 'Europe', 'Liechtenstein', NULL, NULL, NULL, NULL),
(800, 'Monaco', '', '', '', '', 158, 'state', 1, 5, 158, 0, 0, 0, 0, 0, 'Europe', 'Monaco', NULL, NULL, NULL, NULL),
(801, 'Anenii Noi', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(802, 'Balti', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(803, 'Bender Tr.', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(804, 'Briceni', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(805, 'Cahul', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(806, 'Calarasi', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(807, 'Camenca Tr.', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(808, 'Cantemir', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(809, 'Cantrmir', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(810, 'Canul', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(811, 'Causeni', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(812, 'Cimislia', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(813, 'Comrat', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(814, 'Criuleni', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(815, 'Criuleni- Dub.', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(816, 'Criuleni-Dub.', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(817, 'Criulenii-Dub.', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(818, 'Donduseni', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(819, 'Drochia', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(820, 'Dubasari Cr.', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(821, 'Dubasari Tr.', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(822, 'Edinet', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(823, 'Falesti', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(824, 'Floresti', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(825, 'Glodeni', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(826, 'Grigoriopol Tr.', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(827, 'Hincesti', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(828, 'Ialoveni', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(829, 'Lazo', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(830, 'Leova', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(831, 'Mun.Balti', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(832, 'Mun.Chisinau', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(833, 'Nisporeni', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(834, 'Ocnita', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(835, 'Orhei', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(836, 'Rezina', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(837, 'Ribnita Tr.', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(838, 'Riscani', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(839, 'Singerei', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(840, 'Slobozia Tr.', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(841, 'Soldanesti', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL);
INSERT INTO `#__sellacious_locations` (`id`, `title`, `iso_code`, `iso_alpha_2`, `iso_alpha_3`, `iso_numeric`, `parent_id`, `type`, `state`, `continent_id`, `country_id`, `state_id`, `district_id`, `area_id`, `zip_id`, `new_id`, `continent_title`, `country_title`, `state_title`, `district_title`, `area_title`, `zip_title`) VALUES
(842, 'Soroca', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(843, 'Stefan-Voda', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(844, 'Straseni', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(845, 'Taraclia', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(846, 'Telenesti', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(847, 'Tiraspol Tr.', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(848, 'Uhnheni', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(849, 'Ungheni', '', '', '', '', 159, 'state', 1, 5, 159, 0, 0, 0, 0, 0, 'Europe', 'Moldova', NULL, NULL, NULL, NULL),
(850, 'Attard', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(851, 'Balzan', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(852, 'Birkirkara', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(853, 'Birżebbuġa', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(854, 'Bormla', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(855, 'Dingli', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(856, 'Għajnsielem', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(857, 'Ħal Għargħur', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(858, 'Ħal Għaxaq', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(859, 'Ħaż-Żabbar', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(860, 'Ħaż-Żebbuġ', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(861, 'Il-Belt Valletta', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(862, 'Il-Birgu', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(863, 'Il-Fgura', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(864, 'Il-Fontana', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(865, 'Il-Furjana', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(866, 'Il-Gudja', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(867, 'Il-Gżira', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(868, 'Il-Ħamrun', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(869, 'Il-Kalkara', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(870, 'Il-Marsa', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(871, 'Il-Mellieħa', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(872, 'Il-Mosta', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(873, 'Il-Munxar', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(874, 'Il-Qala', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(875, 'Il-Qrendi', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(876, 'In-Nadur', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(877, 'In-Naxxar', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(878, 'Ir-Rabat', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(879, 'Is-Siġġiewi', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(880, 'Is-Swieqi', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(881, 'Ix-Xagħra', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(882, 'Ix-Xewkija', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(883, 'Ix-Xgħajra', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(884, 'Iż-Żebbuġ', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(885, 'Iż-Żejtun', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(886, 'Iż-Żurrieq', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(887, 'Kirkop', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(888, 'L-Għarb', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(889, 'L-Għasri', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(890, 'L-Iklin', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(891, 'L-Imdina', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(892, 'L-Imġarr', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(893, 'L-Imqabba', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(894, 'L-Imsida', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(895, 'L-Imtarfa', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(896, 'L-Isla', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(897, 'Lija', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(898, 'Luqa', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(899, 'Marsaskala', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(900, 'Marsaxlokk', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(901, 'Paola', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(902, 'Pembroke', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(903, 'Qormi', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(904, 'Safi', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(905, 'Saint John', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(906, 'Saint Julian\'s', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(907, 'Saint Lawrence', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(908, 'Saint Lucia', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(909, 'Saint Paul’s Bay', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(910, 'Saint Venera', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(911, 'Sannat', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(912, 'Ta’ Kerċem', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(913, 'Ta’ Xbiex', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(914, 'Tal-Pietà', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(915, 'Tarxien', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(916, 'Tas-Sliema', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(917, 'Victoria', '', '', '', '', 162, 'state', 1, 5, 162, 0, 0, 0, 0, 0, 'Europe', 'Malta', NULL, NULL, NULL, NULL),
(918, 'Provincie Drenthe', '', '', '', '', 163, 'state', 1, 5, 163, 0, 0, 0, 0, 0, 'Europe', 'Netherlands', NULL, NULL, NULL, NULL),
(919, 'Provincie Flevoland', '', '', '', '', 163, 'state', 1, 5, 163, 0, 0, 0, 0, 0, 'Europe', 'Netherlands', NULL, NULL, NULL, NULL),
(920, 'Provincie Friesland', '', '', '', '', 163, 'state', 1, 5, 163, 0, 0, 0, 0, 0, 'Europe', 'Netherlands', NULL, NULL, NULL, NULL),
(921, 'Provincie Gelderland', '', '', '', '', 163, 'state', 1, 5, 163, 0, 0, 0, 0, 0, 'Europe', 'Netherlands', NULL, NULL, NULL, NULL),
(922, 'Provincie Groningen', '', '', '', '', 163, 'state', 1, 5, 163, 0, 0, 0, 0, 0, 'Europe', 'Netherlands', NULL, NULL, NULL, NULL),
(923, 'Provincie Limburg', '', '', '', '', 163, 'state', 1, 5, 163, 0, 0, 0, 0, 0, 'Europe', 'Netherlands', NULL, NULL, NULL, NULL),
(924, 'Provincie Noord-Brabant', '', '', '', '', 163, 'state', 1, 5, 163, 0, 0, 0, 0, 0, 'Europe', 'Netherlands', NULL, NULL, NULL, NULL),
(925, 'Provincie Noord-Holland', '', '', '', '', 163, 'state', 1, 5, 163, 0, 0, 0, 0, 0, 'Europe', 'Netherlands', NULL, NULL, NULL, NULL),
(926, 'Provincie Overijssel', '', '', '', '', 163, 'state', 1, 5, 163, 0, 0, 0, 0, 0, 'Europe', 'Netherlands', NULL, NULL, NULL, NULL),
(927, 'Provincie Utrecht', '', '', '', '', 163, 'state', 1, 5, 163, 0, 0, 0, 0, 0, 'Europe', 'Netherlands', NULL, NULL, NULL, NULL),
(928, 'Provincie Zeeland', '', '', '', '', 163, 'state', 1, 5, 163, 0, 0, 0, 0, 0, 'Europe', 'Netherlands', NULL, NULL, NULL, NULL),
(929, 'Provincie Zuid-Holland', '', '', '', '', 163, 'state', 1, 5, 163, 0, 0, 0, 0, 0, 'Europe', 'Netherlands', NULL, NULL, NULL, NULL),
(930, 'Akershus', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(931, 'Aust-Agder', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(932, 'Buskerud', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(933, 'Finnmark', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(934, 'Hedmark', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(935, 'Hordaland', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(936, 'More og Romdal', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(937, 'Nord-Trondelag', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(938, 'Nordland', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(939, 'Oppland', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(940, 'Oslo', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(941, 'Ostfold', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(942, 'Rogaland', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(943, 'Sogn og Fjordane', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(944, 'Sor-Trondelag', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(945, 'Telemark', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(946, 'Troms', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(947, 'Vest-Agder', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(948, 'Vestfold', '', '', '', '', 164, 'state', 1, 5, 164, 0, 0, 0, 0, 0, 'Europe', 'Norway', NULL, NULL, NULL, NULL),
(949, 'Dolnośląskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(950, 'Kujawsko-Pomorskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(951, 'Lubelskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(952, 'Lubuskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(953, 'Łódzkie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(954, 'Małopolskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(955, 'Mazowieckie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(956, 'Opolskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(957, 'Podkarpackie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(958, 'Podlaskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(959, 'Pomorskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(960, 'Śląskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(961, 'Świętokrzyskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(962, 'Warmińsko-Mazurskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(963, 'Wielkopolskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(964, 'Zachodniopomorskie', '', '', '', '', 165, 'state', 1, 5, 165, 0, 0, 0, 0, 0, 'Europe', 'Poland', NULL, NULL, NULL, NULL),
(965, 'Aveiro', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(966, 'Beja', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(967, 'Braga', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(968, 'Bragança', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(969, 'Castelo Branco', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(970, 'Coimbra', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(971, 'Évora', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(972, 'Faro', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(973, 'Guarda', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(974, 'Ilha da Graciosa', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(975, 'Ilha da Madeira', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(976, 'Ilha das Flores', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(977, 'Ilha de Porto Santo', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(978, 'Ilha de Santa Maria', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(979, 'Ilha de São Jorge', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(980, 'Ilha de São Miguel', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(981, 'Ilha do Corvo', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(982, 'Ilha do Faial', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(983, 'Ilha do Pico', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(984, 'Ilha Terceira', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(985, 'Leiria', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(986, 'Lisboa', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(987, 'Portalegre', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(988, 'Porto', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(989, 'Santarém', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(990, 'Setúbal', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(991, 'Viana do Castelo', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(992, 'Vila Real', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(993, 'Viseu', '', '', '', '', 166, 'state', 1, 5, 166, 0, 0, 0, 0, 0, 'Europe', 'Portugal', NULL, NULL, NULL, NULL),
(994, 'Arad', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(995, 'Bihor', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(996, 'Covasna', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(997, 'Dolj', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(998, 'Giurgiu', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(999, 'Gorj', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1000, 'Harghita', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1001, 'Hunedoara', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1002, 'Ilfov', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1003, 'Judeţul Alba', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1004, 'Judeţul Argeş', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1005, 'Judeţul Bacău', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1006, 'Judeţul Bistriţa-Năsăud', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1007, 'Judeţul Botoşani', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1008, 'Judeţul Brăila', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1009, 'Judeţul Braşov', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1010, 'Judeţul Buzău', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1011, 'Judeţul Călăraşi', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1012, 'Judeţul Caraş-Severin', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1013, 'Judeţul Cluj', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1014, 'Judeţul Constanţa', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1015, 'Judeţul Dâmboviţa', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1016, 'Judeţul Galaţi', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1017, 'Judeţul Ialomiţa', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1018, 'Judeţul Iaşi', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1019, 'Judeţul Maramureş', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1020, 'Judeţul Mehedinţi', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1021, 'Judeţul Mureş', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1022, 'Judeţul Neamţ', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1023, 'Judeţul Sălaj', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1024, 'Judeţul Sibiu', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1025, 'Judeţul Timiş', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1026, 'Judeţul Vâlcea', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1027, 'Olt', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1028, 'Prahova', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1029, 'Satu Mare', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1030, 'Suceava', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1031, 'Teleorman', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1032, 'Tulcea', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1033, 'Vaslui', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1034, 'Vrancea', '', '', '', '', 167, 'state', 1, 5, 167, 0, 0, 0, 0, 0, 'Europe', 'Romania', NULL, NULL, NULL, NULL),
(1035, 'Адыгея Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1036, 'Алтай Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1037, 'Алтайский Край', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1038, 'Амурская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1039, 'Архангельская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1040, 'Астраханская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1041, 'Байконур', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1042, 'Башкортостан Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1043, 'Белгородская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1044, 'Брянская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1045, 'Бурятия Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1046, 'Владимирская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1047, 'Волгоградская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1048, 'Вологодская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1049, 'Воронежская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1050, 'Дагестан Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1051, 'Ивановская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1052, 'Ингушетия Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1053, 'Иркутская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1054, 'Кабардино-Балкарская Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1055, 'Калининградская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1056, 'Калмыкия Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1057, 'Калужская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1058, 'Камчатская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1059, 'Карачаево-Черкесская Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1060, 'Карелия Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1061, 'Кемеровская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1062, 'Кировская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1063, 'Коми Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1064, 'Костромская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1065, 'Краснодарский Край', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1066, 'Красноярский Край', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1067, 'Курганская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1068, 'Курская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1069, 'Ленинградская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1070, 'Липецкая Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1071, 'Магаданская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1072, 'Марий Эл Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1073, 'Мордовия Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1074, 'Москва', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1075, 'Московская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1076, 'Мурманская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1077, 'Нижегородская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1078, 'Новгородская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1079, 'Новосибирская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1080, 'Омская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1081, 'Оренбургская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1082, 'Орловская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1083, 'Пензенская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1084, 'Пермский Край', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1085, 'Приморский Край', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1086, 'Псковская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1087, 'Ростовская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1088, 'Рязанская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1089, 'Самарская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1090, 'Санкт-Петербург', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1091, 'Саратовская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1092, 'Саха (Якутия) Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1093, 'Сахалинская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1094, 'Свердловская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1095, 'Северная Осетия-Алания Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1096, 'Смоленская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1097, 'Ставропольский Край', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1098, 'Тамбовская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1099, 'Татарстан Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1100, 'Тверская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1101, 'Томская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1102, 'Тульская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1103, 'Тыва Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1104, 'Тюменская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1105, 'Удмуртская Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1106, 'Ульяновская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1107, 'Хабаровский Край', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1108, 'Хакасия Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1109, 'Челябинская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1110, 'Чеченская Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1111, 'Читинская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1112, 'Чувашская Республика', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1113, 'Ярославская Область', '', '', '', '', 169, 'state', 1, 5, 169, 0, 0, 0, 0, 0, 'Europe', 'Russia', NULL, NULL, NULL, NULL),
(1114, 'Blekinge', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1115, 'Dalarna', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1116, 'Gävleborg', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1117, 'Gotland', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1118, 'Halland', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1119, 'Jämtland', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1120, 'Jönköping', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1121, 'Kalmar', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1122, 'Kronoberg', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1123, 'Norrbotten', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1124, 'Örebro', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1125, 'Östergötland', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1126, 'Skåne', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1127, 'Södermanland', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1128, 'Stockholm', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1129, 'Uppsala', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1130, 'Värmland', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1131, 'Västerbotten', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1132, 'Västernorrland', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1133, 'Västmanland', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1134, 'Västra Götaland', '', '', '', '', 170, 'state', 1, 5, 170, 0, 0, 0, 0, 0, 'Europe', 'Sweden', NULL, NULL, NULL, NULL),
(1135, 'Jan Mayen', '', '', '', '', 172, 'state', 1, 5, 172, 0, 0, 0, 0, 0, 'Europe', 'Svalbard and Jan Mayen', NULL, NULL, NULL, NULL),
(1136, 'Svalbard', '', '', '', '', 172, 'state', 1, 5, 172, 0, 0, 0, 0, 0, 'Europe', 'Svalbard and Jan Mayen', NULL, NULL, NULL, NULL),
(1137, 'Alberta', 'AB', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1138, 'British Columbia', 'BC', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1139, 'Manitoba', 'MB', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1140, 'New Brunswick', 'NB', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1141, 'Newfoundland and Labrador', 'NL', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1142, 'Northwest Territory', 'NT', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1143, 'Nova Scotia', 'NS', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1144, 'Nunavut Territory', 'NU', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1145, 'Ontario', 'ON', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1146, 'Prince Edward Island', 'PE', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1147, 'Quebec', 'QC', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1148, 'Saskatchewan', 'SK', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1149, 'Yukon', 'YT', '', '', '', 188, 'state', 1, 6, 188, 0, 0, 0, 0, 0, 'North america', 'Canada', NULL, NULL, NULL, NULL),
(1150, 'Guadeloupe', '', '', '', '', 196, 'state', 1, 6, 196, 0, 0, 0, 0, 0, 'North america', 'Guadeloupe', NULL, NULL, NULL, NULL),
(1151, 'Ciudad de Guatemala', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1152, 'DEPTO DE ALTA VERAPAZ', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1153, 'DEPTO DE BAJA VERAPAZ', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1154, 'DEPTO DE CHIMALTENANGO', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1155, 'DEPTO DE CHIQUIMULA', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1156, 'DEPTO DE EL PROGRESO', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1157, 'DEPTO DE ESCUINTLA', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1158, 'DEPTO DE GUATEMALA', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1159, 'DEPTO DE HUEHUETENANGO', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1160, 'DEPTO DE IZABAL', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1161, 'DEPTO DE JALAPA', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1162, 'DEPTO DE JUTIAPA', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1163, 'DEPTO DE PETEN', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1164, 'DEPTO DE QUETZALTENANGO', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1165, 'DEPTO DE RETALHULEU', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1166, 'DEPTO DE SACATEPEQUEZ', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1167, 'DEPTO DE SAN MARCOS', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1168, 'DEPTO DE SANTA ROSA', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1169, 'DEPTO DE SOLOLA', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1170, 'DEPTO DE SUCHITEPEQUEZ', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1171, 'DEPTO DE TOTONICAPAN', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1172, 'DEPTO DE ZACAPA', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1173, 'DEPTO DEL QUICHE', '', '', '', '', 197, 'state', 1, 6, 197, 0, 0, 0, 0, 0, 'North america', 'Guatemala', NULL, NULL, NULL, NULL),
(1174, 'Martinique', '', '', '', '', 205, 'state', 1, 6, 205, 0, 0, 0, 0, 0, 'North america', 'Martinique', NULL, NULL, NULL, NULL),
(1175, 'Aguascalientes', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1176, 'Baja California', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1177, 'Baja California Sur', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1178, 'Campeche', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1179, 'Chiapas', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1180, 'Chihuahua', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1181, 'Coahuila de Zaragoza', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1182, 'Colima', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1183, 'Distrito Federal', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1184, 'Durango', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1185, 'Guanajuato', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1186, 'Guerrero', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1187, 'Hidalgo', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1188, 'Jalisco', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1189, 'México', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1190, 'Michoacán de Ocampo', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1191, 'Morelos', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1192, 'Nayarit', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1193, 'Nuevo León', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1194, 'Oaxaca', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1195, 'Puebla', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1196, 'Querétaro', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1197, 'Quintana Roo', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1198, 'San Luis Potosí', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1199, 'Sinaloa', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1200, 'Sonora', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1201, 'Tabasco', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1202, 'Tamaulipas', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1203, 'Tlaxcala', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1204, 'Veracruz de Ignacio de la Llave', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1205, 'Yucatán', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1206, 'Zacatecas', '', '', '', '', 207, 'state', 1, 6, 207, 0, 0, 0, 0, 0, 'North america', 'Mexico', NULL, NULL, NULL, NULL),
(1207, 'Miquelon-Langlade', '', '', '', '', 210, 'state', 1, 6, 210, 0, 0, 0, 0, 0, 'North america', 'Saint Pierre and Miquelon', NULL, NULL, NULL, NULL),
(1208, 'Saint-Pierre', '', '', '', '', 210, 'state', 1, 6, 210, 0, 0, 0, 0, 0, 'North america', 'Saint Pierre and Miquelon', NULL, NULL, NULL, NULL),
(1209, 'Adjuntas', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1210, 'Aguada', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1211, 'Aguadilla', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1212, 'Aguas Buenas', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1213, 'Aibonito', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1214, 'Anasco', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1215, 'Arecibo', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1216, 'Arroyo', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1217, 'Barceloneta', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1218, 'Barranquitas', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1219, 'Bayamon', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1220, 'Cabo Rojo', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1221, 'Caguas', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1222, 'Camuy', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1223, 'Canovanas', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1224, 'Carolina', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1225, 'Catano', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1226, 'Cayey', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1227, 'Ceiba', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1228, 'Ciales', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1229, 'Cidra', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1230, 'Coamo', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1231, 'Comerio', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1232, 'Corozal', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1233, 'Culebra', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1234, 'Dorado', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1235, 'Fajardo', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1236, 'Florida', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1237, 'Guanica', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1238, 'Guayama', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1239, 'Guayanilla', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL);
INSERT INTO `#__sellacious_locations` (`id`, `title`, `iso_code`, `iso_alpha_2`, `iso_alpha_3`, `iso_numeric`, `parent_id`, `type`, `state`, `continent_id`, `country_id`, `state_id`, `district_id`, `area_id`, `zip_id`, `new_id`, `continent_title`, `country_title`, `state_title`, `district_title`, `area_title`, `zip_title`) VALUES
(1240, 'Guaynabo', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1241, 'Gurabo', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1242, 'Hatillo', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1243, 'Hormigueros', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1244, 'Humacao', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1245, 'Isabela', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1246, 'Jayuya', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1247, 'Juana Diaz', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1248, 'Juncos', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1249, 'Lajas', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1250, 'Lares', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1251, 'Las Marias', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1252, 'Las Piedras', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1253, 'Loiza', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1254, 'Luquillo', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1255, 'Manati', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1256, 'Maricao', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1257, 'Maunabo', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1258, 'Mayaguez', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1259, 'Moca', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1260, 'Morovis', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1261, 'Naguabo', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1262, 'Naranjito', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1263, 'Orocovis', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1264, 'Patillas', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1265, 'Penuelas', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1266, 'Ponce', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1267, 'Quebradillas', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1268, 'Rincon', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1269, 'Rio Grande', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1270, 'Sabana Grande', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1271, 'Salinas', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1272, 'San German', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1273, 'San Juan', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1274, 'San Lorenzo', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1275, 'San Sebastian', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1276, 'Santa Isabel', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1277, 'Toa Alta', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1278, 'Toa Baja', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1279, 'Trujillo Alto', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1280, 'Utuado', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1281, 'Vega Alta', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1282, 'Vega Baja', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1283, 'Vieques', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1284, 'Villalba', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1285, 'Yabucoa', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1286, 'Yauco', '', '', '', '', 211, 'state', 1, 6, 211, 0, 0, 0, 0, 0, 'North america', 'Puerto Rico', NULL, NULL, NULL, NULL),
(1287, 'Alabama', 'AL', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1288, 'Alaska', 'AK', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1289, 'Arizona', 'AZ', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1290, 'Arkansas', 'AR', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1291, 'California', 'CA', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1292, 'Colorado', 'CO', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1293, 'Connecticut', 'CT', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1294, 'Delaware', 'DE', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1295, 'District of Columbia', 'DC', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1296, 'Florida', 'FL', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1297, 'Georgia', 'GA', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1298, 'Hawaii', 'HI', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1299, 'Idaho', 'ID', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1300, 'Illinois', 'IL', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1301, 'Indiana', 'IN', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1302, 'Iowa', 'IA', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1303, 'Kansas', 'KS', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1304, 'Kentucky', 'KY', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1305, 'Louisiana', 'LA', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1306, 'Maine', 'ME', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1307, 'Maryland', 'MD', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1308, 'Massachusetts', 'MA', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1309, 'Michigan', 'MI', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1310, 'Minnesota', 'MN', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1311, 'Mississippi', 'MS', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1312, 'Missouri', 'MO', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1313, 'Montana', 'MT', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1314, 'Nebraska', 'NE', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1315, 'Nevada', 'NV', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1316, 'New Hampshire', 'NH', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1317, 'New Jersey', 'NJ', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1318, 'New Mexico', 'NM', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1319, 'New York', 'NY', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1320, 'North Carolina', 'NC', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1321, 'North Dakota', 'ND', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1322, 'Ohio', 'OH', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1323, 'Oklahoma', 'OK', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1324, 'Oregon', 'OR', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1325, 'Pennsylvania', 'PA', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1326, 'Rhode Island', 'RI', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1327, 'South Carolina', 'SC', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1328, 'South Dakota', 'SD', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1329, 'Tennessee', 'TN', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1330, 'Texas', 'TX', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1331, 'Utah', 'UT', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1332, 'Vermont', 'VT', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1333, 'Virginia', 'VA', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1334, 'Washington', 'WA', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1335, 'West Virginia', 'WV', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1336, 'Wisconsin', 'WI', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1337, 'Wyoming', 'WY', '', '', '', 216, 'state', 1, 6, 216, 0, 0, 0, 0, 0, 'North america', 'United States', NULL, NULL, NULL, NULL),
(1338, 'Vi', '', '', '', '', 219, 'state', 1, 6, 219, 0, 0, 0, 0, 0, 'North america', 'U.S. Virgin Islands', NULL, NULL, NULL, NULL),
(1339, 'As', '', '', '', '', 220, 'state', 1, 7, 220, 0, 0, 0, 0, 0, 'Oceania', 'American Samoa', NULL, NULL, NULL, NULL),
(1340, 'Australian Capital Territory', '', '', '', '', 221, 'state', 1, 7, 221, 0, 0, 0, 0, 0, 'Oceania', 'Australia', NULL, NULL, NULL, NULL),
(1341, 'New South Wales', '', '', '', '', 221, 'state', 1, 7, 221, 0, 0, 0, 0, 0, 'Oceania', 'Australia', NULL, NULL, NULL, NULL),
(1342, 'Northern Territory', '', '', '', '', 221, 'state', 1, 7, 221, 0, 0, 0, 0, 0, 'Oceania', 'Australia', NULL, NULL, NULL, NULL),
(1343, 'Queensland', '', '', '', '', 221, 'state', 1, 7, 221, 0, 0, 0, 0, 0, 'Oceania', 'Australia', NULL, NULL, NULL, NULL),
(1344, 'South Australia', '', '', '', '', 221, 'state', 1, 7, 221, 0, 0, 0, 0, 0, 'Oceania', 'Australia', NULL, NULL, NULL, NULL),
(1345, 'Tasmania', '', '', '', '', 221, 'state', 1, 7, 221, 0, 0, 0, 0, 0, 'Oceania', 'Australia', NULL, NULL, NULL, NULL),
(1346, 'Victoria', '', '', '', '', 221, 'state', 1, 7, 221, 0, 0, 0, 0, 0, 'Oceania', 'Australia', NULL, NULL, NULL, NULL),
(1347, 'Western Australia', '', '', '', '', 221, 'state', 1, 7, 221, 0, 0, 0, 0, 0, 'Oceania', 'Australia', NULL, NULL, NULL, NULL),
(1348, 'Gu', '', '', '', '', 225, 'state', 1, 7, 225, 0, 0, 0, 0, 0, 'Oceania', 'Guam', NULL, NULL, NULL, NULL),
(1349, 'Guam ', '', '', '', '', 225, 'state', 1, 7, 225, 0, 0, 0, 0, 0, 'Oceania', 'Guam', NULL, NULL, NULL, NULL),
(1350, 'Mh', '', '', '', '', 227, 'state', 1, 7, 227, 0, 0, 0, 0, 0, 'Oceania', 'Marshall Islands', NULL, NULL, NULL, NULL),
(1351, 'Mp', '', '', '', '', 228, 'state', 1, 7, 228, 0, 0, 0, 0, 0, 'Oceania', 'Northern Mariana Islands', NULL, NULL, NULL, NULL),
(1352, 'Northern Mariana Islands ', '', '', '', '', 228, 'state', 1, 7, 228, 0, 0, 0, 0, 0, 'Oceania', 'Northern Mariana Islands', NULL, NULL, NULL, NULL),
(1353, 'BUENOS AIRES', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1354, 'CATAMARCA', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1355, 'CHACO', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1356, 'CHUBUT', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1357, 'CORDOBA', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1358, 'CORRIENTES', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1359, 'ENTRE RIOS', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1360, 'FORMOSA', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1361, 'JUJUY', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1362, 'LA PAMPA', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1363, 'LA RIOJA', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1364, 'MENDOZA', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1365, 'MISIONES', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1366, 'NEUQUEN', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1367, 'RIO NEGRO', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1368, 'SALTA', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1369, 'SAN JUAN', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1370, 'SAN LUIS', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1371, 'SANTA CRUZ', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1372, 'SANTA FE', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1373, 'SANTIAGO DEL ESTERO', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1374, 'TIERRA DEL FUEGO', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1375, 'TUCUMAN', '', '', '', '', 247, 'state', 1, 8, 247, 0, 0, 0, 0, 0, 'South america', 'Argentina', NULL, NULL, NULL, NULL),
(1376, 'Acre', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1377, 'Alagoas ', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1378, 'Amapa', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1379, 'Amazonas ', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1380, 'Bahia', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1381, 'Ceara', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1382, 'Distrito Federal', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1383, 'Espirito Santo', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1384, 'Goias', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1385, 'Maranhao ', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1386, 'Mato Grosso ', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1387, 'Mato Grosso do Sul', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1388, 'Minas Gerais', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1389, 'Para', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1390, 'Paraiba', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1391, 'Parana', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1392, 'Pernambuco ', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1393, 'Piaui', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1394, 'Rio de Janeiro ', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1395, 'Rio Grande do Norte ', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1396, 'Rio Grande do Sul', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1397, 'Rondonia', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1398, 'Roraima', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1399, 'Santa Catarina ', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1400, 'Sao Paulo', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1401, 'Sergipe', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1402, 'Tocantins', '', '', '', '', 249, 'state', 1, 8, 249, 0, 0, 0, 0, 0, 'South america', 'Brazil', NULL, NULL, NULL, NULL),
(1403, 'Guyane', '', '', '', '', 254, 'state', 1, 8, 254, 0, 0, 0, 0, 0, 'South america', 'French Guiana', NULL, NULL, NULL, NULL),
(1404, 'Los Angeles', '', '', '', '', 1291, 'district', 1, 6, 216, 1291, 0, 0, 0, 0, 'North america', 'United States', 'California', NULL, NULL, NULL),
(1405, '90001', '', '', '', '', 1404, 'zip', 1, 6, 216, 1291, 1404, 0, 0, 0, 'North america', 'United States', 'California', 'Los Angeles', NULL, NULL);

CREATE TABLE IF NOT EXISTS `#__sellacious_mailqueue` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `context` varchar(50) NOT NULL,
  `type` varchar(20) NOT NULL,
  `reference` int(11) NOT NULL COMMENT 'A unique identifier for an email to avoid duplicate emails',
  `recipients` text NOT NULL,
  `sender` text NOT NULL,
  `cc` text NOT NULL,
  `bcc` text NOT NULL,
  `replyto` text NOT NULL,
  `subject` text NOT NULL,
  `body` text NOT NULL,
  `is_html` int(11) NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `sent_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `response` text NOT NULL,
  `retries` int(11) NOT NULL,
  `lock_token` VARCHAR(30) NOT NULL DEFAULT '',
  `lock_time` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_manufacturers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `title` varchar(250) NOT NULL,
  `code` varchar(50) NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_media` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `table_name` varchar(100) NOT NULL,
  `record_id` int(11) NOT NULL,
  `context` varchar(50) NOT NULL,
  `path` varchar(1000) NOT NULL,
  `original_name` varchar(100) NOT NULL,
  `type` varchar(100) NOT NULL,
  `size` int(11) NOT NULL,
  `doc_type` varchar(50) NOT NULL,
  `doc_reference` varchar(100) NOT NULL,
  `protected` int(11) NOT NULL COMMENT 'Don''t allow direct download',
  `state` int(11) NOT NULL DEFAULT '0',
  `on_cloud` int(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL COMMENT 'not used yet',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_media` (`id`, `table_name`, `record_id`, `context`, `path`, `original_name`, `type`, `size`, `doc_type`, `doc_reference`, `protected`, `state`, `ordering`, `created`, `created_by`, `modified`, `modified_by`, `params`) VALUES
(1, 'config', 1, 'shop_logo', 'images/com_sellacious/config/shop_logo/1/b6872a36384d4a06c957a6797892a617b8488a08-794.png', 'sellacious-logo-main.png', 'image/png', 8594, '', '', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, ''),
(2, 'config', 2, 'purchase_return_icon', 'images/com_sellacious/config/purchase_return_icon/2/a8fe1a3055f1f0ffd108d97904f54088f77b147b-794.png', '7-return.png', 'image/png', 30821, '', '7', 0, 1, 2, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, ''),
(3, 'config', 2, 'purchase_return_icon', 'images/com_sellacious/config/purchase_return_icon/2/fb73614e80c4712d6158cb1df5c8bff9fce0428e-794.png', '10-return.png', 'image/png', 32405, '', '10', 0, 1, 3, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, ''),
(4, 'config', 2, 'purchase_return_icon', 'images/com_sellacious/config/purchase_return_icon/2/470d26154a8d38d00fa771d7ca2e4193a5070c15-794.png', '15-return.png', 'image/png', 32426, '', '15', 0, 1, 4, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, ''),
(5, 'config', 2, 'purchase_return_icon', 'images/com_sellacious/config/purchase_return_icon/2/5bcfbb86d248dab78a9e2e5b1cd4b12d835b68d5-794.png', '30-return.png', 'image/png', 33476, '', '30', 0, 1, 5, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, ''),
(6, 'config', 2, 'purchase_exchange_icon', 'images/com_sellacious/config/purchase_exchange_icon/2/486b9a5d9afea12d03917b7519532beaa9673e90-794.png', '7-exchange.png', 'image/png', 31655, '', '7', 0, 1, 6, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, ''),
(7, 'config', 2, 'purchase_exchange_icon', 'images/com_sellacious/config/purchase_exchange_icon/2/95f8597de777d9c0015250dee6794ad7ca9acd6e-794.png', '10-exchange.png', 'image/png', 33240, '', '10', 0, 1, 7, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, ''),
(8, 'config', 2, 'purchase_exchange_icon', 'images/com_sellacious/config/purchase_exchange_icon/2/1c58c02c1179a564523a9a2d8b78acfd8d3e874b-794.png', '15-exchange.png', 'image/png', 33258, '', '15', 0, 1, 8, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, ''),
(9, 'config', 2, 'purchase_exchange_icon', 'images/com_sellacious/config/purchase_exchange_icon/2/8a2b899c1666b9d1c0855dd758191830e4ff5296-794.png', '30-exchange.png', 'image/png', 34311, '', '30', 0, 1, 9, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '');

CREATE TABLE IF NOT EXISTS `#__sellacious_messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `sender` int(11) NOT NULL,
  `recipient` int(11) NOT NULL,
  `is_read` int(11) NOT NULL,
  `title` varchar(250) NOT NULL,
  `alias` varchar(250) NOT NULL,
  `path` text NOT NULL,
  `body` text NOT NULL,
  `context` varchar(30) NOT NULL,
  `ref_id` int(11) NOT NULL,
  `date_sent` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '#need this?',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `state` int(11) NOT NULL,
  `lft` int(11) NOT NULL,
  `rgt` int(11) NOT NULL,
  `level` int(11) NOT NULL,
  `remote_ip` varchar(40) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_messages` (`id`, `parent_id`, `sender`, `recipient`, `is_read`, `title`, `alias`, `path`, `body`, `context`, `ref_id`, `date_sent`, `created`, `created_by`, `modified`, `modified_by`, `state`, `lft`, `rgt`, `level`, `remote_ip`, `params`) VALUES
(1, 0, 0, 0, 0, 'Root', 'root', '', '', '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 1, 0, 1, 0, '', '');

CREATE TABLE IF NOT EXISTS `#__sellacious_message_recipients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `message_id` int(11) NOT NULL,
  `recipient` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_mimes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `extension` varchar(20) NOT NULL,
  `mime` varchar(100) NOT NULL,
  `category` varchar(20) NOT NULL,
  `note` varchar(250) NOT NULL,
  `state` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `extension_mime` (`extension`,`mime`),
  KEY `content` (`category`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_mimes` (`id`, `extension`, `mime`, `category`, `note`, `state`) VALUES
(2, '.x3d', 'application/vnd.hzn-3d-crossword', '', '3D Crossword Plugin', 1),
(3, '.3gp', 'video/3gpp', 'video', '3GP', 1),
(4, '.3g2', 'video/3gpp2', 'video', '3GP2', 1),
(5, '.mseq', 'application/vnd.mseq', '', '3GPP MSEQ File', 1),
(6, '.pwn', 'application/vnd.3m.post-it-notes', '', '3M Post It Notes', 1),
(7, '.plb', 'application/vnd.3gpp.pic-bw-large', '', '3rd Generation Partnership Project - Pic Large', 1),
(8, '.psb', 'application/vnd.3gpp.pic-bw-small', '', '3rd Generation Partnership Project - Pic Small', 1),
(9, '.pvb', 'application/vnd.3gpp.pic-bw-var', '', '3rd Generation Partnership Project - Pic Var', 1),
(10, '.tcap', 'application/vnd.3gpp2.tcap', '', '3rd Generation Partnership Project - Transaction Capabilities Application Part', 1),
(11, '.7z', 'application/x-7z-compressed', 'archive', '7-Zip', 1),
(12, '.abw', 'application/x-abiword', '', 'AbiWord', 1),
(13, '.ace', 'application/x-ace-compressed', '', 'Ace Archive', 1),
(14, '.acc', 'application/vnd.americandynamics.acc', 'archive', 'Active Content Compression', 1),
(15, '.acu', 'application/vnd.acucobol', '', 'ACU Cobol', 1),
(16, '.atc', 'application/vnd.acucorp', '', 'ACU Cobol', 1),
(17, '.adp', 'audio/adpcm', '', 'Adaptive differential pulse-code modulation', 1),
(18, '.aab', 'application/x-authorware-bin', '', 'Adobe (Macropedia) Authorware - Binary File', 1),
(19, '.aam', 'application/x-authorware-map', '', 'Adobe (Macropedia) Authorware - Map', 1),
(20, '.aas', 'application/x-authorware-seg', '', 'Adobe (Macropedia) Authorware - Segment File', 1),
(21, '.air', 'application/vnd.adobe.air-application-installer-package+zip', 'binary', 'Adobe AIR Application', 1),
(22, '.swf', 'application/x-shockwave-flash', 'video', 'Adobe Flash', 1),
(23, '.fxp', 'application/vnd.adobe.fxp', '', 'Adobe Flex Project', 1),
(24, '.pdf', 'application/pdf', 'document', 'Adobe Portable Document Format', 1),
(25, '.ppd', 'application/vnd.cups-ppd', '', 'Adobe PostScript Printer Description File Format', 1),
(26, '.dir', 'application/x-director', '', 'Adobe Shockwave Player', 1),
(27, '.xdp', 'application/vnd.adobe.xdp+xml', '', 'Adobe XML Data Package', 1),
(28, '.xfdf', 'application/vnd.adobe.xfdf', 'audio', 'Adobe XML Forms Data Format', 1),
(29, '.aac', 'audio/x-aac', '', 'Advanced Audio Coding (AAC)', 1),
(30, '.ahead', 'application/vnd.ahead.space', '', 'Ahead AIR Application', 1),
(31, '.azf', 'application/vnd.airzip.filesecure.azf', '', 'AirZip FileSECURE', 1),
(32, '.azs', 'application/vnd.airzip.filesecure.azs', '', 'AirZip FileSECURE', 1),
(33, '.azw', 'application/vnd.amazon.ebook', '', 'Amazon Kindle eBook format', 1),
(34, '.ami', 'application/vnd.amiga.ami', '', 'AmigaDE', 1),
(35, 'N/A', 'application/andrew-inset', '', 'Andrew Toolkit', 1),
(36, '.apk', 'application/vnd.android.package-archive', 'binary', 'Android Package Archive', 1),
(37, '.cii', 'application/vnd.anser-web-certificate-issue-initiation', '', 'ANSER-WEB Terminal Client - Certificate Issue', 1),
(38, '.fti', 'application/vnd.anser-web-funds-transfer-initiation', '', 'ANSER-WEB Terminal Client - Web Funds Transfer', 1),
(39, '.atx', 'application/vnd.antix.game-component', '', 'Antix Game Player', 1),
(40, '.mpkg', 'application/vnd.apple.installer+xml', '', 'Apple Installer Package', 1),
(41, '.aw', 'application/applixware', '', 'Applixware', 1),
(42, '.les', 'application/vnd.hhe.lesson-player', '', 'Archipelago Lesson Player', 1),
(43, '.swi', 'application/vnd.aristanetworks.swi', '', 'Arista Networks Software Image', 1),
(44, '.s', 'text/x-asm', '', 'Assembler Source File', 1),
(45, '.atomcat', 'application/atomcat+xml', '', 'Atom Publishing Protocol', 1),
(46, '.atomsvc', 'application/atomsvc+xml', '', 'Atom Publishing Protocol Service Document', 1),
(47, '.atom, .xml', 'application/atom+xml', '', 'Atom Syndication Format', 1),
(48, '.ac', 'application/pkix-attr-cert', '', 'Attribute Certificate', 1),
(49, '.aif', 'audio/x-aiff', '', 'Audio Interchange File Format', 1),
(50, '.avi', 'video/x-msvideo', 'video', 'Audio Video Interleave (AVI)', 1),
(51, '.aep', 'application/vnd.audiograph', '', 'Audiograph', 1),
(52, '.dxf', 'image/vnd.dxf', '', 'AutoCAD DXF', 1),
(53, '.dwf', 'model/vnd.dwf', '', 'Autodesk Design Web Format (DWF)', 1),
(54, '.par', 'text/plain-bas', '', 'BAS Partitur Format', 1),
(55, '.bcpio', 'application/x-bcpio', '', 'Binary CPIO Archive', 1),
(56, '.bin', 'application/octet-stream', 'binary', 'Binary Data', 1),
(57, '.bmp', 'image/bmp', 'image', 'Bitmap Image File', 1),
(58, '.torrent', 'application/x-bittorrent', '', 'BitTorrent', 1),
(59, '.cod', 'application/vnd.rim.cod', '', 'Blackberry COD File', 1),
(60, '.mpm', 'application/vnd.blueice.multipass', '', 'Blueice Research Multipass', 1),
(61, '.bmi', 'application/vnd.bmi', '', 'BMI Drawing Data Interchange', 1),
(62, '.sh', 'application/x-sh', '', 'Bourne Shell Script', 1),
(63, '.btif', 'image/prs.btif', '', 'BTIF', 1),
(64, '.rep', 'application/vnd.businessobjects', '', 'BusinessObjects', 1),
(65, '.bz', 'application/x-bzip', '', 'Bzip Archive', 1),
(66, '.bz2', 'application/x-bzip2', '', 'Bzip2 Archive', 1),
(67, '.csh', 'application/x-csh', 'script', 'C Shell Script', 1),
(68, '.c', 'text/x-c', 'script', 'C Source File', 1),
(69, '.cdxml', 'application/vnd.chemdraw+xml', 'script', 'CambridgeSoft Chem Draw', 1),
(70, '.css', 'text/css', 'script', 'Cascading Style Sheets (CSS)', 1),
(71, '.cdx', 'chemical/x-cdx', '', 'ChemDraw eXchange file', 1),
(72, '.cml', 'chemical/x-cml', 'script', 'Chemical Markup Language', 1),
(73, '.csml', 'chemical/x-csml', 'script', 'Chemical Style Markup Language', 1),
(74, '.cdbcmsg', 'application/vnd.contact.cmsg', '', 'CIM Database', 1),
(75, '.cla', 'application/vnd.claymore', '', 'Claymore Data Files', 1),
(76, '.c4g', 'application/vnd.clonk.c4group', '', 'Clonk Game', 1),
(77, '.sub', 'image/vnd.dvb.subtitle', '', 'Close Captioning - Subtitle', 1),
(78, '.cdmia', 'application/cdmi-capability', '', 'Cloud Data Management Interface (CDMI) - Capability', 1),
(79, '.cdmic', 'application/cdmi-container', '', 'Cloud Data Management Interface (CDMI) - Contaimer', 1),
(80, '.cdmid', 'application/cdmi-domain', '', 'Cloud Data Management Interface (CDMI) - Domain', 1),
(81, '.cdmio', 'application/cdmi-object', '', 'Cloud Data Management Interface (CDMI) - Object', 1),
(82, '.cdmiq', 'application/cdmi-queue', '', 'Cloud Data Management Interface (CDMI) - Queue', 1),
(83, '.c11amc', 'application/vnd.cluetrust.cartomobile-config', '', 'ClueTrust CartoMobile - Config', 1),
(84, '.c11amz', 'application/vnd.cluetrust.cartomobile-config-pkg', '', 'ClueTrust CartoMobile - Config Package', 1),
(85, '.ras', 'image/x-cmu-raster', '', 'CMU Image', 1),
(86, '.dae', 'model/vnd.collada+xml', '', 'COLLADA', 1),
(87, '.csv', 'text/csv', 'database', 'Comma-Seperated Values', 1),
(88, '.cpt', 'application/mac-compactpro', '', 'Compact Pro', 1),
(89, '.wmlc', 'application/vnd.wap.wmlc', '', 'Compiled Wireless Markup Language (WMLC)', 1),
(90, '.cgm', 'image/cgm', '', 'Computer Graphics Metafile', 1),
(91, '.ice', 'x-conference/x-cooltalk', '', 'CoolTalk', 1),
(92, '.cmx', 'image/x-cmx', '', 'Corel Metafile Exchange (CMX)', 1),
(93, '.xar', 'application/vnd.xara', '', 'CorelXARA', 1),
(94, '.cmc', 'application/vnd.cosmocaller', '', 'CosmoCaller', 1),
(95, '.cpio', 'application/x-cpio', '', 'CPIO Archive', 1),
(96, '.clkx', 'application/vnd.crick.clicker', '', 'CrickSoftware - Clicker', 1),
(97, '.clkk', 'application/vnd.crick.clicker.keyboard', '', 'CrickSoftware - Clicker - Keyboard', 1),
(98, '.clkp', 'application/vnd.crick.clicker.palette', '', 'CrickSoftware - Clicker - Palette', 1),
(99, '.clkt', 'application/vnd.crick.clicker.template', '', 'CrickSoftware - Clicker - Template', 1),
(100, '.clkw', 'application/vnd.crick.clicker.wordbank', '', 'CrickSoftware - Clicker - Wordbank', 1),
(101, '.wbs', 'application/vnd.criticaltools.wbs+xml', '', 'Critical Tools - PERT Chart EXPERT', 1),
(102, '.cryptonote', 'application/vnd.rig.cryptonote', '', 'CryptoNote', 1),
(103, '.cif', 'chemical/x-cif', '', 'Crystallographic Interchange Format', 1),
(104, '.cmdf', 'chemical/x-cmdf', '', 'CrystalMaker Data Format', 1),
(105, '.cu', 'application/cu-seeme', '', 'CU-SeeMe', 1),
(106, '.cww', 'application/prs.cww', '', 'CU-Writer', 1),
(107, '.curl', 'text/vnd.curl', 'script', 'Curl - Applet', 1),
(108, '.dcurl', 'text/vnd.curl.dcurl', '', 'Curl - Detached Applet', 1),
(109, '.mcurl', 'text/vnd.curl.mcurl', '', 'Curl - Manifest File', 1),
(110, '.scurl', 'text/vnd.curl.scurl', '', 'Curl - Source Code', 1),
(111, '.car', 'application/vnd.curl.car', '', 'CURL Applet', 1),
(112, '.pcurl', 'application/vnd.curl.pcurl', '', 'CURL Applet', 1),
(113, '.cmp', 'application/vnd.yellowriver-custom-menu', '', 'CustomMenu', 1),
(114, '.dssc', 'application/dssc+der', '', 'Data Structure for the Security Suitability of Cryptographic Algorithms', 1),
(115, '.xdssc', 'application/dssc+xml', '', 'Data Structure for the Security Suitability of Cryptographic Algorithms', 1),
(116, '.deb', 'application/x-debian-package', '', 'Debian Package', 1),
(117, '.uva', 'audio/vnd.dece.audio', 'audio', 'DECE Audio', 1),
(118, '.uvi', 'image/vnd.dece.graphic', 'image', 'DECE Graphic', 1),
(119, '.uvh', 'video/vnd.dece.hd', 'video', 'DECE High Definition Video', 1),
(120, '.uvm', 'video/vnd.dece.mobile', 'video', 'DECE Mobile Video', 1),
(121, '.uvu', 'video/vnd.uvvu.mp4', 'video', 'DECE MP4', 1),
(122, '.uvp', 'video/vnd.dece.pd', 'video', 'DECE PD Video', 1),
(123, '.uvs', 'video/vnd.dece.sd', 'video', 'DECE SD Video', 1),
(124, '.uvv', 'video/vnd.dece.video', 'video', 'DECE Video', 1),
(125, '.dvi', 'application/x-dvi', 'binary', 'Device Independent File Format (DVI)', 1),
(126, '.seed', 'application/vnd.fdsn.seed', '', 'Digital Siesmograph Networks - SEED Datafiles', 1),
(127, '.dtb', 'application/x-dtbook+xml', '', 'Digital Talking Book', 1),
(128, '.res', 'application/x-dtbresource+xml', '', 'Digital Talking Book - Resource File', 1),
(129, '.ait', 'application/vnd.dvb.ait', '', 'Digital Video Broadcasting', 1),
(130, '.svc', 'application/vnd.dvb.service', '', 'Digital Video Broadcasting', 1),
(131, '.eol', 'audio/vnd.digital-winds', '', 'Digital Winds Music', 1),
(132, '.djvu', 'image/vnd.djvu', '', 'DjVu', 1),
(133, '.dtd', 'application/xml-dtd', '', 'Document Type Definition', 1),
(134, '.mlp', 'application/vnd.dolby.mlp', 'video', 'Dolby Meridian Lossless Packing', 1),
(135, '.wad', 'application/x-doom', '', 'Doom Video Game', 1),
(136, '.dpg', 'application/vnd.dpgraph', '', 'DPGraph', 1),
(137, '.dra', 'audio/vnd.dra', '', 'DRA Audio', 1),
(138, '.dfac', 'application/vnd.dreamfactory', '', 'DreamFactory', 1),
(139, '.dts', 'audio/vnd.dts', '', 'DTS Audio', 1),
(140, '.dtshd', 'audio/vnd.dts.hd', '', 'DTS High Definition Audio', 1),
(141, '.dwg', 'image/vnd.dwg', '', 'DWG Drawing', 1),
(142, '.geo', 'application/vnd.dynageo', '', 'DynaGeo', 1),
(143, '.es', 'application/ecmascript', '', 'ECMAScript', 1),
(144, '.mag', 'application/vnd.ecowin.chart', '', 'EcoWin Chart', 1),
(145, '.mmr', 'image/vnd.fujixerox.edmics-mmr', '', 'EDMICS 2000', 1),
(146, '.rlc', 'image/vnd.fujixerox.edmics-rlc', '', 'EDMICS 2000', 1),
(147, '.exi', 'application/exi', 'script', 'Efficient XML Interchange', 1),
(148, '.mgz', 'application/vnd.proteus.magazine', '', 'EFI Proteus', 1),
(149, '.epub', 'application/epub+zip', '', 'Electronic Publication', 1),
(150, '.eml', 'message/rfc822', '', 'Email Message', 1),
(151, '.nml', 'application/vnd.enliven', '', 'Enliven Viewer', 1),
(152, '.xpr', 'application/vnd.is-xpr', '', 'Express by Infoseek', 1),
(153, '.xif', 'image/vnd.xiff', 'image', 'eXtended Image File Format (XIFF)', 1),
(154, '.xfdl', 'application/vnd.xfdl', '', 'Extensible Forms Description Language', 1),
(155, '.emma', 'application/emma+xml', '', 'Extensible MultiModal Annotation', 1),
(156, '.ez2', 'application/vnd.ezpix-album', '', 'EZPix Secure Photo Album', 1),
(157, '.ez3', 'application/vnd.ezpix-package', '', 'EZPix Secure Photo Album', 1),
(158, '.fst', 'image/vnd.fst', '', 'FAST Search & Transfer ASA', 1),
(159, '.fvt', 'video/vnd.fvt', '', 'FAST Search & Transfer ASA', 1),
(160, '.fbs', 'image/vnd.fastbidsheet', '', 'FastBid Sheet', 1),
(161, '.fe_launch', 'application/vnd.denovo.fcselayout-link', '', 'FCS Express Layout Link', 1),
(162, '.f4v', 'video/x-f4v', '', 'Flash Video', 1),
(163, '.flv', 'video/x-flv', '', 'Flash Video', 1),
(164, '.fpx', 'image/vnd.fpx', '', 'FlashPix', 1),
(165, '.npx', 'image/vnd.net-fpx', '', 'FlashPix', 1),
(166, '.flx', 'text/vnd.fmi.flexstor', '', 'FLEXSTOR', 1),
(167, '.fli', 'video/x-fli', '', 'FLI/FLC Animation Format', 1),
(168, '.ftc', 'application/vnd.fluxtime.clip', '', 'FluxTime Clip', 1),
(169, '.fdf', 'application/vnd.fdf', '', 'Forms Data Format', 1),
(170, '.f', 'text/x-fortran', '', 'Fortran Source File', 1),
(171, '.mif', 'application/vnd.mif', '', 'FrameMaker Interchange Format', 1),
(172, '.fm', 'application/vnd.framemaker', '', 'FrameMaker Normal Format', 1),
(173, '.fh', 'image/x-freehand', '', 'FreeHand MX', 1),
(174, '.fsc', 'application/vnd.fsc.weblaunch', '', 'Friendly Software Corporation', 1),
(175, '.fnc', 'application/vnd.frogans.fnc', '', 'Frogans Player', 1),
(176, '.ltf', 'application/vnd.frogans.ltf', '', 'Frogans Player', 1),
(177, '.ddd', 'application/vnd.fujixerox.ddd', '', 'Fujitsu - Xerox 2D CAD Data', 1),
(178, '.xdw', 'application/vnd.fujixerox.docuworks', '', 'Fujitsu - Xerox DocuWorks', 1),
(179, '.xbd', 'application/vnd.fujixerox.docuworks.binder', '', 'Fujitsu - Xerox DocuWorks Binder', 1),
(180, '.oas', 'application/vnd.fujitsu.oasys', '', 'Fujitsu Oasys', 1),
(181, '.oa2', 'application/vnd.fujitsu.oasys2', '', 'Fujitsu Oasys', 1),
(182, '.oa3', 'application/vnd.fujitsu.oasys3', '', 'Fujitsu Oasys', 1),
(183, '.fg5', 'application/vnd.fujitsu.oasysgp', '', 'Fujitsu Oasys', 1),
(184, '.bh2', 'application/vnd.fujitsu.oasysprs', '', 'Fujitsu Oasys', 1),
(185, '.spl', 'application/x-futuresplash', '', 'FutureSplash Animator', 1),
(186, '.fzs', 'application/vnd.fuzzysheet', '', 'FuzzySheet', 1),
(187, '.g3', 'image/g3fax', '', 'G3 Fax Image', 1),
(188, '.gmx', 'application/vnd.gmx', '', 'GameMaker ActiveX', 1),
(189, '.gtw', 'model/vnd.gtw', '', 'Gen-Trix Studio', 1),
(190, '.txd', 'application/vnd.genomatix.tuxedo', '', 'Genomatix Tuxedo Framework', 1),
(191, '.ggb', 'application/vnd.geogebra.file', '', 'GeoGebra', 1),
(192, '.ggt', 'application/vnd.geogebra.tool', '', 'GeoGebra', 1),
(193, '.gdl', 'model/vnd.gdl', '', 'Geometric Description Language (GDL)', 1),
(194, '.gex', 'application/vnd.geometry-explorer', '', 'GeoMetry Explorer', 1),
(195, '.gxt', 'application/vnd.geonext', '', 'GEONExT and JSXGraph', 1),
(196, '.g2w', 'application/vnd.geoplan', '', 'GeoplanW', 1),
(197, '.g3w', 'application/vnd.geospace', '', 'GeospacW', 1),
(198, '.gsf', 'application/x-font-ghostscript', '', 'Ghostscript Font', 1),
(199, '.bdf', 'application/x-font-bdf', '', 'Glyph Bitmap Distribution Format', 1),
(200, '.gtar', 'application/x-gtar', '', 'GNU Tar Files', 1),
(201, '.texinfo', 'application/x-texinfo', '', 'GNU Texinfo Document', 1),
(202, '.gnumeric', 'application/x-gnumeric', '', 'Gnumeric', 1),
(203, '.kml', 'application/vnd.google-earth.kml+xml', '', 'Google Earth - KML', 1),
(204, '.kmz', 'application/vnd.google-earth.kmz', '', 'Google Earth - Zipped KML', 1),
(205, '.gqf', 'application/vnd.grafeq', '', 'GrafEq', 1),
(206, '.gif', 'image/gif', 'image', 'Graphics Interchange Format', 1),
(207, '.gv', 'text/vnd.graphviz', '', 'Graphviz', 1),
(208, '.gac', 'application/vnd.groove-account', '', 'Groove - Account', 1),
(209, '.ghf', 'application/vnd.groove-help', '', 'Groove - Help', 1),
(210, '.gim', 'application/vnd.groove-identity-message', '', 'Groove - Identity Message', 1),
(211, '.grv', 'application/vnd.groove-injector', '', 'Groove - Injector', 1),
(212, '.gtm', 'application/vnd.groove-tool-message', '', 'Groove - Tool Message', 1),
(213, '.tpl', 'application/vnd.groove-tool-template', 'script', 'Groove - Tool Template', 1),
(214, '.vcg', 'application/vnd.groove-vcard', '', 'Groove - Vcard', 1),
(215, '.h261', 'video/h261', '', 'H.261', 1),
(216, '.h263', 'video/h263', '', 'H.263', 1),
(217, '.h264', 'video/h264', '', 'H.264', 1),
(218, '.hpid', 'application/vnd.hp-hpid', '', 'Hewlett Packard Instant Delivery', 1),
(219, '.hps', 'application/vnd.hp-hps', '', 'Hewlett-Packard\'s WebPrintSmart', 1),
(220, '.hdf', 'application/x-hdf', '', 'Hierarchical Data Format', 1),
(221, '.rip', 'audio/vnd.rip', '', 'Hit\'n\'Mix', 1),
(222, '.hbci', 'application/vnd.hbci', '', 'Homebanking Computer Interface (HBCI)', 1),
(223, '.jlt', 'application/vnd.hp-jlyt', '', 'HP Indigo Digital Press - Job Layout Languate', 1),
(224, '.pcl', 'application/vnd.hp-pcl', '', 'HP Printer Command Language', 1),
(225, '.hpgl', 'application/vnd.hp-hpgl', '', 'HP-GL/2 and HP RTL', 1),
(226, '.hvs', 'application/vnd.yamaha.hv-script', '', 'HV Script', 1),
(227, '.hvd', 'application/vnd.yamaha.hv-dic', '', 'HV Voice Dictionary', 1),
(228, '.hvp', 'application/vnd.yamaha.hv-voice', '', 'HV Voice Parameter', 1),
(229, '.sfd-hdstx', 'application/vnd.hydrostatix.sof-data', '', 'Hydrostatix Master Suite', 1),
(230, '.stk', 'application/hyperstudio', '', 'Hyperstudio', 1),
(231, '.hal', 'application/vnd.hal+xml', 'script', 'Hypertext Application Language', 1),
(232, '.html', 'text/html', 'script', 'HyperText Markup Language (HTML)', 1),
(233, '.irm', 'application/vnd.ibm.rights-management', '', 'IBM DB2 Rights Manager', 1),
(234, '.sc', 'application/vnd.ibm.secure-container', '', 'IBM Electronic Media Management System - Secure Container', 1),
(235, '.ics', 'text/calendar', '', 'iCalendar', 1),
(236, '.icc', 'application/vnd.iccprofile', '', 'ICC profile', 1),
(237, '.ico', 'image/x-icon', '', 'Icon Image', 1),
(238, '.igl', 'application/vnd.igloader', '', 'igLoader', 1),
(239, '.ief', 'image/ief', '', 'Image Exchange Format', 1),
(240, '.ivp', 'application/vnd.immervision-ivp', '', 'ImmerVision PURE Players', 1),
(241, '.ivu', 'application/vnd.immervision-ivu', '', 'ImmerVision PURE Players', 1),
(242, '.rif', 'application/reginfo+xml', '', 'IMS Networks', 1),
(243, '.3dml', 'text/vnd.in3d.3dml', '', 'In3D - 3DML', 1),
(244, '.spot', 'text/vnd.in3d.spot', '', 'In3D - 3DML', 1),
(245, '.igs', 'model/iges', '', 'Initial Graphics Exchange Specification (IGES)', 1),
(246, '.i2g', 'application/vnd.intergeo', '', 'Interactive Geometry Software', 1),
(247, '.cdy', 'application/vnd.cinderella', '', 'Interactive Geometry Software Cinderella', 1),
(248, '.xpw', 'application/vnd.intercon.formnet', '', 'Intercon FormNet', 1),
(249, '.fcs', 'application/vnd.isac.fcs', '', 'International Society for Advancement of Cytometry', 1),
(250, '.ipfix', 'application/ipfix', '', 'Internet Protocol Flow Information Export', 1),
(251, '.cer', 'application/pkix-cert', '', 'Internet Public Key Infrastructure - Certificate', 1),
(252, '.pki', 'application/pkixcmp', '', 'Internet Public Key Infrastructure - Certificate Management Protocole', 1),
(253, '.crl', 'application/pkix-crl', '', 'Internet Public Key Infrastructure - Certificate Revocation Lists', 1),
(254, '.pkipath', 'application/pkix-pkipath', '', 'Internet Public Key Infrastructure - Certification Path', 1),
(255, '.igm', 'application/vnd.insors.igm', '', 'IOCOM Visimeet', 1),
(256, '.rcprofile', 'application/vnd.ipunplugged.rcprofile', '', 'IP Unplugged Roaming Client', 1),
(257, '.irp', 'application/vnd.irepository.package+xml', '', 'iRepository / Lucidoc Editor', 1),
(258, '.jad', 'text/vnd.sun.j2me.app-descriptor', '', 'J2ME App Descriptor', 1),
(259, '.jar', 'application/java-archive', 'archive', 'Java Archive', 1),
(260, '.class', 'application/java-vm', '', 'Java Bytecode File', 1),
(261, '.jnlp', 'application/x-java-jnlp-file', '', 'Java Network Launching Protocol', 1),
(262, '.ser', 'application/java-serialized-object', '', 'Java Serialized Object', 1),
(263, '.java', 'text/x-java-source,java', 'script', 'Java Source File', 1),
(264, '.js', 'application/javascript', 'script', 'JavaScript', 1),
(265, '.json', 'application/json', 'script', 'JavaScript Object Notation (JSON)', 1),
(266, '.joda', 'application/vnd.joost.joda-archive', '', 'Joda Archive', 1),
(267, '.jpm', 'video/jpm', 'image', 'JPEG 2000 Compound Image File Format', 1),
(268, '.jpg', 'image/jpeg', 'image', 'JPEG Image', 1),
(269, '.jpgv', 'video/jpeg', 'video', 'JPGVideo', 1),
(270, '.ktz', 'application/vnd.kahootz', '', 'Kahootz', 1),
(271, '.mmd', 'application/vnd.chipnuts.karaoke-mmd', '', 'Karaoke on Chipnuts Chipsets', 1),
(272, '.karbon', 'application/vnd.kde.karbon', '', 'KDE KOffice Office Suite - Karbon', 1),
(273, '.chrt', 'application/vnd.kde.kchart', '', 'KDE KOffice Office Suite - KChart', 1),
(274, '.kfo', 'application/vnd.kde.kformula', '', 'KDE KOffice Office Suite - Kformula', 1),
(275, '.flw', 'application/vnd.kde.kivio', '', 'KDE KOffice Office Suite - Kivio', 1),
(276, '.kon', 'application/vnd.kde.kontour', '', 'KDE KOffice Office Suite - Kontour', 1),
(277, '.kpr', 'application/vnd.kde.kpresenter', '', 'KDE KOffice Office Suite - Kpresenter', 1),
(278, '.ksp', 'application/vnd.kde.kspread', '', 'KDE KOffice Office Suite - Kspread', 1),
(279, '.kwd', 'application/vnd.kde.kword', '', 'KDE KOffice Office Suite - Kword', 1),
(280, '.htke', 'application/vnd.kenameaapp', '', 'Kenamea App', 1),
(281, '.kia', 'application/vnd.kidspiration', '', 'Kidspiration', 1),
(282, '.kne', 'application/vnd.kinar', '', 'Kinar Applications', 1),
(283, '.sse', 'application/vnd.kodak-descriptor', '', 'Kodak Storyshare', 1),
(284, '.lasxml', 'application/vnd.las.las+xml', '', 'Laser App Enterprise', 1),
(285, '.latex', 'application/x-latex', '', 'LaTeX', 1),
(286, '.lbd', 'application/vnd.llamagraphics.life-balance.desktop', '', 'Life Balance - Desktop Edition', 1),
(287, '.lbe', 'application/vnd.llamagraphics.life-balance.exchange+xml', '', 'Life Balance - Exchange Format', 1),
(288, '.jam', 'application/vnd.jam', '', 'Lightspeed Audio Lab', 1),
(289, '0.123', 'application/vnd.lotus-1-2-3', '', 'Lotus 1-2-3', 1),
(290, '.apr', 'application/vnd.lotus-approach', '', 'Lotus Approach', 1),
(291, '.pre', 'application/vnd.lotus-freelance', '', 'Lotus Freelance', 1),
(292, '.nsf', 'application/vnd.lotus-notes', '', 'Lotus Notes', 1),
(293, '.org', 'application/vnd.lotus-organizer', '', 'Lotus Organizer', 1),
(294, '.scm', 'application/vnd.lotus-screencam', '', 'Lotus Screencam', 1),
(295, '.lwp', 'application/vnd.lotus-wordpro', '', 'Lotus Wordpro', 1),
(296, '.lvp', 'audio/vnd.lucent.voice', '', 'Lucent Voice', 1),
(297, '.m3u', 'audio/x-mpegurl', '', 'M3U (Multimedia Playlist)', 1),
(298, '.m4v', 'video/x-m4v', '', 'M4v', 1),
(299, '.hqx', 'application/mac-binhex40', '', 'Macintosh BinHex 4.0', 1),
(300, '.portpkg', 'application/vnd.macports.portpkg', '', 'MacPorts Port System', 1),
(301, '.mgp', 'application/vnd.osgeo.mapguide.package', '', 'MapGuide DBXML', 1),
(302, '.mrc', 'application/marc', '', 'MARC Formats', 1),
(303, '.mrcx', 'application/marcxml+xml', '', 'MARC21 XML Schema', 1),
(304, '.mxf', 'application/mxf', '', 'Material Exchange Format', 1),
(305, '.nbp', 'application/vnd.wolfram.player', '', 'Mathematica Notebook Player', 1),
(306, '.ma', 'application/mathematica', '', 'Mathematica Notebooks', 1),
(307, '.mathml', 'application/mathml+xml', '', 'Mathematical Markup Language', 1),
(308, '.mbox', 'application/mbox', '', 'Mbox database files', 1),
(309, '.mc1', 'application/vnd.medcalcdata', '', 'MedCalc', 1),
(310, '.mscml', 'application/mediaservercontrol+xml', '', 'Media Server Control Markup Language', 1),
(311, '.cdkey', 'application/vnd.mediastation.cdkey', '', 'MediaRemote', 1),
(312, '.mwf', 'application/vnd.mfer', '', 'Medical Waveform Encoding Format', 1),
(313, '.mfm', 'application/vnd.mfmp', '', 'Melody Format for Mobile Platform', 1),
(314, '.msh', 'model/mesh', '', 'Mesh Data Type', 1),
(315, '.mads', 'application/mads+xml', '', 'Metadata Authority Description Schema', 1),
(316, '.mets', 'application/mets+xml', '', 'Metadata Encoding and Transmission Standard', 1),
(317, '.mods', 'application/mods+xml', '', 'Metadata Object Description Schema', 1),
(318, '.meta4', 'application/metalink4+xml', '', 'Metalink', 1),
(319, '.potm', 'application/vnd.ms-powerpoint.template.macroenabled.12', '', 'Micosoft PowerPoint - Macro-Enabled Template File', 1),
(320, '.docm', 'application/vnd.ms-word.document.macroenabled.12', '', 'Micosoft Word - Macro-Enabled Document', 1),
(321, '.dotm', 'application/vnd.ms-word.template.macroenabled.12', '', 'Micosoft Word - Macro-Enabled Template', 1),
(322, '.mcd', 'application/vnd.mcd', '', 'Micro CADAM Helix D&D', 1),
(323, '.flo', 'application/vnd.micrografx.flo', '', 'Micrografx', 1),
(324, '.igx', 'application/vnd.micrografx.igx', '', 'Micrografx iGrafx Professional', 1),
(325, '.es3', 'application/vnd.eszigno3+xml', '', 'MICROSEC e-Szign?', 1),
(326, '.mdb', 'application/x-msaccess', '', 'Microsoft Access', 1),
(327, '.asf', 'video/x-ms-asf', '', 'Microsoft Advanced Systems Format (ASF)', 1),
(328, '.exe', 'application/x-msdownload', '', 'Microsoft Application', 1),
(329, '.cil', 'application/vnd.ms-artgalry', 'binary', 'Microsoft Artgalry', 1),
(330, '.cab', 'application/vnd.ms-cab-compressed', '', 'Microsoft Cabinet File', 1),
(331, '.ims', 'application/vnd.ms-ims', '', 'Microsoft Class Server', 1),
(332, '.application', 'application/x-ms-application', 'binary', 'Microsoft ClickOnce', 1),
(333, '.clp', 'application/x-msclip', '', 'Microsoft Clipboard Clip', 1),
(334, '.mdi', 'image/vnd.ms-modi', 'image', 'Microsoft Document Imaging Format', 1),
(335, '.eot', 'application/vnd.ms-fontobject', '', 'Microsoft Embedded OpenType', 1),
(336, '.xls', 'application/vnd.ms-excel', 'database', 'Microsoft Excel', 1),
(337, '.xlam', 'application/vnd.ms-excel.addin.macroenabled.12', '', 'Microsoft Excel - Add-In File', 1),
(338, '.xlsb', 'application/vnd.ms-excel.sheet.binary.macroenabled.12', '', 'Microsoft Excel - Binary Workbook', 1),
(339, '.xltm', 'application/vnd.ms-excel.template.macroenabled.12', '', 'Microsoft Excel - Macro-Enabled Template File', 1),
(340, '.xlsm', 'application/vnd.ms-excel.sheet.macroenabled.12', '', 'Microsoft Excel - Macro-Enabled Workbook', 1),
(341, '.chm', 'application/vnd.ms-htmlhelp', '', 'Microsoft Html Help File', 1),
(342, '.crd', 'application/x-mscardfile', '', 'Microsoft Information Card', 1),
(343, '.lrm', 'application/vnd.ms-lrm', '', 'Microsoft Learning Resource Module', 1),
(344, '.mvb', 'application/x-msmediaview', '', 'Microsoft MediaView', 1),
(345, '.mny', 'application/x-msmoney', '', 'Microsoft Money', 1),
(346, '.pptx', 'application/vnd.openxmlformats-officedocument.presentationml.presentation', 'document', 'Microsoft Office - OOXML - Presentation', 1),
(347, '.sldx', 'application/vnd.openxmlformats-officedocument.presentationml.slide', '', 'Microsoft Office - OOXML - Presentation (Slide)', 1),
(348, '.ppsx', 'application/vnd.openxmlformats-officedocument.presentationml.slideshow', '', 'Microsoft Office - OOXML - Presentation (Slideshow)', 1),
(349, '.potx', 'application/vnd.openxmlformats-officedocument.presentationml.template', '', 'Microsoft Office - OOXML - Presentation Template', 1),
(350, '.xlsx', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet', 'database', 'Microsoft Office - OOXML - Spreadsheet', 1),
(351, '.xltx', 'application/vnd.openxmlformats-officedocument.spreadsheetml.template', '', 'Microsoft Office - OOXML - Spreadsheet Teplate', 1),
(352, '.docx', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document', 'document', 'Microsoft Office - OOXML - Word Document', 1),
(353, '.dotx', 'application/vnd.openxmlformats-officedocument.wordprocessingml.template', 'script', 'Microsoft Office - OOXML - Word Document Template', 1),
(354, '.obd', 'application/x-msbinder', '', 'Microsoft Office Binder', 1),
(355, '.thmx', 'application/vnd.ms-officetheme', '', 'Microsoft Office System Release Theme', 1),
(356, '.onetoc', 'application/onenote', '', 'Microsoft OneNote', 1),
(357, '.pya', 'audio/vnd.ms-playready.media.pya', '', 'Microsoft PlayReady Ecosystem', 1),
(358, '.pyv', 'video/vnd.ms-playready.media.pyv', '', 'Microsoft PlayReady Ecosystem Video', 1),
(359, '.ppt', 'application/vnd.ms-powerpoint', 'document', 'Microsoft PowerPoint', 1),
(360, '.ppam', 'application/vnd.ms-powerpoint.addin.macroenabled.12', '', 'Microsoft PowerPoint - Add-in file', 1),
(361, '.sldm', 'application/vnd.ms-powerpoint.slide.macroenabled.12', '', 'Microsoft PowerPoint - Macro-Enabled Open XML Slide', 1),
(362, '.pptm', 'application/vnd.ms-powerpoint.presentation.macroenabled.12', '', 'Microsoft PowerPoint - Macro-Enabled Presentation File', 1),
(363, '.ppsm', 'application/vnd.ms-powerpoint.slideshow.macroenabled.12', '', 'Microsoft PowerPoint - Macro-Enabled Slide Show File', 1),
(364, '.mpp', 'application/vnd.ms-project', '', 'Microsoft Project', 1),
(365, '.pub', 'application/x-mspublisher', '', 'Microsoft Publisher', 1),
(366, '.scd', 'application/x-msschedule', '', 'Microsoft Schedule+', 1),
(367, '.xap', 'application/x-silverlight-app', '', 'Microsoft Silverlight', 1),
(368, '.stl', 'application/vnd.ms-pki.stl', '', 'Microsoft Trust UI Provider - Certificate Trust Link', 1),
(369, '.cat', 'application/vnd.ms-pki.seccat', '', 'Microsoft Trust UI Provider - Security Catalog', 1),
(370, '.vsd', 'application/vnd.visio', '', 'Microsoft Visio', 1),
(371, '.wm', 'video/x-ms-wm', '', 'Microsoft Windows Media', 1),
(372, '.wma', 'audio/x-ms-wma', 'audio', 'Microsoft Windows Media Audio', 1),
(373, '.wax', 'audio/x-ms-wax', '', 'Microsoft Windows Media Audio Redirector', 1),
(374, '.wmx', 'video/x-ms-wmx', '', 'Microsoft Windows Media Audio/Video Playlist', 1),
(375, '.wmd', 'application/x-ms-wmd', '', 'Microsoft Windows Media Player Download Package', 1),
(376, '.wpl', 'application/vnd.ms-wpl', '', 'Microsoft Windows Media Player Playlist', 1),
(377, '.wmz', 'application/x-ms-wmz', '', 'Microsoft Windows Media Player Skin Package', 1),
(378, '.wmv', 'video/x-ms-wmv', 'video', 'Microsoft Windows Media Video', 1),
(379, '.wvx', 'video/x-ms-wvx', '', 'Microsoft Windows Media Video Playlist', 1),
(380, '.wmf', 'application/x-msmetafile', '', 'Microsoft Windows Metafile', 1),
(381, '.trm', 'application/x-msterminal', '', 'Microsoft Windows Terminal Services', 1),
(382, '.doc', 'application/msword', '', 'Microsoft Word', 1),
(383, '.wri', 'application/x-mswrite', '', 'Microsoft Wordpad', 1),
(384, '.wps', 'application/vnd.ms-works', '', 'Microsoft Works', 1),
(385, '.xbap', 'application/x-ms-xbap', '', 'Microsoft XAML Browser Application', 1),
(386, '.xps', 'application/vnd.ms-xpsdocument', 'document', 'Microsoft XML Paper Specification', 1),
(387, '.mid', 'audio/midi', 'audio', 'MIDI - Musical Instrument Digital Interface', 1),
(388, '.mpy', 'application/vnd.ibm.minipay', '', 'MiniPay', 1),
(389, '.afp', 'application/vnd.ibm.modcap', '', 'MO:DCA-P', 1),
(390, '.rms', 'application/vnd.jcp.javame.midlet-rms', '', 'Mobile Information Device Profile', 1),
(391, '.tmo', 'application/vnd.tmobile-livetv', '', 'MobileTV', 1),
(392, '.prc', 'application/x-mobipocket-ebook', '', 'Mobipocket', 1),
(393, '.mbk', 'application/vnd.mobius.mbk', '', 'Mobius Management Systems - Basket file', 1),
(394, '.dis', 'application/vnd.mobius.dis', '', 'Mobius Management Systems - Distribution Database', 1),
(395, '.plc', 'application/vnd.mobius.plc', '', 'Mobius Management Systems - Policy Definition Language File', 1),
(396, '.mqy', 'application/vnd.mobius.mqy', '', 'Mobius Management Systems - Query File', 1),
(397, '.msl', 'application/vnd.mobius.msl', '', 'Mobius Management Systems - Script Language', 1),
(398, '.txf', 'application/vnd.mobius.txf', '', 'Mobius Management Systems - Topic Index File', 1),
(399, '.daf', 'application/vnd.mobius.daf', '', 'Mobius Management Systems - UniversalArchive', 1),
(400, '.fly', 'text/vnd.fly', '', 'mod_fly / fly.cgi', 1),
(401, '.mpc', 'application/vnd.mophun.certificate', '', 'Mophun Certificate', 1),
(402, '.mpn', 'application/vnd.mophun.application', '', 'Mophun VM', 1),
(403, '.mj2', 'video/mj2', '', 'Motion JPEG 2000', 1),
(404, '.mpga', 'audio/mpeg', '', 'MPEG Audio', 1),
(405, '.mxu', 'video/vnd.mpegurl', '', 'MPEG Url', 1),
(406, '.mpeg', 'video/mpeg', '', 'MPEG Video', 1),
(407, '.m21', 'application/mp21', '', 'MPEG-21', 1),
(408, '.mp4a', 'audio/mp4', '', 'MPEG-4 Audio', 1),
(409, '.mp4', 'video/mp4', 'video', 'MPEG-4 Video', 1),
(410, '.mp4', 'application/mp4', 'video', 'MPEG4', 1),
(411, '.m3u8', 'application/vnd.apple.mpegurl', '', 'Multimedia Playlist Unicode', 1),
(412, '.mus', 'application/vnd.musician', '', 'MUsical Score Interpreted Code Invented for the ASCII designation of Notation', 1),
(413, '.msty', 'application/vnd.muvee.style', '', 'Muvee Automatic Video Editing', 1),
(414, '.mxml', 'application/xv+xml', '', 'MXML', 1),
(415, '.ngdat', 'application/vnd.nokia.n-gage.data', '', 'N-Gage Game Data', 1),
(416, '.n-gage', 'application/vnd.nokia.n-gage.symbian.install', '', 'N-Gage Game Installer', 1),
(417, '.ncx', 'application/x-dtbncx+xml', '', 'Navigation Control file for XML (for ePub)', 1),
(418, '.nc', 'application/x-netcdf', '', 'Network Common Data Form (NetCDF)', 1),
(419, '.nlu', 'application/vnd.neurolanguage.nlu', '', 'neuroLanguage', 1),
(420, '.dna', 'application/vnd.dna', '', 'New Moon Liftoff/DNA', 1),
(421, '.nnd', 'application/vnd.noblenet-directory', '', 'NobleNet Directory', 1),
(422, '.nns', 'application/vnd.noblenet-sealer', '', 'NobleNet Sealer', 1),
(423, '.nnw', 'application/vnd.noblenet-web', '', 'NobleNet Web', 1),
(424, '.rpst', 'application/vnd.nokia.radio-preset', '', 'Nokia Radio Application - Preset', 1),
(425, '.rpss', 'application/vnd.nokia.radio-presets', '', 'Nokia Radio Application - Preset', 1),
(426, '.n3', 'text/n3', '', 'Notation3', 1),
(427, '.edm', 'application/vnd.novadigm.edm', '', 'Novadigm\'s RADIA and EDM products', 1),
(428, '.edx', 'application/vnd.novadigm.edx', '', 'Novadigm\'s RADIA and EDM products', 1),
(429, '.ext', 'application/vnd.novadigm.ext', '', 'Novadigm\'s RADIA and EDM products', 1),
(430, '.gph', 'application/vnd.flographit', '', 'NpGraphIt', 1),
(431, '.ecelp4800', 'audio/vnd.nuera.ecelp4800', '', 'Nuera ECELP 4800', 1),
(432, '.ecelp7470', 'audio/vnd.nuera.ecelp7470', '', 'Nuera ECELP 7470', 1),
(433, '.ecelp9600', 'audio/vnd.nuera.ecelp9600', '', 'Nuera ECELP 9600', 1),
(434, '.oda', 'application/oda', 'document', 'Office Document Architecture', 1),
(435, '.ogx', 'application/ogg', 'document', 'Ogg', 1),
(436, '.oga', 'audio/ogg', 'audio', 'Ogg Audio', 1),
(437, '.ogv', 'video/ogg', 'video', 'Ogg Video', 1),
(438, '.dd2', 'application/vnd.oma.dd2+xml', '', 'OMA Download Agents', 1),
(439, '.oth', 'application/vnd.oasis.opendocument.text-web', '', 'Open Document Text Web', 1),
(440, '.opf', 'application/oebps-package+xml', '', 'Open eBook Publication Structure', 1),
(441, '.qbo', 'application/vnd.intu.qbo', '', 'Open Financial Exchange', 1),
(442, '.oxt', 'application/vnd.openofficeorg.extension', '', 'Open Office Extension', 1),
(443, '.osf', 'application/vnd.yamaha.openscoreformat', '', 'Open Score Format', 1),
(444, '.weba', 'audio/webm', 'audio', 'Open Web Media Project - Audio', 1),
(445, '.webm', 'video/webm', 'video', 'Open Web Media Project - Video', 1),
(446, '.odc', 'application/vnd.oasis.opendocument.chart', '', 'OpenDocument Chart', 1),
(447, '.otc', 'application/vnd.oasis.opendocument.chart-template', '', 'OpenDocument Chart Template', 1),
(448, '.odb', 'application/vnd.oasis.opendocument.database', 'database', 'OpenDocument Database', 1),
(449, '.odf', 'application/vnd.oasis.opendocument.formula', '', 'OpenDocument Formula', 1),
(450, '.odft', 'application/vnd.oasis.opendocument.formula-template', '', 'OpenDocument Formula Template', 1),
(451, '.odg', 'application/vnd.oasis.opendocument.graphics', 'image', 'OpenDocument Graphics', 1),
(452, '.otg', 'application/vnd.oasis.opendocument.graphics-template', '', 'OpenDocument Graphics Template', 1),
(453, '.odi', 'application/vnd.oasis.opendocument.image', 'image', 'OpenDocument Image', 1),
(454, '.oti', 'application/vnd.oasis.opendocument.image-template', '', 'OpenDocument Image Template', 1),
(455, '.odp', 'application/vnd.oasis.opendocument.presentation', 'document', 'OpenDocument Presentation', 1),
(456, '.otp', 'application/vnd.oasis.opendocument.presentation-template', '', 'OpenDocument Presentation Template', 1),
(457, '.ods', 'application/vnd.oasis.opendocument.spreadsheet', 'database', 'OpenDocument Spreadsheet', 1),
(458, '.ots', 'application/vnd.oasis.opendocument.spreadsheet-template', '', 'OpenDocument Spreadsheet Template', 1),
(459, '.odt', 'application/vnd.oasis.opendocument.text', '', 'OpenDocument Text', 1),
(460, '.odm', 'application/vnd.oasis.opendocument.text-master', '', 'OpenDocument Text Master', 1),
(461, '.ott', 'application/vnd.oasis.opendocument.text-template', '', 'OpenDocument Text Template', 1),
(462, '.ktx', 'image/ktx', '', 'OpenGL Textures (KTX)', 1),
(463, '.sxc', 'application/vnd.sun.xml.calc', 'database', 'OpenOffice - Calc (Spreadsheet)', 1),
(464, '.stc', 'application/vnd.sun.xml.calc.template', '', 'OpenOffice - Calc Template (Spreadsheet)', 1),
(465, '.sxd', 'application/vnd.sun.xml.draw', '', 'OpenOffice - Draw (Graphics)', 1),
(466, '.std', 'application/vnd.sun.xml.draw.template', '', 'OpenOffice - Draw Template (Graphics)', 1),
(467, '.sxi', 'application/vnd.sun.xml.impress', '', 'OpenOffice - Impress (Presentation)', 1),
(468, '.sti', 'application/vnd.sun.xml.impress.template', '', 'OpenOffice - Impress Template (Presentation)', 1),
(469, '.sxm', 'application/vnd.sun.xml.math', '', 'OpenOffice - Math (Formula)', 1),
(470, '.sxw', 'application/vnd.sun.xml.writer', '', 'OpenOffice - Writer (Text - HTML)', 1),
(471, '.sxg', 'application/vnd.sun.xml.writer.global', '', 'OpenOffice - Writer (Text - HTML)', 1),
(472, '.stw', 'application/vnd.sun.xml.writer.template', '', 'OpenOffice - Writer Template (Text - HTML)', 1),
(473, '.otf', 'application/x-font-otf', '', 'OpenType Font File', 1),
(474, '.osfpvg', 'application/vnd.yamaha.openscoreformat.osfpvg+xml', '', 'OSFPVG', 1),
(475, '.dp', 'application/vnd.osgi.dp', '', 'OSGi Deployment Package', 1),
(476, '.pdb', 'application/vnd.palm', '', 'PalmOS Data', 1),
(477, '.p', 'text/x-pascal', '', 'Pascal Source File', 1),
(478, '.paw', 'application/vnd.pawaafile', '', 'PawaaFILE', 1),
(479, '.pclxl', 'application/vnd.hp-pclxl', '', 'PCL 6 Enhanced (Formely PCL XL)', 1),
(480, '.efif', 'application/vnd.picsel', '', 'Pcsel eFIF File', 1),
(481, '.pcx', 'image/x-pcx', '', 'PCX Image', 1),
(482, '.psd', 'image/vnd.adobe.photoshop', 'image', 'Photoshop Document', 1),
(483, '.prf', 'application/pics-rules', '', 'PICSRules', 1),
(484, '.pic', 'image/x-pict', 'image', 'PICT Image', 1),
(485, '.chat', 'application/x-chat', '', 'pIRCh', 1),
(486, '.p10', 'application/pkcs10', '', 'PKCS #10 - Certification Request Standard', 1),
(487, '.p12', 'application/x-pkcs12', '', 'PKCS #12 - Personal Information Exchange Syntax Standard', 1),
(488, '.p7m', 'application/pkcs7-mime', '', 'PKCS #7 - Cryptographic Message Syntax Standard', 1),
(489, '.p7s', 'application/pkcs7-signature', '', 'PKCS #7 - Cryptographic Message Syntax Standard', 1),
(490, '.p7r', 'application/x-pkcs7-certreqresp', '', 'PKCS #7 - Cryptographic Message Syntax Standard (Certificate Request Response)', 1),
(491, '.p7b', 'application/x-pkcs7-certificates', '', 'PKCS #7 - Cryptographic Message Syntax Standard (Certificates)', 1),
(492, '.p8', 'application/pkcs8', '', 'PKCS #8 - Private-Key Information Syntax Standard', 1),
(493, '.plf', 'application/vnd.pocketlearn', '', 'PocketLearn Viewers', 1),
(494, '.pnm', 'image/x-portable-anymap', '', 'Portable Anymap Image', 1),
(495, '.pbm', 'image/x-portable-bitmap', '', 'Portable Bitmap Format', 1),
(496, '.pcf', 'application/x-font-pcf', '', 'Portable Compiled Format', 1),
(497, '.pfr', 'application/font-tdpfr', '', 'Portable Font Resource', 1),
(498, '.pgn', 'application/x-chess-pgn', '', 'Portable Game Notation (Chess Games)', 1),
(499, '.pgm', 'image/x-portable-graymap', '', 'Portable Graymap Format', 1),
(500, '.png', 'image/png', 'image', 'Portable Network Graphics (PNG)', 1),
(501, '.ppm', 'image/x-portable-pixmap', '', 'Portable Pixmap Format', 1),
(502, '.pskcxml', 'application/pskc+xml', '', 'Portable Symmetric Key Container', 1),
(503, '.pml', 'application/vnd.ctc-posml', '', 'PosML', 1),
(504, '.ai', 'application/postscript', '', 'PostScript', 1),
(505, '.pfa', 'application/x-font-type1', '', 'PostScript Fonts', 1),
(506, '.pbd', 'application/vnd.powerbuilder6', '', 'PowerBuilder', 1),
(507, '', 'application/pgp-encrypted', '', 'Pretty Good Privacy', 1),
(508, '.pgp', 'application/pgp-signature', '', 'Pretty Good Privacy - Signature', 1),
(509, '.box', 'application/vnd.previewsystems.box', '', 'Preview Systems ZipLock/VBox', 1),
(510, '.ptid', 'application/vnd.pvi.ptid1', '', 'Princeton Video Image', 1),
(511, '.pls', 'application/pls+xml', '', 'Pronunciation Lexicon Specification', 1),
(512, '.str', 'application/vnd.pg.format', '', 'Proprietary P&G Standard Reporting System', 1),
(513, '.ei6', 'application/vnd.pg.osasli', '', 'Proprietary P&G Standard Reporting System', 1),
(514, '.dsc', 'text/prs.lines.tag', '', 'PRS Lines Tag', 1),
(515, '.psf', 'application/x-font-linux-psf', '', 'PSF Fonts', 1),
(516, '.qps', 'application/vnd.publishare-delta-tree', '', 'PubliShare Objects', 1),
(517, '.wg', 'application/vnd.pmi.widget', '', 'Qualcomm\'s Plaza Mobile Internet', 1),
(518, '.qxd', 'application/vnd.quark.quarkxpress', '', 'QuarkXpress', 1),
(519, '.esf', 'application/vnd.epson.esf', '', 'QUASS Stream Player', 1),
(520, '.msf', 'application/vnd.epson.msf', '', 'QUASS Stream Player', 1),
(521, '.ssf', 'application/vnd.epson.ssf', '', 'QUASS Stream Player', 1),
(522, '.qam', 'application/vnd.epson.quickanime', '', 'QuickAnime Player', 1),
(523, '.qfx', 'application/vnd.intu.qfx', '', 'Quicken', 1),
(524, '.qt', 'video/quicktime', '', 'Quicktime Video', 1),
(525, '.rar', 'application/x-rar-compressed', 'archive', 'RAR Archive', 1),
(526, '.ram', 'audio/x-pn-realaudio', '', 'Real Audio Sound', 1),
(527, '.rmp', 'audio/x-pn-realaudio-plugin', '', 'Real Audio Sound', 1),
(528, '.rsd', 'application/rsd+xml', '', 'Really Simple Discovery', 1),
(529, '.rm', 'application/vnd.rn-realmedia', '', 'RealMedia', 1),
(530, '.bed', 'application/vnd.realvnc.bed', '', 'RealVNC', 1),
(531, '.mxl', 'application/vnd.recordare.musicxml', '', 'Recordare Applications', 1),
(532, '.musicxml', 'application/vnd.recordare.musicxml+xml', '', 'Recordare Applications', 1),
(533, '.rnc', 'application/relax-ng-compact-syntax', '', 'Relax NG Compact Syntax', 1),
(534, '.rdz', 'application/vnd.data-vision.rdz', '', 'RemoteDocs R-Viewer', 1),
(535, '.rdf', 'application/rdf+xml', '', 'Resource Description Framework', 1),
(536, '.rp9', 'application/vnd.cloanto.rp9', '', 'RetroPlatform Player', 1),
(537, '.jisp', 'application/vnd.jisp', '', 'RhymBox', 1),
(538, '.rtf', 'application/rtf', 'document', 'Rich Text Format', 1),
(539, '.rtx', 'text/richtext', 'document', 'Rich Text Format (RTF)', 1),
(540, '.link66', 'application/vnd.route66.link66+xml', '', 'ROUTE 66 Location Based Services', 1),
(541, '.rss, .xml', 'application/rss+xml', 'script', 'RSS - Really Simple Syndication', 1),
(542, '.shf', 'application/shf+xml', '', 'S Hexdump Format', 1),
(543, '.st', 'application/vnd.sailingtracker.track', '', 'SailingTracker', 1),
(544, '.svg', 'image/svg+xml', '', 'Scalable Vector Graphics (SVG)', 1),
(545, '.sus', 'application/vnd.sus-calendar', '', 'ScheduleUs', 1),
(546, '.sru', 'application/sru+xml', '', 'Search/Retrieve via URL Response Format', 1),
(547, '.setpay', 'application/set-payment-initiation', '', 'Secure Electronic Transaction - Payment', 1),
(548, '.setreg', 'application/set-registration-initiation', '', 'Secure Electronic Transaction - Registration', 1),
(549, '.sema', 'application/vnd.sema', '', 'Secured eMail', 1),
(550, '.semd', 'application/vnd.semd', '', 'Secured eMail', 1),
(551, '.semf', 'application/vnd.semf', '', 'Secured eMail', 1),
(552, '.see', 'application/vnd.seemail', '', 'SeeMail', 1),
(553, '.snf', 'application/x-font-snf', '', 'Server Normal Format', 1),
(554, '.spq', 'application/scvp-vp-request', '', 'Server-Based Certificate Validation Protocol - Validation Policies - Request', 1),
(555, '.spp', 'application/scvp-vp-response', '', 'Server-Based Certificate Validation Protocol - Validation Policies - Response', 1),
(556, '.scq', 'application/scvp-cv-request', '', 'Server-Based Certificate Validation Protocol - Validation Request', 1),
(557, '.scs', 'application/scvp-cv-response', '', 'Server-Based Certificate Validation Protocol - Validation Response', 1),
(558, '.sdp', 'application/sdp', '', 'Session Description Protocol', 1),
(559, '.etx', 'text/x-setext', '', 'Setext', 1),
(560, '.movie', 'video/x-sgi-movie', 'video', 'SGI Movie', 1),
(561, '.ifm', 'application/vnd.shana.informed.formdata', '', 'Shana Informed Filler', 1),
(562, '.itp', 'application/vnd.shana.informed.formtemplate', '', 'Shana Informed Filler', 1),
(563, '.iif', 'application/vnd.shana.informed.interchange', '', 'Shana Informed Filler', 1),
(564, '.ipk', 'application/vnd.shana.informed.package', 'archive', 'Shana Informed Filler', 1),
(565, '.tfi', 'application/thraud+xml', '', 'Sharing Transaction Fraud Data', 1),
(566, '.shar', 'application/x-shar', '', 'Shell Archive', 1),
(567, '.rgb', 'image/x-rgb', '', 'Silicon Graphics RGB Bitmap', 1),
(568, '.slt', 'application/vnd.epson.salt', '', 'SimpleAnimeLite Player', 1),
(569, '.aso', 'application/vnd.accpac.simply.aso', '', 'Simply Accounting', 1),
(570, '.imp', 'application/vnd.accpac.simply.imp', '', 'Simply Accounting - Data Import', 1),
(571, '.twd', 'application/vnd.simtech-mindmapper', '', 'SimTech MindMapper', 1),
(572, '.csp', 'application/vnd.commonspace', '', 'Sixth Floor Media - CommonSpace', 1),
(573, '.saf', 'application/vnd.yamaha.smaf-audio', '', 'SMAF Audio', 1),
(574, '.mmf', 'application/vnd.smaf', '', 'SMAF File', 1),
(575, '.spf', 'application/vnd.yamaha.smaf-phrase', '', 'SMAF Phrase', 1),
(576, '.teacher', 'application/vnd.smart.teacher', '', 'SMART Technologies Apps', 1),
(577, '.svd', 'application/vnd.svd', '', 'SourceView Document', 1),
(578, '.rq', 'application/sparql-query', '', 'SPARQL - Query', 1),
(579, '.srx', 'application/sparql-results+xml', '', 'SPARQL - Results', 1),
(580, '.gram', 'application/srgs', '', 'Speech Recognition Grammar Specification', 1),
(581, '.grxml', 'application/srgs+xml', '', 'Speech Recognition Grammar Specification - XML', 1),
(582, '.ssml', 'application/ssml+xml', '', 'Speech Synthesis Markup Language', 1),
(583, '.skp', 'application/vnd.koan', '', 'SSEYO Koan Play File', 1),
(584, '.sgml', 'text/sgml', '', 'Standard Generalized Markup Language (SGML)', 1),
(585, '.sdc', 'application/vnd.stardivision.calc', '', 'StarOffice - Calc', 1),
(586, '.sda', 'application/vnd.stardivision.draw', '', 'StarOffice - Draw', 1),
(587, '.sdd', 'application/vnd.stardivision.impress', '', 'StarOffice - Impress', 1),
(588, '.smf', 'application/vnd.stardivision.math', '', 'StarOffice - Math', 1),
(589, '.sdw', 'application/vnd.stardivision.writer', '', 'StarOffice - Writer', 1),
(590, '.sgl', 'application/vnd.stardivision.writer-global', '', 'StarOffice - Writer (Global)', 1),
(591, '.sm', 'application/vnd.stepmania.stepchart', '', 'StepMania', 1),
(592, '.sit', 'application/x-stuffit', '', 'Stuffit Archive', 1),
(593, '.sitx', 'application/x-stuffitx', '', 'Stuffit Archive', 1),
(594, '.sdkm', 'application/vnd.solent.sdkm+xml', '', 'SudokuMagic', 1),
(595, '.xo', 'application/vnd.olpc-sugar', '', 'Sugar Linux Application Bundle', 1),
(596, '.au', 'audio/basic', '', 'Sun Audio - Au file format', 1),
(597, '.wqd', 'application/vnd.wqd', '', 'SundaHus WQ', 1),
(598, '.sis', 'application/vnd.symbian.install', '', 'Symbian Install Package', 1),
(599, '.smi', 'application/smil+xml', '', 'Synchronized Multimedia Integration Language', 1),
(600, '.xsm', 'application/vnd.syncml+xml', '', 'SyncML', 1),
(601, '.bdm', 'application/vnd.syncml.dm+wbxml', '', 'SyncML - Device Management', 1),
(602, '.xdm', 'application/vnd.syncml.dm+xml', '', 'SyncML - Device Management', 1),
(603, '.sv4cpio', 'application/x-sv4cpio', '', 'System V Release 4 CPIO Archive', 1),
(604, '.sv4crc', 'application/x-sv4crc', '', 'System V Release 4 CPIO Checksum Data', 1),
(605, '.sbml', 'application/sbml+xml', '', 'Systems Biology Markup Language', 1),
(606, '.tsv', 'text/tab-separated-values', '', 'Tab Seperated Values', 1),
(607, '.tiff', 'image/tiff', 'image', 'Tagged Image File Format', 1),
(608, '.tao', 'application/vnd.tao.intent-module-archive', '', 'Tao Intent', 1),
(609, '.tar', 'application/x-tar', '', 'Tar File (Tape Archive)', 1),
(610, '.tcl', 'application/x-tcl', '', 'Tcl Script', 1),
(611, '.tex', 'application/x-tex', '', 'TeX', 1),
(612, '.tfm', 'application/x-tex-tfm', '', 'TeX Font Metric', 1),
(613, '.tei', 'application/tei+xml', '', 'Text Encoding and Interchange', 1),
(614, '.txt', 'text/plain', 'document', 'Text File', 1),
(615, '.dxp', 'application/vnd.spotfire.dxp', '', 'TIBCO Spotfire', 1),
(616, '.sfs', 'application/vnd.spotfire.sfs', '', 'TIBCO Spotfire', 1),
(617, '.tsd', 'application/timestamped-data', '', 'Time Stamped Data Envelope', 1),
(618, '.tpt', 'application/vnd.trid.tpt', '', 'TRI Systems Config', 1),
(619, '.mxs', 'application/vnd.triscape.mxs', '', 'Triscape Map Explorer', 1),
(620, '.t', 'text/troff', '', 'troff', 1),
(621, '.tra', 'application/vnd.trueapp', '', 'True BASIC', 1),
(622, '.ttf', 'application/x-font-ttf', '', 'TrueType Font', 1),
(623, '.ttl', 'text/turtle', '', 'Turtle (Terse RDF Triple Language)', 1),
(624, '.umj', 'application/vnd.umajin', '', 'UMAJIN', 1),
(625, '.uoml', 'application/vnd.uoml+xml', '', 'Unique Object Markup Language', 1),
(626, '.unityweb', 'application/vnd.unity', '', 'Unity 3d', 1),
(627, '.ufd', 'application/vnd.ufdl', '', 'Universal Forms Description Language', 1),
(628, '.uri', 'text/uri-list', '', 'URI Resolution Services', 1),
(629, '.utz', 'application/vnd.uiq.theme', '', 'User Interface Quartz - Theme (Symbian)', 1),
(630, '.ustar', 'application/x-ustar', '', 'Ustar (Uniform Standard Tape Archive)', 1),
(631, '.uu', 'text/x-uuencode', '', 'UUEncode', 1),
(632, '.vcs', 'text/x-vcalendar', '', 'vCalendar', 1),
(633, '.vcf', 'text/x-vcard', '', 'vCard', 1),
(634, '.vcd', 'application/x-cdlink', 'video', 'Video CD', 1),
(635, '.vsf', 'application/vnd.vsf', '', 'Viewport+', 1),
(636, '.wrl', 'model/vrml', '', 'Virtual Reality Modeling Language', 1),
(637, '.vcx', 'application/vnd.vcx', '', 'VirtualCatalog', 1),
(638, '.mts', 'model/vnd.mts', '', 'Virtue MTS', 1),
(639, '.vtu', 'model/vnd.vtu', '', 'Virtue VTU', 1),
(640, '.vis', 'application/vnd.visionary', '', 'Visionary', 1),
(641, '.viv', 'video/vnd.vivo', '', 'Vivo', 1);
INSERT INTO `#__sellacious_mimes` (`id`, `extension`, `mime`, `category`, `note`, `state`) VALUES
(642, '.ccxml', 'application/ccxml+xml,', '', 'Voice Browser Call Control', 1),
(643, '.vxml', 'application/voicexml+xml', '', 'VoiceXML', 1),
(644, '.src', 'application/x-wais-source', '', 'WAIS Source', 1),
(645, '.wbxml', 'application/vnd.wap.wbxml', '', 'WAP Binary XML (WBXML)', 1),
(646, '.wbmp', 'image/vnd.wap.wbmp', '', 'WAP Bitamp (WBMP)', 1),
(647, '.wav', 'audio/x-wav', 'audio', 'Waveform Audio File Format (WAV)', 1),
(648, '.davmount', 'application/davmount+xml', '', 'Web Distributed Authoring and Versioning', 1),
(649, '.woff', 'application/x-font-woff', '', 'Web Open Font Format', 1),
(650, '.wspolicy', 'application/wspolicy+xml', '', 'Web Services Policy', 1),
(651, '.webp', 'image/webp', '', 'WebP Image', 1),
(652, '.wtb', 'application/vnd.webturbo', '', 'WebTurbo', 1),
(653, '.wgt', 'application/widget', '', 'Widget Packaging and XML Configuration', 1),
(654, '.hlp', 'application/winhlp', '', 'WinHelp', 1),
(655, '.wml', 'text/vnd.wap.wml', 'script', 'Wireless Markup Language (WML)', 1),
(656, '.wmls', 'text/vnd.wap.wmlscript', 'script', 'Wireless Markup Language Script (WMLScript)', 1),
(657, '.wmlsc', 'application/vnd.wap.wmlscriptc', 'script', 'WMLScript', 1),
(658, '.wpd', 'application/vnd.wordperfect', '', 'Wordperfect', 1),
(659, '.stf', 'application/vnd.wt.stf', '', 'Worldtalk', 1),
(660, '.wsdl', 'application/wsdl+xml', '', 'WSDL - Web Services Description Language', 1),
(661, '.xbm', 'image/x-xbitmap', '', 'X BitMap', 1),
(662, '.xpm', 'image/x-xpixmap', '', 'X PixMap', 1),
(663, '.xwd', 'image/x-xwindowdump', '', 'X Window Dump', 1),
(664, '.der', 'application/x-x509-ca-cert', '', 'X.509 Certificate', 1),
(665, '.fig', 'application/x-xfig', '', 'Xfig', 1),
(666, '.xhtml', 'application/xhtml+xml', 'script', 'XHTML - The Extensible HyperText Markup Language', 1),
(667, '.xml', 'application/xml', 'script', 'XML - Extensible Markup Language', 1),
(668, '.xdf', 'application/xcap-diff+xml', '', 'XML Configuration Access Protocol - XCAP Diff', 1),
(669, '.xenc', 'application/xenc+xml', '', 'XML Encryption Syntax and Processing', 1),
(670, '.xer', 'application/patch-ops-error+xml', '', 'XML Patch Framework', 1),
(671, '.rl', 'application/resource-lists+xml', '', 'XML Resource Lists', 1),
(672, '.rs', 'application/rls-services+xml', '', 'XML Resource Lists', 1),
(673, '.rld', 'application/resource-lists-diff+xml', '', 'XML Resource Lists Diff', 1),
(674, '.xslt', 'application/xslt+xml', '', 'XML Transformations', 1),
(675, '.xop', 'application/xop+xml', '', 'XML-Binary Optimized Packaging', 1),
(676, '.xpi', 'application/x-xpinstall', '', 'XPInstall - Mozilla', 1),
(677, '.xspf', 'application/xspf+xml', '', 'XSPF - XML Shareable Playlist Format', 1),
(678, '.xul', 'application/vnd.mozilla.xul+xml', '', 'XUL - XML User Interface Language', 1),
(679, '.xyz', 'chemical/x-xyz', '', 'XYZ File Format', 1),
(680, '.yaml', 'text/yaml', '', 'YAML Ain\'t Markup Language / Yet Another Markup Language', 1),
(681, '.yang', 'application/yang', '', 'YANG Data Modeling Language', 1),
(682, '.yin', 'application/yin+xml', '', 'YIN (YANG - XML)', 1),
(683, '.zir', 'application/vnd.zul', '', 'Z.U.L. Geometry', 1),
(684, '.zip', 'application/zip', 'archive', 'Zip Archive', 1),
(685, '.zmm', 'application/vnd.handheld-entertainment+xml', '', 'ZVUE Media Manager', 1),
(686, '.zaz', 'application/vnd.zzazz.deck+xml', '', 'Zzazz Deck', 1),
(687, '.jpeg', 'image/jpeg', 'image', 'JPEG Image', 1),
(688, '.mp3', 'audio/mp3', 'audio', 'MPEG Audio Stream, Layer III', 1);

CREATE TABLE IF NOT EXISTS `#__sellacious_orders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cart_hash` varchar(150) NOT NULL,
  `order_number` varchar(50) NOT NULL COMMENT 'user viewable order identifier',
  `customer_uid` int(11) NOT NULL,
  `customer_name` varchar(100) NOT NULL,
  `customer_email` varchar(100) NOT NULL,
  `customer_reg_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `customer_ip` varchar(30) NOT NULL,
  `bt_name` varchar(100) NOT NULL,
  `bt_address` text NOT NULL,
  `bt_district` varchar(100) NOT NULL,
  `bt_landmark` varchar(100) NOT NULL,
  `bt_city` varchar(100) NOT NULL,
  `bt_state` varchar(100) NOT NULL,
  `bt_zip` varchar(10) NOT NULL,
  `bt_country` varchar(100) NOT NULL,
  `bt_mobile` varchar(20) NOT NULL,
  `bt_company` varchar(200) NOT NULL,
  `bt_po_box` varchar(50) NOT NULL,
  `bt_residential` int(11) NOT NULL,
  `st_name` varchar(100) NOT NULL,
  `st_address` text NOT NULL,
  `st_district` varchar(100) NOT NULL,
  `st_landmark` varchar(100) NOT NULL,
  `st_city` varchar(100) NOT NULL,
  `st_state` varchar(100) NOT NULL,
  `st_zip` varchar(10) NOT NULL,
  `st_country` varchar(100) NOT NULL,
  `st_mobile` varchar(20) NOT NULL,
  `st_company` varchar(200) NOT NULL,
  `st_po_box` varchar(50) NOT NULL,
  `st_residential` int(11) NOT NULL,
  `bt_same_st` int(11) NOT NULL,
  `currency` varchar(5) NOT NULL,
  `product_total` double NOT NULL,
  `product_taxes` double NOT NULL,
  `product_discounts` double NOT NULL,
  `product_subtotal` double NOT NULL,
  `product_shipping` double NOT NULL,
  `product_shipping_taxes` DOUBLE NOT NULL,
  `product_shipping_discounts` DOUBLE NOT NULL,
  `product_shipping_subtotal` DOUBLE NOT NULL,
  `product_ship_tbd` int(11) NOT NULL,
  `shipping_rule` varchar(100) NOT NULL DEFAULT '',
  `shipping_rule_id` int(11) NOT NULL DEFAULT '0',
  `shipping_handler` varchar(100) NOT NULL DEFAULT '',
  `shipping_service` varchar(100) NOT NULL,
  `shipping_params` text NOT NULL,
  `seller_shipping_rules` TEXT NOT NULL,
  `seller_shipping_rule_ids` TEXT NOT NULL,
  `checkout_forms` text NOT NULL,
  `cart_total` double NOT NULL,
  `cart_taxes` double NOT NULL,
  `cart_discounts` double NOT NULL,
  `grand_total` double NOT NULL,
  `order_status` varchar(30) NOT NULL,
  `shoprules` text NOT NULL,
  `shipping_shoprules` TEXT NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_order_delivery_slot` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_item_id` int(11) NOT NULL,
  `slot_from_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `slot_to_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `full_day` TINYINT(1) NOT NULL,
  `status` tinyint(1) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_order_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `item_uid` varchar(50) NOT NULL,
  `product_id` int(11) NOT NULL,
  `product_title` varchar(250) NOT NULL,
  `product_type` varchar(30) NOT NULL,
  `product_categories` text NOT NULL,
  `local_sku` varchar(100) NOT NULL,
  `manufacturer_sku` varchar(100) NOT NULL,
  `manufacturer_id` int(11) NOT NULL,
  `manufacturer_title` varchar(100) NOT NULL,
  `features` text NOT NULL,
  `dimension` text NOT NULL,
  `variant_id` int(11) NOT NULL,
  `variant_title` varchar(250) NOT NULL,
  `variant_sku` varchar(100) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `seller_email` varchar(100) NOT NULL,
  `seller_code` varchar(100) NOT NULL,
  `seller_name` varchar(100) NOT NULL,
  `seller_company` varchar(100) NOT NULL,
  `seller_money_back` int(11) NOT NULL,
  `seller_flat_shipping` int(11) NOT NULL,
  `seller_whats_in_box` text NOT NULL,
  `return_days` int(11) NOT NULL,
  `return_tnc` text NOT NULL,
  `exchange_days` int(11) NOT NULL,
  `exchange_tnc` text NOT NULL,
  `cost_price` float(10,2) NOT NULL,
  `price_margin` float(10,2) NOT NULL,
  `price_perc_margin` int(11) NOT NULL,
  `list_price` float(10,2) NOT NULL,
  `calculated_price` float(10,2) NOT NULL,
  `override_price` float(10,2) NOT NULL,
  `product_price` float(10,2) NOT NULL,
  `sales_price` float(10,2) NOT NULL,
  `variant_price` float(10,2) NOT NULL,
  `basic_price` float(10,2) NOT NULL,
  `discount_amount` float(10,2) NOT NULL,
  `tax_amount` float(10,2) NOT NULL,
  `shipping_rule` varchar(100) NOT NULL DEFAULT '',
  `shipping_rule_id` int(11) NOT NULL DEFAULT '0',
  `shipping_handler` varchar(100) NOT NULL DEFAULT '',
  `shipping_service` varchar(100) NOT NULL,
  `shipping_free` int(11) NOT NULL,
  `shipping_amount` float(10,2) NOT NULL,
  `shipping_taxes` DOUBLE NOT NULL,
  `shipping_discounts` DOUBLE NOT NULL,
  `shipping_subtotal` DOUBLE NOT NULL,
  `shipping_tbd` int(11) NOT NULL,
  `shipping_rules` text NOT NULL,
  `shipping_shoprules` TEXT NOT NULL,
  `shipping_note` varchar(200) NOT NULL,
  `shoprules` text NOT NULL,
  `quantity` int(11) NOT NULL,
  `sub_total` float(10,2) NOT NULL,
  `cart_id` varchar(50) NOT NULL,
  `transaction_id` varchar(100) NOT NULL,
  `source_id` varchar(100) NOT NULL,
  `reviewed` int(11) NOT NULL DEFAULT '0',
  `reviewed_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_order_invoices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `invoice_data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_order_package_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `order_item_id` int(11) NOT NULL COMMENT '#fk: order_items',
  `product_id` int(11) NOT NULL,
  `product_sku` varchar(50) NOT NULL,
  `product_title` varchar(500) NOT NULL,
  `variant_id` int(11) NOT NULL,
  `variant_sku` varchar(50) NOT NULL,
  `variant_title` varchar(500) NOT NULL,
  `manufacturer_id` int(11) NOT NULL,
  `manufacturer_sku` varchar(50) NOT NULL,
  `type` varchar(50) NOT NULL,
  `code` varchar(20) NOT NULL,
  `extras` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_order_shipments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `item_uid` varchar(100) NOT NULL,
  `shipper` varchar(50) NOT NULL,
  `tracking_url` varchar(500) NOT NULL,
  `tracking_number` varchar(100) NOT NULL,
  `ship_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `source_address` text NOT NULL,
  `source_district` varchar(100) NOT NULL,
  `source_city` varchar(150) NOT NULL,
  `source_state` varchar(150) NOT NULL,
  `source_country` varchar(150) NOT NULL,
  `source_zip` varchar(20) NOT NULL,
  `item_serial` varchar(150) NOT NULL,
  `ship_notes` text NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_order_shiprates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `item_uid` varchar(100) NOT NULL,
  `rule_id` int(11) NOT NULL,
  `rule_title` varchar(250) NOT NULL,
  `rule_handler` varchar(150) NOT NULL,
  `amount` double NOT NULL,
  `tbd` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_order_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `item_uid` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `notes` text NOT NULL,
  `customer_notes` text NOT NULL,
  `shipment` text NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_package_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `package_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `variant_id` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `package_id` (`package_id`,`product_id`,`variant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_package_sellers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `psx_id` int(11) NOT NULL,
  `listing_type` int(11) NOT NULL,
  `item_condition` int(11) NOT NULL,
  `flat_shipping` int(11) NOT NULL,
  `shipping_flat_fee` double NOT NULL,
  `length` varchar(50) NOT NULL,
  `width` varchar(50) NOT NULL,
  `height` varchar(50) NOT NULL,
  `weight` varchar(50) NOT NULL,
  `vol_weight` varchar(50) NOT NULL,
  `shipping_country` int(11) NOT NULL,
  `shipping_state` int(11) NOT NULL,
  `shipping_district` int(11) NOT NULL,
  `shipping_city` int(11) NOT NULL,
  `shipping_zip` int(11) NOT NULL,
  `whats_in_box` text NOT NULL,
  `return_days` int(11) NOT NULL,
  `return_tnc` text NOT NULL,
  `exchange_days` int(11) NOT NULL,
  `exchange_tnc` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_paymentmethods` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(150) NOT NULL,
  `description` text NOT NULL,
  `handler` varchar(100) NOT NULL,
  `success_status` int(11) NOT NULL,
  `percent_fee` decimal(10,4) NOT NULL,
  `flat_fee` decimal(10,4) NOT NULL COMMENT 'Always in shop currency',
  `contexts` text NOT NULL,
  `allow_guest` int(11) NOT NULL,
  `state` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_paymentmethods` (`id`, `title`, `description`, `handler`, `success_status`, `percent_fee`, `flat_fee`, `contexts`, `allow_guest`, `state`, `ordering`, `created`, `created_by`, `modified`, `modified_by`, `params`) VALUES
(1, 'Cheque', 'Pay by sending us a Cheque valid for 3 month at least. DD should be drawn in favor of Bhartiy Web Technologies payable at Aligarh, Uttar Pradesh.', 'custom', 0, '1.8000', '0.1500', '[\"cart\",\"addfund\"]', 1, 1, 7, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, ''),
(2, 'E-Wallet Payment System', 'Pay using your sellacious e-wallet', 'ewallet', 0, '0.0000', '0.0000', '[\"cart\"]', 1, 1, 13, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, ''),
(3, 'Cash On Delivery', 'Pay in Cash when the item is delivered to you', 'cod', 0, '0.0000', '0.0000', '[\"cart\"]', 1, 1, 14, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, ''),
(4, 'PayPal Standard', 'Pay via PayPal', 'paypalstandard', 1, '3.0000', '1.0000', '[\"cart\",\"addfund\"]', 1, 1, 4, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '{\"save_form_data\":\"0\",\"api_mode\":\"sandbox\",\"sandbox_paypal_email\":\"dummy@paypal.sellacious.com\",\"live_paypal_email\":\"\"}');

CREATE TABLE IF NOT EXISTS `#__sellacious_payments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `context` varchar(30) NOT NULL,
  `order_id` int(11) NOT NULL,
  `method_id` int(11) NOT NULL,
  `handler` varchar(50) NOT NULL,
  `method_name` varchar(150) NOT NULL,
  `handler_name` varchar(150) NOT NULL COMMENT '@unused,future use',
  `data` text NOT NULL COMMENT 'The form data is optional here. Plugins must use from session only',
  `test_mode` int(11) NOT NULL,
  `currency` varchar(5) NOT NULL,
  `flat_fee` double NOT NULL,
  `percent_fee` double NOT NULL,
  `order_amount` double NOT NULL,
  `fee_amount` double NOT NULL,
  `amount_payable` double NOT NULL,
  `response_code` varchar(50) NOT NULL,
  `response_state` varchar(50) NOT NULL,
  `response_message` varchar(250) NOT NULL,
  `response_data` text NOT NULL,
  `transaction_id` varchar(150) NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_permissions` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) UNSIGNED NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_permissions` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 0, 5, 0, 'root.1', 'Root Asset', '{\"app.login\":{\"137\":1,\"138\":1},\"app.manage\":{\"138\":1},\"app.login.offline\":{\"138\":1}}'),
(2, 1, 1, 2, 1, 'com_sellacious', 'com_sellacious', '{\"user.edit.own\":{\"136\":1,\"137\":1,\"138\":1},\"product.list.own\":{\"137\":1},\"product.create\":{\"137\":1,\"138\":1},\"product.edit.basic.own\":{\"137\":1,\"138\":1},\"product.edit.seller.own\":{\"137\":1},\"product.edit.shipping.own\":{\"137\":1,\"138\":1},\"product.edit.related.own\":{\"137\":1,\"138\":1},\"product.delete.own\":{\"137\":1,\"138\":1},\"product.edit.state\":{\"137\":1,\"138\":1},\"variant.create\":{\"137\":1,\"138\":1},\"variant.delete.own\":{\"137\":1},\"variant.edit.own\":{\"137\":1},\"variant.edit.state.own\":{\"137\":1},\"shoprule.list.own\":{\"137\":1},\"shoprule.create\":{\"137\":1,\"138\":1},\"shoprule.edit.own\":{\"137\":1},\"shoprule.edit.state\":{\"137\":1,\"138\":1},\"shippingrule.list.own\":{\"137\":1},\"shippingrule.create\":{\"137\":1,\"138\":1},\"shippingrule.edit.own\":{\"137\":1},\"shippingrule.edit.state\":{\"137\":1,\"138\":1},\"coupon.list.own\":{\"137\":1,\"138\":1},\"coupon.create\":{\"137\":1,\"138\":1},\"coupon.edit.own\":{\"137\":1,\"138\":1},\"coupon.delete.own\":{\"137\":1,\"138\":1},\"order.list.own\":{\"137\":1,\"138\":1},\"order.item.edit.status.own\":{\"137\":1,\"138\":1},\"transaction.list.own\":{\"137\":1},\"transaction.addfund.gateway.own\":{\"137\":1},\"transaction.withdraw.own\":{\"137\":1},\"message.list.own\":{\"137\":1,\"138\":1},\"message.create\":{\"137\":1,\"138\":1},\"message.reply.own\":{\"137\":1,\"138\":1},\"message.html\":{\"137\":1,\"138\":1},\"rating.list.own\":{\"137\":1,\"138\":1},\"download.list.own\":{\"137\":1,\"138\":1},\"question.list.own\":{\"137\":1},\"question.edit.own\":{\"137\":1},\"product.list\":{\"138\":1},\"product.edit.basic\":{\"138\":1},\"product.edit.shipping\":{\"138\":1},\"product.edit.related\":{\"138\":1},\"shoprule.list\":{\"138\":1},\"shippingrule.list\":{\"138\":1},\"shippingrule.delete\":{\"138\":1},\"shippingrule.edit\":{\"138\":1},\"splcategory.list\":{\"138\":1},\"splcategory.create\":{\"138\":1},\"splcategory.delete\":{\"138\":1},\"splcategory.edit\":{\"138\":1},\"splcategory.edit.state\":{\"138\":1},\"coupon.list\":{\"138\":1},\"currency.list\":{\"138\":1},\"currency.edit.state\":{\"138\":1},\"paymentmethod.list\":{\"138\":1},\"paymentmethod.list.own\":{\"138\":1},\"paymentmethod.create\":{\"138\":1},\"status.list\":{\"138\":1},\"status.create\":{\"138\":1},\"status.edit.state\":{\"138\":1},\"user.list\":{\"138\":1},\"unit.list\":{\"138\":1},\"unit.create\":{\"138\":1},\"unit.edit\":{\"138\":1},\"unit.edit.state\":{\"138\":1},\"unit.delete\":{\"138\":1},\"order.list\":{\"138\":1},\"order.item.edit.status\":{\"138\":1},\"transaction.list\":{\"138\":1},\"emailtemplate.list\":{\"138\":1},\"location.list\":{\"138\":1},\"location.list.own\":{\"138\":1},\"location.create\":{\"138\":1},\"location.edit.state\":{\"138\":1},\"message.list\":{\"138\":1},\"message.create.bulk\":{\"138\":1},\"message.reply\":{\"138\":1},\"rating.list\":{\"138\":1},\"rating.edit.state\":{\"138\":1},\"rating.delete\":{\"138\":1},\"license.list\":{\"138\":1},\"license.create\":{\"138\":1},\"license.delete\":{\"138\":1},\"license.edit\":{\"138\":1},\"license.edit.state\":{\"138\":1},\"download.list\":{\"138\":1},\"question.list\":{\"138\":1},\"question.edit\":{\"138\":1},\"productbutton.list\":{\"138\":1},\"productbutton.create\":{\"138\":1}}'),
(3, 1, 3, 4, 1, 'com_importer', 'com_importer', '{\"import.list.own\":{\"137\":1,\"138\":1},\"importer.import\":{\"137\":1,\"138\":1},\"import.delete.own\":{\"137\":1,\"138\":1},\"template.list.own\":{\"137\":1,\"138\":1},\"template.create\":{\"137\":1,\"138\":1},\"template.edit.own\":{\"137\":1,\"138\":1},\"template.edit.state\":{\"137\":1,\"138\":1},\"template.delete.own\":{\"137\":1,\"138\":1},\"import.list\":{\"138\":1},\"import.delete\":{\"138\":1},\"template.list\":{\"138\":1},\"template.edit\":{\"138\":1},\"template.copy\":{\"138\":1},\"template.delete\":{\"138\":1}}');

CREATE TABLE IF NOT EXISTS `#__sellacious_physical_sellers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `psx_id` int(11) NOT NULL,
  `listing_type` int(11) NOT NULL,
  `item_condition` int(11) NOT NULL,
  `flat_shipping` int(11) NOT NULL,
  `shipping_flat_fee` double NOT NULL,
  `length` varchar(50) NOT NULL,
  `width` varchar(50) NOT NULL,
  `height` varchar(50) NOT NULL,
  `weight` varchar(50) NOT NULL,
  `vol_weight` varchar(50) NOT NULL,
  `shipping_country` int(11) NOT NULL,
  `shipping_state` int(11) NOT NULL,
  `shipping_district` int(11) NOT NULL,
  `shipping_city` int(11) NOT NULL,
  `shipping_zip` int(11) NOT NULL,
  `whats_in_box` text NOT NULL,
  `return_days` int(11) NOT NULL,
  `return_tnc` text NOT NULL,
  `exchange_days` int(11) NOT NULL,
  `exchange_tnc` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_productprices_clientcategory_xref` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_price_id` int(11) NOT NULL,
  `cat_id` int(11) NOT NULL,
  `cache_state` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `title` varchar(250) NOT NULL,
  `alias` varchar(250) NOT NULL,
  `type` varchar(20) NOT NULL,
  `local_sku` varchar(50) NOT NULL,
  `manufacturer_sku` varchar(50) NOT NULL,
  `manufacturer_id` int(11) NOT NULL,
  `features` text NOT NULL,
  `introtext` text NOT NULL,
  `description` text NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `primary_video_url` mediumtext NOT NULL,
  `state` tinyint(1) NOT NULL,
  `ordering` int(11) NOT NULL,
  `owned_by` int(11) NOT NULL COMMENT 'who is managing this item, 0=shop,INT=seller_uid',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `tags` text NOT NULL,
  `params` text NOT NULL,
  `language` varchar(7) NOT NULL COMMENT 'The language code for the product.',
  `cache_state` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_product_buttons` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(150) NOT NULL DEFAULT '',
  `params` text NOT NULL DEFAULT '',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_product_categories` (
  `product_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  UNIQUE KEY `product_id` (`product_id`,`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_product_physical` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `length` varchar(50) NOT NULL,
  `width` varchar(50) NOT NULL,
  `height` varchar(50) NOT NULL,
  `weight` varchar(50) NOT NULL,
  `vol_weight` varchar(50) NOT NULL,
  `whats_in_box` text NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_product_prices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `qty_min` int(11) NOT NULL,
  `qty_max` int(11) NOT NULL,
  `sdate` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `edate` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `cost_price` double NOT NULL,
  `margin` double NOT NULL,
  `margin_type` int(11) NOT NULL,
  `list_price` double NOT NULL,
  `calculated_price` double NOT NULL,
  `ovr_price` double NOT NULL,
  `product_price` double NOT NULL,
  `is_fallback` int(11) NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `cache_state` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_product_queries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `variant_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `query` text NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_product_questions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `variant_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `questioner_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `questioner_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `question` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `answer` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `replied` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `replied_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_product_sellers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `seller_sku` VARCHAR(50) NOT NULL,
  `disable_stock` int(11) NOT NULL,
  `stock` int(11) NOT NULL,
  `over_stock` int(11) NOT NULL,
  `stock_reserved` int(11) NOT NULL,
  `stock_sold` int(11) NOT NULL,
  `pricing_type` VARCHAR(50) NOT NULL DEFAULT '',
  `price_display` int(11) NOT NULL,
  `query_form` text NOT NULL,
  `quantity_min` int(11) NOT NULL DEFAULT '0',
  `quantity_max` int(11) NOT NULL DEFAULT '0',
  `product_address` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_location` VARCHAR(100) NOT NULL,
  `loc_country` VARCHAR(120) DEFAULT '',
  `loc_state` VARCHAR(120) DEFAULT '',
  `loc_district` VARCHAR(120) DEFAULT '',
  `loc_city` VARCHAR(120) DEFAULT '',
  `loc_locality` VARCHAR(120) DEFAULT '',
  `loc_sublocality` VARCHAR(120) DEFAULT '',
  `loc_zip` VARCHAR(10) DEFAULT '',
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  `cache_state` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_product_seller_slot_limits` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `seller_uid` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `slot_from_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `slot_to_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `full_day` TINYINT(1) NOT NULL,
  `slot_limit` int(11) NOT NULL,
  `slot_count` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_profiles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `mobile` varchar(15) NOT NULL,
  `website` varchar(100) NOT NULL,
  `currency` varchar(10) NOT NULL,
  `state` tinyint(1) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `cache_state` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_ratings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `variant_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `author_id` int(11) NOT NULL,
  `author_name` varchar(100) NOT NULL,
  `author_email` varchar(100) NOT NULL,
  `buyer` int(11) NOT NULL,
  `type` varchar(15) NOT NULL,
  `rating` int(11) NOT NULL,
  `title` varchar(150) NOT NULL,
  `comment` varchar(2000) NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reported` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_relatedproducts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `group_title` varchar(100) NOT NULL,
  `group_alias` varchar(100) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `group_id` (`product_id`,`group_title`,`group_alias`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_reports` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `handler` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `columns` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `filter` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` int(11) NOT NULL DEFAULT '1',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_reports_permissions` (
  `report_id` int(11) NOT NULL,
  `user_cat_id` int(11) NOT NULL,
  `permission_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_sellers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `title` varchar(250) NOT NULL,
  `code` varchar(50) NOT NULL,
  `store_name` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL,
  `store_address` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `currency` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL,
  `commission` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `store_location` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `loc_country` VARCHAR(120) DEFAULT '',
  `loc_state` VARCHAR(120) DEFAULT '',
  `loc_district` VARCHAR(120) DEFAULT '',
  `loc_city` VARCHAR(120) DEFAULT '',
  `loc_locality` VARCHAR(120) DEFAULT '',
  `loc_sublocality` VARCHAR(120) DEFAULT '',
  `loc_zip` VARCHAR(10) DEFAULT '',
  `ship_origin_address_line1` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ship_origin_address_line2` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ship_origin_address_line3` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ship_origin_country` int(11) NOT NULL,
  `ship_origin_state` int(11) NOT NULL,
  `ship_origin_district` int(11) NOT NULL,
  `ship_origin_zip` int(11) NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `cache_state` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_seller_commissions` (
  `product_catid` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `commission` varchar(15) CHARACTER SET utf8mb4 NOT NULL,
  UNIQUE KEY `seller_catid` (`seller_uid`,`product_catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_seller_listing` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL COMMENT '#special cat id',
  `recurrence` int(11) NOT NULL,
  `days` int(11) NOT NULL,
  `slots` int(11) NOT NULL,
  `slot_fee` double NOT NULL,
  `fee_total` double NOT NULL,
  `publish_up` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `subscription_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `carried_from` int(11) NOT NULL DEFAULT '0',
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_seller_shippable` (
  `seller_uid` int(11) NOT NULL DEFAULT '0',
  `gl_id` int(11) NOT NULL DEFAULT '0',
  `state` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `seller_gl_uid` (`seller_uid`,`gl_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_seller_timings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `seller_uid` int(11) NOT NULL,
  `type` varchar(50) NOT NULL,
  `week_day` int(11) NOT NULL,
  `from_time` time NOT NULL DEFAULT '00:00:00',
  `to_time` time NOT NULL DEFAULT '00:00:00',
  `full_day` tinyint(1) DEFAULT NULL,
  `slot_window` INT(11) NOT NULL,
  `slot_window_unit` VARCHAR(50) NOT NULL,
  `today_availability` TIME NOT NULL DEFAULT '00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` TEXT NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_shippingrules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `method_name` varchar(100) NOT NULL,
  `amount` double NOT NULL,
  `amount_additional` double NOT NULL,
  `apply_on_all_products` TINYINT(1) NOT NULL DEFAULT '1',
  `state` tinyint(1) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `config` text NOT NULL,
  `params` text NOT NULL,
  `owned_by` int(11) NOT NULL DEFAULT '0',
  `credit_to` VARCHAR(20) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_shippingrule_slabs` (
  `rule_id` int(11) NOT NULL,
  `min` double NOT NULL DEFAULT '0',
  `max` double NOT NULL DEFAULT '0',
  `origin_country` int(11) NOT NULL DEFAULT '0',
  `origin_state` int(11) NOT NULL DEFAULT '0',
  `origin_zip` varchar(10) NOT NULL DEFAULT '',
  `country` int(11) NOT NULL DEFAULT '0',
  `state` int(11) NOT NULL DEFAULT '0',
  `zip` varchar(10) NOT NULL DEFAULT '',
  `price` double NOT NULL DEFAULT '0',
  `u` int(11) NOT NULL COMMENT 'is per unit price'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_shipping_freerule` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rule_id` int(11) NOT NULL,
  `amount_min` double NOT NULL,
  `amount_max` double NOT NULL,
  `state` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_shoprules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `alias` varchar(100) NOT NULL,
  `terms` TEXT NOT NULL,
  `parent_id` int(11) NOT NULL,
  `level` int(11) NOT NULL DEFAULT '0',
  `path` varchar(500) NOT NULL,
  `type` varchar(10) NOT NULL,
  `method_name` VARCHAR(100) NOT NULL DEFAULT '*',
  `filterable` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `ledger_id` int(11) NOT NULL,
  `amount` varchar(20) NOT NULL,
  `sum_method` varchar(20) NOT NULL,
  `apply_on_all_products` TINYINT(1) NOT NULL,
  `apply_rule_on_price_display` TINYINT(1) NOT NULL,
  `apply_rule_on_list_price` tinyint(1) NOT NULL,
  `protected` tinyint(3),
  `state` tinyint(1) NOT NULL,
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL,
  `publish_up` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_shoprules` (`id`, `title`, `alias`, `terms`, `parent_id`, `level`, `path`, `type`, `method_name`, `filterable`, `seller_uid`, `ledger_id`, `amount`, `sum_method`, `apply_on_all_products`, `apply_rule_on_price_display`, `apply_rule_on_list_price`, `protected`, `state`, `lft`, `rgt`, `publish_up`, `publish_down`, `created`, `created_by`, `modified`, `modified_by`, `params`) VALUES
(1, 'ROOT', 'root', '', 0, 0, '', '', '*', 0, 0, 0, '0', '', 0, 0, 0, NULL, 1, 0, 3, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '');

CREATE TABLE IF NOT EXISTS `#__sellacious_shoprule_class` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alias` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` VARCHAR(10) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `group_id` (`title`,`alias`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_class_shoprules_xref` (
  `shoprule_id` int(11) NOT NULL,
  `class_id` int(11) NOT NULL,
  UNIQUE KEY `shoprule_id` (`shoprule_id`,`class_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_rule_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `context` VARCHAR(50) NOT NULL,
  `rule_id` int(11) NOT NULL,
  `class_id` int(11) NOT NULL,
  `product_id` varchar(100) NOT NULL COMMENT 'Product Id or Code',
  `assignment` TINYINT(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_shoprule_slabs` (
  `rule_id` int(11) NOT NULL,
  `min` double NOT NULL DEFAULT '0',
  `max` double NOT NULL DEFAULT '0',
  `origin_country` int(11) NOT NULL DEFAULT '0',
  `origin_state` int(11) NOT NULL DEFAULT '0',
  `origin_zip` varchar(10) NOT NULL DEFAULT '',
  `country` INT(11) NOT NULL DEFAULT '0',
  `state` INT(11) NOT NULL DEFAULT '0',
  `zip` VARCHAR(10) NOT NULL,
  `price` double NOT NULL DEFAULT '0',
  `unit` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_splcategories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `alias` varchar(100) NOT NULL,
  `description` text NOT NULL,
  `recurrence` int(11) NOT NULL,
  `fee_amount` varchar(50) NOT NULL,
  `images` mediumtext NOT NULL,
  `parent_id` int(11) NOT NULL,
  `level` int(11) NOT NULL DEFAULT '0',
  `path` varchar(500) NOT NULL,
  `state` tinyint(1) NOT NULL,
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL,
  `is_core` int(11) NOT NULL DEFAULT '0',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  `access` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_splcategories` (`id`, `title`, `alias`, `description`, `recurrence`, `fee_amount`, `images`, `parent_id`, `level`, `path`, `state`, `lft`, `rgt`, `is_core`, `created`, `created_by`, `modified`, `modified_by`, `params`, `access`) VALUES
(1, 'ROOT', 'root', '0', 0, '0', '', 0, 0, '', 1, 0, 9, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '', 0),
(2, 'Highlighted', 'highlighted', '<p>Will show the product in a highlighted background in the listing.</p>', 10, '3', '', 1, 1, 'highlighted', 1, 1, 4, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '{\"border-width\":\"1px\",\"border-style\":\"solid\",\"border-color\":\"#ff1003\",\"background-color\":\"#fffede\"}', 5),
(3, 'Bordered', 'bordered', '<p>Will show the product in a bordered box in the listing page</p>', 7, '1', '', 1, 1, 'bordered', 1, 5, 6, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '{\"border-width\":\"1px\",\"border-style\":\"solid\",\"border-color\":\"#030303\",\"background-color\":\"\"}', 5),
(4, 'Featured', 'featured', '<p>Will show the product at the Top in the listing page</p>', 7, '5', '', 1, 1, 'featured', 1, 7, 8, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '{\"border-width\":\"1px\",\"border-style\":\"solid\",\"border-color\":\"#6b6b6b\",\"background-color\":\"#fcffcc\"}', 5);

CREATE TABLE IF NOT EXISTS `#__sellacious_staffs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_statuses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `type` varchar(50) NOT NULL,
  `context` varchar(100) NOT NULL,
  `stock` varchar(10) NOT NULL,
  `is_stable` tinyint(1) NOT NULL,
  `notes_required` int(11) NOT NULL,
  `allow_change_to` text NOT NULL,
  `alert` text NOT NULL,
  `usergroups` text NOT NULL,
  `color_code` varchar(20) NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL,
  `is_core` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_statuses` (`id`, `title`, `type`, `context`, `stock`, `is_stable`, `notes_required`, `allow_change_to`, `alert`, `usergroups`, `color_code`, `state`, `created`, `created_by`, `modified`, `modified_by`, `ordering`, `is_core`) VALUES
(1, 'Order Initiated', 'order_placed', 'order', '', 1, 0, '[\"2\",\"3\",\"65\"]', '', '[\"3\"]', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 1, 1),
(2, 'Payment Pending Approval', 'paid', 'order', '', 1, 1, '[\"3\",\"65\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 2, 1),
(3, 'Payment Approved', 'approved', 'order', 'R', 1, 1, '[\"5\",\"67\",\"68\",\"69\",\"70\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 3, 1),
(4, 'Cancelled', 'cancellation', 'order', '', 1, 1, '', '', '[\"12\"]', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 4, 0),
(5, 'Completed', 'completed', 'order', '', 1, 1, '', '', '[\"12\",\"17\"]', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 5, 0),
(6, 'Payment Approved', 'approved', 'order.physical', 'R', 1, 0, '[\"7\",\"8\",\"9\"]', '', '', '#8a0202', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 6, 1),
(7, 'Packaged', 'packaged', 'order.physical', '', 0, 0, '[\"8\",\"9\"]', 'This is irreversible process.', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 7, 0),
(8, 'Waiting for Pickup', 'waiting_pickup', 'order.physical', '', 0, 0, '[\"9\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 8, 0),
(9, 'Shipped', 'shipped', 'order.physical', 'O', 0, 0, '[\"10\",\"11\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 9, 0),
(10, 'Undelivered', 'undelivered', 'order.physical', '', 0, 1, '[9]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 10, 0),
(11, 'Delivered', 'delivered', 'order.physical', 'A', 1, 0, '[\"15\",\"18\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 11, 0),
(12, 'Refund Placed', 'refund_placed', 'order.physical', '', 0, 0, '[\"13\",\"14\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 12, 1),
(13, 'Refund Approved', 'refunded', 'order.physical', '', 1, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 13, 0),
(14, 'Refund Declined', 'refund_cancelled', 'order.physical', '', 1, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 14, 0),
(15, 'Return Placed', 'return_placed', 'order.physical', '', 0, 0, '[\"16\",\"17\"]', '', '[\"6\"]', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 15, 1),
(16, 'Return Approved', 'returned', 'order.physical', '', 1, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 16, 0),
(17, 'Return Declined', 'return_cancelled', 'order.physical', '', 1, 1, '', 'This is not reversible', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 17, 0),
(18, 'Exchange Placed', 'exchange_placed', 'order.physical', '', 0, 0, '[\"19\",\"20\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 18, 1),
(19, 'Exchange Approved', 'exchanged', 'order.physical', '', 1, 0, '', 'This is not reversible', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 19, 0),
(20, 'Exchange Declined', 'exchange_cancelled', 'order.physical', '', 1, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 20, 0),
(38, 'Order Initiated', 'order_placed', 'order.physical', '', 1, 0, '[\"6\",\"39\",\"63\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 23, 1),
(39, 'Payment Pending Approval', 'paid', 'order.physical', '', 1, 1, '[\"6\",\"63\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 24, 1),
(41, 'Order Initiated', 'order_placed', 'order.electronic', '', 1, 0, '[\"42\",\"43\",\"64\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 28, 1),
(42, 'Payment Pending Approval', 'paid', 'order.electronic', '', 1, 1, '[\"43\",\"64\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 27, 1),
(43, 'Payment Approved', 'approved', 'order.electronic', 'R', 1, 0, '[\"44\"]', '', '', '#8a0202', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 26, 1),
(44, 'Delivered', 'delivered', 'order.electronic', 'O', 0, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 29, 1),
(45, 'Payment Approved', 'approved', 'order.package', 'R', 1, 0, '[\"46\",\"47\",\"48\"]', '', '', '#8a0202', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 6, 1),
(46, 'Packaged', 'packaged', 'order.package', '', 0, 0, '[\"47\",\"48\"]', 'This is irretrievable process.', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 7, 0),
(47, 'Waiting for Pickup', 'waiting_pickup', 'order.package', '', 0, 0, '[\"48\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 8, 0),
(48, 'Shipped', 'shipped', 'order.package', 'O', 0, 0, '[\"49\",\"50\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 9, 0),
(49, 'Undelivered', 'undelivered', 'order.package', '', 0, 1, '[\"48\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 10, 0),
(50, 'Delivered', 'delivered', 'order.package', 'O', 1, 0, '[\"54\",\"57\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 11, 0),
(51, 'Refund Placed', 'refund_placed', 'order.package', '', 0, 0, '[\"52\",\"55\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 12, 1),
(52, 'Refund Approved', 'refunded', 'order.package', '', 1, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 13, 0),
(53, 'Refund Declined', 'refund_cancelled', 'order.package', '', 1, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 14, 0),
(54, 'Return Placed', 'return_placed', 'order.package', '', 0, 0, '[\"55\",\"56\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 15, 1),
(55, 'Return Approved', 'returned', 'order.package', '', 1, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 16, 0),
(56, 'Return Declined', 'return_cancelled', 'order.package', '', 1, 1, '', 'This is not reversible', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 17, 0),
(57, 'Exchange Placed', 'exchange_placed', 'order.package', '', 0, 0, '[\"58\",\"59\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 18, 1),
(58, 'Exchange Approved', 'exchanged', 'order.package', '', 1, 0, '', 'This is not reversible', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 19, 0),
(59, 'Exchange Declined', 'exchange_cancelled', 'order.package', '', 1, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 20, 0),
(60, 'Order Initiated', 'order_placed', 'order.package', '', 1, 0, '[\"61\",\"62\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 23, 1),
(61, 'Payment Pending Approval', 'paid', 'order.package', '', 1, 1, '[\"45\",\"66\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 24, 1),
(63, 'Payment Failed', 'payment_failed', 'order.physical', '', 1, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 30, 0),
(64, 'Payment Failed', 'payment_failed', 'order.electronic', '', 1, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 31, 0),
(65, 'Payment Failed', 'payment_failed', 'order', '', 1, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 32, 0),
(66, 'Payment Failed', 'payment_failed', 'order.package', '', 1, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 33, 0),
(67, 'Delivered', 'delivered', 'order', 'A', 0, 0, '[\"71\",\"73\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 34, 0),
(68, 'Shipped', 'shipped', 'order', 'O', 0, 0, '[\"67\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 35, 0),
(69, 'Packaged', 'packaged', 'order', '', 0, 0, '[\"70\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 36, 0),
(70, 'Waiting for pick up', 'waiting_pickup', 'order', '', 0, 0, '[\"68\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 37, 0),
(71, 'Return placed ', 'return_placed', 'order', '', 0, 0, '[\"74\",\"75\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 38, 0),
(72, 'Delivered', 'delivered', 'order.electronic', 'O', 0, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 39, 0),
(73, 'Exchange Placed', 'exchange_placed', 'order', '', 0, 0, '[\"77\",\"78\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 40, 0),
(74, 'Return Approved ', 'returned', 'order', '', 0, 0, '[\"76\"]', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 41, 0),
(75, 'Return Decline', 'return_cancelled', 'order', '', 0, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 42, 0),
(76, 'Returned', 'returned', 'order', '', 0, 0, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 43, 0),
(77, 'Exchange Approved', 'exchanged', 'order', '', 0, 1, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 44, 0),
(78, 'Exchange Declined', 'exchange_cancelled', 'order', '', 0, 1, '', '', '', '', 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 45, 0);

CREATE TABLE IF NOT EXISTS `#__sellacious_transactions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `txn_number` varchar(20) NOT NULL,
  `user_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `context` varchar(100) NOT NULL,
  `context_id` int(11) NOT NULL,
  `reason` varchar(100) NOT NULL,
  `crdr` varchar(4) NOT NULL,
  `amount` double NOT NULL,
  `currency` varchar(5) NOT NULL,
  `balance` double NOT NULL,
  `txn_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `payment_method_id` int(11) NOT NULL,
  `payment_params` mediumtext NOT NULL,
  `notes` mediumtext NOT NULL,
  `user_notes` mediumtext NOT NULL,
  `admin_notes` mediumtext NOT NULL,
  `approved_by` int(11) NOT NULL,
  `approval_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `tags` varchar(250) NOT NULL,
  `state` int(11) NOT NULL COMMENT 'approved=1/disapproved=-1/pending=0/locked=2/cancelled=-2',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` mediumtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_translations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `language_code` varchar(7) NOT NULL,
  `reference_id` int(11) NOT NULL,
  `reference_table` varchar(100) NOT NULL,
  `reference_field` varchar(100) NOT NULL,
  `value` mediumtext NOT NULL,
  `state` tinyint(1) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_unitconversions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `from` int(11) NOT NULL,
  `to` int(11) NOT NULL,
  `rate` double NOT NULL,
  `state` mediumint(9) NOT NULL,
  `ordering` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_unitconversions` (`id`, `from`, `to`, `rate`, `state`, `ordering`, `created`, `created_by`, `modified`, `modified_by`) VALUES
(1, 2, 11, 1.09361, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(2, 1, 11, 0.0109361, 1, 2, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(3, 3, 2, 1000, 1, 3, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, 5, 19, 35.274, 1, 4, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(5, 7, 14, 0.000001, 1, 5, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(6, 6, 14, 0.001, 1, 6, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(7, 8, 11, 0.0277778, 1, 7, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(8, 9, 11, 0.00109361, 1, 8, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(9, 10, 11, 0.333333, 1, 9, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(10, 11, 10, 3, 1, 10, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(11, 10, 9, 304.8, 1, 11, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(12, 11, 9, 914.4, 1, 12, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(13, 10, 8, 12, 1, 13, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(14, 9, 10, 0.00328084, 1, 14, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(15, 8, 10, 0.08333, 1, 15, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(16, 9, 8, 0.00005, 1, 16, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(17, 10, 2, 0, 1, 17, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(18, 11, 8, 36, 1, 18, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(19, 12, 14, 0.00378541, 1, 19, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(20, 13, 14, 0.000029574, 1, 20, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(21, 14, 13, 33813.5, 1, 21, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(22, 12, 13, 127.99803, 1, 22, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(23, 13, 7, 29.574, 1, 23, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(24, 14, 12, 264.17218, 1, 24, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(25, 15, 5, 0, 1, 25, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(26, 16, 19, 0.000035274, 1, 26, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(27, 17, 19, 0.035274, 1, 27, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(28, 18, 19, 32000, 1, 28, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(29, 19, 18, 0.00003125, 1, 29, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(30, 4, 19, 16, 1, 30, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(31, 18, 17, 907185, 1, 31, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(32, 16, 5, 0.000001, 1, 32, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(33, 17, 15, 0.001, 1, 33, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(34, 18, 15, 907.185, 1, 34, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(35, 19, 17, 28.34949, 1, 35, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(36, 1, 10, 0.03281, 1, 36, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(37, 2, 10, 0, 1, 37, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(38, 1, 9, 10, 1, 38, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(39, 8, 9, 18655, 1, 39, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(40, 8, 2, 0, 1, 40, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(41, 20, 1, 0, 1, 41, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(42, 20, 2, 0, 1, 42, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(43, 20, 8, 0, 1, 43, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(44, 20, 9, 0, 1, 44, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(45, 20, 10, 0, 1, 45, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(46, 20, 11, 0, 1, 46, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(47, 1, 2, 0, 1, 47, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(48, 1, 8, 0, 1, 48, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(49, 1, 20, 0, 1, 49, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

CREATE TABLE IF NOT EXISTS `#__sellacious_units` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `alias` varchar(100) NOT NULL,
  `symbol` varchar(20) NOT NULL,
  `unit_group` varchar(100) NOT NULL,
  `decimal_places` smallint(6) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_units` (`id`, `title`, `alias`, `symbol`, `unit_group`, `decimal_places`, `state`, `ordering`, `created`, `created_by`, `modified`, `modified_by`) VALUES
(1, 'Centimeter', 'centimeter', 'cm', 'Length', 2, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(2, 'Meter', 'meter', 'm', 'Length', 2, 1, 2, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, 'Pound', 'lb', 'lbs', 'Weight', 3, 1, 4, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(5, 'KiloGram', 'kilogram', 'Kg', 'Weight', 3, 1, 5, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(6, 'Litre', 'litre', 'ltr', 'Volume', 2, 1, 6, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(7, 'Mili-Litre', 'mili-litre', 'ml', 'Volume', 3, 1, 7, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(8, 'Inch', 'inch', 'in', 'Length', 2, 1, 8, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(9, 'Milimeter', 'milimeter', 'mm', 'Length', 2, 1, 9, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(10, 'Foot', 'foot', 'ft', 'Length', 2, 1, 10, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(11, 'Yard', 'yard', 'yd', 'Length', 2, 1, 11, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(12, 'US Gallon', 'gallon', 'gal', 'Volume', 2, 1, 12, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(13, 'US fluid ounce', 'us-fluid-ounce', 'fl oz', 'Volume', 2, 1, 13, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(14, 'Cubic meter', 'cubic-meter', 'cm', 'Volume', 2, 1, 14, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(16, 'Miligram', 'miligram', 'mg', 'Weight', 2, 1, 16, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(17, 'Gram', 'gram', 'g', 'Weight', 2, 1, 17, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(18, 'US Ton', 'us-ton', 'ton', 'Weight', 2, 1, 18, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(19, 'Ounce', 'ounce', 'oz', 'Weight', 2, 1, 19, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

CREATE TABLE IF NOT EXISTS `#__sellacious_user_gst` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `user_email` VARCHAR(100),
  `gst_num` varchar(50) NOT NULL,
  `pan_num` varchar(50) NOT NULL,
  `params` TEXT NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ;

CREATE TABLE IF NOT EXISTS `#__sellacious_user_favorites` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `context` varchar(255) CHARACTER SET utf8 NOT NULL,
  `author_id` int(11) NOT NULL,
  `record_id` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_product_gst` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `hsn_sac` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_utm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `session_id` varchar(100) NOT NULL,
  `platform` varchar(100) NOT NULL,
  `browser` varchar(100) NOT NULL,
  `browser_version` varchar(20) NOT NULL,
  `is_mobile` tinyint(1) NOT NULL,
  `is_robot` tinyint(1) NOT NULL,
  `ip_address` varchar(60) NOT NULL,
  `session_start` varchar(15) NOT NULL,
  `session_hit` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_utm_links` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `utm_id` int(11) NOT NULL,
  `page_url` varchar(500) NOT NULL,
  `hits` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_variants` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `title` varchar(100) NOT NULL,
  `alias` varchar(100) NOT NULL,
  `local_sku` varchar(50) NOT NULL,
  `features` text NOT NULL,
  `description` text NOT NULL,
  `state` int(11) NOT NULL DEFAULT '1',
  `owned_by` int(11) NOT NULL COMMENT 'who is managing this item, 0=shop,INT=seller_uid',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  `cache_state` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `alias` (`alias`,`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_variant_sellers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `variant_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `price_mod` double NOT NULL,
  `price_mod_perc` int(11) NOT NULL,
  `stock` int(11) NOT NULL,
  `over_stock` int(11) NOT NULL,
  `stock_reserved` int(11) NOT NULL,
  `stock_sold` int(11) NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__sellacious_viewtemplates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `alias` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `body` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `context` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL,
  `params` text CHARACTER SET utf32 COLLATE utf32_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_viewtemplates` (`title`, `alias`, `body`, `context`, `state`, `created`, `created_by`, `modified`, `modified_by`, `params`) VALUES
('Print View', 'print-view', '<div style=\"width: 840px; margin-left: auto; margin-right: auto;\"><div style=\"border: 1px solid #dedede; padding: 8px; margin-top: 16px; margin-bottom: 6px;\"><table style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: transparent; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><tbody><tr><td style=\"width: 50%;vertical-align: top;\"><table style=\"margin-right: 10px;width: 100%;\" class=\" cke_show_border\"><tbody><tr style=\"border-bottom: 1px solid #dedede;\"><td style=\"line-height: 1.9; padding: 5px;white-space: nowrap;\">Order ID</td><td style=\"line-height: 1.9; padding: 5px;\"><strong>%ORDER_NUMBER% </strong></td></tr><tr style=\"border-bottom: 1px solid #dedede;\"><td style=\"line-height: 1.9; padding: 5px;white-space: nowrap;\">Seller</td><td style=\"line-height: 1.9; padding: 5px;\">%SELLER_NAME%</td></tr><tr style=\"border-bottom: 1px solid #dedede;\"><td style=\"line-height: 1.9; padding: 5px;white-space: nowrap;\">Order Date</td><td style=\"line-height: 1.9; padding: 5px;\">%ORDER_DATE%</td></tr><tr style=\"border-bottom: 1px solid #dedede;\"><td style=\"line-height: 1.9; padding: 5px;\">Amount Paid</td><td style=\"line-height: 1.9; padding: 5px;\">%ORDER_TOTAL%</td></tr></tbody></table></td><td style=\"width: 50%;vertical-align: top;\"><div style=\"margin-left: 10px; text-align: left; padding: 0;\"><div style=\"margin-bottom: 10px; padding: 0;\"><div style=\"font-size: 11px; font-weight: bold;text-transform: uppercase;background: #efefef;color: #000000;padding: 3px;\">Shipping Address</div><span style=\"font-size: 15px;font-weight: bold;color: #000000;line-height: 1.8;margin-bottom: 10px;width: 230px;\">%SHIPPING_NAME%</span><br />, <span class=\"address_mobile\">%SHIPPING_MOBILE%</span><br />, <span class=\"address_landmark\">%SHIPPING_LANDMARK%</span><br />, <span class=\"address_district\">%SHIPPING_DISTRICT%</span><br />, <span class=\"address_state_loc\">%SHIPPING_STATE%</span><br />, <span class=\"address_zip\">%SHIPPING_ZIP%</span> - <span class=\"address_country\">%SHIPPING_COUNTRY%</span></div><div style=\"margin-bottom: 10px;padding: 0;\"><div style=\"font-size: 11px; font-weight: bold;text-transform: uppercase;background: #efefef;color: #000000;padding: 3px;\">Billing Address</div><span style=\"font-size: 15px;font-weight: bold;color: #000000;line-height: 1.8;margin-bottom: 10px;width: 230px;\">%BILLING_NAME%</span><br />, <span class=\"address_mobile\">%BILLING_MOBILE%</span><br />, <span class=\"address_landmark\">%BILLING_LANDMARK%</span><br />, <span class=\"address_district\">%BILLING_DISTRICT%</span><br />, <span class=\"address_state_loc\">%BILLING_STATE%</span><br />, <span class=\"address_zip\">%BILLING_ZIP%</span> - <span class=\"address_country\">%BILLING_COUNTRY%</span></div></div></td></tr></tbody></table></div>%GRID_BEGIN%<table style=\"margin-top: 15px;width: 100%;\" class=\" cke_show_border\"><thead><tr style=\"padding: 4px;height: 30px;background: #f5f5f5;border: 1px solid #cedede;text-transform: uppercase;line-height: 2.0;\"><th colspan=\"4\">Product Details</th></tr></thead><tbody><tr style=\"border-bottom: 1px solid #dfdfdf;\"><td style=\"width:100px; padding: 5px;line-height: 1.6;\"><img alt=\"%PRODUCT_TITLE%\" data-cke-saved-src=\"%PRODUCT_IMAGE%\" src=\"%PRODUCT_IMAGE%\" style=\"width:100px;\" /></td><td style=\"padding: 5px;line-height: 1.6;\">%PRODUCT_TITLE%<br />Quantity:&nbsp;%PRODUCT_QUANTITY%<br />Seller: <b>%PRODUCT_SELLER_NAME%</b></td><td style=\"padding: 5px;line-height: 1.6;\">%PRODUCT_STATUS_LOG%</td><td style=\"padding: 5px; line-height: 1.6; white-space: nowrap;text-align: right; font-weight: bold;font-size: 14px;vertical-align: top;\">%PRODUCT_SUBTOTAL%</td></tr></tbody></table> %GRID_END%<table style=\"width: 100%; max-width: 100%;background-color: transparent;border-collapse: collapse;border-spacing: 0;\" class=\" cke_show_border\"><tbody><tr><th colspan=\"3\" style=\"text-align: right;\"><span style=\"float: left;\">Shipped via: <b>%SHIPPING_RULE%</b></span> Total Shipping:</th><td style=\"text-align: right;\">%CART_SHIPPING%</td></tr><tr style=\"border-top: 1px solid #dfdfdf;\"><td colspan=\"3\" style=\"text-align: right; padding: 3px; line-height: 1.4;white-space: nowrap;text-align: right;\">Order Total</td><td style=\"width:90px;padding: 3px; line-height: 1.4;white-space: nowrap;text-align: right;\">%ORDER_TOTAL%</td></tr><tr><td colspan=\"4\" style=\"padding: 3px; line-height: 1.4;\"><br /></td></tr></tbody></table><table style=\"width: 100%;\" class=\" cke_show_border\"><thead><tr style=\"padding: 4px;height: 30px;background: #f5f5f5;border: 1px solid #cedede;text-transform: uppercase;line-height: 2.0;\"><th colspan=\"4\">Checkout Questions</th></tr></thead></table> %CHECKOUT_FORM%</div>', 'view_order.print', 1, '2018-06-22 00:24:35', 311, '2019-05-03 07:48:50', 256, ''),
('PDF View', 'pdf-view', '<div style=\"width: 840px; margin-left: auto; margin-right: auto;color:#333;\"><div style=\"padding: 8px; margin-top: 16px; margin-bottom: 6px;\"><table style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: #fff; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><tbody><tr><td><div style=\"text-align: left;\">​​​​​​​<img alt=\"SHOP LOGO\" data-cke-saved-src=\"%SHOP_LOGO%\" src=\"%SHOP_LOGO%\" /></div></td><td><h1 style=\"text-align: right;font-size: 24px;\">INVOICE</h1></td></tr><tr><td><div><div style=\"font-size: 14px; font-weight: bold;text-transform: uppercase;color: #bbbbbb;\">BILL TO</div><span style=\"font-size: 14px;font-weight: bold;color: #000000;line-height: 1.8;margin-bottom: 10px;width: 230px;\">%BILLING_NAME%</span><br /><span>%BILLING_MOBILE%</span><br /><span>%BILLING_LANDMARK%</span><br /><span>%BILLING_DISTRICT%</span><br /><span>%BILLING_STATE%</span><br /><span>%BILLING_ZIP%</span><br /><span>%BILLING_COUNTRY%</span></div></td><td style=\"text-align: right; float: right;\"><table style=\"border-spacing: 1px 0;\" class=\" cke_show_border\"><tbody><tr><td><strong>%SELLER_NAME%</strong></td></tr><tr><td>%SELLER_ADDRESS%</td></tr><tr><td><br /></td></tr><tr><td>%SELLER_PHONE%</td></tr><tr><td>%SELLER_WEBSITE%</td></tr></tbody></table></td></tr></tbody></table><div style=\"border-bottom: 0.1em solid #bbb; \"><br /></div><table style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: #fff; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><tbody><tr><td style=\"width: 50%;\"><div><div style=\"font-size: 14px; font-weight: bold;text-transform: uppercase;color: #bbbbbb;\">SHIP TO</div><span style=\"font-size: 14px;font-weight: bold;color: #000000;line-height: 1.8;margin-bottom: 10px;width: 230px;\">%SHIPPING_NAME%</span><br /><span>%SHIPPING_MOBILE%</span><br /><span>%SHIPPING_LANDMARK%</span><br /><span>%SHIPPING_DISTRICT%</span><br /><span>%SHIPPING_STATE%</span><br /><span>%SHIPPING_ZIP%</span><br /><span>%SHIPPING_COUNTRY%</span></div></td><td style=\"width: 50%;\"><div style=\"line-height: 0.1em;\"><br /></div><table style=\"margin-right: 10px;width: 100%;\" class=\" cke_show_border\"><tbody><tr style=\"border-bottom: 1px solid #dedede;\"><td style=\"line-height: 1.9; padding: 5px;white-space: nowrap;\"><strong>Invoice Number:</strong></td><td style=\"line-height: 1.9; padding: 5px;\">%ORDER_NUMBER%</td></tr><tr style=\"border-bottom: 1px solid #dedede;\"><td style=\"line-height: 1.9; padding: 5px;white-space: nowrap;\"><strong>Invoice Date</strong></td><td style=\"line-height: 1.9; padding: 5px;\">%ORDER_DATE%</td></tr><tr style=\"border-bottom: 1px solid #dedede; background-color: #eee;\"><td style=\"line-height: 1.9; padding: 5px;\"><strong>Amount Paid</strong></td><td style=\"line-height: 1.9; padding: 5px;\">%ORDER_TOTAL%</td></tr></tbody></table></td></tr></tbody></table><div style=\"line-height: 0.1em;\"><br /></div><table style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: #fff; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><thead><tr style=\"background-color: #5d5d5d; color: #fff; line-height: 2;\"><th style=\"width: 25%;\"><strong>Items</strong></th><th style=\"width: 15%;\"><strong>Price</strong></th><th style=\"width: 15%;\"><strong>Shipping</strong></th><th style=\"width: 15%;\"><strong>Tax</strong></th><th style=\"width: 15%;\"><strong>Discount</strong></th><th style=\"width: 15%; text-align: right;\"><strong>Total</strong></th></tr></thead></table>%GRID_BEGIN%<table cellpadding=\"5\" style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: #fff; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><tbody><tr><td style=\"width: 25%;\">%PRODUCT_TITLE% (<strong>Quantity: %PRODUCT_QUANTITY%</strong>)<br />Seller: <b>%PRODUCT_SELLER_COMPANY%</b> %PRODUCT_SHIPPING_RULE%</td><td style=\"width: 15%;\">%PRODUCT_PRICE%</td><td style=\"width: 15%;\">%PRODUCT_SHIPPING%</td><td style=\"width: 15%;\">%PRODUCT_TAX%</td><td style=\"width: 15%;\">%PRODUCT_DISCOUNT%</td><td style=\"width: 15%; text-align: right;\">%PRODUCT_SUBTOTAL%</td></tr></tbody></table> %GRID_END%<div style=\"border-bottom: 1em solid #bbb; \"><br /></div><div style=\"line-height: 0.001em;\"><br /></div><table style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: #fff; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><tfoot><tr><td style=\"width: 25%;\"><strong>Total:</strong></td><td style=\"width: 15%;\">%CART_SUBTOTAL_EX_TAX%</td><td style=\"width: 15%;\">%PRODUCT_SHIPPING_SUBTOTAL%</td><td style=\"width: 15%;\">%PRODUCT_TAXES%</td><td style=\"width: 15%;\">%PRODUCT_DISCOUNTS%</td><td style=\"width: 15%; text-align: right;\">%CART_SUBTOTAL%</td></tr></tfoot></table><div style=\"border-bottom: 1em solid #bbb; line-height: 0.001em\"><br /></div><div style=\"line-height: 0.001em;\"><br /></div><table cellpadding=\"5\" style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: #fff; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><tfoot><tr><td colspan=\"4\" style=\"text-align: right;\"><strong>ORDER TOTALS:</strong></td><td><br /></td></tr><tr><td colspan=\"4\" style=\"text-align: right;\">Cart Taxes:</td><td style=\"text-align: right;\">%CART_TAXES%</td></tr><tr><td colspan=\"4\" style=\"text-align: right;\">Cart Discounts:</td><td colspan=\"2\" style=\"text-align: right;\">%CART_DISCOUNTS%</td></tr><tr><td colspan=\"2\"><span style=\"text-align: left;\">Shipped via: <b>%SHIPPING_RULE%</b></span></td><td colspan=\"2\" style=\"text-align: right;\"><span style=\"text-align: right;\">Total Shipping:</span></td><td colspan=\"2\" style=\"text-align: right;\">%CART_SHIPPING%</td></tr><tr><td colspan=\"2\"><span style=\"text-align: left;\">Coupon code: <b>%COUPON_CODE%</b></span></td><td colspan=\"2\" style=\"text-align: right;\"><span style=\"text-align: right;\">Total Coupon Discount:</span></td><td colspan=\"2\" style=\"text-align: right;\">%COUPON_CODE_AMOUNT%</td></tr><tr><td colspan=\"4\" style=\"text-align: right;\">Order Total</td><td colspan=\"2\" style=\"text-align: right;\"><span>%ORDER_TOTAL%</span></td></tr><tr><td colspan=\"4\" style=\"text-align: right;\">%PAYMENT_METHOD% Processing fee</td><td colspan=\"2\" style=\"text-align: right;\">%PROCESSING_FEE_AMOUNT%</td></tr><tr><td colspan=\"4\" style=\"text-align: right;\">Amount Payable</td><td colspan=\"2\" style=\"text-align: right;\"><strong>%PAYMENT_TOTAL%</strong></td></tr><tr><td colspan=\"6\"><div>Transaction Status: %PAYMENT_STATUS%</div></td></tr></tfoot></table></div></div>', 'view_order.pdf', 1, '2018-06-25 18:38:39', 311, '2019-05-06 04:20:03', 256, ''),
('Invoice View', 'invoice-view', '<h1 class=\"invoice-header\">Invoice</h1><div class=\"fieldset\"><table class=\"w100p cke_show_border\"><tbody><tr><td class=\"w50p v-top\"><table class=\"w100p order-info cke_show_border\"><tbody><tr><td>Order ID</td><td class=\"strong\">%ORDER_NUMBER%</td></tr><tr><td>Order Date</td><td>%ORDER_DATE%</td></tr><tr><td>Invoice Date</td><td>%ORDER_DATE%</td></tr><tr><td>VAT TIN #</td><td>ENTER YOUR VAT#</td></tr><tr><td>Service Tax #</td><td>ENTER YOUR TAX#</td></tr></tbody></table></td><td class=\"w50p v-top\"><div id=\"address-viewer\"><div id=\"address-shipping-text\"><div class=\"address_label\">SHIPPING ADDRESS</div><span class=\"address_name\">%SHIPPING_NAME%</span> <span class=\"address_mobile\"> %SHIPPING_MOBILE%</span><br />%SHIPPING_COMPANY% %SHIPPING_PO_BOX% <span class=\"address_address has-comma\">%SHIPPING_ADDRESS%</span> <span class=\"address_landmark\">%SHIPPING_LANDMARK%</span><br /><span class=\"address_district has-comma\">%SHIPPING_DISTRICT%</span> <span class=\"address_state_loc has-comma\">%SHIPPING_STATE%</span> <span class=\"address_zip\">%SHIPPING_ZIP%</span> - <span class=\"address_country\">%SHIPPING_COUNTRY%</span></div><div class=\"clearfix\"><br /></div><div id=\"address-billing-text\"><div class=\"address_label\">BILLING ADDRESS</div><span class=\"address_name\">%BILLING_NAME%</span> <span class=\"address_mobile\"> %BILLING_MOBILE%</span><br />%BILLING_COMPANY% %BILLING_PO_BOX% <span class=\"address_address has-comma\">%BILLING_ADDRESS%</span> <span class=\"address_landmark\">%BILLING_LANDMARK%</span><br /><span class=\"address_district has-comma\">%BILLING_DISTRICT%</span> <span class=\"address_state_loc has-comma\">%BILLING_STATE%</span> <span class=\"address_zip\">%BILLING_ZIP%</span> - <span class=\"address_country\">%BILLING_COUNTRY%</span></div></div></td></tr></tbody></table></div><table class=\"order-items cke_show_border\"><thead><tr><th>Item</th><th class=\"text-right\" style=\"width:70px;\">Price</th><th class=\"text-right\" style=\"width:70px;\">Shipping</th><th class=\"text-right\" style=\"width:70px;\">Tax</th><th class=\"text-right\" style=\"width:70px;\">Discount</th><th class=\"text-right\" style=\"width:70px;\">Total</th></tr></thead></table><p>%GRID_BEGIN%</p><table class=\"order-items cke_show_border\"><tbody><tr><td class=\"v-top\">%PRODUCT_TITLE% (<strong>Quantity: %PRODUCT_QUANTITY%</strong>)<br />Seller: <b>%PRODUCT_SELLER_COMPANY%</b> %PRODUCT_SHIPPING_RULE%</td><td class=\"text-right nowrap v-top\" style=\"width:70px;\">%PRODUCT_PRICE%</td><td class=\"text-right nowrap v-top\" style=\"width:70px;\">%PRODUCT_SHIPPING%</td><td class=\"text-right nowrap v-top\" style=\"width:70px;\">%PRODUCT_TAX%</td><td class=\"text-right nowrap v-top\" style=\"width:70px;\">%PRODUCT_DISCOUNT%</td><td class=\"text-right nowrap v-top\" style=\"width:70px;\">%PRODUCT_SUBTOTAL%</td></tr></tbody></table><p>%GRID_END%</p><table class=\"order-items cke_show_border\"><tfoot><tr class=\"strong\"><td>Total</td><td class=\"text-right\" style=\"width:70px;\">%CART_SUBTOTAL_EX_TAX%</td><td class=\"text-right\" style=\"width:70px;\">%CART_SHIPPING%</td><td class=\"text-right\" style=\"width:70px;\">%PRODUCT_TAXES%</td><td class=\"text-right\" style=\"width:70px;\">%PRODUCT_DISCOUNTS%</td><td class=\"text-right\" style=\"width:70px;\">%CART_TOTAL%</td></tr><tr><td class=\"text-right\" colspan=\"4\">Cart Taxes:</td><td class=\"text-right\" colspan=\"2\">%CART_TAXES%</td></tr><tr><td class=\"text-right\" colspan=\"4\">Cart Discounts:</td><td class=\"text-right\" colspan=\"2\">%CART_DISCOUNTS%</td></tr><tr><td class=\"text-right\" colspan=\"4\"><span class=\"pull-left\">Shipped via: <b>%SHIPPING_RULE%</b></span> Total Shipping:</td><td class=\"text-right\" colspan=\"2\">%CART_SHIPPING%</td></tr><tr><td class=\"text-right\" colspan=\"4\"><span class=\"pull-left\">Coupon code: <b>%COUPON_CODE%</b></span> Total Coupon Discount:</td><td class=\"text-right\" colspan=\"2\">%COUPON_CODE_AMOUNT%</td></tr><tr><td class=\"text-right\" colspan=\"4\">Order Total</td><td class=\"text-right\" colspan=\"2\"><span>%ORDER_TOTAL%</span></td></tr><tr><td class=\"text-right nowrap\" colspan=\"4\">%PAYMENT_METHOD% Processing fee</td><td class=\"text-right nowrap\" colspan=\"2\">%PROCESSING_FEE_AMOUNT%</td></tr><tr><td class=\"text-right\" colspan=\"4\">Amount Payable</td><td class=\"text-right strong\" colspan=\"2\">%PAYMENT_TOTAL%</td></tr><tr><td colspan=\"6\"><div class=\"payment-status v-bottom\">Transaction Status: %PAYMENT_STATUS%</div></td></tr></tfoot></table><div class=\"center\"><em><small>This is a computer generated invoice. No signature required</small> </em></div>', 'view_order.invoice', 1, '2018-07-19 22:42:11', 311, '2019-05-07 02:26:34', 256, ''),
('Back Office Order - Invoice View', 'back-office-order-invoice-view', '<section id=\"widget-grid\">\r\n<article class=\"col-xs-12 col-sm-12 col-md-12 col-lg-12\">\r\n<div class=\"jarviswidget\">\r\n<div>\r\n<div class=\"widget-body no-padding\">\r\n<div class=\"padding-10\">&nbsp;\r\n<div class=\"pull-left\">\r\n<address><img alt=\"%SHOP_NAME%\" class=\"invoice-shop-logo\" src=\"%SHOP_LOGO%\" />\r\n<h4 class=\"semi-bold\">%SHOP_NAME%</h4>\r\n%SHOP_ADDRESS%, %SHOP_COUNTRY%<br />\r\n%SHOP_PHONE1% %SHOP_PHONE2%<br />\r\n%SHOP_EMAIL%<br />\r\n%SHOP_WEBSITE%</address>\r\n</div>\r\n\r\n<div class=\"pull-right\">\r\n<h1 class=\"font-400\">Invoice</h1>\r\n</div>\r\n\r\n<div class=\"clearfix\">&nbsp;</div>\r\n&nbsp;\r\n\r\n<div class=\"row\">\r\n<div class=\"col-sm-9\">\r\n<div id=\"address-viewer\">\r\n<div class=\"row\">\r\n<div class=\"col-md-5 col-sm-10\" id=\"address-shipping-text\">\r\n<div class=\"address_label\">Shipping Address</div>\r\n<span class=\"address_name\">%SHIPPING_NAME%</span> <span class=\"address_mobile\"> %SHIPPING_MOBILE%</span><br />\r\n<span class=\"address_address has-comma\">%SHIPPING_ADDRESS%</span> <span class=\"address_landmark\">%SHIPPING_LANDMARK%</span><br />\r\n<span class=\"address_district has-comma\">%SHIPPING_DISTRICT%</span> <span class=\"address_state_loc has-comma\">%SHIPPING_STATE%</span> <span class=\"address_zip\">%SHIPPING_ZIP%</span> - <span class=\"address_country\">%SHIPPING_COUNTRY%</span></div>\r\n\r\n<div class=\"col-md-5 col-sm-10\" id=\"address-billing-text\">\r\n<div class=\"address_label\">Billing Address</div>\r\n<span class=\"address_name\">%BILLING_NAME%</span> <span class=\"address_mobile\"> %BILLING_MOBILE%</span><br />\r\n<span class=\"address_address has-comma\">%BILLING_ADDRESS%</span> <span class=\"address_landmark\">%BILLING_LANDMARK%</span><br />\r\n<span class=\"address_district has-comma\">%BILLING_DISTRICT%</span> <span class=\"address_state_loc has-comma\">%BILLING_STATE%</span> <span class=\"address_zip\">%BILLING_ZIP%</span> - <span class=\"address_country\">%BILLING_COUNTRY%</span></div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<div class=\"col-sm-3 padding-10\">\r\n<div class=\"font-md\"><strong>Order #</strong> <span class=\"pull-right\"><strong>%ORDER_NUMBER%</strong></span></div>\r\n\r\n<div class=\"font-md\"><strong>Order Date</strong> <span class=\"pull-right\">%ORDER_DATE%</span></div>\r\n&nbsp;\r\n\r\n<div class=\"well well-sm bg-color-darken txt-color-white no-border\">\r\n<div class=\"fa-lg\">Order Total : <span class=\"pull-right\"> %ORDER_TOTAL%**</span></div>\r\n</div>\r\n<br />\r\n&nbsp;</div>\r\n</div>\r\n\r\n<table class=\"table\">\r\n	<thead>\r\n		<tr>\r\n			<th>Item</th>\r\n			<th class=\"text-right\" style=\"max-width: 110px; width: 5%\">Price</th>\r\n			<th class=\"text-right\" style=\"max-width: 110px; width: 5%\">Taxes</th>\r\n			<th class=\"text-right\" style=\"max-width: 110px; width: 5%\">Discounts</th>\r\n			<th class=\"text-right\" style=\"max-width: 110px; width: 5%\">Shipping</th>\r\n			<th class=\"text-right\" style=\"max-width: 110px; width: 2%\">SUBTOTAL</th>\r\n		</tr>\r\n	</thead>\r\n</table>\r\n%GRID_BEGIN%\r\n\r\n<table class=\"table\">\r\n	<tbody>\r\n		<tr>\r\n			<td class=\"v-top\">%PRODUCT_TITLE% (<strong>Quantity: %PRODUCT_QUANTITY%</strong>)<br />\r\n			Seller: <b>%PRODUCT_SELLER_COMPANY%</b> Shipped via: <b>%PRODUCT_SHIPPING_RULE% </b></td>\r\n			<td class=\"text-right nowrap v-top\" style=\"max-width: 110px; width: 5%\">%PRODUCT_PRICE%</td>\r\n			<td class=\"text-right nowrap v-top\" style=\"max-width: 110px; width: 5%\">%PRODUCT_TAX%</td>\r\n			<td class=\"text-right nowrap v-top\" style=\"max-width: 110px; width: 5%\">%PRODUCT_DISCOUNT%</td>\r\n			<td class=\"text-right nowrap v-top\" style=\"max-width: 110px; width: 5%\">%PRODUCT_SHIPPING%</td>\r\n			<td class=\"text-right nowrap v-top\" style=\"max-width: 110px; width: 2%\">%PRODUCT_SUBTOTAL%</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n%GRID_END%\r\n\r\n<table class=\"table\">\r\n	<tbody>\r\n		<tr>\r\n			<th colspan=\"1\">Total</th>\r\n			<th class=\"text-right\" style=\"max-width: 110px; width: 5%\">%CART_SUBTOTAL_EX_TAX%</th>\r\n			<th class=\"text-right\" style=\"max-width: 110px; width: 5%\">%PRODUCT_TAXES%</th>\r\n			<th class=\"text-right\" style=\"max-width: 110px; width: 5%\">%PRODUCT_DISCOUNTS%</th>\r\n			<th class=\"text-right\" style=\"max-width: 110px; width: 5%\">%CART_SHIPPING%</th>\r\n			<th class=\"text-right\" style=\"max-width: 110px; width: 2%\">%CART_TOTAL%</th>\r\n		</tr>\r\n		<tr>\r\n			<td class=\"text-right\" colspan=\"2\">Total Taxes:</td>\r\n			<td class=\"text-right\" colspan=\"5\">(+) %CART_TAXES%</td>\r\n		</tr>\r\n		<tr>\r\n			<td class=\"text-right\" colspan=\"2\">Total Discount:</td>\r\n			<td class=\"text-right\" colspan=\"5\">(&minus;) %CART_DISCOUNTS%</td>\r\n		</tr>\r\n		<tr>\r\n			<td class=\"text-right\" colspan=\"2\"><span class=\"pull-left\">Shipped via: <b>%SHIPPING_RULE%</b></span> Total Shipping:</td>\r\n			<td class=\"text-right\" colspan=\"5\">%CART_SHIPPING%</td>\r\n		</tr>\r\n		<tr>\r\n			<td class=\"text-right\" colspan=\"2\"><span class=\"pull-left\">Coupon code: <b>%COUPON_CODE%</b></span> Total Coupon Discount:</td>\r\n			<td class=\"text-right\" colspan=\"5\">%COUPON_CODE_AMOUNT%</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n%CHECKOUT_FORM% %SHIPPING_PARAMS%\r\n\r\n<div class=\"invoice-footer padding-10\">\r\n<div class=\"row\">\r\n<div class=\"col-sm-7\">\r\n<div class=\"payment-methods v-bottom\">\r\n<h5>Paid By :</h5>\r\n<img alt=\"\" height=\"48\" src=\"%PAYMENT_LOGO%\" /><br />\r\n<strong>%PAYMENT_METHOD%</strong></div>\r\n\r\n<div class=\"payment-status v-bottom\">Transaction Status: %PAYMENT_STATUS%</div>\r\n</div>\r\n\r\n<div class=\"col-sm-5\">\r\n<div class=\"invoice-sum-total pull-right\">\r\n<h3><strong>Total: <span class=\"text-success\">%ORDER_TOTAL%</span></strong></h3>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class=\"row\">\r\n<div class=\"col-sm-12\">\r\n<p class=\"note\">** To avoid any excess penalty charges, please make payments within 30 days of the due date.There will be a 2% interest charge per month on all late invoices</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</article>\r\n</section>\r\n', 'backoffice_order.invoice', 1, '2018-07-20 00:33:23', 311, '2019-04-30 23:48:14', 256, '');

CREATE TABLE IF NOT EXISTS `#__sellacious_viewtemplate_defaults` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `context` varchar(250) NOT NULL,
  `body` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__sellacious_viewtemplate_defaults` (`context`, `body`) VALUES
('view_order.print', '<div style=\"width: 840px; margin-left: auto; margin-right: auto;\"><div style=\"border: 1px solid #dedede; padding: 8px; margin-top: 16px; margin-bottom: 6px;\"><table style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: transparent; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><tbody><tr><td style=\"width: 50%;vertical-align: top;\"><table style=\"margin-right: 10px;width: 100%;\" class=\" cke_show_border\"><tbody><tr style=\"border-bottom: 1px solid #dedede;\"><td style=\"line-height: 1.9; padding: 5px;white-space: nowrap;\">Order ID</td><td style=\"line-height: 1.9; padding: 5px;\"><strong>%ORDER_NUMBER% </strong></td></tr><tr style=\"border-bottom: 1px solid #dedede;\"><td style=\"line-height: 1.9; padding: 5px;white-space: nowrap;\">Seller</td><td style=\"line-height: 1.9; padding: 5px;\">%SELLER_NAME%</td></tr><tr style=\"border-bottom: 1px solid #dedede;\"><td style=\"line-height: 1.9; padding: 5px;white-space: nowrap;\">Order Date</td><td style=\"line-height: 1.9; padding: 5px;\">%ORDER_DATE%</td></tr><tr style=\"border-bottom: 1px solid #dedede;\"><td style=\"line-height: 1.9; padding: 5px;\">Amount Paid</td><td style=\"line-height: 1.9; padding: 5px;\">%ORDER_TOTAL%</td></tr></tbody></table></td><td style=\"width: 50%;vertical-align: top;\"><div style=\"margin-left: 10px; text-align: left; padding: 0;\"><div style=\"margin-bottom: 10px; padding: 0;\"><div style=\"font-size: 11px; font-weight: bold;text-transform: uppercase;background: #efefef;color: #000000;padding: 3px;\">Shipping Address</div><span style=\"font-size: 15px;font-weight: bold;color: #000000;line-height: 1.8;margin-bottom: 10px;width: 230px;\">%SHIPPING_NAME%</span><br />, <span class=\"address_mobile\">%SHIPPING_MOBILE%</span><br />, <span class=\"address_landmark\">%SHIPPING_LANDMARK%</span><br />, <span class=\"address_district\">%SHIPPING_DISTRICT%</span><br />, <span class=\"address_state_loc\">%SHIPPING_STATE%</span><br />, <span class=\"address_zip\">%SHIPPING_ZIP%</span> - <span class=\"address_country\">%SHIPPING_COUNTRY%</span></div><div style=\"margin-bottom: 10px;padding: 0;\"><div style=\"font-size: 11px; font-weight: bold;text-transform: uppercase;background: #efefef;color: #000000;padding: 3px;\">Billing Address</div><span style=\"font-size: 15px;font-weight: bold;color: #000000;line-height: 1.8;margin-bottom: 10px;width: 230px;\">%BILLING_NAME%</span><br />, <span class=\"address_mobile\">%BILLING_MOBILE%</span><br />, <span class=\"address_landmark\">%BILLING_LANDMARK%</span><br />, <span class=\"address_district\">%BILLING_DISTRICT%</span><br />, <span class=\"address_state_loc\">%BILLING_STATE%</span><br />, <span class=\"address_zip\">%BILLING_ZIP%</span> - <span class=\"address_country\">%BILLING_COUNTRY%</span></div></div></td></tr></tbody></table></div>%GRID_BEGIN%<table style=\"margin-top: 15px;width: 100%;\" class=\" cke_show_border\"><thead><tr style=\"padding: 4px;height: 30px;background: #f5f5f5;border: 1px solid #cedede;text-transform: uppercase;line-height: 2.0;\"><th colspan=\"4\">Product Details</th></tr></thead><tbody><tr style=\"border-bottom: 1px solid #dfdfdf;\"><td style=\"width:100px; padding: 5px;line-height: 1.6;\"><img alt=\"%PRODUCT_TITLE%\" data-cke-saved-src=\"%PRODUCT_IMAGE%\" src=\"%PRODUCT_IMAGE%\" style=\"width:100px;\" /></td><td style=\"padding: 5px;line-height: 1.6;\">%PRODUCT_TITLE%<br />Quantity:&nbsp;%PRODUCT_QUANTITY%<br />Seller: <b>%PRODUCT_SELLER_NAME%</b></td><td style=\"padding: 5px;line-height: 1.6;\">%PRODUCT_STATUS_LOG%</td><td style=\"padding: 5px; line-height: 1.6; white-space: nowrap;text-align: right; font-weight: bold;font-size: 14px;vertical-align: top;\">%PRODUCT_SUBTOTAL%</td></tr></tbody></table> %GRID_END%<table style=\"width: 100%; max-width: 100%;background-color: transparent;border-collapse: collapse;border-spacing: 0;\" class=\" cke_show_border\"><tbody><tr><th colspan=\"3\" style=\"text-align: right;\"><span style=\"float: left;\">Shipped via: <b>%SHIPPING_RULE%</b></span> Total Shipping:</th><td style=\"text-align: right;\">%CART_SHIPPING%</td></tr><tr style=\"border-top: 1px solid #dfdfdf;\"><td colspan=\"3\" style=\"text-align: right; padding: 3px; line-height: 1.4;white-space: nowrap;text-align: right;\">Order Total</td><td style=\"width:90px;padding: 3px; line-height: 1.4;white-space: nowrap;text-align: right;\">%ORDER_TOTAL%</td></tr><tr><td colspan=\"4\" style=\"padding: 3px; line-height: 1.4;\"><br /></td></tr></tbody></table><table style=\"width: 100%;\" class=\" cke_show_border\"><thead><tr style=\"padding: 4px;height: 30px;background: #f5f5f5;border: 1px solid #cedede;text-transform: uppercase;line-height: 2.0;\"><th colspan=\"4\">Checkout Questions</th></tr></thead></table> %CHECKOUT_FORM%</div>'),
('view_order.pdf', '<div style=\"width: 840px; margin-left: auto; margin-right: auto;color:#333;\"><div style=\"padding: 8px; margin-top: 16px; margin-bottom: 6px;\"><table style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: #fff; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><tbody><tr><td><div style=\"text-align: left;\">​​​​​​​<img alt=\"SHOP LOGO\" data-cke-saved-src=\"%SHOP_LOGO%\" src=\"%SHOP_LOGO%\" /></div></td><td><h1 style=\"text-align: right;font-size: 24px;\">INVOICE</h1></td></tr><tr><td><div><div style=\"font-size: 14px; font-weight: bold;text-transform: uppercase;color: #bbbbbb;\">BILL TO</div><span style=\"font-size: 14px;font-weight: bold;color: #000000;line-height: 1.8;margin-bottom: 10px;width: 230px;\">%BILLING_NAME%</span><br /><span>%BILLING_MOBILE%</span><br /><span>%BILLING_LANDMARK%</span><br /><span>%BILLING_DISTRICT%</span><br /><span>%BILLING_STATE%</span><br /><span>%BILLING_ZIP%</span><br /><span>%BILLING_COUNTRY%</span></div></td><td style=\"text-align: right; float: right;\"><table style=\"border-spacing: 1px 0;\" class=\" cke_show_border\"><tbody><tr><td><strong>%SELLER_NAME%</strong></td></tr><tr><td>%SELLER_ADDRESS%</td></tr><tr><td><br /></td></tr><tr><td>%SELLER_PHONE%</td></tr><tr><td>%SELLER_WEBSITE%</td></tr></tbody></table></td></tr></tbody></table><div style=\"border-bottom: 0.1em solid #bbb; \"><br /></div><table style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: #fff; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><tbody><tr><td style=\"width: 50%;\"><div><div style=\"font-size: 14px; font-weight: bold;text-transform: uppercase;color: #bbbbbb;\">SHIP TO</div><span style=\"font-size: 14px;font-weight: bold;color: #000000;line-height: 1.8;margin-bottom: 10px;width: 230px;\">%SHIPPING_NAME%</span><br /><span>%SHIPPING_MOBILE%</span><br /><span>%SHIPPING_LANDMARK%</span><br /><span>%SHIPPING_DISTRICT%</span><br /><span>%SHIPPING_STATE%</span><br /><span>%SHIPPING_ZIP%</span><br /><span>%SHIPPING_COUNTRY%</span></div></td><td style=\"width: 50%;\"><div style=\"line-height: 0.1em;\"><br /></div><table style=\"margin-right: 10px;width: 100%;\" class=\" cke_show_border\"><tbody><tr style=\"border-bottom: 1px solid #dedede;\"><td style=\"line-height: 1.9; padding: 5px;white-space: nowrap;\"><strong>Invoice Number:</strong></td><td style=\"line-height: 1.9; padding: 5px;\">%ORDER_NUMBER%</td></tr><tr style=\"border-bottom: 1px solid #dedede;\"><td style=\"line-height: 1.9; padding: 5px;white-space: nowrap;\"><strong>Invoice Date</strong></td><td style=\"line-height: 1.9; padding: 5px;\">%ORDER_DATE%</td></tr><tr style=\"border-bottom: 1px solid #dedede; background-color: #eee;\"><td style=\"line-height: 1.9; padding: 5px;\"><strong>Amount Paid</strong></td><td style=\"line-height: 1.9; padding: 5px;\">%ORDER_TOTAL%</td></tr></tbody></table></td></tr></tbody></table><div style=\"line-height: 0.1em;\"><br /></div><table style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: #fff; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><thead><tr style=\"background-color: #5d5d5d; color: #fff; line-height: 2;\"><th style=\"width: 25%;\"><strong>Items</strong></th><th style=\"width: 15%;\"><strong>Price</strong></th><th style=\"width: 15%;\"><strong>Shipping</strong></th><th style=\"width: 15%;\"><strong>Tax</strong></th><th style=\"width: 15%;\"><strong>Discount</strong></th><th style=\"width: 15%; text-align: right;\"><strong>Total</strong></th></tr></thead></table>%GRID_BEGIN%<table cellpadding=\"5\" style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: #fff; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><tbody><tr><td style=\"width: 25%;\">%PRODUCT_TITLE% (<strong>Quantity: %PRODUCT_QUANTITY%</strong>)<br />Seller: <b>%PRODUCT_SELLER_COMPANY%</b> %PRODUCT_SHIPPING_RULE%</td><td style=\"width: 15%;\">%PRODUCT_PRICE%</td><td style=\"width: 15%;\">%PRODUCT_SHIPPING%</td><td style=\"width: 15%;\">%PRODUCT_TAX%</td><td style=\"width: 15%;\">%PRODUCT_DISCOUNT%</td><td style=\"width: 15%; text-align: right;\">%PRODUCT_SUBTOTAL%</td></tr></tbody></table> %GRID_END%<div style=\"border-bottom: 1em solid #bbb; \"><br /></div><div style=\"line-height: 0.001em;\"><br /></div><table style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: #fff; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><tfoot><tr><td style=\"width: 25%;\"><strong>Total:</strong></td><td style=\"width: 15%;\">%CART_SUBTOTAL_EX_TAX%</td><td style=\"width: 15%;\">%PRODUCT_SHIPPING_SUBTOTAL%</td><td style=\"width: 15%;\">%PRODUCT_TAXES%</td><td style=\"width: 15%;\">%PRODUCT_DISCOUNTS%</td><td style=\"width: 15%; text-align: right;\">%CART_SUBTOTAL%</td></tr></tfoot></table><div style=\"border-bottom: 1em solid #bbb; line-height: 0.001em\"><br /></div><div style=\"line-height: 0.001em;\"><br /></div><table cellpadding=\"5\" style=\"margin-top: 15px; width: 100%; max-width: 100%; background-color: #fff; border-collapse: collapse; border-spacing: 0;\" class=\" cke_show_border\"><tfoot><tr><td colspan=\"4\" style=\"text-align: right;\"><strong>ORDER TOTALS:</strong></td><td><br /></td></tr><tr><td colspan=\"4\" style=\"text-align: right;\">Cart Taxes:</td><td style=\"text-align: right;\">%CART_TAXES%</td></tr><tr><td colspan=\"4\" style=\"text-align: right;\">Cart Discounts:</td><td colspan=\"2\" style=\"text-align: right;\">%CART_DISCOUNTS%</td></tr><tr><td colspan=\"2\"><span style=\"text-align: left;\">Shipped via: <b>%SHIPPING_RULE%</b></span></td><td colspan=\"2\" style=\"text-align: right;\"><span style=\"text-align: right;\">Total Shipping:</span></td><td colspan=\"2\" style=\"text-align: right;\">%CART_SHIPPING%</td></tr><tr><td colspan=\"2\"><span style=\"text-align: left;\">Coupon code: <b>%COUPON_CODE%</b></span></td><td colspan=\"2\" style=\"text-align: right;\"><span style=\"text-align: right;\">Total Coupon Discount:</span></td><td colspan=\"2\" style=\"text-align: right;\">%COUPON_CODE_AMOUNT%</td></tr><tr><td colspan=\"4\" style=\"text-align: right;\">Order Total</td><td colspan=\"2\" style=\"text-align: right;\"><span>%ORDER_TOTAL%</span></td></tr><tr><td colspan=\"4\" style=\"text-align: right;\">%PAYMENT_METHOD% Processing fee</td><td colspan=\"2\" style=\"text-align: right;\">%PROCESSING_FEE_AMOUNT%</td></tr><tr><td colspan=\"4\" style=\"text-align: right;\">Amount Payable</td><td colspan=\"2\" style=\"text-align: right;\"><strong>%PAYMENT_TOTAL%</strong></td></tr><tr><td colspan=\"6\"><div>Transaction Status: %PAYMENT_STATUS%</div></td></tr></tfoot></table></div></div>'),
('view_order.invoice', '<h1 class=\"invoice-header\">Invoice</h1><div class=\"fieldset\"><table class=\"w100p cke_show_border\"><tbody><tr><td class=\"w50p v-top\"><table class=\"w100p order-info cke_show_border\"><tbody><tr><td>Order ID</td><td class=\"strong\">%ORDER_NUMBER%</td></tr><tr><td>Order Date</td><td>%ORDER_DATE%</td></tr><tr><td>Invoice Date</td><td>%ORDER_DATE%</td></tr><tr><td>VAT TIN #</td><td>ENTER YOUR VAT#</td></tr><tr><td>Service Tax #</td><td>ENTER YOUR TAX#</td></tr><tr><td>GST#</td><td>%GST_NUMBER%</td></tr><tr><td>PAN#</td><td>%PAN_NUMBER%</td></tr></tbody></table></td><td class=\"w50p v-top\"><div id=\"address-viewer\"><div id=\"address-shipping-text\"><div class=\"address_label\">SHIPPING ADDRESS</div><span class=\"address_name\">%SHIPPING_NAME%</span> <span class=\"address_mobile\"> %SHIPPING_MOBILE%</span><br />%SHIPPING_COMPANY% %SHIPPING_PO_BOX% <span class=\"address_address has-comma\">%SHIPPING_ADDRESS%</span> <span class=\"address_landmark\">%SHIPPING_LANDMARK%</span><br /><span class=\"address_district has-comma\">%SHIPPING_DISTRICT%</span> <span class=\"address_state_loc has-comma\">%SHIPPING_STATE%</span> <span class=\"address_zip\">%SHIPPING_ZIP%</span> - <span class=\"address_country\">%SHIPPING_COUNTRY%</span></div><div class=\"clearfix\"><br /></div><div id=\"address-billing-text\"><div class=\"address_label\">BILLING ADDRESS</div><span class=\"address_name\">%BILLING_NAME%</span> <span class=\"address_mobile\"> %BILLING_MOBILE%</span><br />%BILLING_COMPANY% %BILLING_PO_BOX% <span class=\"address_address has-comma\">%BILLING_ADDRESS%</span> <span class=\"address_landmark\">%BILLING_LANDMARK%</span><br /><span class=\"address_district has-comma\">%BILLING_DISTRICT%</span> <span class=\"address_state_loc has-comma\">%BILLING_STATE%</span> <span class=\"address_zip\">%BILLING_ZIP%</span> - <span class=\"address_country\">%BILLING_COUNTRY%</span></div></div></td></tr></tbody></table></div><table class=\"order-items cke_show_border\"><thead><tr><th>Item</th><th class=\"text-right\" style=\"width:70px;\">Price</th><th class=\"text-right\" style=\"width:70px;\">Shipping</th><th class=\"text-right\" style=\"width:70px;\">Tax</th><th class=\"text-right\" style=\"width:70px;\">Discount</th><th class=\"text-right\" style=\"width:70px;\">Total</th></tr></thead></table><p>%GRID_BEGIN%</p><table class=\"order-items cke_show_border\"><tbody><tr><td class=\"v-top\">%PRODUCT_TITLE% (<strong>Quantity: %PRODUCT_QUANTITY%</strong>)<br />Seller: <b>%PRODUCT_SELLER_COMPANY%</b> %PRODUCT_SHIPPING_RULE%</td><td class=\"text-right nowrap v-top\" style=\"width:70px;\">%PRODUCT_PRICE%</td><td class=\"text-right nowrap v-top\" style=\"width:70px;\">%PRODUCT_SHIPPING%</td><td class=\"text-right nowrap v-top\" style=\"width:70px;\">%PRODUCT_TAX%</td><td class=\"text-right nowrap v-top\" style=\"width:70px;\">%PRODUCT_DISCOUNT%</td><td class=\"text-right nowrap v-top\" style=\"width:70px;\">%PRODUCT_SUBTOTAL%</td></tr></tbody></table><p>%GRID_END%</p><table class=\"order-items cke_show_border\"><tfoot><tr class=\"strong\"><td>Total</td><td class=\"text-right\" style=\"width:70px;\">%CART_SUBTOTAL_EX_TAX%</td><td class=\"text-right\" style=\"width:70px;\">%CART_SHIPPING%</td><td class=\"text-right\" style=\"width:70px;\">%PRODUCT_TAXES%</td><td class=\"text-right\" style=\"width:70px;\">%PRODUCT_DISCOUNTS%</td><td class=\"text-right\" style=\"width:70px;\">%CART_TOTAL%</td></tr><tr><td class=\"text-right\" colspan=\"4\">Cart Taxes:</td><td class=\"text-right\" colspan=\"2\">%CART_TAXES%</td></tr><tr><td class=\"text-right\" colspan=\"4\">Cart Discounts:</td><td class=\"text-right\" colspan=\"2\">%CART_DISCOUNTS%</td></tr><tr><td class=\"text-right\" colspan=\"4\"><span class=\"pull-left\">Shipped via: <b>%SHIPPING_RULE%</b></span> Total Shipping:</td><td class=\"text-right\" colspan=\"2\">%CART_SHIPPING%</td></tr><tr><td class=\"text-right\" colspan=\"4\"><span class=\"pull-left\">Coupon code: <b>%COUPON_CODE%</b></span> Total Coupon Discount:</td><td class=\"text-right\" colspan=\"2\">%COUPON_CODE_AMOUNT%</td></tr><tr><td class=\"text-right\" colspan=\"4\">Order Total</td><td class=\"text-right\" colspan=\"2\"><span>%ORDER_TOTAL%</span></td></tr><tr><td class=\"text-right nowrap\" colspan=\"4\">%PAYMENT_METHOD% Processing fee</td><td class=\"text-right nowrap\" colspan=\"2\">%PROCESSING_FEE_AMOUNT%</td></tr><tr><td class=\"text-right\" colspan=\"4\">Amount Payable</td><td class=\"text-right strong\" colspan=\"2\">%PAYMENT_TOTAL%</td></tr><tr><td colspan=\"6\"><div class=\"payment-status v-bottom\">Transaction Status: %PAYMENT_STATUS%</div></td></tr></tfoot></table><div class=\"center\"><em><small>This is a computer generated invoice. No signature required</small> </em></div>'),
('backoffice_order.invoice', '<section id=\"widget-grid\"><article class=\"col-xs-12 col-sm-12 col-md-12 col-lg-12\"><div class=\"jarviswidget\"><div><div class=\"widget-body no-padding\"><div class=\"padding-10\"><br /><div class=\"pull-left\"><address><img alt=\"%SHOP_NAME%\" class=\"invoice-shop-logo\" data-cke-saved-src=\"%SHOP_LOGO%\" src=\"%SHOP_LOGO%\" /><h4 class=\"semi-bold\">%SHOP_NAME%</h4> %SHOP_ADDRESS%, %SHOP_COUNTRY%<br />%SHOP_PHONE1% %SHOP_PHONE2%<br />%SHOP_EMAIL%<br />%SHOP_WEBSITE%</address></div><div class=\"pull-right\"><h1 class=\"font-400\">Invoice</h1></div><div class=\"clearfix\"><br /></div> &nbsp;<div class=\"row\"><div class=\"col-sm-9\"><div id=\"address-viewer\"><div class=\"row\"><div class=\"col-md-5 col-sm-10\" id=\"address-shipping-text\"><div class=\"address_label\">Shipping Address</div><span class=\"address_name\">%SHIPPING_NAME%</span> <span class=\"address_mobile\"> %SHIPPING_MOBILE%</span><br /><span class=\"address_address has-comma\">%SHIPPING_ADDRESS%</span> <span class=\"address_landmark\">%SHIPPING_LANDMARK%</span><br /><span class=\"address_district has-comma\">%SHIPPING_DISTRICT%</span> <span class=\"address_state_loc has-comma\">%SHIPPING_STATE%</span> <span class=\"address_zip\">%SHIPPING_ZIP%</span> - <span class=\"address_country\">%SHIPPING_COUNTRY%</span></div><div class=\"col-md-5 col-sm-10\" id=\"address-billing-text\"><div class=\"address_label\">Billing Address</div><span class=\"address_name\">%BILLING_NAME%</span> <span class=\"address_mobile\"> %BILLING_MOBILE%</span><br /><span class=\"address_address has-comma\">%BILLING_ADDRESS%</span> <span class=\"address_landmark\">%BILLING_LANDMARK%</span><br /><span class=\"address_district has-comma\">%BILLING_DISTRICT%</span> <span class=\"address_state_loc has-comma\">%BILLING_STATE%</span> <span class=\"address_zip\">%BILLING_ZIP%</span> - <span class=\"address_country\">%BILLING_COUNTRY%</span></div></div></div></div><div class=\"col-sm-3 padding-10\"><div class=\"font-md\"><strong>Order #</strong> <span class=\"pull-right\"><strong>%ORDER_NUMBER%</strong></span></div><div class=\"font-md\"><strong>Order Date</strong> <span class=\"pull-right\">%ORDER_DATE%</span></div><br /><div class=\"well well-sm bg-color-darken txt-color-white no-border\"><div class=\"fa-lg\">Order Total : <span class=\"pull-right\"> %ORDER_TOTAL%**</span></div></div><br /><br /></div></div><table class=\"table cke_show_border\"><thead><tr><th>Item</th><th class=\"text-right\" style=\"max-width: 110px; width: 5%\">Price</th><th class=\"text-right\" style=\"max-width: 110px; width: 5%\">Taxes</th><th class=\"text-right\" style=\"max-width: 110px; width: 5%\">Discounts</th><th class=\"text-right\" style=\"max-width: 110px; width: 5%\">Shipping</th><th class=\"text-right\" style=\"max-width: 110px; width: 2%\">SUBTOTAL</th></tr></thead></table> %GRID_BEGIN%<table class=\"table cke_show_border\"><tbody><tr><td class=\"v-top\">%PRODUCT_TITLE% (<strong>Quantity: %PRODUCT_QUANTITY%</strong>)<br />Seller: <b>%PRODUCT_SELLER_COMPANY%</b> Shipped via: <b>%PRODUCT_SHIPPING_RULE% </b></td><td class=\"text-right nowrap v-top\" style=\"max-width: 110px; width: 5%\">%PRODUCT_PRICE%</td><td class=\"text-right nowrap v-top\" style=\"max-width: 110px; width: 5%\">%PRODUCT_TAX%</td><td class=\"text-right nowrap v-top\" style=\"max-width: 110px; width: 5%\">%PRODUCT_DISCOUNT%</td><td class=\"text-right nowrap v-top\" style=\"max-width: 110px; width: 5%\"><br /></td><td class=\"text-right nowrap v-top\" style=\"max-width: 110px; width: 2%\">%PRODUCT_SUBTOTAL%</td></tr></tbody></table> %GRID_END%<table class=\"table cke_show_border\"><tbody><tr><th colspan=\"1\">Total</th><th class=\"text-right\" style=\"max-width: 110px; width: 5%\">%CART_SUBTOTAL_EX_TAX%</th><th class=\"text-right\" style=\"max-width: 110px; width: 5%\">%PRODUCT_TAXES%</th><th class=\"text-right\" style=\"max-width: 110px; width: 5%\">%PRODUCT_DISCOUNTS%</th><th class=\"text-right\" style=\"max-width: 110px; width: 5%\">%CART_SHIPPING%</th><th class=\"text-right\" style=\"max-width: 110px; width: 2%\">%CART_TOTAL%</th></tr><tr><td class=\"text-right\" colspan=\"2\">Total Taxes:</td><td class=\"text-right\" colspan=\"5\">(+) %CART_TAXES%</td></tr><tr><td class=\"text-right\" colspan=\"2\">Total Discount:</td><td class=\"text-right\" colspan=\"5\">(−) %CART_DISCOUNTS%</td></tr><tr><td class=\"text-right\" colspan=\"2\"><span class=\"pull-left\">Shipped via: <b>%SHIPPING_RULE%</b></span> Total Shipping:</td><td class=\"text-right\" colspan=\"5\">%CART_SHIPPING%</td></tr><tr><td class=\"text-right\" colspan=\"2\"><span class=\"pull-left\">Coupon code: <b>%COUPON_CODE%</b></span> Total Coupon Discount:</td><td class=\"text-right\" colspan=\"5\">%COUPON_CODE_AMOUNT%</td></tr></tbody></table> %CHECKOUT_FORM% %SHIPPING_PARAMS%<div class=\"invoice-footer padding-10\"><div class=\"row\"><div class=\"col-sm-7\"><div class=\"payment-methods v-bottom\"><h5>Paid By :</h5><img height=\"48\" data-cke-saved-src=\"%PAYMENT_LOGO%\" src=\"%PAYMENT_LOGO%\" /><br /><strong>%PAYMENT_METHOD%</strong></div><div class=\"payment-status v-bottom\">Transaction Status: %PAYMENT_STATUS%</div></div><div class=\"col-sm-5\"><div class=\"invoice-sum-total pull-right\"><h3><strong>Total: <span class=\"text-success\">%ORDER_TOTAL%</span></strong></h3></div></div></div><p><br /></p><div class=\"row\"><div class=\"col-sm-12\"><p class=\"note\">** To avoid any excess penalty charges, please make payments within 30 days of the due date.There will be a 2% interest charge per month on all late invoices</p></div></div></div></div></div></div></div></article></section>');

CREATE TABLE IF NOT EXISTS `#__sellacious_wishlist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `variant_id` int(11) NOT NULL,
  `seller_uid` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__session` (
  `session_id` varbinary(192) NOT NULL,
  `client_id` tinyint(3) unsigned DEFAULT NULL,
  `guest` tinyint(3) unsigned DEFAULT 1,
  `time` int(11) NOT NULL DEFAULT 0,
  `data` mediumtext,
  `userid` int(11) DEFAULT 0,
  `username` varchar(150) DEFAULT '',
  PRIMARY KEY (`session_id`),
  KEY `userid` (`userid`),
  KEY `time` (`time`),
  KEY `client_id_guest` (`client_id`, `guest`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__spmedia` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `path` varchar(255) NOT NULL,
  `thumb` varchar(255) NOT NULL,
  `alt` varchar(255) NOT NULL,
  `caption` varchar(2048) NOT NULL,
  `description` mediumtext NOT NULL,
  `type` varchar(100) NOT NULL DEFAULT 'image',
  `extension` varchar(100) NOT NULL,
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` bigint(20) NOT NULL DEFAULT 0,
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `#__spmedia`
--

INSERT INTO `#__spmedia` (`id`, `title`, `path`, `thumb`, `alt`, `caption`, `description`, `type`, `extension`, `created_on`, `created_by`, `modified_on`, `modified_by`) VALUES
(10, 'client4', 'images/2018/02/22/client4.png', '', 'client4', '', '', 'image', 'com_sppagebuilder', '2018-02-22 07:27:01', 871, '0000-00-00 00:00:00', 0),
(11, 'avatar', 'images/2018/02/22/avatar.jpg', '', 'avatar', '', '', 'image', 'com_sppagebuilder', '2018-02-22 07:27:01', 871, '0000-00-00 00:00:00', 0),
(12, 'client1', 'images/2018/02/22/client1.png', '', 'client1', '', '', 'image', 'com_sppagebuilder', '2018-02-22 07:27:01', 871, '0000-00-00 00:00:00', 0),
(13, 'client2', 'images/2018/02/22/client2.png', '', 'client2', '', '', 'image', 'com_sppagebuilder', '2018-02-22 07:27:01', 871, '0000-00-00 00:00:00', 0),
(14, 'client3', 'images/2018/02/22/client3.png', '', 'client3', '', '', 'image', 'com_sppagebuilder', '2018-02-22 07:27:01', 871, '0000-00-00 00:00:00', 0),
(15, 'hero', 'images/2018/02/22/hero.jpg', 'images/2018/02/22/_spmedia_thumbs/hero.jpg', 'hero', '', '', 'image', 'com_sppagebuilder', '2018-02-22 07:27:01', 871, '0000-00-00 00:00:00', 0),
(16, 'img1', 'images/2018/02/22/img1.jpg', 'images/2018/02/22/_spmedia_thumbs/img1.jpg', 'img1', '', '', 'image', 'com_sppagebuilder', '2018-02-22 07:27:01', 871, '0000-00-00 00:00:00', 0),
(17, 'img2', 'images/2018/02/22/img2.jpg', 'images/2018/02/22/_spmedia_thumbs/img2.jpg', 'img2', '', '', 'image', 'com_sppagebuilder', '2018-02-22 07:27:01', 871, '0000-00-00 00:00:00', 0),
(18, 'person1', 'images/2018/02/22/person1.jpg', 'images/2018/02/22/_spmedia_thumbs/person1.jpg', 'person1', '', '', 'image', 'com_sppagebuilder', '2018-02-22 18:09:48', 871, '0000-00-00 00:00:00', 0),
(19, 'person2', 'images/2018/02/22/person2.jpg', 'images/2018/02/22/_spmedia_thumbs/person2.jpg', 'person2', '', '', 'image', 'com_sppagebuilder', '2018-02-22 18:09:48', 871, '0000-00-00 00:00:00', 0),
(20, 'person3', 'images/2018/02/22/person3.jpg', 'images/2018/02/22/_spmedia_thumbs/person3.jpg', 'person3', '', '', 'image', 'com_sppagebuilder', '2018-02-22 18:09:48', 871, '0000-00-00 00:00:00', 0),
(21, 'home', 'images/2020/03/06/home.jpg', 'images/2020/03/06/_spmedia_thumbs/home.jpg', 'home', '', '', 'image', 'com_sppagebuilder', '2020-03-06 09:57:58', 866, '0000-00-00 00:00:00', 0),
(22, 'contact', 'images/2020/03/06/contact.jpg', 'images/2020/03/06/_spmedia_thumbs/contact.jpg', 'contact', '', '', 'image', 'com_sppagebuilder', '2020-03-06 10:08:15', 866, '0000-00-00 00:00:00', 0),
(23, 'about-us', 'images/2020/03/06/about-us.jpg', 'images/2020/03/06/_spmedia_thumbs/about-us.jpg', 'about-us', '', '', 'image', 'com_sppagebuilder', '2020-03-06 10:16:05', 866, '0000-00-00 00:00:00', 0),
(24, 'about-us-2', 'images/2020/03/06/about-us-2.jpg', 'images/2020/03/06/_spmedia_thumbs/about-us-2.jpg', 'about-us-2', '', '', 'image', 'com_sppagebuilder', '2020-03-06 10:16:24', 866, '0000-00-00 00:00:00', 0),
(25, 'home-cta', 'images/2020/03/11/home-cta.jpg', 'images/2020/03/11/_spmedia_thumbs/home-cta.jpg', 'home-cta', '', '', 'image', 'com_sppagebuilder', '2020-03-11 04:34:54', 86, '0000-00-00 00:00:00', 0);

CREATE TABLE IF NOT EXISTS `#__sppagebuilder` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `asset_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `text` mediumtext NOT NULL,
  `extension` varchar(255) NOT NULL DEFAULT 'com_sppagebuilder',
  `extension_view` varchar(255) NOT NULL DEFAULT 'page',
  `view_id` bigint(20) NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT 0,
  `published` tinyint(3) NOT NULL DEFAULT 1,
  `catid` int(10) NOT NULL DEFAULT 0,
  `access` int(10) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` bigint(20) NOT NULL DEFAULT 0,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` bigint(20) NOT NULL DEFAULT 0,
  `checked_out` int(10) NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `og_title` varchar(255) NOT NULL,
  `og_image` varchar(255) NOT NULL,
  `og_description` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `hits` bigint(20) NOT NULL DEFAULT 0,
  `css` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

INSERT INTO `#__sppagebuilder` (`id`, `asset_id`, `title`, `text`, `extension`, `extension_view`, `view_id`, `active`, `published`, `catid`, `access`, `ordering`, `created_on`, `created_by`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `og_title`, `og_image`, `og_description`, `language`, `hits`, `css`) VALUES
(1, 60, 'Home', '[{\"id\":1489726135607,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":0,\"no_gutter\":0,\"id\":\"\",\"class\":\"\",\"padding\":{\"md\":\"150px 0px 150px 0px\",\"sm\":\"   \",\"xs\":\"   \"},\"margin\":{\"md\":\"0px 0px 0px 0px\",\"sm\":\"   \",\"xs\":\"   \"},\"color\":\"\",\"background_color\":\"\",\"background_image\":\"images/2020/03/06/home.jpg\",\"overlay\":\"rgba(0, 0, 0, 0.45)\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_position\":\"50% 50%\",\"background_video\":0,\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":0,\"hidden_sm\":0,\"hidden_md\":0,\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\",\"columns_align_center\":0},\"layout\":\"12\",\"columns\":[{\"id\":1489726135608,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1489726135611,\"name\":\"text_block\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"Welcome to Sellacious Quicks 2.0\",\"heading_selector\":\"h1\",\"title_fontsize\":\"36\",\"title_lineheight\":\"42\",\"title_fontstyle\":[\"bold\"],\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"rgba(255, 255, 255, 1)\",\"title_margin_top\":\"0\",\"title_margin_bottom\":\"20\",\"text\":\"<span style=\\\"font-size: 18px; line-height: 28px;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer adipiscing erat eget risus sollicitudin pellentesque et non erat. Maecenas nibh dolor, malesuada et bibendum a, sagittis accumsan ipsum.</span>\",\"alignment\":\"sppb-text-center\",\"class\":\"\",\"global_text_color\":\"rgba(245, 245, 245, 1)\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":0,\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":0,\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"0 20px 0 20px\",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"dropcap\":0,\"use_global_width\":0}},{\"id\":1489726135622,\"name\":\"button\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"text\":\"Shop Now\",\"alignment\":\"sppb-text-center\",\"fontstyle\":[\"uppercase\"],\"letterspace\":\"0\",\"url\":\"index.php/shop\",\"target\":\"\",\"type\":\"custom\",\"appearance\":\"outline\",\"background_color\":\"rgba(255, 255, 255, 1)\",\"color\":\"#ffffff\",\"background_color_hover\":\"rgba(255, 255, 255, 1)\",\"color_hover\":\"rgba(34, 34, 34, 1)\",\"size\":\"lg\",\"shape\":\"round\",\"block\":\"\",\"icon\":\"\",\"icon_position\":\"left\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":0,\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":0,\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":{\"md\":\"20px 0 10px 0\",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0,\"button_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"icon_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"use_global_width\":0}}]}]},{\"id\":1489726135627,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"Latest Products\",\"heading_selector\":\"h3\",\"title_fontsize\":\"28\",\"title_fontweight\":\"700\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"Explore our Trending and Fresh Arrivals\",\"subtitle_fontsize\":\"18\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"80px 0px 80px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1489726135628,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1489726135631,\"name\":\"module\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"module_type\":\"module\",\"id\":\"127\",\"position\":\"\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":0,\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":0,\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0,\"use_global_width\":0}}]}]},{\"id\":1489836755457,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":0,\"no_gutter\":0,\"id\":\"\",\"class\":\"\",\"padding\":{\"md\":\"50px 0px 50px 0px\",\"sm\":\"   \",\"xs\":\"   \"},\"margin\":{\"md\":\"0px 0px 0px 0px\",\"sm\":\"   \",\"xs\":\"   \"},\"color\":\"\",\"background_color\":\"\",\"background_image\":\"images/2020/03/11/home-cta.jpg\",\"overlay\":\"rgba(0, 0, 0, 0.5)\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_position\":\"0 0\",\"background_video\":0,\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":0,\"hidden_sm\":0,\"hidden_md\":0,\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\",\"columns_align_center\":0},\"layout\":\"12\",\"columns\":[{\"id\":1489836755458,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1518181357469,\"name\":\"text_block\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"WIde Range of Products\",\"heading_selector\":\"h3\",\"title_fontsize\":\"32\",\"title_lineheight\":\"\",\"title_fontstyle\":[\"bold\"],\"title_letterspace\":\"1px\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"0\",\"title_margin_bottom\":\"5\",\"text\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit integer adipiscing.\",\"alignment\":\"sppb-text-center\",\"class\":\"\",\"global_text_color\":\"rgba(255, 255, 255, 1)\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"0 0 20px 0\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}},{\"id\":1518181357476,\"name\":\"button\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"text\":\"Shop Now\",\"alignment\":\"sppb-text-center\",\"fontstyle\":null,\"letterspace\":\"0\",\"url\":\"index.php/shop\",\"target\":\"\",\"type\":\"primary\",\"appearance\":\"\",\"background_color\":\"#444444\",\"color\":\"#ffffff\",\"background_color_hover\":\"#222222\",\"color_hover\":\"#ffffff\",\"button_padding\":\"\",\"size\":\"\",\"shape\":\"round\",\"block\":\"\",\"icon\":\"\",\"icon_position\":\"left\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":0,\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":0,\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":{\"md\":\"20px 0 10px 0\",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0,\"icon_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"use_global_width\":0}}]}]},{\"id\":1489836755462,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"Men\'s Clothing\",\"heading_selector\":\"h3\",\"title_fontsize\":\"28\",\"title_fontweight\":\"700\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"Explore our Latest range of Men\'s Clothing\",\"subtitle_fontsize\":\"18\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"80px 0px 80px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1489836755463,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1489836755464,\"name\":\"module\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"module_type\":\"module\",\"id\":\"128\",\"position\":\"\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":0,\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":0,\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0,\"use_global_width\":0}}]}]},{\"id\":1500376527202,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"Highlighted Products\",\"heading_selector\":\"h3\",\"title_fontsize\":\"28\",\"title_fontweight\":\"700\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"This module will display Special Category products\",\"subtitle_fontsize\":\"18\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"80px 0px 80px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"rgba(247, 247, 247, 1)\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1500376527203,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1500376527204,\"name\":\"module\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"module_type\":\"module\",\"id\":\"129\",\"position\":\"\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":0,\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":0,\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0,\"use_global_width\":0}}]}]},{\"id\":1521614834303,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"Seller Store\",\"heading_selector\":\"h3\",\"title_fontsize\":\"28\",\"title_fontweight\":\"700\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"This module will display the list of Sellers\",\"subtitle_fontsize\":\"18\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"80px 0px 80px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1521614834304,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1521614834305,\"name\":\"module\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"module_type\":\"module\",\"id\":\"130\",\"position\":\"\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":0,\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":0,\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0,\"use_global_width\":0}}]}]}]', 'com_sppagebuilder', 'page', 0, 0, 1, 0, 1, 0, '2018-02-22 07:16:05', 86, '2020-03-11 05:40:42', 86, 0, '0000-00-00 00:00:00', '', '', '', '*', 1421, ''),
(2, 66, 'About', '[{\"id\":1477910412617,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"About Us\",\"heading_selector\":\"h3\",\"title_fontsize\":\"42\",\"title_fontweight\":\"bold\",\"title_text_color\":\"\",\"title_margin_top\":\"0\",\"title_margin_bottom\":\"20\",\"subtitle\":\"Know who we are\",\"subtitle_fontsize\":\"24\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":0,\"no_gutter\":0,\"id\":\"\",\"class\":\"\",\"padding\":{\"md\":\"120px 10px 70px 10px\",\"sm\":\"   \",\"xs\":\"   \"},\"margin\":{\"md\":\"0px 0px 0px 0px\",\"sm\":\"   \",\"xs\":\"   \"},\"color\":\"rgba(255, 255, 255, 1)\",\"background_color\":\"\",\"background_image\":\"images/2020/03/06/about-us.jpg\",\"overlay\":\"rgba(0, 0, 0, 0.45)\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_position\":\"50% 50%\",\"background_video\":0,\"background_video_mp4\":\"media/videos/2016/12/12/about-video.mp4\",\"background_video_ogv\":\"\",\"hidden_xs\":0,\"hidden_sm\":0,\"hidden_md\":0,\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\",\"columns_align_center\":0},\"layout\":\"12\",\"columns\":[{\"id\":1477910412618,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[]}]},{\"id\":1477912929757,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"100px 0px 70px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"6,6\",\"columns\":[{\"id\":1477912929758,\"class_name\":\"col-md-6\",\"visibility\":true,\"settings\":{\"color\":\"\",\"background\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_position\":\"0 0\",\"padding\":\"\",\"class\":\"\",\"sm_col\":\"\",\"xs_col\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"addons\":[{\"id\":1489830781954,\"name\":\"image\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"image\":\"images/2020/03/06/about-us-2.jpg\",\"alt_text\":\"\",\"position\":\"sppb-text-center\",\"open_lightbox\":0,\"overlay_color\":\"rgba(119, 219, 31, 0.5)\",\"link\":\"\",\"target\":\"\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":0,\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":0,\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"use_global_width\":0}}]},{\"id\":1477912929760,\"class_name\":\"col-md-6\",\"visibility\":true,\"settings\":{\"color\":\"\",\"background\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_position\":\"0 0\",\"padding\":\"\",\"class\":\"home-about\",\"sm_col\":\"\",\"xs_col\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"bounceIn\",\"animationduration\":\"600\",\"animationdelay\":\"300\"},\"addons\":[{\"id\":1481187697101,\"name\":\"text_block\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"Our Story\",\"heading_selector\":\"h3\",\"title_fontsize\":\"28\",\"title_lineheight\":\"\",\"title_fontstyle\":[\"normal\"],\"title_letterspace\":\"2px\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"5\",\"title_margin_bottom\":\"30\",\"text\":\"\\tLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer adipiscing erat eget risus sollicitudin pellentesque et non erat. Maecenas nibh dolor, malesuada et bibendum a, sagittis accumsan ipsum. Pellentesque ultrices ultrices sapien, nec tincidunt nunc posuere ut. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\",\"alignment\":\"sppb-text-left\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"0 0 25px 0\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}},{\"id\":1481525977955,\"name\":\"text_block\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"text\":\"\\t\\t\\tLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer adipiscing erat eget risus sollicitudin pellentesque et non erat. Maecenas nibh dolor, malesuada et bibendum a, sagittis accumsan ipsum. Pellentesque ultrices ultrices sapien, nec tincidunt nunc posuere ut. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\",\"alignment\":\"sppb-text-left\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"0 0 30px 0\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}},{\"id\":1489830827031,\"name\":\"button\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"text\":\"Check Products\",\"alignment\":\"sppb-text-left\",\"fontstyle\":null,\"letterspace\":\"0\",\"url\":\"index.php/shop\",\"target\":\"\",\"type\":\"primary\",\"appearance\":\"\",\"background_color\":\"#444444\",\"color\":\"#ffffff\",\"background_color_hover\":\"#222222\",\"color_hover\":\"#ffffff\",\"size\":\"\",\"shape\":\"rounded\",\"block\":\"\",\"icon\":\"fa-shopping-bag\",\"icon_position\":\"left\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"0 0 30px 0\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}}]}]}]', 'com_sppagebuilder', 'page', 0, 0, 1, 0, 1, 0, '2018-02-22 09:31:20', 320, '2020-03-15 12:38:44', 320, 0, '0000-00-00 00:00:00', '', '', '', '*', 101, ''),
(3, 67, 'Contact', '[{\"id\":1477904144678,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"Contact Us\",\"heading_selector\":\"h3\",\"title_fontsize\":\"42\",\"title_fontweight\":\"bold\",\"title_text_color\":\"\",\"title_margin_top\":\"0\",\"title_margin_bottom\":\"20\",\"subtitle\":\"Get in touch\",\"subtitle_fontsize\":\"24\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":0,\"no_gutter\":0,\"id\":\"\",\"class\":\"\",\"padding\":{\"md\":\"120px 10px 70px 10px\",\"sm\":\"   \",\"xs\":\"   \"},\"margin\":{\"md\":\"0px 0px 0px 0px\",\"sm\":\"   \",\"xs\":\"   \"},\"color\":\"rgba(255, 255, 255, 1)\",\"background_color\":\"\",\"background_image\":\"images/2020/03/06/contact.jpg\",\"overlay\":\"rgba(0, 0, 0, 0.45)\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"50% 50%\",\"background_video\":0,\"background_video_mp4\":\"media/videos/2016/12/08/contact-masthead.mp4\",\"background_video_ogv\":\"\",\"hidden_xs\":0,\"hidden_sm\":0,\"hidden_md\":0,\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\",\"columns_align_center\":0},\"layout\":\"12\",\"columns\":[{\"id\":1477904144679,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[]}]},{\"id\":1477904687734,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"100px 0px 70px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"2,4,4,2\",\"columns\":[{\"id\":1477904687735,\"class_name\":\"col-md-2\",\"visibility\":true,\"settings\":{},\"addons\":[]},{\"id\":1481172622477,\"class_name\":\"col-md-4\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1484730610895,\"name\":\"feature\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"Address\",\"heading_selector\":\"h3\",\"title_position\":\"after\",\"title_fontsize\":\"14\",\"title_lineheight\":\"22\",\"title_fontstyle\":[\"uppercase\",\"bold\"],\"title_letterspace\":\"2px\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"0\",\"title_margin_bottom\":\"2\",\"title_url\":\"\",\"url_appear\":\"title\",\"feature_type\":\"icon\",\"feature_image\":\"\",\"icon_name\":\"fa-map-marker\",\"icon_size\":\"28\",\"icon_color\":\"rgba(34, 184, 240, 1)\",\"icon_background\":\"\",\"icon_border_color\":\"\",\"icon_border_width\":\"\",\"icon_border_radius\":\"\",\"icon_margin_top\":\"\",\"icon_margin_bottom\":\"\",\"icon_padding\":\"\",\"text\":\"\\t\\t250 Bedford Park Blvd W, Bronx New York, NY, 10468\",\"alignment\":\"sppb-text-center\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"0 0 60px 0\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}},{\"id\":1484730610904,\"name\":\"feature\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"Phone\",\"heading_selector\":\"h3\",\"title_position\":\"after\",\"title_fontsize\":\"14\",\"title_lineheight\":\"22\",\"title_fontstyle\":[\"uppercase\",\"bold\"],\"title_letterspace\":\"2px\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"0\",\"title_margin_bottom\":\"2\",\"title_url\":\"\",\"url_appear\":\"title\",\"feature_type\":\"icon\",\"feature_image\":\"\",\"icon_name\":\"fa-phone\",\"icon_size\":\"28\",\"icon_color\":\"rgba(34, 184, 240, 1)\",\"icon_background\":\"\",\"icon_border_color\":\"\",\"icon_border_width\":\"\",\"icon_border_radius\":\"\",\"icon_margin_top\":\"\",\"icon_margin_bottom\":\"\",\"icon_padding\":\"\",\"text\":\"\\t<a href=\\\"tel:+12345678910\\\">+123 456 78910</a>\",\"alignment\":\"sppb-text-center\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"0 0 30px 0\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}}]},{\"id\":1489831699356,\"class_name\":\"col-md-4\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1484730610909,\"name\":\"feature\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"Email\",\"heading_selector\":\"h3\",\"title_position\":\"after\",\"title_fontsize\":\"14\",\"title_lineheight\":\"22\",\"title_fontstyle\":[\"uppercase\",\"bold\"],\"title_letterspace\":\"2px\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"0\",\"title_margin_bottom\":\"2\",\"title_url\":\"\",\"url_appear\":\"title\",\"feature_type\":\"icon\",\"feature_image\":\"\",\"icon_name\":\"fa-envelope-o\",\"icon_size\":\"28\",\"icon_color\":\"rgba(34, 184, 240, 1)\",\"icon_background\":\"\",\"icon_border_color\":\"\",\"icon_border_width\":\"\",\"icon_border_radius\":\"\",\"icon_margin_top\":\"\",\"icon_margin_bottom\":\"\",\"icon_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"text\":\"<a href=\\\"mailto:contact@sellacious.com\\\">contact@sellacious.com</a>\",\"alignment\":\"sppb-text-center\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":0,\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":0,\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":{\"md\":\"0 0 60px 0\",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0,\"text_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"use_global_width\":0}},{\"id\":1484730610932,\"name\":\"feature\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"Fax\",\"heading_selector\":\"h3\",\"title_position\":\"after\",\"title_fontsize\":\"14\",\"title_lineheight\":\"22\",\"title_fontstyle\":[\"uppercase\",\"bold\"],\"title_letterspace\":\"2px\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"0\",\"title_margin_bottom\":\"2\",\"title_url\":\"\",\"url_appear\":\"title\",\"feature_type\":\"icon\",\"feature_image\":\"\",\"icon_name\":\"fa-fax\",\"icon_size\":\"28\",\"icon_color\":\"rgba(34, 184, 240, 1)\",\"icon_background\":\"\",\"icon_border_color\":\"\",\"icon_border_width\":\"\",\"icon_border_radius\":\"\",\"icon_margin_top\":\"\",\"icon_margin_bottom\":\"\",\"icon_padding\":\"\",\"text\":\"\\t\\t<a href=\\\"tel:+12345678910\\\">+123 456 78910</a>\",\"alignment\":\"sppb-text-center\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"0 0 30px 0\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}}]},{\"id\":1489831699357,\"class_name\":\"col-md-2\",\"visibility\":true,\"settings\":{},\"addons\":[]}]}]', 'com_sppagebuilder', 'page', 0, 0, 1, 0, 1, 0, '2018-02-22 09:31:28', 320, '2020-03-16 09:54:43', 320, 0, '0000-00-00 00:00:00', '', '', '', '*', 34, ''),
(5, 129, 'Shipping Policy', '[{\"id\":1583905520784,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_position\":\"sppb-text-center\",\"columns_align_center\":0,\"fullscreen\":0,\"no_gutter\":0,\"padding\":\"50px 0px 50px 0px\",\"margin\":\"0px 0px 0px 0px\",\"background_image\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1583905520783,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{\"background_image\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_position\":\"0 0\",\"items_align_center\":0,\"boxshadow\":\"0 0 0 0 #fff\",\"sm_col\":\"\",\"xs_col\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"addons\":[{\"id\":1583905520787,\"name\":\"text_block\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"text\":\"<h3 class=\\\"sectionheading\\\">How does the delivery process work?</h3>\\n<ul>\\n<li style=\\\"font-weight: 400;\\\">Once our system processes your order, your products are inspected thoroughly to ensure they are in a perfect condition.</li>\\n<li style=\\\"font-weight: 400;\\\">After they pass through the final round of quality check, they are packed and handed over to our trusted delivery partner.</li>\\n<li style=\\\"font-weight: 400;\\\">Our delivery partners then bring the package to you at the earliest possible. In case, they are unable to reach your provided address or at a suitable time, they will contact you to resolve the issue.&nbsp;</li>\\n</ul>\\n<h3 class=\\\"sectionheading\\\"><br />How are items packaged?</h3>\\n<p>We package our products with great care. &nbsp;Each individual product is carefully packed using boxes and bubble wrap.</p>\\n<p>We pride ourselves on the quality of our packaging. Till date, we have received minimal complaints about damaged products due to our packaging.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">What is the range of locations to which Your_Company.com ships their products in India?</h3>\\n<p>Your_Company.com ships throughout India!<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">My order has been shipped. Now how can I track it?</h3>\\n<ul>\\n<li style=\\\"font-weight: 400;\\\">Once your order has been dispatched, you will receive an email with the details of the tracking number and the courier company that is processing your order.</li>\\n<li style=\\\"font-weight: 400;\\\">You can track the status of your package 24 hours after your order is dispatched from our warehouse.</li>\\n</ul>\\n<h3 class=\\\"sectionheading\\\"><br />What is the estimated delivery time?</h3>\\n<p>We dispatch most orders within 1-3 business days (excluding Sundays and public holidays)</p>\\n<ul>\\n<li style=\\\"font-weight: 400;\\\">Though, we keep 95% of our catalogue in our inventory, certain products need to be sourced directly from the brand itself so that we can live up to our promise of providing fresh, non-expired products.</li>\\n<li style=\\\"font-weight: 400;\\\">While we are trying our best to avoid this situation, these products might delay your order.</li>\\n<li style=\\\"font-weight: 400;\\\">If you are ordering our products from a Sale event, dispatches may be a bit delayed due to increased volumes. We will target to dispatch all orders within 5 days of order date.</li>\\n</ul>\\n<h3 class=\\\"sectionheading\\\"><br />My order will be shipped in multiple shipments? What does this mean?</h3>\\n<p>Don&rsquo;t worry! This is a completely normal situation. This just means that different parts of your order may have simply been shipped from our different warehouse locations.</p>\\n<p>Rest assured, you will only have to pay the shipping charge if applicable, on the first package you receive.</p>\\n<h3 class=\\\"sectionheading\\\"><br />Are there any shipping charges applicable on my order?</h3>\\n<p>We have standard shipping charge of INR 55 per order for most addresses within India.&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\"><br />Does Your_Company.com ship outside India?</h3>\\n<p>Your_Company.com ships to anywhere in the world!</p>\\n<p>A flat USD 25 charge is applied to the first item ordered and thereafter an addition charge of USD 5 for each additional item. &nbsp;We use Fedex International Priority for all our international deliveries. &nbsp;Please note that you, the buyer, are responsible for any VAT, tariff, duty, taxes, handling fees, customs clearance charges, etc required by your country for importing consumer goods. &nbsp;We do not collect this beforehand and cannot give you an estimate of the cost because it varies widely around the world. &nbsp;Please do your research so you are ready to receive your package cleared through customs and have an idea of what the additional cost will be.</p>\",\"alignment\":\"\",\"text_fontsize\":\"\",\"text_lineheight\":\"\",\"dropcap\":0,\"class\":\"\",\"global_use_background\":0,\"global_user_border\":0,\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"use_global_width\":0,\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0}}]}]}]', 'com_sppagebuilder', 'page', 0, 0, 1, 0, 1, 0, '0000-00-00 00:00:00', 86, '2020-03-11 05:46:10', 86, 0, '0000-00-00 00:00:00', '', '', '', '*', 5, '');
INSERT INTO `#__sppagebuilder` (`id`, `asset_id`, `title`, `text`, `extension`, `extension_view`, `view_id`, `active`, `published`, `catid`, `access`, `ordering`, `created_on`, `created_by`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `og_title`, `og_image`, `og_description`, `language`, `hits`, `css`) VALUES
(6, 130, 'Privacy Policy', '[{\"id\":1583905609368,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_position\":\"sppb-text-center\",\"columns_align_center\":0,\"fullscreen\":0,\"no_gutter\":0,\"padding\":\"50px 0px 50px 0px\",\"margin\":\"0px 0px 0px 0px\",\"background_image\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1583905609367,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{\"background_image\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_position\":\"0 0\",\"items_align_center\":0,\"boxshadow\":\"0 0 0 0 #fff\",\"sm_col\":\"\",\"xs_col\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"addons\":[{\"id\":1583905609371,\"name\":\"text_block\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"text\":\"<h3 class=\\\"sectionheading\\\">SECTION 1 - WHAT DO WE DO WITH YOUR INFORMATION?</h3>\\n<p>When you purchase something from our store, as part of the buying and selling process, we collect the personal information you give us such as your name, address and email address.</p>\\n<p>When you browse our store, we also automatically receive your computer&rsquo;s internet protocol (IP) address in order to provide us with information that helps us learn about your browser and operating system.</p>\\n<p>Email marketing (if applicable): With your permission, we may send you emails about our store, new products and other updates.</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 2 - CONSENT</h3>\\n<p>How do you get my consent?</p>\\n<p>When you provide us with personal information to complete a transaction, verify your credit card, place an order, arrange for a delivery or return a purchase, we imply that you consent to our collecting it and using it for that specific reason only.</p>\\n<p>If we ask for your personal information for a secondary reason, like marketing, we will either ask you directly for your expressed consent, or provide you with an opportunity to say no.</p>\\n<p>How do I withdraw my consent?</p>\\n<p>If after you opt-in, you change your mind, you may withdraw your consent for us to contact you, for the continued collection, use or disclosure of your information, at anytime, by contacting us at <strong>Your_Company</strong><strong>@Your_Company.in </strong>or mailing us at <strong>Your_Address</strong>.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 3 - DISCLOSURE</h3>\\n<p>We may disclose your personal information if we are required by law to do so or if you violate our Terms of Service.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 4 - PAYMENT</h3>\\n<p>We use Razorpay and Paypal for processing payments. We/Razorpay/Paypal do not store your card data on the servers. The data is encrypted through the Payment Card Industry Data Security Standard (PCI-DSS) when processing payment. Your purchase transaction data is only used as long as is necessary to complete your purchase transaction. After that is complete, your purchase transaction information is not saved.</p>\\n<p>Our payment gateway adheres to the standards set by PCI-DSS as managed by the PCI Security Standards Council, which is a joint effort of brands like Visa, MasterCard, American Express and Diners.</p>\\n<p>PCI-DSS requirements help ensure the secure handling of credit card information by our store and its service providers.</p>\\n<p>For more insight, you may also want to read terms and conditions of Razorpay on <a href=\\\"http://www.razorpay.com\\\">www.razorpay.com</a> and Paypal <a href=\\\"http://www.paypal.com\\\">www.paypal.com</a><a href=\\\"http://www.paypal.com\\\"><br /><br /></a></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 5 - THIRD-PARTY SERVICES</h3>\\n<p>In general, the third-party providers used by us will only collect, use and disclose your information to the extent necessary to allow them to perform the services they provide to us.</p>\\n<p>However, certain third-party service providers, such as payment gateways and other payment transaction processors, have their own privacy policies in respect to the information we are required to provide to them for your purchase-related transactions.</p>\\n<p>For these providers, we recommend that you read their privacy policies so you can understand the manner in which your personal information will be handled by these providers.</p>\\n<p>In particular, remember that certain providers may be located in or have facilities that are located a different jurisdiction than either you or us. So, if you elect to proceed with a transaction that involves the services of a third-party service provider, then your information may become subject to the laws of the jurisdiction(s) in which that service provider or its facilities are located.</p>\\n<p>Once you leave our store&rsquo;s website or are redirected to a third-party website or application, you are no longer governed by this Privacy Policy or our website&rsquo;s Terms of Service.</p>\\n<p>Links</p>\\n<p>When you click on links on our store, they may direct you away from our site. We are not responsible for the privacy practices of other sites and encourage you to read their privacy statements.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 6 - SECURITY</h3>\\n<p>To protect your personal information, we take reasonable precautions and follow industry best practices to make sure it is not inappropriately lost, misused, accessed, disclosed, altered or destroyed.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 7 - COOKIES</h3>\\n<p>We use cookies to maintain session of your user. It is not used to personally identify you on other websites.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 8 - AGE OF CONSENT</h3>\\n<p>By using this site, you represent that you are at least the age of majority in your state or province of residence, or that you are the age of majority in your state or province of residence and you have given us your consent to allow any of your minor dependents to use this site.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 9 - CHANGES TO THIS PRIVACY POLICY</h3>\\n<p>We reserve the right to modify this privacy policy at any time, so please review it frequently. Changes and clarifications will take effect immediately upon their posting on the website. If we make material changes to this policy, we will notify you here that it has been updated, so that you are aware of what information we collect, how we use it, and under what circumstances, if any, we use and/or disclose it.</p>\\n<p>If our store is acquired or merged with another company, your information may be transferred to the new owners so that we may continue to sell products to you.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">QUESTIONS AND CONTACT INFORMATION</h3>\\n<p>If you would like to: access, correct, amend or delete any personal information we have about you, register a complaint, or simply want more information contact our Privacy Compliance Officer at customercare@Your_Company.com or by mail at <strong>Your_Company</strong>,&nbsp;<strong>Your_Address</strong><strong>.</strong></p>\\n<p><br /><br /></p>\",\"alignment\":\"\",\"text_fontsize\":\"\",\"text_lineheight\":\"\",\"dropcap\":0,\"class\":\"\",\"global_use_background\":0,\"global_user_border\":0,\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"use_global_width\":0,\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0}}]}]}]', 'com_sppagebuilder', 'page', 0, 0, 1, 0, 1, 0, '0000-00-00 00:00:00', 86, '2020-03-11 05:47:31', 86, 0, '0000-00-00 00:00:00', '', '', '', '*', 2, ''),
(7, 131, 'Cancelations & Refunds', '[{\"id\":1583905609368,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_position\":\"sppb-text-center\",\"columns_align_center\":0,\"fullscreen\":0,\"no_gutter\":0,\"padding\":\"50px 0px 50px 0px\",\"margin\":\"0px 0px 0px 0px\",\"background_image\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1583905609367,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{\"background_image\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_position\":\"0 0\",\"items_align_center\":0,\"boxshadow\":\"0 0 0 0 #fff\",\"sm_col\":\"\",\"xs_col\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"addons\":[{\"id\":1583905609371,\"name\":\"text_block\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"text\":\"<h3 class=\\\"sectionheading\\\">What is your return/cancellation policy?</h3>\\n<p>Your_Company.com hopes that you never have to cancel or return a product. &nbsp;At the same time, we would be there to help you whenever you do so under the following circumstances only.</p>\\n<p>If you have received an item in a damaged/defective condition or have been sent a wrong product, you can follow a few simple steps to initiate your return/refund within 5 days of receiving the order:</p>\\n<p><strong>Step 1:</strong> Contact our Customer Support team via email (customercare@<strong>Your_Company</strong>.com) within 5 business days of receiving the order.</p>\\n<p><strong>Step 2:</strong> Provide us with your order ID details and your request to return/replace/refund the defective/wrong items in your order. Kindly share an image of the product and the invoice for our reference.</p>\\n<p><strong>Step 3:</strong> We will pick up the products within 2-4 business days. &nbsp;We will initiate the refund or replacement process only if the products are received by us in their original packaging with their seals, labels and barcodes intact.</p>\\n<p><strong>Note:</strong> If it is a case of replacement, it is subject to the availability of stock. &nbsp;In case that a replacement may not be available, we will refund you the full amount.</p>\\n<p><br /><br /></p>\",\"alignment\":\"\",\"text_fontsize\":\"\",\"text_lineheight\":\"\",\"dropcap\":0,\"class\":\"\",\"global_use_background\":0,\"global_user_border\":0,\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"use_global_width\":0,\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0}}]}]}]', 'com_sppagebuilder', 'page', 0, 0, 1, 0, 1, 0, '0000-00-00 00:00:00', 86, '2020-03-11 05:48:38', 86, 0, '0000-00-00 00:00:00', '', '', '', '*', 4, '');
INSERT INTO `#__sppagebuilder` (`id`, `asset_id`, `title`, `text`, `extension`, `extension_view`, `view_id`, `active`, `published`, `catid`, `access`, `ordering`, `created_on`, `created_by`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `og_title`, `og_image`, `og_description`, `language`, `hits`, `css`) VALUES
(8, 132, 'Terms and Conditions', '[{\"id\":1583905609368,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_position\":\"sppb-text-center\",\"columns_align_center\":0,\"fullscreen\":0,\"no_gutter\":0,\"padding\":\"50px 0px 50px 0px\",\"margin\":\"0px 0px 0px 0px\",\"background_image\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1583905609367,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{\"background_image\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_position\":\"0 0\",\"items_align_center\":0,\"boxshadow\":\"0 0 0 0 #fff\",\"sm_col\":\"\",\"xs_col\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"addons\":[{\"id\":1583905609371,\"name\":\"text_block\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"text\":\"<h3 class=\\\"sectionheading\\\">Overview</h3>\\n<p>This website is operated by <strong>Your_Company</strong>. Throughout the site, the terms &ldquo;we&rdquo;, &ldquo;us&rdquo; and &ldquo;our&rdquo; refer to <strong>Your_Company</strong>. <strong>Your_Company</strong> offers this website, including all information, tools and services available from this site to you, the user, conditioned upon your acceptance of all terms, conditions, policies and notices stated here.</p>\\n<p>By visiting our site and/ or purchasing something from us, you engage in our &ldquo;Service&rdquo; and agree to be bound by the following terms and conditions (&ldquo;Terms of Service&rdquo;, &ldquo;Terms&rdquo;), including those additional terms and conditions and policies referenced herein and/or available by hyperlink. These Terms of Service apply to all users of the site, including without limitation users who are browsers, vendors, customers, merchants, and/ or contributors of content.&nbsp;</p>\\n<p>Please read these Terms of Service carefully before accessing or using our website. By accessing or using any part of the site, you agree to be bound by these Terms of Service. If you do not agree to all the terms and conditions of this agreement, then you may not access the website or use any services. If these Terms of Service are considered an offer, acceptance is expressly limited to these Terms of Service.</p>\\n<p>Any new features or tools which are added to the current store shall also be subject to the Terms of Service. You can review the most current version of the Terms of Service at any time on this page. We reserve the right to update, change or replace any part of these Terms of Service by posting updates and/or changes to our website. It is your responsibility to check this page periodically for changes. Your continued use of or access to the website following the posting of any changes constitutes acceptance of those changes.&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 1 - ONLINE STORE TERMS</h3>\\n<p>By agreeing to these Terms of Service, you represent that you are at least the age of majority in your state or province of residence, or that you are the age of majority in your state or province of residence and you have given us your consent to allow any of your minor dependents to use this site.</p>\\n<p>You may not use our products for any illegal or unauthorized purpose nor may you, in the use of the Service, violate any laws in your jurisdiction (including but not limited to copyright laws).</p>\\n<p>You must not transmit any worms or viruses or any code of a destructive nature.</p>\\n<p>A breach or violation of any of the Terms will result in an immediate termination of your Services.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 2 - GENERAL CONDITIONS</h3>\\n<p>We reserve the right to refuse service to anyone for any reason at any time.</p>\\n<p>You understand that your content (not including credit card information), may be transferred unencrypted and involve (a) transmissions over various networks; and (b) changes to conform and adapt to technical requirements of connecting networks or devices. Credit card information is always encrypted during transfer over networks.</p>\\n<p>You agree not to reproduce, duplicate, copy, sell, resell or exploit any portion of the Service, use of the Service, or access to the Service or any contact on the website through which the service is provided, without express written permission by us.</p>\\n<p>The headings used in this agreement are included for convenience only and will not limit or otherwise affect these Terms.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 3 - ACCURACY, COMPLETENESS AND TIMELINESS OF INFORMATION</h3>\\n<p>We are not responsible if information made available on this site is not accurate, complete or current. The material on this site is provided for general information only and should not be relied upon or used as the sole basis for making decisions without consulting primary, more accurate, more complete or more timely sources of information. Any reliance on the material on this site is at your own risk.&nbsp;</p>\\n<p>This site may contain certain historical information. Historical information, necessarily, is not current and is provided for your reference only. We reserve the right to modify the contents of this site at any time, but we have no obligation to update any information on our site. You agree that it is your responsibility to monitor changes to our site.</p>\\n<p>&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 4 - MODIFICATIONS TO THE SERVICE AND PRICES</h3>\\n<p>Prices for our products are subject to change without notice.&nbsp;</p>\\n<p>We reserve the right at any time to modify or discontinue the Service (or any part or content thereof) without notice at any time.</p>\\n<p>We shall not be liable to you or to any third-party for any modification, price change, suspension or discontinuance of the Service.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 5 - PRODUCTS OR SERVICES</h3>\\n<p>Certain products or services may be available exclusively online through the website. These products or services may have limited quantities and are subject to return or exchange only according to our Return Policy.</p>\\n<p>We have made every effort to display as accurately as possible the colors and images of our products that appear at the store. We cannot guarantee that your computer monitor\'s display of any color will be accurate.</p>\\n<p>We reserve the right, but are not obligated, to limit the sales of our products or Services to any person, geographic region or jurisdiction. We may exercise this right on a case-by-case basis. We reserve the right to limit the quantities of any products or services that we offer. All descriptions of products or product pricing are subject to change at any time without notice, at the sole discretion of us. We reserve the right to discontinue any product at any time. Any offer for any product or service made on this site is void where prohibited.&nbsp;</p>\\n<p>We do not warrant that the quality of any products, services, information, or other material purchased or obtained by you will meet your expectations, or that any errors in the Service will be corrected.<br />&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 6 - ACCURACY OF BILLING AND ACCOUNT INFORMATION</h3>\\n<p>We reserve the right to refuse any order you place with us. We may, in our sole discretion, limit or cancel quantities purchased per person, per household or per order. These restrictions may include orders placed by or under the same customer account, the same credit card, and/or orders that use the same billing and/or shipping address. In the event that we make a change to or cancel an order, we may attempt to notify you by contacting the e-mail and/or billing address/phone number provided at the time the order was made. We reserve the right to limit or prohibit orders that, in our sole judgment, appear to be placed by dealers, resellers or distributors.&nbsp;</p>\\n<p>You agree to provide current, complete and accurate purchase and account information for all purchases made at our store. You agree to promptly update your account and other information, including your email address and credit card numbers and expiration dates, so that we can complete your transactions and contact you as needed.</p>\\n<p>For more detail, please review our Returns Policy.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 7 - OPTIONAL TOOLS</h3>\\n<p>We may provide you with access to third-party tools over which we neither monitor nor have any control nor input.</p>\\n<p>You acknowledge and agree that we provide access to such tools &rdquo;as is&rdquo; and &ldquo;as available&rdquo; without any warranties, representations or conditions of any kind and without any endorsement. We shall have no liability whatsoever arising from or relating to your use of optional third-party tools.</p>\\n<p>Any use by you of optional tools offered through the site is entirely at your own risk and discretion and you should ensure that you are familiar with and approve of the terms on which tools are provided by the relevant third-party provider(s).</p>\\n<p>We may also, in the future, offer new services and/or features through the website (including, the release of new tools and resources). Such new features and/or services shall also be subject to these Terms of Service.<br />&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 8 - THIRD-PARTY LINKS</h3>\\n<p>Certain content, products and services available via our Service may include materials from third-parties.a</p>\\n<p>Third-party links on this site may direct you to third-party websites that are not affiliated with us. We are not responsible for examining or evaluating the content or accuracy and we do not warrant and will not have any liability or responsibility for any third-party materials or websites, or for any other materials, products, or services of third-parties.</p>\\n<p>We are not liable for any harm or damages related to the purchase or use of goods, services, resources, content, or any other transactions made in connection with any third-party websites. Please review carefully the third-party\'s policies and practices and make sure you understand them before you engage in any transaction. Complaints, claims, concerns, or questions regarding third-party products should be directed to the third-party.<br />&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 9 - USER COMMENTS, FEEDBACK AND OTHER SUBMISSIONS</h3>\\n<p>If, at our request, you send certain specific submissions (for example contest entries) or without a request from us you send creative ideas, suggestions, proposals, plans, or other materials, whether online, by email, by postal mail, or otherwise (collectively, \'comments\'), you agree that we may, at any time, without restriction, edit, copy, publish, distribute, translate and otherwise use in any medium any comments that you forward to us. We are and shall be under no obligation (1) to maintain any comments in confidence; (2) to pay compensation for any comments; or (3) to respond to any comments&nbsp;</p>\\n<p>We may, but have no obligation to, monitor, edit or remove content that we determine in our sole discretion are unlawful, offensive, threatening, libelous, defamatory, pornographic, obscene or otherwise objectionable or violates any party&rsquo;s intellectual property or these Terms of Service.</p>\\n<p>You agree that your comments will not violate any right of any third-party, including copyright, trademark, privacy, personality or other personal or proprietary right. You further agree that your comments will not contain libelous or otherwise unlawful, abusive or obscene material, or contain any computer virus or other malware that could in any way affect the operation of the Service or any related website. You may not use a false e-mail address, pretend to be someone other than yourself, or otherwise mislead us or third-parties as to the origin of any comments. You are solely responsible for any comments you make and their accuracy. We take no responsibility and assume no liability for any comments posted by you or any third-party.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 10 - PERSONAL INFORMATION</h3>\\n<p>Your submission of personal information through the store is governed by our Privacy Policy.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 11 - ERRORS, INACCURACIES AND OMISSIONS</h3>\\n<p>Occasionally there may be information on our site or in the Service that contains typographical errors, inaccuracies or omissions that may relate to product descriptions, pricing, promotions, offers, product shipping charges, transit times and availability. We reserve the right to correct any errors, inaccuracies or omissions, and to change or update information or cancel orders if any information in the Service or on any related website is inaccurate at any time without prior notice (including after you have submitted your order).</p>\\n<p>We undertake no obligation to update, amend or clarify information in the Service or on any related website, including without limitation, pricing information, except as required by law. No specified update or refresh date applied in the Service or on any related website, should be taken to indicate that all information in the Service or on any related website has been modified or updated.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 12 - PROHIBITED USES</h3>\\n<p>In addition to other prohibitions as set forth in the Terms of Service, you are prohibited from using the site or its content: (a) for any unlawful purpose; (b) to solicit others to perform or participate in any unlawful acts; (c) to violate any international, federal, provincial or state regulations, rules, laws, or local ordinances; (d) to infringe upon or violate our intellectual property rights or the intellectual property rights of others; (e) to harass, abuse, insult, harm, defame, slander, disparage, intimidate, or discriminate based on gender, sexual orientation, religion, ethnicity, race, age, national origin, or disability; (f) to submit false or misleading information; (g) to upload or transmit viruses or any other type of malicious code that will or may be used in any way that will affect the functionality or operation of the Service or of any related website, other websites, or the Internet; (h) to collect or track the personal information of others; (i) to spam, phish, pharm, pretext, spider, crawl, or scrape; (j) for any obscene or immoral purpose; or (k) to interfere with or circumvent the security features of the Service or any related website, other websites, or the Internet. We reserve the right to terminate your use of the Service or any related website for violating any of the prohibited uses.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 13 - DISCLAIMER OF WARRANTIES; LIMITATION OF LIABILITY</h3>\\n<p>We do not guarantee, represent or warrant that your use of our service will be uninterrupted, timely, secure or error-free.&nbsp;</p>\\n<p>We do not warrant that the results that may be obtained from the use of the service will be accurate or reliable.</p>\\n<p>You agree that from time to time we may remove the service for indefinite periods of time or cancel the service at any time, without notice to you.</p>\\n<p>You expressly agree that your use of, or inability to use, the service is at your sole risk. The service and all products and services delivered to you through the service are (except as expressly stated by us) provided \'as is\' and \'as available\' for your use, without any representation, warranties or conditions of any kind, either express or implied, including all implied warranties or conditions of merchantability, merchantable quality, fitness for a particular purpose, durability, title, and non-infringement.</p>\\n<p>In no case shall<strong>&nbsp;Your_Company</strong>, our directors, officers, employees, affiliates, agents, contractors, interns, suppliers, service providers or licensors be liable for any injury, loss, claim, or any direct, indirect, incidental, punitive, special, or consequential damages of any kind, including, without limitation lost profits, lost revenue, lost savings, loss of data, replacement costs, or any similar damages, whether based in contract, tort (including negligence), strict liability or otherwise, arising from your use of any of the service or any products procured using the service, or for any other claim related in any way to your use of the service or any product, including, but not limited to, any errors or omissions in any content, or any loss or damage of any kind incurred as a result of the use of the service or any content (or product) posted, transmitted, or otherwise made available via the service, even if advised of their possibility. Because some states or jurisdictions do not allow the exclusion or the limitation of liability for consequential or incidental damages, in such states or jurisdictions, our liability shall be limited to the maximum extent permitted by law.</p>\\n<p>&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 14 - INDEMNIFICATION</h3>\\n<p>You agree to indemnify, defend and hold harmless <strong>Your_Company</strong><strong>&nbsp;</strong>and our parent, subsidiaries, affiliates, partners, officers, directors, agents, contractors, licensors, service providers, subcontractors, suppliers, interns and employees, harmless from any claim or demand, including reasonable attorneys&rsquo; fees, made by any third-party due to or arising out of your breach of these Terms of Service or the documents they incorporate by reference, or your violation of any law or the rights of a third-party.</p>\\n<p>&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 15 - SEVERABILITY</h3>\\n<p>In the event that any provision of these Terms of Service is determined to be unlawful, void or unenforceable, such provision shall nonetheless be enforceable to the fullest extent permitted by applicable law, and the unenforceable portion shall be deemed to be severed from these Terms of Service, such determination shall not affect the validity and enforceability of any other remaining provisions.</p>\\n<p>&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 16 - TERMINATION</h3>\\n<p>The obligations and liabilities of the parties incurred prior to the termination date shall survive the termination of this agreement for all purposes.&nbsp;</p>\\n<p>These Terms of Service are effective unless and until terminated by either you or us. You may terminate these Terms of Service at any time by notifying us that you no longer wish to use our Services, or when you cease using our site.</p>\\n<p>If in our sole judgment, you fail, or we suspect that you have failed, to comply with any term or provision of these Terms of Service, we also may terminate this agreement at any time without notice and you will remain liable for all amounts due up to and including the date of termination; and/or accordingly may deny you access to our Services (or any part thereof).<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 17 - ENTIRE AGREEMENT</h3>\\n<p>The failure of us to exercise or enforce any right or provision of these Terms of Service shall not constitute a waiver of such right or provision.&nbsp;</p>\\n<p>These Terms of Service and any policies or operating rules posted by us on this site or in respect to The Service constitutes the entire agreement and understanding between you and us and govern your use of the Service, superseding any prior or contemporaneous agreements, communications and proposals, whether oral or written, between you and us (including, but not limited to, any prior versions of the Terms of Service).</p>\\n<p>Any ambiguities in the interpretation of these Terms of Service shall not be construed against the drafting party.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 18 - GOVERNING LAW</h3>\\n<p>These Terms of Service and any separate agreements whereby we provide you Services shall be governed by and construed in accordance with the laws of India and jurisdiction of Ahmedabad, Gujarat.<br />&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 19 - CHANGES TO TERMS OF SERVICE</h3>\\n<p>You can review the most current version of the Terms of Service at any time at this page.</p>\\n<p>We reserve the right, at our sole discretion, to update, change or replace any part of these Terms of Service by posting updates and changes to our website. It is your responsibility to check our website periodically for changes. Your continued use of or access to our website or the Service following the posting of any changes to these Terms of Service constitutes acceptance of those changes.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 20 - CONTACT INFORMATION</h3>\\n<p>Questions about the Terms of Service should be sent to us at <strong>customercare@Your_Company.com</strong></p>\\n<p><strong>OVERVIEW</strong></p>\\n<p>This website is operated by <strong>Your_Company</strong><strong>.</strong> Throughout the site, the terms &ldquo;we&rdquo;, &ldquo;us&rdquo; and &ldquo;our&rdquo; refer to <strong>Your_Company</strong>. <strong>Your_Company</strong>&nbsp;offers this website, including all information, tools and services available from this site to you, the user, conditioned upon your acceptance of all terms, conditions, policies and notices stated here.</p>\\n<p>By visiting our site and/ or purchasing something from us, you engage in our &ldquo;Service&rdquo; and agree to be bound by the following terms and conditions (&ldquo;Terms of Service&rdquo;, &ldquo;Terms&rdquo;), including those additional terms and conditions and policies referenced herein and/or available by hyperlink. These Terms of Service apply to all users of the site, including without limitation users who are browsers, vendors, customers, merchants, and/ or contributors of content.&nbsp;</p>\\n<p>Please read these Terms of Service carefully before accessing or using our website. By accessing or using any part of the site, you agree to be bound by these Terms of Service. If you do not agree to all the terms and conditions of this agreement, then you may not access the website or use any services. If these Terms of Service are considered an offer, acceptance is expressly limited to these Terms of Service.</p>\\n<p>Any new features or tools which are added to the current store shall also be subject to the Terms of Service. You can review the most current version of the Terms of Service at any time on this page. We reserve the right to update, change or replace any part of these Terms of Service by posting updates and/or changes to our website. It is your responsibility to check this page periodically for changes. Your continued use of or access to the website following the posting of any changes constitutes acceptance of those changes.&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 1 - ONLINE STORE TERMS</h3>\\n<p>By agreeing to these Terms of Service, you represent that you are at least the age of majority in your state or province of residence, or that you are the age of majority in your state or province of residence and you have given us your consent to allow any of your minor dependents to use this site.</p>\\n<p>You may not use our products for any illegal or unauthorized purpose nor may you, in the use of the Service, violate any laws in your jurisdiction (including but not limited to copyright laws).</p>\\n<p>You must not transmit any worms or viruses or any code of a destructive nature.</p>\\n<p>A breach or violation of any of the Terms will result in an immediate termination of your Services.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 2 - GENERAL CONDITIONS</h3>\\n<p>We reserve the right to refuse service to anyone for any reason at any time.</p>\\n<p>You understand that your content (not including credit card information), may be transferred unencrypted and involve (a) transmissions over various networks; and (b) changes to conform and adapt to technical requirements of connecting networks or devices. Credit card information is always encrypted during transfer over networks.</p>\\n<p>You agree not to reproduce, duplicate, copy, sell, resell or exploit any portion of the Service, use of the Service, or access to the Service or any contact on the website through which the service is provided, without express written permission by us.</p>\\n<p>The headings used in this agreement are included for convenience only and will not limit or otherwise affect these Terms.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 3 - ACCURACY, COMPLETENESS AND TIMELINESS OF INFORMATION</h3>\\n<p>We are not responsible if information made available on this site is not accurate, complete or current. The material on this site is provided for general information only and should not be relied upon or used as the sole basis for making decisions without consulting primary, more accurate, more complete or more timely sources of information. Any reliance on the material on this site is at your own risk.&nbsp;</p>\\n<p>This site may contain certain historical information. Historical information, necessarily, is not current and is provided for your reference only. We reserve the right to modify the contents of this site at any time, but we have no obligation to update any information on our site. You agree that it is your responsibility to monitor changes to our site.</p>\\n<p>&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 4 - MODIFICATIONS TO THE SERVICE AND PRICES</h3>\\n<p>Prices for our products are subject to change without notice.&nbsp;</p>\\n<p>We reserve the right at any time to modify or discontinue the Service (or any part or content thereof) without notice at any time.</p>\\n<p>We shall not be liable to you or to any third-party for any modification, price change, suspension or discontinuance of the Service.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 5 - PRODUCTS OR SERVICES</h3>\\n<p>Certain products or services may be available exclusively online through the website. These products or services may have limited quantities and are subject to return or exchange only according to our Return Policy.</p>\\n<p>We have made every effort to display as accurately as possible the colors and images of our products that appear at the store. We cannot guarantee that your computer monitor\'s display of any color will be accurate.</p>\\n<p>We reserve the right, but are not obligated, to limit the sales of our products or Services to any person, geographic region or jurisdiction. We may exercise this right on a case-by-case basis. We reserve the right to limit the quantities of any products or services that we offer. All descriptions of products or product pricing are subject to change at any time without notice, at the sole discretion of us. We reserve the right to discontinue any product at any time. Any offer for any product or service made on this site is void where prohibited.&nbsp;</p>\\n<p>We do not warrant that the quality of any products, services, information, or other material purchased or obtained by you will meet your expectations, or that any errors in the Service will be corrected.<br />&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 6 - ACCURACY OF BILLING AND ACCOUNT INFORMATION</h3>\\n<p>We reserve the right to refuse any order you place with us. We may, in our sole discretion, limit or cancel quantities purchased per person, per household or per order. These restrictions may include orders placed by or under the same customer account, the same credit card, and/or orders that use the same billing and/or shipping address. In the event that we make a change to or cancel an order, we may attempt to notify you by contacting the e-mail and/or billing address/phone number provided at the time the order was made. We reserve the right to limit or prohibit orders that, in our sole judgment, appear to be placed by dealers, resellers or distributors.&nbsp;</p>\\n<p>You agree to provide current, complete and accurate purchase and account information for all purchases made at our store. You agree to promptly update your account and other information, including your email address and credit card numbers and expiration dates, so that we can complete your transactions and contact you as needed.</p>\\n<p>For more detail, please review our Returns Policy.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 7 - OPTIONAL TOOLS</h3>\\n<p>We may provide you with access to third-party tools over which we neither monitor nor have any control nor input.</p>\\n<p>You acknowledge and agree that we provide access to such tools &rdquo;as is&rdquo; and &ldquo;as available&rdquo; without any warranties, representations or conditions of any kind and without any endorsement. We shall have no liability whatsoever arising from or relating to your use of optional third-party tools.</p>\\n<p>Any use by you of optional tools offered through the site is entirely at your own risk and discretion and you should ensure that you are familiar with and approve of the terms on which tools are provided by the relevant third-party provider(s).</p>\\n<p>We may also, in the future, offer new services and/or features through the website (including, the release of new tools and resources). Such new features and/or services shall also be subject to these Terms of Service.<br />&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 8 - THIRD-PARTY LINKS</h3>\\n<p>Certain content, products and services available via our Service may include materials from third-parties.a</p>\\n<p>Third-party links on this site may direct you to third-party websites that are not affiliated with us. We are not responsible for examining or evaluating the content or accuracy and we do not warrant and will not have any liability or responsibility for any third-party materials or websites, or for any other materials, products, or services of third-parties.</p>\\n<p>We are not liable for any harm or damages related to the purchase or use of goods, services, resources, content, or any other transactions made in connection with any third-party websites. Please review carefully the third-party\'s policies and practices and make sure you understand them before you engage in any transaction. Complaints, claims, concerns, or questions regarding third-party products should be directed to the third-party.<br />&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 9 - USER COMMENTS, FEEDBACK AND OTHER SUBMISSIONS</h3>\\n<p>If, at our request, you send certain specific submissions (for example contest entries) or without a request from us you send creative ideas, suggestions, proposals, plans, or other materials, whether online, by email, by postal mail, or otherwise (collectively, \'comments\'), you agree that we may, at any time, without restriction, edit, copy, publish, distribute, translate and otherwise use in any medium any comments that you forward to us. We are and shall be under no obligation (1) to maintain any comments in confidence; (2) to pay compensation for any comments; or (3) to respond to any comments&nbsp;</p>\\n<p>We may, but have no obligation to, monitor, edit or remove content that we determine in our sole discretion are unlawful, offensive, threatening, libelous, defamatory, pornographic, obscene or otherwise objectionable or violates any party&rsquo;s intellectual property or these Terms of Service.</p>\\n<p>You agree that your comments will not violate any right of any third-party, including copyright, trademark, privacy, personality or other personal or proprietary right. You further agree that your comments will not contain libelous or otherwise unlawful, abusive or obscene material, or contain any computer virus or other malware that could in any way affect the operation of the Service or any related website. You may not use a false e-mail address, pretend to be someone other than yourself, or otherwise mislead us or third-parties as to the origin of any comments. You are solely responsible for any comments you make and their accuracy. We take no responsibility and assume no liability for any comments posted by you or any third-party.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 10 - PERSONAL INFORMATION</h3>\\n<p>Your submission of personal information through the store is governed by our Privacy Policy.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 11 - ERRORS, INACCURACIES AND OMISSIONS</h3>\\n<p>Occasionally there may be information on our site or in the Service that contains typographical errors, inaccuracies or omissions that may relate to product descriptions, pricing, promotions, offers, product shipping charges, transit times and availability. We reserve the right to correct any errors, inaccuracies or omissions, and to change or update information or cancel orders if any information in the Service or on any related website is inaccurate at any time without prior notice (including after you have submitted your order).</p>\\n<p>We undertake no obligation to update, amend or clarify information in the Service or on any related website, including without limitation, pricing information, except as required by law. No specified update or refresh date applied in the Service or on any related website, should be taken to indicate that all information in the Service or on any related website has been modified or updated.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 12 - PROHIBITED USES</h3>\\n<p>In addition to other prohibitions as set forth in the Terms of Service, you are prohibited from using the site or its content: (a) for any unlawful purpose; (b) to solicit others to perform or participate in any unlawful acts; (c) to violate any international, federal, provincial or state regulations, rules, laws, or local ordinances; (d) to infringe upon or violate our intellectual property rights or the intellectual property rights of others; (e) to harass, abuse, insult, harm, defame, slander, disparage, intimidate, or discriminate based on gender, sexual orientation, religion, ethnicity, race, age, national origin, or disability; (f) to submit false or misleading information; (g) to upload or transmit viruses or any other type of malicious code that will or may be used in any way that will affect the functionality or operation of the Service or of any related website, other websites, or the Internet; (h) to collect or track the personal information of others; (i) to spam, phish, pharm, pretext, spider, crawl, or scrape; (j) for any obscene or immoral purpose; or (k) to interfere with or circumvent the security features of the Service or any related website, other websites, or the Internet. We reserve the right to terminate your use of the Service or any related website for violating any of the prohibited uses.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 13 - DISCLAIMER OF WARRANTIES; LIMITATION OF LIABILITY</h3>\\n<p>We do not guarantee, represent or warrant that your use of our service will be uninterrupted, timely, secure or error-free.&nbsp;</p>\\n<p>We do not warrant that the results that may be obtained from the use of the service will be accurate or reliable.</p>\\n<p>You agree that from time to time we may remove the service for indefinite periods of time or cancel the service at any time, without notice to you.</p>\\n<p>You expressly agree that your use of, or inability to use, the service is at your sole risk. The service and all products and services delivered to you through the service are (except as expressly stated by us) provided \'as is\' and \'as available\' for your use, without any representation, warranties or conditions of any kind, either express or implied, including all implied warranties or conditions of merchantability, merchantable quality, fitness for a particular purpose, durability, title, and non-infringement.</p>\\n<p>In no case shall<strong>&nbsp;Your_Company</strong>, our directors, officers, employees, affiliates, agents, contractors, interns, suppliers, service providers or licensors be liable for any injury, loss, claim, or any direct, indirect, incidental, punitive, special, or consequential damages of any kind, including, without limitation lost profits, lost revenue, lost savings, loss of data, replacement costs, or any similar damages, whether based in contract, tort (including negligence), strict liability or otherwise, arising from your use of any of the service or any products procured using the service, or for any other claim related in any way to your use of the service or any product, including, but not limited to, any errors or omissions in any content, or any loss or damage of any kind incurred as a result of the use of the service or any content (or product) posted, transmitted, or otherwise made available via the service, even if advised of their possibility. Because some states or jurisdictions do not allow the exclusion or the limitation of liability for consequential or incidental damages, in such states or jurisdictions, our liability shall be limited to the maximum extent permitted by law.</p>\\n<p>&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 14 - INDEMNIFICATION</h3>\\n<p>You agree to indemnify, defend and hold harmless <strong>Your_Company</strong><strong>&nbsp;</strong>and our parent, subsidiaries, affiliates, partners, officers, directors, agents, contractors, licensors, service providers, subcontractors, suppliers, interns and employees, harmless from any claim or demand, including reasonable attorneys&rsquo; fees, made by any third-party due to or arising out of your breach of these Terms of Service or the documents they incorporate by reference, or your violation of any law or the rights of a third-party.</p>\\n<p>&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 15 - SEVERABILITY</h3>\\n<p>In the event that any provision of these Terms of Service is determined to be unlawful, void or unenforceable, such provision shall nonetheless be enforceable to the fullest extent permitted by applicable law, and the unenforceable portion shall be deemed to be severed from these Terms of Service, such determination shall not affect the validity and enforceability of any other remaining provisions.</p>\\n<p>&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 16 - TERMINATION</h3>\\n<p>The obligations and liabilities of the parties incurred prior to the termination date shall survive the termination of this agreement for all purposes.&nbsp;</p>\\n<p>These Terms of Service are effective unless and until terminated by either you or us. You may terminate these Terms of Service at any time by notifying us that you no longer wish to use our Services, or when you cease using our site.</p>\\n<p>If in our sole judgment, you fail, or we suspect that you have failed, to comply with any term or provision of these Terms of Service, we also may terminate this agreement at any time without notice and you will remain liable for all amounts due up to and including the date of termination; and/or accordingly may deny you access to our Services (or any part thereof).<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 17 - ENTIRE AGREEMENT</h3>\\n<p>The failure of us to exercise or enforce any right or provision of these Terms of Service shall not constitute a waiver of such right or provision.&nbsp;</p>\\n<p>These Terms of Service and any policies or operating rules posted by us on this site or in respect to The Service constitutes the entire agreement and understanding between you and us and govern your use of the Service, superseding any prior or contemporaneous agreements, communications and proposals, whether oral or written, between you and us (including, but not limited to, any prior versions of the Terms of Service).</p>\\n<p>Any ambiguities in the interpretation of these Terms of Service shall not be construed against the drafting party.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 18 - GOVERNING LAW</h3>\\n<p>These Terms of Service and any separate agreements whereby we provide you Services shall be governed by and construed in accordance with the laws of India and jurisdiction of Ahmedabad, Gujarat.<br />&nbsp;</p>\\n<h3 class=\\\"sectionheading\\\">SECTION 19 - CHANGES TO TERMS OF SERVICE</h3>\\n<p>You can review the most current version of the Terms of Service at any time at this page.</p>\\n<p>We reserve the right, at our sole discretion, to update, change or replace any part of these Terms of Service by posting updates and changes to our website. It is your responsibility to check our website periodically for changes. Your continued use of or access to our website or the Service following the posting of any changes to these Terms of Service constitutes acceptance of those changes.<br /><br /></p>\\n<h3 class=\\\"sectionheading\\\">SECTION 20 - CONTACT INFORMATION</h3>\\n<p>Questions about the Terms of Service should be sent to us at <strong>customercare@Your_Company.com</strong></p>\",\"alignment\":\"\",\"text_fontsize\":\"\",\"text_lineheight\":\"\",\"dropcap\":0,\"class\":\"\",\"global_use_background\":0,\"global_user_border\":0,\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"use_global_width\":0,\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0}}]}]}]', 'com_sppagebuilder', 'page', 0, 0, 1, 0, 1, 0, '0000-00-00 00:00:00', 86, '2020-03-11 05:50:04', 86, 0, '0000-00-00 00:00:00', '', '', '', '*', 8, '');
INSERT INTO `#__sppagebuilder` (`id`, `asset_id`, `title`, `text`, `extension`, `extension_view`, `view_id`, `active`, `published`, `catid`, `access`, `ordering`, `created_on`, `created_by`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `og_title`, `og_image`, `og_description`, `language`, `hits`, `css`) VALUES
(9, 151, 'Sellacious Categories', '[{\"id\":1487843186191,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"80px 0px 40px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"rgba(245, 245, 245, 1)\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"5,7\",\"columns\":[{\"id\":1487843186192,\"class_name\":\"col-md-5\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1487943383709,\"name\":\"sl_category_image\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"0 0 30px 0\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"acl\":null}}]},{\"id\":1487943383704,\"class_name\":\"col-md-7\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1487943383712,\"name\":\"sl_category_title\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"acl\":null}},{\"id\":1487843186195,\"name\":\"sl_category_desc\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"0 0 30px 0\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"acl\":null}},{\"id\":1586412339714,\"name\":\"sl_category_buttons\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":\"\",\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"class\":\"\",\"show_back_btn\":\"1\",\"back_btn_text\":\"Back\",\"back_btn_fontstyle\":\"\",\"back_btn_letterspace\":\"0\",\"back_btn_appearance\":\"flat\",\"back_btn_type\":\"primary\",\"back_btn_background_color\":\"#444444\",\"back_btn_color\":\"#fff\",\"back_btn_background_color_hover\":\"#222\",\"back_btn_color_hover\":\"#fff\",\"back_btn_shape\":\"round\",\"show_viewallprod_btn\":\"1\",\"viewallprod_btn_text\":\"View All Products\",\"viewallprod_btn_fontstyle\":\"\",\"viewallprod_btn_letterspace\":\"0\",\"viewallprod_btn_appearance\":\"flat\",\"viewallprod_btn_type\":\"primary\",\"viewallprod_btn_background_color\":\"#444444\",\"viewallprod_btn_color\":\"#fff\",\"viewallprod_btn_background_color_hover\":\"#222\",\"viewallprod_btn_color_hover\":\"#fff\",\"viewallprod_btn_shape\":\"round\",\"show_seperator\":\"1\",\"show_seperator_position\":\"top\",\"global_use_background\":0,\"global_user_border\":0,\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"use_global_width\":0,\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0}}]}]},{\"id\":1496809025058,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"15px 0px 15px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1496809025059,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1496809025062,\"name\":\"sl_category_subcategories\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"showpcount\":\"1\",\"showccount\":\"1\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}}]}]},{\"id\":1487943383705,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"0px 0px 50px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1487943383706,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1487843186201,\"name\":\"sl_category_specs\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"cat_specs_title\":\"Specifications\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}}]}]},{\"id\":1487943383713,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"10px 0px 50px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1487943383714,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1487943383717,\"name\":\"sl_category_products\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"Product\",\"heading_selector\":\"h3\",\"title_fontsize\":\"20\",\"title_lineheight\":\"24\",\"title_fontstyle\":[\"uppercase\",\"bold\"],\"title_letterspace\":\"3px\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"0\",\"title_margin_bottom\":\"25\",\"title_alignment\":\"sppb-text-center\",\"class\":\"\",\"total_products\":\"8\",\"product_features\":\"show\",\"layout\":\"grid\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":0,\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":0,\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0,\"use_global_width\":0}},{\"id\":1586412339719,\"name\":\"sl_category_buttons\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":\"\",\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"class\":\"\",\"show_back_btn\":\"1\",\"back_btn_text\":\"Back\",\"back_btn_fontstyle\":\"\",\"back_btn_letterspace\":\"0\",\"back_btn_appearance\":\"flat\",\"back_btn_type\":\"primary\",\"back_btn_background_color\":\"#444444\",\"back_btn_color\":\"#fff\",\"back_btn_background_color_hover\":\"#222\",\"back_btn_color_hover\":\"#fff\",\"back_btn_shape\":\"round\",\"show_viewallprod_btn\":\"1\",\"viewallprod_btn_text\":\"View All Products\",\"viewallprod_btn_fontstyle\":\"\",\"viewallprod_btn_letterspace\":\"0\",\"viewallprod_btn_appearance\":\"flat\",\"viewallprod_btn_type\":\"primary\",\"viewallprod_btn_background_color\":\"#444444\",\"viewallprod_btn_color\":\"#fff\",\"viewallprod_btn_background_color_hover\":\"#222\",\"viewallprod_btn_color_hover\":\"#fff\",\"viewallprod_btn_shape\":\"round\",\"show_seperator\":\"1\",\"show_seperator_position\":\"top\",\"global_use_background\":0,\"global_user_border\":0,\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"use_global_width\":0,\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0}}]}]}]', 'com_sppagebuilder', 'page', 0, 0, 1, 0, 1, 0, '2020-04-09 04:33:04', 196, '2020-04-09 06:16:21', 196, 0, '0000-00-00 00:00:00', '', '', '', '*', 15, ''),
(10, 148, 'Sellacious Product', '[{\"id\":1487765292458,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"80px 0px 40px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"rgba(249, 249, 249, 1)\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"5,7\",\"columns\":[{\"id\":1487765292459,\"class_name\":\"col-md-5\",\"visibility\":true,\"settings\":{\"color\":\"\",\"background\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_position\":\"0 0\",\"padding\":\"\",\"class\":\"\",\"sm_col\":\"\",\"xs_col\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"addons\":[{\"id\":1487765751077,\"name\":\"sl_product_images\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"product_zoom_enabled\":\"true\",\"product_zoom_type\":\"window\",\"product_zoom_lens_type\":\"square\",\"product_lens_border_width\":\"1\",\"product_lens_border_color\":\"rgba(0, 0, 0, 1)\",\"product_lens_bgcolor\":\"rgba(255, 255, 255, 0.4)\",\"product_zoom_border_width\":\"8\",\"product_zoom_border_color\":\"rgba(0, 0, 0, 0.1)\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}}]},{\"id\":1487765751074,\"class_name\":\"col-md-7\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1487838761388,\"name\":\"sl_product_title\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"show_ratings\":\"1\",\"show_seperator\":\"1\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"acl\":null}},{\"id\":1492513360413,\"name\":\"sl_product_price\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"show_quantity\":\"0\",\"global_text_color\":\"rgba(34, 184, 240, 1)\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"15px 0 0 0\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}},{\"id\":1492513360410,\"name\":\"sl_product_prices\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"price_table_title\":\"Bulk Pricing\",\"price_table_bordercolor\":\"rgba(34, 184, 240, 1)\",\"price_table_titlebg\":\"rgba(34, 184, 240, 1)\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}},{\"id\":1492513360418,\"name\":\"sl_product_shipping\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"shipping_icon\":\"fa-truck\",\"shipping_icon_color\":\"rgba(34, 184, 240, 1)\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}},{\"id\":1492513360421,\"name\":\"sl_product_quantity\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"15px 0 0 0\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}},{\"id\":1487766037411,\"name\":\"sl_product_features\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"features_text_color\":\"#333333\",\"show_seperator\":\"1\",\"show_seperator_position\":\"top\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"acl\":null}},{\"id\":1489137461039,\"name\":\"sl_product_introtext\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"introtext_bordercolor\":\"rgba(228, 169, 85, 1)\",\"introtext_bgcolor\":\"rgba(251, 243, 233, 1)\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"acl\":null}},{\"id\":1487843528104,\"name\":\"sl_product_attributes\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"html\":\"\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"acl\":null}},{\"id\":1487840389236,\"name\":\"sl_product_cartbuttons\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"show_addtocart_btn\":\"1\",\"addtocart_btn_text\":\"Add to Cart\",\"addtocart_btn_fontstyle\":null,\"addtocart_btn_letterspace\":\"0\",\"addtocart_btn_appearance\":\"\",\"addtocart_btn_type\":\"default\",\"addtocart_btn_background_color\":\"rgba(51, 51, 51, 1)\",\"addtocart_btn_color\":\"rgba(255, 255, 255, 1)\",\"addtocart_btn_background_color_hover\":\"rgba(0, 0, 0, 1)\",\"addtocart_btn_color_hover\":\"#ffffff\",\"addtocart_btn_shape\":\"round\",\"show_buynow_btn\":\"1\",\"buynow_btn_text\":\"Buy Now\",\"buynow_btn_fontstyle\":null,\"buynow_btn_letterspace\":\"0\",\"buynow_btn_appearance\":\"\",\"buynow_btn_type\":\"primary\",\"buynow_btn_background_color\":\"rgba(51, 230, 137, 1)\",\"buynow_btn_color\":\"#ffffff\",\"buynow_btn_background_color_hover\":\"#222222\",\"buynow_btn_color_hover\":\"#ffffff\",\"buynow_btn_shape\":\"round\",\"show_seperator\":\"1\",\"show_seperator_position\":\"top\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}},{\"id\":1487766037414,\"name\":\"sl_product_toolbar\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"show_review_btn\":\"1\",\"review_btn_text\":\"Write a Review\",\"review_btn_fontstyle\":null,\"review_btn_letterspace\":\"0\",\"review_btn_appearance\":\"\",\"review_btn_type\":\"custom\",\"review_btn_background_color\":\"rgba(249, 249, 249, 1)\",\"review_btn_color\":\"rgba(51, 51, 51, 1)\",\"review_btn_background_color_hover\":\"rgba(34, 184, 240, 1)\",\"review_btn_color_hover\":\"#ffffff\",\"review_btn_shape\":\"round\",\"review_btn_border\":\"1\",\"review_btn_border_width\":\"1\",\"review_btn_border_style\":\"double\",\"review_btn_border_color\":\"rgba(232, 232, 232, 1)\",\"show_wishlist_btn\":\"1\",\"wishlist_btn_text\":\"Add to Wishlist\",\"wishlist_btn_fontstyle\":null,\"wishlist_btn_letterspace\":\"0\",\"wishlist_btn_appearance\":\"\",\"wishlist_btn_type\":\"custom\",\"wishlist_btn_background_color\":\"rgba(249, 249, 249, 1)\",\"wishlist_btn_color\":\"rgba(51, 51, 51, 1)\",\"wishlist_btn_background_color_hover\":\"rgba(34, 184, 240, 1)\",\"wishlist_btn_color_hover\":\"#ffffff\",\"wishlist_btn_shape\":\"round\",\"wishlist_btn_border\":\"1\",\"wishlist_btn_border_width\":\"1\",\"wishlist_btn_border_style\":\"solid\",\"wishlist_btn_border_color\":\"rgba(232, 232, 232, 1)\",\"show_compare_btn\":\"1\",\"compare_btn_text\":\"Add to Compare\",\"compare_btn_fontstyle\":null,\"compare_btn_letterspace\":\"0\",\"compare_btn_appearance\":\"\",\"compare_btn_type\":\"custom\",\"compare_btn_background_color\":\"rgba(249, 249, 249, 1)\",\"compare_btn_color\":\"rgba(51, 51, 51, 1)\",\"compare_btn_background_color_hover\":\"rgba(34, 184, 240, 1)\",\"compare_btn_color_hover\":\"#ffffff\",\"compare_btn_shape\":\"round\",\"compare_btn_border\":\"1\",\"compare_btn_border_width\":\"1\",\"compare_btn_border_style\":\"solid\",\"compare_btn_border_color\":\"rgba(232, 232, 232, 1)\",\"show_seperator\":\"1\",\"show_seperator_position\":\"top\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}},{\"id\":1586330437579,\"name\":\"sl_product_soldby\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":\"\",\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"class\":\"\",\"show_condition\":\"1\",\"show_ratings\":\"1\",\"global_use_background\":0,\"global_user_border\":0,\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"use_global_width\":0,\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0}},{\"id\":1586330437582,\"name\":\"sl_product_wishlist\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":\"\",\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"class\":\"\",\"show_wishlist_btn\":\"1\",\"wishlist_btn_text\":\"Add to Wishlist\",\"wishlist_btn_fontstyle\":\"\",\"wishlist_btn_letterspace\":\"0\",\"wishlist_btn_appearance\":\"flat\",\"wishlist_btn_type\":\"default\",\"wishlist_btn_background_color\":\"#444444\",\"wishlist_btn_color\":\"#fff\",\"wishlist_btn_background_color_hover\":\"#222\",\"wishlist_btn_color_hover\":\"#fff\",\"wishlist_btn_shape\":\"round\",\"wishlist_btn_border\":0,\"wishlist_btn_border_width\":1,\"wishlist_btn_border_style\":\"solid\",\"wishlist_btn_border_color\":\"#E5E5E5\",\"show_seperator\":\"1\",\"show_seperator_position\":\"top\",\"global_use_background\":0,\"global_user_border\":0,\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"use_global_width\":0,\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0}}]}]},{\"id\":1487766037415,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"50px 0px 0px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1487766037416,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1487825020876,\"name\":\"sl_product_variants\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"variant_title\":\"Also Available in following variations\",\"show_title\":\"1\",\"show_price\":\"1\",\"show_image\":\"1\",\"show_delivered\":\"1\",\"show_ratings\":\"1\",\"show_condition\":\"1\",\"show_detail_btn\":\"0\",\"show_cart_btn\":\"1\",\"show_buy_btn\":\"1\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"acl\":null}},{\"id\":1487766037422,\"name\":\"sl_product_sellers\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"sellers_title\":\"Also Sold by\",\"show_condition\":\"1\",\"show_detail_btn\":\"1\",\"show_cart_btn\":\"1\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"acl\":null}},{\"id\":1487766037405,\"name\":\"sl_product_desc\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"desc_title\":\"Product Description\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"acl\":null}},{\"id\":1488453396102,\"name\":\"sl_product_box\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"box_title\":\"Whats in the box\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"acl\":null}},{\"id\":1496808679566,\"name\":\"sl_product_custom_specs\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"custom_specs_title\":\"Custom Specifications\",\"html\":\"{label_id=8}:::{field_id=8}\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}}]}]},{\"id\":1487843528126,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"0px 0px 0 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1487843528127,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1487766037419,\"name\":\"sl_product_specs\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":null,\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"class\":\"\",\"specs_title\":\"Specifications\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"0 0 0 0\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\",\"acl\":null}}]}]},{\"id\":1487843528129,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"10px 0px 0px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1487843528130,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1586330437574,\"name\":\"sl_product_reviewratings\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":\"\",\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"class\":\"\",\"ratings_title\":\"Reviews & Ratings\",\"show_ratings\":\"1\",\"show_ratings_form\":\"1\",\"show_reviews_list\":\"1\",\"global_use_background\":0,\"global_user_border\":0,\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"use_global_width\":0,\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0}}]}]},{\"id\":1586330313895,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_position\":\"sppb-text-center\",\"columns_align_center\":0,\"fullscreen\":0,\"no_gutter\":0,\"padding\":\"50px 0px 50px 0px\",\"margin\":\"0px 0px 0px 0px\",\"background_image\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1586330313894,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{\"background_image\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_position\":\"0 0\",\"items_align_center\":0,\"boxshadow\":\"0 0 0 0 #fff\",\"sm_col\":\"\",\"xs_col\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"addons\":[{\"id\":1586330313898,\"name\":\"sl_product_question\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_lineheight\":\"\",\"title_fontstyle\":\"\",\"title_letterspace\":\"0\",\"title_fontweight\":\"\",\"class\":\"\",\"ask_title\":\"Ask Question\",\"show_questions_list\":\"1\",\"global_use_background\":0,\"global_user_border\":0,\"global_margin\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_padding\":{\"md\":\"   \",\"sm\":\"   \",\"xs\":\"   \"},\"global_use_animation\":0,\"use_global_width\":0,\"hidden_md\":0,\"hidden_sm\":0,\"hidden_xs\":0}}]}]},{\"id\":1487922020859,\"visibility\":true,\"collapse\":false,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"\",\"title_margin_bottom\":\"\",\"subtitle\":\"\",\"subtitle_fontsize\":\"\",\"title_position\":\"sppb-text-center\",\"columns_equal_height\":\"0\",\"fullscreen\":\"0\",\"no_gutter\":\"0\",\"id\":\"\",\"class\":\"\",\"padding\":\"10px 0px 50px 0px\",\"margin\":\"0px 0px 0px 0px\",\"color\":\"\",\"background_color\":\"\",\"background_image\":\"\",\"overlay\":\"\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_attachment\":\"fixed\",\"background_position\":\"0 0\",\"background_video\":\"0\",\"background_video_mp4\":\"\",\"background_video_ogv\":\"\",\"hidden_xs\":\"\",\"hidden_sm\":\"\",\"hidden_md\":\"\",\"animation\":\"\",\"animationduration\":\"300\",\"animationdelay\":\"0\"},\"layout\":\"12\",\"columns\":[{\"id\":1487922020860,\"class_name\":\"col-md-12\",\"visibility\":true,\"settings\":{},\"addons\":[{\"id\":1487843528133,\"name\":\"sl_product_relatedproducts\",\"visibility\":true,\"settings\":{\"admin_label\":\"\",\"title\":\"\",\"heading_selector\":\"h3\",\"title_fontsize\":\"16\",\"title_lineheight\":\"22\",\"title_fontstyle\":[\"uppercase\"],\"title_letterspace\":\"1px\",\"title_fontweight\":\"\",\"title_text_color\":\"\",\"title_margin_top\":\"0\",\"title_margin_bottom\":\"30\",\"title_alignment\":\"center\",\"class\":\"\",\"relatedproduct_title\":\"Related Products\",\"total_products\":\"16\",\"product_features\":\"hide\",\"layout\":\"carousel\",\"autoplay\":\"1\",\"autoplayspeed\":\"3000\",\"global_text_color\":\"\",\"global_link_color\":\"\",\"global_link_hover_color\":\"\",\"global_use_background\":\"0\",\"global_background_color\":\"\",\"global_background_image\":\"\",\"global_background_repeat\":\"no-repeat\",\"global_background_size\":\"cover\",\"global_background_attachment\":\"inherit\",\"global_user_border\":\"0\",\"global_border_width\":\"\",\"global_border_color\":\"\",\"global_boder_style\":\"none\",\"global_border_radius\":\"\",\"global_margin\":\"\",\"global_padding\":\"\",\"global_use_animation\":\"0\",\"global_animation\":\"\",\"global_animationduration\":\"300\",\"global_animationdelay\":\"0\",\"hidden_md\":\"0\",\"hidden_sm\":\"0\",\"hidden_xs\":\"0\"}}]}]}]', 'com_sppagebuilder', 'page', 0, 0, 1, 0, 1, 0, '2020-04-09 04:33:19', 196, '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '', '', '', '*', 8, '');

CREATE TABLE IF NOT EXISTS `#__sppagebuilder_addons` (
  `id` int(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `code` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__sppagebuilder_integrations` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `description` mediumtext NOT NULL,
  `component` varchar(255) NOT NULL,
  `plugin` mediumtext NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__sppagebuilder_languages` (
  `id` int(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `description` mediumtext NOT NULL,
  `lang_tag` varchar(255) NOT NULL DEFAULT '',
  `lang_key` varchar(100) DEFAULT NULL,
  `version` mediumtext NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__sppagebuilder_sections` (
 `id` int(5) UNSIGNED NOT NULL AUTO_INCREMENT,
 `title` varchar(255) NOT NULL,
 `section` text NOT NULL,
 `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
 `created_by` bigint(20) NOT NULL DEFAULT 0,
 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__tags` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `path` varchar(400) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__tags` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`) VALUES
(1, 0, 0, 15, 0, '', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 860, '2020-03-11 13:41:23', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 1, 1, 2, 1, 'animations', 'Animations', 'animations', '', '', 1, 0, '2018-02-26 06:42:28', 1, '{}', '', '', '{}', 860, '2020-03-11 13:41:23', '', 0, '2020-03-11 13:41:23', '{}', '{}', 0, '*', 1, '2020-03-11 13:41:23', '2020-03-11 13:41:23'),
(3, 1, 3, 4, 1, 'builder', 'Builder', 'builder', '', '', 1, 0, '2018-02-26 06:51:56', 1, '{}', '', '', '{}', 860, '2020-03-11 13:41:23', '', 0, '2020-03-11 13:41:23', '{}', '{}', 0, '*', 1, '2020-03-11 13:41:23', '2020-03-11 13:41:23'),
(4, 1, 5, 6, 1, 'dropdown', 'Dropdown', 'dropdown', '', '', 1, 0, '2018-02-26 06:51:56', 1, '{}', '', '', '{}', 860, '2020-03-11 13:41:23', '', 0, '2020-03-11 13:41:23', '{}', '{}', 0, '*', 1, '2020-03-11 13:41:23', '2020-03-11 13:41:23'),
(5, 1, 7, 8, 1, 'drag', 'Drag', 'drag', '', '', 1, 0, '2018-02-26 06:51:56', 1, '{}', '', '', '{}', 860, '2020-03-11 13:41:23', '', 0, '2020-03-11 13:41:23', '{}', '{}', 0, '*', 1, '2020-03-11 13:41:23', '2020-03-11 13:41:23'),
(6, 1, 9, 10, 1, 'drop', 'Drop', 'drop', '', '', 1, 0, '2018-02-26 06:51:56', 1, '{}', '', '', '{}', 860, '2020-03-11 13:41:23', '', 0, '2020-03-11 13:41:23', '{}', '{}', 0, '*', 1, '2020-03-11 13:41:23', '2020-03-11 13:41:23'),
(7, 1, 11, 12, 1, 'mega-menu', 'Mega Menu', 'mega-menu', '', '', 1, 0, '2018-02-26 06:51:56', 1, '{}', '', '', '{}', 860, '2020-03-11 13:41:23', '', 0, '2020-03-11 13:41:23', '{}', '{}', 0, '*', 1, '2020-03-11 13:41:23', '2020-03-11 13:41:23'),
(8, 1, 13, 14, 1, 'features', 'Features', 'features', '', '', 1, 0, '2018-02-26 06:51:56', 1, '{}', '', '', '{}', 860, '2020-03-11 13:41:23', '', 0, '2020-03-11 13:41:23', '{}', '{}', 0, '*', 1, '2020-03-11 13:41:23', '2020-03-11 13:41:23');

CREATE TABLE IF NOT EXISTS `#__template_styles` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_client_id` (`client_id`),
  KEY `idx_client_id_home` (`client_id`, `home`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(4, 'beez3', 0, '0', 'Beez3 - Default', '{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"logo\":\"images\\/joomla_black.png\",\"sitetitle\":\"Joomla!\",\"sitedescription\":\"Open Source Content Management\",\"navposition\":\"left\",\"templatecolor\":\"personal\",\"html5\":\"0\"}'),
(5, 'hathor', 1, '0', 'Hathor - Default', '{\"showSiteName\":\"0\",\"colourChoice\":\"\",\"boldText\":\"0\"}'),
(7, 'protostar', 0, '0', 'protostar - Default', '{\"templateColor\":\"\",\"logoFile\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}'),
(8, 'isis', 1, '1', 'isis - Default', '{\"templateColor\":\"\",\"logoFile\":\"\"}'),
(9, 'squickv2', 0, '1', 'Squick-v2.0 - Default', '{\"logo_type\":\"image\",\"logo_image\":\"images\\/logo2x.png\",\"logo_height\":\"36\",\"mobile_logo\":\"\",\"logo_text\":\"\",\"logo_slogan\":\"\",\"header_height\":\"60px\",\"sticky_header\":\"1\",\"favicon\":\"\",\"body_bg_image\":\"\",\"body_bg_repeat\":\"inherit\",\"body_bg_size\":\"inherit\",\"body_bg_attachment\":\"inherit\",\"body_bg_position\":\"0 0\",\"enabled_copyright\":\"1\",\"copyright_position\":\"footer1\",\"copyright_load_pos\":\"default\",\"copyright\":\"\\u00a9 {year} Your Site. <a href=\\\"https:\\/\\/sellacious.com\\/squick-2\\\">Squick v2.0<\\/a> by <a href=\\\"https:\\/\\/sellacious.com\\\">Sellacious<\\/a>\",\"goto_top\":\"1\",\"show_social_icons\":\"1\",\"social_position\":\"top1\",\"social_load_pos\":\"default\",\"facebook\":\"#\",\"twitter\":\"#\",\"pinterest\":\"#\",\"linkedin\":\"#\",\"dribbble\":\"\",\"instagram\":\"#\",\"behance\":\"\",\"youtube\":\"#\",\"flickr\":\"\",\"skype\":\"pq.softs\",\"whatsapp\":\"#\",\"vk\":\"\",\"custom\":\"\",\"contactinfo\":\"1\",\"contact_position\":\"top2\",\"contact_phone\":\"\",\"contact_mobile\":\"+123 456 78910\",\"contact_email\":\"contact@sellacious.com\",\"contact_time\":\"\",\"comingsoon_title\":\"Coming Soon Title\",\"comingsoon_content\":\"Coming soon content\",\"comingsoon_date\":\"5-10-2021\",\"comingsoon_logo\":\"\",\"comingsoon_bg_image\":\"\",\"comingsoon_social_icons\":\"1\",\"error_logo\":\"images\\/logo2x.png\",\"error_bg\":\"\",\"preset\":\"{\\\"footer_link_hover_color\\\":\\\"#FFFFFF\\\",\\\"footer_link_color\\\":\\\"#A2A2A2\\\",\\\"footer_text_color\\\":\\\"#FFFFFF\\\",\\\"footer_bg_color\\\":\\\"#171717\\\",\\\"menu_dropdown_text_active_color\\\":\\\"#00aeef\\\",\\\"menu_dropdown_text_hover_color\\\":\\\"#00aeef\\\",\\\"menu_dropdown_text_color\\\":\\\"#252525\\\",\\\"menu_dropdown_bg_color\\\":\\\"#FFFFFF\\\",\\\"menu_text_active_color\\\":\\\"#00aeef\\\",\\\"menu_text_hover_color\\\":\\\"#00aeef\\\",\\\"menu_text_color\\\":\\\"#252525\\\",\\\"logo_text_color\\\":\\\"#00aeef\\\",\\\"topbar_text_color\\\":\\\"#ffffff\\\",\\\"topbar_bg_color\\\":\\\"#000000\\\",\\\"header_bg_color\\\":\\\"#FFFFFF\\\",\\\"link_hover_color\\\":\\\"#044CD0\\\",\\\"link_color\\\":\\\"#00aeef\\\",\\\"bg_color\\\":\\\"#FFFFFF\\\",\\\"text_color\\\":\\\"#252525\\\",\\\"preset\\\":\\\"preset2\\\"}\",\"text_color\":\"#252525\",\"bg_color\":\"#ffffff\",\"link_color\":\"#0345bf\",\"link_hover_color\":\"#044cd0\",\"header_bg_color\":\"#ffffff\",\"logo_text_color\":\"#0345bf\",\"topbar_bg_color\":\"#333333\",\"topbar_text_color\":\"#aaaaaa\",\"menu_text_color\":\"#252525\",\"menu_text_hover_color\":\"#0345bf\",\"menu_text_active_color\":\"#0345bf\",\"menu_dropdown_bg_color\":\"#ffffff\",\"menu_dropdown_text_color\":\"#252525\",\"menu_dropdown_text_hover_color\":\"#0345bf\",\"menu_dropdown_text_active_color\":\"#0345bf\",\"footer_bg_color\":\"#171717\",\"footer_text_color\":\"#ffffff\",\"footer_link_color\":\"#a2a2a2\",\"footer_link_hover_color\":\"#ffffff\",\"predefined_header\":\"1\",\"header_style\":\"style-1\",\"layout\":\"[{\\\"type\\\":\\\"row\\\",\\\"layout\\\":12,\\\"settings\\\":{\\\"hide_desktop\\\":0,\\\"hide_small_desktop\\\":0,\\\"hide_tablet\\\":0,\\\"hide_large_mobile\\\":1,\\\"hide_mobile\\\":1,\\\"hidden_xs\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_md\\\":0,\\\"name\\\":\\\"\\\",\\\"fluidrow\\\":1,\\\"custom_class\\\":\\\"\\\",\\\"padding\\\":\\\"\\\",\\\"margin\\\":\\\"\\\",\\\"color\\\":\\\"\\\",\\\"link_color\\\":\\\"\\\",\\\"link_hover_color\\\":\\\"\\\",\\\"background_color\\\":\\\"\\\",\\\"background_image\\\":\\\"\\\",\\\"hide_on_phone\\\":0,\\\"hide_on_large_phone\\\":0,\\\"hide_on_tablet\\\":0,\\\"hide_on_small_desktop\\\":0,\\\"hide_on_desktop\\\":0},\\\"attr\\\":[{\\\"type\\\":\\\"sp_col\\\",\\\"settings\\\":{\\\"grid_size\\\":12,\\\"name\\\":\\\"title\\\",\\\"hidden_xs\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_md\\\":0,\\\"sm_col\\\":\\\"\\\",\\\"xs_col\\\":\\\"\\\",\\\"custom_class\\\":\\\"\\\",\\\"column_type\\\":0}}]},{\\\"type\\\":\\\"row\\\",\\\"layout\\\":\\\"3+6+3\\\",\\\"settings\\\":{\\\"custom_class\\\":\\\"\\\",\\\"fluidrow\\\":0,\\\"margin\\\":\\\"\\\",\\\"padding\\\":\\\"\\\",\\\"hidden_md\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_xs\\\":0,\\\"link_hover_color\\\":\\\"\\\",\\\"link_color\\\":\\\"\\\",\\\"color\\\":\\\"\\\",\\\"background_color\\\":\\\"\\\",\\\"name\\\":\\\"Main Body\\\"},\\\"attr\\\":[{\\\"type\\\":\\\"sp_col\\\",\\\"settings\\\":{\\\"sortableitem\\\":\\\"[object Object]\\\",\\\"column_type\\\":0,\\\"custom_class\\\":\\\"\\\",\\\"xs_col\\\":\\\"\\\",\\\"sm_col\\\":\\\"\\\",\\\"hidden_md\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_xs\\\":0,\\\"name\\\":\\\"left\\\",\\\"grid_size\\\":3}},{\\\"type\\\":\\\"sp_col\\\",\\\"settings\\\":{\\\"sortableitem\\\":\\\"[object Object]\\\",\\\"column_type\\\":1,\\\"grid_size\\\":6,\\\"custom_class\\\":\\\"\\\",\\\"xs_col\\\":\\\"\\\",\\\"sm_col\\\":\\\"\\\",\\\"hidden_md\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_xs\\\":0}},{\\\"type\\\":\\\"sp_col\\\",\\\"settings\\\":{\\\"sortableitem\\\":\\\"[object Object]\\\",\\\"custom_class\\\":\\\"\\\",\\\"xs_col\\\":\\\"\\\",\\\"sm_col\\\":\\\"\\\",\\\"hidden_md\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_xs\\\":0,\\\"name\\\":\\\"right\\\",\\\"column_type\\\":0,\\\"grid_size\\\":3}}]},{\\\"type\\\":\\\"row\\\",\\\"layout\\\":\\\"3+3+3+3\\\",\\\"settings\\\":{\\\"name\\\":\\\"Bottom\\\",\\\"fluidrow\\\":0,\\\"custom_class\\\":\\\"\\\",\\\"padding\\\":\\\"\\\",\\\"margin\\\":\\\"\\\",\\\"color\\\":\\\"\\\",\\\"link_color\\\":\\\"\\\",\\\"link_hover_color\\\":\\\"\\\",\\\"background_color\\\":\\\"\\\",\\\"background_image\\\":\\\"\\\",\\\"background_repeat\\\":\\\"\\\",\\\"background_size\\\":\\\"\\\",\\\"background_attachment\\\":\\\"\\\",\\\"background_position\\\":\\\"\\\",\\\"hide_on_phone\\\":0,\\\"hide_on_large_phone\\\":0,\\\"hide_on_tablet\\\":0,\\\"hide_on_small_desktop\\\":0,\\\"hide_on_desktop\\\":0,\\\"hidden_md\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_xs\\\":0},\\\"attr\\\":[{\\\"type\\\":\\\"sp_col\\\",\\\"settings\\\":{\\\"sortableitem\\\":\\\"[object Object]\\\",\\\"column_type\\\":0,\\\"name\\\":\\\"bottom1\\\",\\\"hidden_xs\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_md\\\":0,\\\"sm_col\\\":\\\"col-sm-6\\\",\\\"xs_col\\\":\\\"\\\",\\\"custom_class\\\":\\\"\\\",\\\"grid_size\\\":3}},{\\\"type\\\":\\\"sp_col\\\",\\\"settings\\\":{\\\"sortableitem\\\":\\\"[object Object]\\\",\\\"custom_class\\\":\\\"\\\",\\\"xs_col\\\":\\\"\\\",\\\"sm_col\\\":\\\"col-sm-6\\\",\\\"hidden_md\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_xs\\\":0,\\\"name\\\":\\\"bottom2\\\",\\\"column_type\\\":0,\\\"grid_size\\\":3}},{\\\"type\\\":\\\"sp_col\\\",\\\"settings\\\":{\\\"grid_size\\\":3,\\\"hide_on_desktop\\\":0,\\\"hide_on_small_desktop\\\":0,\\\"hide_on_tablet\\\":0,\\\"hide_on_large_phone\\\":0,\\\"hide_on_phone\\\":0,\\\"xs_col\\\":\\\"\\\",\\\"sm_col\\\":\\\"\\\",\\\"md_col\\\":\\\"\\\",\\\"xl_col\\\":\\\"\\\",\\\"custom_class\\\":\\\"\\\",\\\"name\\\":\\\"bottom3\\\",\\\"column_type\\\":0}},{\\\"type\\\":\\\"sp_col\\\",\\\"settings\\\":{\\\"grid_size\\\":3,\\\"hide_on_desktop\\\":0,\\\"hide_on_small_desktop\\\":0,\\\"hide_on_tablet\\\":0,\\\"hide_on_large_phone\\\":0,\\\"hide_on_phone\\\":0,\\\"xs_col\\\":\\\"\\\",\\\"sm_col\\\":\\\"\\\",\\\"md_col\\\":\\\"\\\",\\\"xl_col\\\":\\\"\\\",\\\"custom_class\\\":\\\"\\\",\\\"name\\\":\\\"bottom4\\\",\\\"column_type\\\":0}}]},{\\\"type\\\":\\\"row\\\",\\\"layout\\\":12,\\\"settings\\\":{\\\"name\\\":\\\"Footer\\\",\\\"background_color\\\":\\\"\\\",\\\"color\\\":\\\"\\\",\\\"link_color\\\":\\\"\\\",\\\"link_hover_color\\\":\\\"\\\",\\\"hidden_xs\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_md\\\":0,\\\"padding\\\":\\\"\\\",\\\"margin\\\":\\\"\\\",\\\"fluidrow\\\":0,\\\"custom_class\\\":\\\"\\\"},\\\"attr\\\":[{\\\"type\\\":\\\"sp_col\\\",\\\"settings\\\":{\\\"hidden_md\\\":0,\\\"hidden_sm\\\":0,\\\"hidden_xs\\\":0,\\\"grid_size\\\":12,\\\"sortableitem\\\":\\\"[object Object]\\\",\\\"xs_col\\\":\\\"\\\",\\\"sm_col\\\":\\\"\\\",\\\"custom_class\\\":\\\"\\\",\\\"name\\\":\\\"footer1\\\",\\\"column_type\\\":0}}]}]\",\"menu\":\"mainmenu\",\"menu_type\":\"mega_offcanvas\",\"dropdown_width\":\"\",\"menu_animation\":\"menu-animation-pulse\",\"offcanvas_position\":\"left\",\"enable_body_font\":\"1\",\"body_font\":\"{\\\"fontFamily\\\":\\\"Helvetica\\\",\\\"fontSize\\\":\\\"14\\\",\\\"fontSize_sm\\\":\\\"\\\",\\\"fontSize_xs\\\":\\\"\\\",\\\"fontWeight\\\":\\\"\\\",\\\"fontStyle\\\":\\\"\\\",\\\"fontSubset\\\":\\\"\\\"}\",\"enable_h1_font\":\"1\",\"h1_font\":\"{\\\"fontFamily\\\":\\\"Arial\\\",\\\"fontSize\\\":\\\"\\\",\\\"fontSize_sm\\\":\\\"\\\",\\\"fontSize_xs\\\":\\\"\\\",\\\"fontWeight\\\":\\\"\\\",\\\"fontStyle\\\":\\\"\\\",\\\"fontSubset\\\":\\\"\\\"}\",\"h2_font\":\"{\\\"fontFamily\\\":\\\"Arial\\\",\\\"fontSize\\\":\\\"\\\",\\\"fontSize_sm\\\":\\\"\\\",\\\"fontSize_xs\\\":\\\"\\\",\\\"fontWeight\\\":\\\"\\\",\\\"fontStyle\\\":\\\"\\\",\\\"fontSubset\\\":\\\"\\\"}\",\"h3_font\":\"{\\\"fontFamily\\\":\\\"Arial\\\",\\\"fontSize\\\":\\\"\\\",\\\"fontSize_sm\\\":\\\"\\\",\\\"fontSize_xs\\\":\\\"\\\",\\\"fontWeight\\\":\\\"\\\",\\\"fontStyle\\\":\\\"\\\",\\\"fontSubset\\\":\\\"\\\"}\",\"h4_font\":\"{\\\"fontFamily\\\":\\\"Arial\\\",\\\"fontSize\\\":\\\"\\\",\\\"fontSize_sm\\\":\\\"\\\",\\\"fontSize_xs\\\":\\\"\\\",\\\"fontWeight\\\":\\\"\\\",\\\"fontStyle\\\":\\\"\\\",\\\"fontSubset\\\":\\\"\\\"}\",\"h5_font\":\"{\\\"fontFamily\\\":\\\"Arial\\\",\\\"fontSize\\\":\\\"\\\",\\\"fontSize_sm\\\":\\\"\\\",\\\"fontSize_xs\\\":\\\"\\\",\\\"fontWeight\\\":\\\"\\\",\\\"fontStyle\\\":\\\"\\\",\\\"fontSubset\\\":\\\"\\\"}\",\"h6_font\":\"{\\\"fontFamily\\\":\\\"Arial\\\",\\\"fontSize\\\":\\\"\\\",\\\"fontSize_sm\\\":\\\"\\\",\\\"fontSize_xs\\\":\\\"\\\",\\\"fontWeight\\\":\\\"\\\",\\\"fontStyle\\\":\\\"\\\",\\\"fontSubset\\\":\\\"\\\"}\",\"navigation_font\":\"{\\\"fontFamily\\\":\\\"Arial\\\",\\\"fontSize\\\":\\\"\\\",\\\"fontSize_sm\\\":\\\"\\\",\\\"fontSize_xs\\\":\\\"\\\",\\\"fontWeight\\\":\\\"\\\",\\\"fontStyle\\\":\\\"\\\",\\\"fontSubset\\\":\\\"\\\"}\",\"custom_font\":\"{\\\"fontFamily\\\":\\\"Arial\\\",\\\"fontSize\\\":\\\"\\\",\\\"fontSize_sm\\\":\\\"\\\",\\\"fontSize_xs\\\":\\\"\\\",\\\"fontWeight\\\":\\\"\\\",\\\"fontStyle\\\":\\\"\\\",\\\"fontSubset\\\":\\\"\\\"}\",\"custom_font_selectors\":\"\",\"gfont_api\":\"\",\"image_small\":\"1\",\"image_small_size\":\"100X100\",\"image_thumbnail\":\"1\",\"image_thumbnail_size\":\"600X340\",\"image_medium\":\"1\",\"image_medium_size\":\"300X300\",\"image_large_size\":\"600X600\",\"image_crop_quality\":\"100\",\"blog_list_image\":\"thumbnail\",\"leading_blog_list_image\":\"large\",\"blog_details_image\":\"default\",\"social_share\":\"1\",\"social_share_lists\":[\"facebook\",\"twitter\",\"linkedin\"],\"og\":\"1\",\"og_fb_id\":\"\",\"og_twitter_site\":\"\",\"reading_timeline_bg\":\"#0345bf\",\"reading_timeline_height\":\"5px\",\"reading_timeline_position\":\"top\",\"related_article\":\"1\",\"related_article_title\":\"Related Articles\",\"related_article_limit\":\"3\",\"related_article_view_type\":\"thumb\",\"comment\":\"disabled\",\"comment_disqus_subdomain\":\"\",\"comment_disqus_devmode\":\"1\",\"comment_intensedebate_acc\":\"\",\"comment_facebook_app_id\":\"\",\"comment_facebook_width\":\"100\",\"comment_facebook_number\":\"10\",\"comments_count\":\"1\",\"before_head\":\"\",\"before_body\":\"\",\"custom_css\":\"\",\"custom_js\":\"\",\"exclude_js\":\"\"}'),
(10, 'sellacious', 2, '1', 'Sellacious - Backoffice', '');

CREATE TABLE IF NOT EXISTS `#__ucm_base` (
  `ucm_id` int(10) UNSIGNED NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__ucm_content` (
  `core_content_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(400) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(400) NOT NULL DEFAULT '',
  `core_alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `core_body` mediumtext NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT '0',
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_checked_out_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `core_access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `core_params` text NOT NULL,
  `core_featured` tinyint(4) UNSIGNED NOT NULL DEFAULT '0',
  `core_metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL DEFAULT '',
  `core_publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_content_item_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'ID from the individual type table',
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `core_images` text NOT NULL,
  `core_urls` text NOT NULL,
  `core_hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `core_version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `core_ordering` int(11) NOT NULL DEFAULT '0',
  `core_metakey` text NOT NULL,
  `core_metadesc` text NOT NULL,
  `core_catid` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `core_xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_alias` (`core_alias`(100)),
  KEY `idx_language` (`core_language`),
  KEY `idx_title` (`core_title`(100)),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_content_type` (`core_type_alias`(100)),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Contains core content data in name spaced fields';

CREATE TABLE IF NOT EXISTS `#__ucm_history` (
  `version_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) UNSIGNED NOT NULL,
  `ucm_type_id` int(10) UNSIGNED NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `character_count` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` mediumtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT '0',
  `extension_id` int(11) DEFAULT '0',
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT '0',
  `version` varchar(32) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  `infourl` text NOT NULL,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Available Updates';

INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`, `extra_query`) VALUES
(115, 2, 0, 'Armenian', '', 'pkg_hy-AM', 'package', '', 0, '3.4.4.1', '', 'https://update.joomla.org/language/details3/hy-AM_details.xml', '', ''),
(116, 2, 0, 'Malay', '', 'pkg_ms-MY', 'package', '', 0, '3.4.1.2', '', 'https://update.joomla.org/language/details3/ms-MY_details.xml', '', ''),
(117, 2, 0, 'Romanian', '', 'pkg_ro-RO', 'package', '', 0, '3.9.13.1', '', 'https://update.joomla.org/language/details3/ro-RO_details.xml', '', ''),
(118, 2, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/nl-BE_details.xml', '', ''),
(119, 2, 0, 'Chinese Traditional', '', 'pkg_zh-TW', 'package', '', 0, '3.8.0.1', '', 'https://update.joomla.org/language/details3/zh-TW_details.xml', '', ''),
(120, 2, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/fr-FR_details.xml', '', ''),
(121, 2, 0, 'Galician', '', 'pkg_gl-ES', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/gl-ES_details.xml', '', ''),
(122, 2, 0, 'Georgian', '', 'pkg_ka-GE', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/ka-GE_details.xml', '', ''),
(123, 2, 0, 'Greek', '', 'pkg_el-GR', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/el-GR_details.xml', '', ''),
(124, 2, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/ja-JP_details.xml', '', ''),
(125, 2, 0, 'Hebrew', '', 'pkg_he-IL', 'package', '', 0, '3.1.1.2', '', 'https://update.joomla.org/language/details3/he-IL_details.xml', '', ''),
(126, 2, 0, 'Bengali', '', 'pkg_bn-BD', 'package', '', 0, '3.8.10.1', '', 'https://update.joomla.org/language/details3/bn-BD_details.xml', '', ''),
(127, 2, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '3.9.12.1', '', 'https://update.joomla.org/language/details3/hu-HU_details.xml', '', ''),
(128, 2, 0, 'Afrikaans', '', 'pkg_af-ZA', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/af-ZA_details.xml', '', ''),
(129, 2, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(130, 2, 0, 'Belarusian', '', 'pkg_be-BY', 'package', '', 0, '3.2.1.2', '', 'https://update.joomla.org/language/details3/be-BY_details.xml', '', ''),
(131, 2, 0, 'Bulgarian', '', 'pkg_bg-BG', 'package', '', 0, '3.6.5.2', '', 'https://update.joomla.org/language/details3/bg-BG_details.xml', '', ''),
(132, 2, 0, 'Catalan', '', 'pkg_ca-ES', 'package', '', 0, '3.9.11.2', '', 'https://update.joomla.org/language/details3/ca-ES_details.xml', '', ''),
(133, 2, 0, 'Chinese Simplified', '', 'pkg_zh-CN', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/zh-CN_details.xml', '', ''),
(134, 2, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/hr-HR_details.xml', '', ''),
(135, 2, 0, 'Czech', '', 'pkg_cs-CZ', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/cs-CZ_details.xml', '', ''),
(136, 2, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/da-DK_details.xml', '', ''),
(137, 2, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/nl-NL_details.xml', '', ''),
(138, 2, 0, 'Esperanto', '', 'pkg_eo-XX', 'package', '', 0, '3.8.11.1', '', 'https://update.joomla.org/language/details3/eo-XX_details.xml', '', ''),
(139, 2, 0, 'Estonian', '', 'pkg_et-EE', 'package', '', 0, '3.9.14.2', '', 'https://update.joomla.org/language/details3/et-EE_details.xml', '', ''),
(140, 2, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/it-IT_details.xml', '', ''),
(141, 2, 0, 'Khmer', '', 'pkg_km-KH', 'package', '', 0, '3.4.5.1', '', 'https://update.joomla.org/language/details3/km-KH_details.xml', '', ''),
(142, 2, 0, 'Korean', '', 'pkg_ko-KR', 'package', '', 0, '3.8.9.1', '', 'https://update.joomla.org/language/details3/ko-KR_details.xml', '', ''),
(143, 2, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '3.7.3.1', '', 'https://update.joomla.org/language/details3/lv-LV_details.xml', '', ''),
(144, 2, 0, 'Lithuanian', '', 'pkg_lt-LT', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/lt-LT_details.xml', '', ''),
(145, 2, 0, 'Macedonian', '', 'pkg_mk-MK', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/mk-MK_details.xml', '', ''),
(146, 2, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '3.8.11.1', '', 'https://update.joomla.org/language/details3/nb-NO_details.xml', '', ''),
(147, 2, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '3.4.2.1', '', 'https://update.joomla.org/language/details3/nn-NO_details.xml', '', ''),
(148, 2, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/fa-IR_details.xml', '', ''),
(149, 2, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '3.9.13.1', '', 'https://update.joomla.org/language/details3/pl-PL_details.xml', '', ''),
(150, 2, 0, 'Portuguese', '', 'pkg_pt-PT', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/pt-PT_details.xml', '', ''),
(151, 2, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '3.9.12.1', '', 'https://update.joomla.org/language/details3/ru-RU_details.xml', '', ''),
(152, 2, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/en-AU_details.xml', '', ''),
(153, 2, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/sk-SK_details.xml', '', ''),
(154, 2, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '3.9.15.2', '', 'https://update.joomla.org/language/details3/en-US_details.xml', '', ''),
(155, 2, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/sv-SE_details.xml', '', ''),
(156, 2, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '3.4.5.1', '', 'https://update.joomla.org/language/details3/sy-IQ_details.xml', '', ''),
(157, 2, 0, 'Tamil', '', 'pkg_ta-IN', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/ta-IN_details.xml', '', ''),
(158, 2, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/th-TH_details.xml', '', ''),
(159, 2, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '3.9.4.1', '', 'https://update.joomla.org/language/details3/tr-TR_details.xml', '', ''),
(160, 2, 0, 'Ukrainian', '', 'pkg_uk-UA', 'package', '', 0, '3.7.1.1', '', 'https://update.joomla.org/language/details3/uk-UA_details.xml', '', ''),
(161, 2, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '3.7.5.2', '', 'https://update.joomla.org/language/details3/ug-CN_details.xml', '', ''),
(162, 2, 0, 'Albanian', '', 'pkg_sq-AL', 'package', '', 0, '3.1.1.2', '', 'https://update.joomla.org/language/details3/sq-AL_details.xml', '', ''),
(163, 2, 0, 'Basque', '', 'pkg_eu-ES', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/eu-ES_details.xml', '', ''),
(164, 2, 0, 'Hindi', '', 'pkg_hi-IN', 'package', '', 0, '3.3.6.2', '', 'https://update.joomla.org/language/details3/hi-IN_details.xml', '', ''),
(165, 2, 0, 'German DE', '', 'pkg_de-DE', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/de-DE_details.xml', '', ''),
(166, 2, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/pt-BR_details.xml', '', ''),
(167, 2, 0, 'Serbian Latin', '', 'pkg_sr-YU', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/sr-YU_details.xml', '', ''),
(168, 2, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/es-ES_details.xml', '', ''),
(169, 2, 0, 'Bosnian', '', 'pkg_bs-BA', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/bs-BA_details.xml', '', ''),
(170, 2, 0, 'Serbian Cyrillic', '', 'pkg_sr-RS', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/sr-RS_details.xml', '', ''),
(171, 2, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '3.2.1.2', '', 'https://update.joomla.org/language/details3/vi-VN_details.xml', '', ''),
(172, 2, 0, 'Bahasa Indonesia', '', 'pkg_id-ID', 'package', '', 0, '3.6.2.1', '', 'https://update.joomla.org/language/details3/id-ID_details.xml', '', ''),
(173, 2, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/fi-FI_details.xml', '', ''),
(174, 2, 0, 'Swahili', '', 'pkg_sw-KE', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/sw-KE_details.xml', '', ''),
(175, 2, 0, 'Montenegrin', '', 'pkg_srp-ME', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/srp-ME_details.xml', '', ''),
(176, 2, 0, 'English CA', '', 'pkg_en-CA', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/en-CA_details.xml', '', ''),
(177, 2, 0, 'French CA', '', 'pkg_fr-CA', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/fr-CA_details.xml', '', ''),
(178, 2, 0, 'Welsh', '', 'pkg_cy-GB', 'package', '', 0, '3.9.14.1', '', 'https://update.joomla.org/language/details3/cy-GB_details.xml', '', ''),
(179, 2, 0, 'Sinhala', '', 'pkg_si-LK', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/si-LK_details.xml', '', ''),
(180, 2, 0, 'Dari Persian', '', 'pkg_prs-AF', 'package', '', 0, '3.4.4.3', '', 'https://update.joomla.org/language/details3/prs-AF_details.xml', '', ''),
(181, 2, 0, 'Turkmen', '', 'pkg_tk-TM', 'package', '', 0, '3.5.0.2', '', 'https://update.joomla.org/language/details3/tk-TM_details.xml', '', ''),
(182, 2, 0, 'Irish', '', 'pkg_ga-IE', 'package', '', 0, '3.8.13.1', '', 'https://update.joomla.org/language/details3/ga-IE_details.xml', '', ''),
(183, 2, 0, 'Dzongkha', '', 'pkg_dz-BT', 'package', '', 0, '3.6.2.1', '', 'https://update.joomla.org/language/details3/dz-BT_details.xml', '', ''),
(184, 2, 0, 'Slovenian', '', 'pkg_sl-SI', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/sl-SI_details.xml', '', ''),
(185, 2, 0, 'Spanish CO', '', 'pkg_es-CO', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/es-CO_details.xml', '', ''),
(186, 2, 0, 'German CH', '', 'pkg_de-CH', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/de-CH_details.xml', '', ''),
(187, 2, 0, 'German AT', '', 'pkg_de-AT', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/de-AT_details.xml', '', ''),
(188, 2, 0, 'German LI', '', 'pkg_de-LI', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/de-LI_details.xml', '', ''),
(189, 2, 0, 'German LU', '', 'pkg_de-LU', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/de-LU_details.xml', '', ''),
(190, 2, 0, 'English NZ', '', 'pkg_en-NZ', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/en-NZ_details.xml', '', ''),
(191, 2, 0, 'Kazakh', '', 'pkg_kk-KZ', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/kk-KZ_details.xml', '', ''),
(194, 80, 0, 'PLG_SELLACIOUSRULES_PRODUCT', 'PLG_SELLACIOUSRULES_PRODUCT_DESCRIPTION', 'plg_sellaciousrules_product', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_sellaciousrules_product.xml', 'http://sellacious.com', ''),
(195, 81, 0, 'PLG_SELLACIOUSRULES_GEOLOCATION', 'PLG_SELLACIOUSRULES_GEOLOCATION_DESCRIPTION', 'plg_sellaciousrules_geolocation', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_sellaciousrules_geolocation.xml', 'http://sellacious.com', ''),
(196, 82, 0, 'PLG_SELLACIOUSRULES_AMOUNTFILTER', 'PLG_SELLACIOUSRULES_AMOUNTFILTER_DESCRIPTION', 'plg_sellaciousrules_amountfilter', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_sellaciousrules_amountfilter.xml', 'http://sellacious.com', ''),
(197, 83, 0, 'PLG_SELLACIOUSRULES_CLIENT', 'PLG_SELLACIOUSRULES_CLIENT_DESCRIPTION', 'plg_sellaciousrules_client', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_sellaciousrules_client.xml', 'http://sellacious.com', ''),
(198, 84, 0, 'PLG_SELLACIOUS_ORDER', 'PLG_SELLACIOUS_ORDER_DESCRIPTION', 'plg_sellacious_order', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_sellacious_order.xml', 'http://sellacious.com', ''),
(199, 85, 0, 'PLG_SELLACIOUS_FIELDTYPEFORMS', 'PLG_SELLACIOUS_FIELDTYPEFORMS_DESCRIPTION', 'plg_sellacious_fieldtypeforms', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_sellacious_fieldtypeforms.xml', 'http://sellacious.com', ''),
(200, 86, 0, 'PLG_SELLACIOUS_USER', 'PLG_SELLACIOUS_USER_DESCRIPTION', 'plg_sellacious_user', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_sellacious_user.xml', 'http://sellacious.com', ''),
(201, 87, 0, 'PLG_SELLACIOUS_MAILQUEUE', 'PLG_SELLACIOUS_MAILQUEUE_DESCRIPTION', 'plg_sellacious_mailqueue', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_sellacious_mailqueue.xml', 'http://sellacious.com', ''),
(202, 88, 0, 'plg_content_sellaciousbuttons', 'PLG_CONTENT_SELLACIOUSBUTTONS_XML_DESCRIPTION', 'plg_content_sellaciousbuttons', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_content_sellaciousbuttons.xml', 'http://sellacious.com', ''),
(203, 89, 0, 'plg_content_sellaciousproductquery', 'PLG_CONTENT_SELLACIOUSPRODUCTQUERY_XML_DESCRIPTION', 'plg_content_sellaciousproductquery', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_content_sellaciousproductquery.xml', 'http://sellacious.com', ''),
(204, 90, 0, 'plg_sellaciouspayment_ewallet', 'PLG_SELLACIOUSPAYMENT_EWALLET_XML_DESCRIPTION', 'plg_sellaciouspayment_ewallet', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_sellaciouspayment_ewallet.xml', 'http://sellacious.com', ''),
(205, 91, 0, 'plg_sellaciouspayment_paypalstandard', 'PLG_SELLACIOUSPAYMENT_PAYPALSTANDARD_XML_DESCRIPTION', 'plg_sellaciouspayment_paypalstandard', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_sellaciouspayment_paypalstandard.xml', 'http://sellacious.com', ''),
(206, 92, 0, 'plg_sellaciouspayment_custom', 'PLG_SELLACIOUSPAYMENT_CUSTOM_XML_DESCRIPTION', 'plg_sellaciouspayment_custom', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_sellaciouspayment_custom.xml', 'http://sellacious.com', ''),
(207, 93, 0, 'plg_sellaciouspayment_cod', 'PLG_SELLACIOUSPAYMENT_COD_XML_DESCRIPTION', 'plg_sellaciouspayment_cod', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_sellaciouspayment_cod.xml', 'http://sellacious.com', ''),
(208, 94, 0, 'PLG_SYSTEM_SELLACIOUSREPORTSCART', 'PLG_SYSTEM_SELLACIOUSREPORTSCART_DESC', 'plg_system_sellaciousreportscart', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousreportscart.xml', 'http://sellacious.com', ''),
(209, 96, 0, 'PLG_SYSTEM_SELLACIOUS', 'PLG_SYSTEM_SELLACIOUS_DESCRIPTION', 'plg_system_sellacious', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_system_sellacious.xml', 'http://sellacious.com', ''),
(210, 97, 0, 'System - Sellacious Importer', '<div class=\"alert alert-info\"><h5>Sellacious Importer</h5>\n	<p>Allows importing of data into sellacious using CSV data-sheet. <br>\n	The supported CSV format can be downloaded for each category and/or for all categories form the categories and products list pages.</p>\n	</div>', 'plg_system_sellaciousimporter', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousimporter.xml', 'http://sellacious.com', ''),
(211, 98, 0, 'PLG_SYSTEM_SELLACIOUSMAILER', 'PLG_SYSTEM_SELLACIOUSMAILER_DESCRIPTION', 'plg_system_sellaciousmailer', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousmailer.xml', 'http://sellacious.com', ''),
(212, 99, 0, 'PLG_SYSTEM_SELLACIOUSPRODUCTNOTIFICATION', 'PLG_SYSTEM_SELLACIOUSPRODUCTNOTIFICATION_DESCRIPTION', 'plg_system_sellaciousproductnotification', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousproductnotification.xml', 'http://sellacious.com', ''),
(213, 100, 0, 'PLG_SYSTEM_SELLACIOUSUTM', 'PLG_SYSTEM_SELLACIOUSUTM_XML_DESCRIPTION', 'plg_system_sellaciousutm', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousutm.xml', 'http://sellacious.com', ''),
(214, 101, 0, 'PLG_SYSTEM_SELLACIOUSCACHE', 'PLG_SYSTEM_SELLACIOUSCACHE_DESCRIPTION', 'plg_system_sellaciouscache', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciouscache.xml', 'http://sellacious.com', ''),
(215, 102, 0, 'PLG_SYSTEM_SELLACIOUSRECENT', 'PLG_SYSTEM_SELLACIOUSRECENT_XML_DESCRIPTION', 'plg_system_sellaciousrecent', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousrecent.xml', 'http://sellacious.com', ''),
(216, 103, 0, 'PLG_SYSTEM_SELLACIOUSGOOGLEMARKUP', 'PLG_SYSTEM_SELLACIOUSGOOGLEMARKUP_DESCRIPTION', 'plg_system_sellaciousgooglemarkup', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousgooglemarkup.xml', 'http://sellacious.com', ''),
(217, 104, 0, 'PLG_SYSTEM_SELLACIOUSFOREX', 'PLG_SYSTEM_SELLACIOUSFOREX_DESCRIPTION', 'plg_system_sellaciousforex', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousforex.xml', 'http://sellacious.com', ''),
(218, 106, 0, 'plg_finder_sellaciousproduct', 'PLG_FINDER_SELLACIOUSPRODUCT_XML_DESCRIPTION', 'plg_finder_sellaciousproduct', 'plugin', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/plg_finder_sellaciousproduct.xml', 'http://sellacious.com', ''),
(219, 110, 0, 'com_sellacious', 'COM_SELLACIOUS_XML_DESCRIPTION', 'com_sellacious', 'component', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/com_sellacious.xml', 'http://sellacious.com', ''),
(220, 111, 0, 'com_sellaciousreporting', 'COM_SELLACIOUSREPORTING_XML_DESCRIPTION', 'com_sellaciousreporting', 'component', '', 2, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/com_sellaciousreporting.xml', 'http://sellacious.com', ''),
(221, 112, 0, 'com_importer', 'COM_IMPORTER_XML_DESCRIPTION', 'com_importer', 'component', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/com_importer.xml', 'http://sellacious.com', ''),
(225, 119, 0, 'files_sellacious', '\n		<div class=\'alert alert-info\'><h1>Sellacious Backoffice</h1>\n			<p style=\'font-weight: normal;\'>\n			The sellacious backoffice is where you can manage the shop, products, sellers and all related settings.<br/>\n			By default the <b>Backoffice</b> is installed at http://example.com<b>/sellacious</b>.\n			However, you can always rename this directory under your Joomla site root. <br/>\n			<b>Important:</b> After you rename the backoffice directory you must open and login to the backoffice using the new name.\n			Unless you do this, all other parts of the website may be non-functional.<br/>\n			For more help write us at: <em>support@sellacious.com</em>\n			</p>\n		</div>\n	', 'files_sellacious', 'file', '', 0, '1.6.0-alpha1', '', 'http://sellacious.com/release/updates/v1.6/files_sellacious.xml', 'http://sellacious.com', '');

CREATE TABLE IF NOT EXISTS `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Update Sites';

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES
(1, 'Joomla! Core', 'collection', 'https://update.joomla.org/core/list.xml', 1, 1584333795, ''),
(2, 'Accredited Joomla! Translations', 'collection', 'https://update.joomla.org/language/translationlist_3.xml', 1, 1584100430, ''),
(3, 'Joomla! Update Component Update Site', 'extension', 'https://update.joomla.org/core/extensions/com_joomlaupdate.xml', 1, 1584100493, ''),
(62, 'Sellacious Categories Module', 'extension', 'http://sellacious.com/release/mod_sellacious_categories.xml', 1, 1584100433, ''),
(63, 'Sellacious Updates - mod_usercurrency', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_usercurrency.xml', 1, 1584100434, ''),
(64, 'Sellacious Updates - mod_sellacious_latestproducts', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_latestproducts.xml', 1, 1584100436, ''),
(65, 'Sellacious Updates - mod_sellacious_products', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_products.xml', 1, 1584100438, ''),
(66, 'Sellacious Updates - mod_sellacious_users', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_users.xml', 1, 1584100439, ''),
(68, 'Sellacious Updates - mod_sellacious_specialcatsproducts', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_specialcatsproducts.xml', 1, 1584100442, ''),
(69, 'Sellacious Updates - mod_sellacious_recentlyviewedproducts', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_recentlyviewedproducts.xml', 1, 1584100444, ''),
(70, 'Sellacious Updates - mod_sellacious_stores', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_stores.xml', 1, 1584100445, ''),
(71, 'Sellacious Updates - mod_sellacious_cart', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_cart.xml', 1, 1584100447, ''),
(72, 'Sellacious Updates - mod_sellacious_bestsellingproducts', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_bestsellingproducts.xml', 1, 1584100449, ''),
(74, 'Sellacious Updates - mod_sellacious_finder', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_finder.xml', 1, 1584100451, ''),
(75, 'Sellacious Updates - mod_sellacious_sellerproducts', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_sellerproducts.xml', 1, 1584100457, ''),
(76, 'Sellacious Updates - mod_sellacious_ewallet', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_ewallet.xml', 1, 1584100459, ''),
(77, 'Sellacious Updates - mod_sellacious_contact', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_contact.xml', 1, 1584100461, ''),
(78, 'Sellacious Updates - mod_sellacious_relatedproducts', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_relatedproducts.xml', 1, 1584100463, ''),
(79, 'Sellacious Updates - mod_sellacious_filters', 'extension', 'http://sellacious.com/release/updates/v1.6/mod_sellacious_filters.xml', 1, 1584100464, ''),
(80, 'Sellacious Updates - plg_sellaciousrules_product', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_sellaciousrules_product.xml', 1, 1584100466, ''),
(81, 'Sellacious Updates - plg_sellaciousrules_geolocation', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_sellaciousrules_geolocation.xml', 1, 1584100468, ''),
(82, 'Sellacious Updates - plg_sellaciousrules_amountfilter', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_sellaciousrules_amountfilter.xml', 1, 1584100469, ''),
(83, 'Sellacious Updates - plg_sellaciousrules_client', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_sellaciousrules_client.xml', 1, 1584100471, ''),
(84, 'Sellacious Updates - plg_sellacious_order', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_sellacious_order.xml', 1, 1584100473, ''),
(85, 'Sellacious Updates - plg_sellacious_fieldtypeforms', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_sellacious_fieldtypeforms.xml', 1, 1584100475, ''),
(86, 'Sellacious Updates - plg_sellacious_user', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_sellacious_user.xml', 1, 1584100476, ''),
(87, 'Sellacious Updates - plg_sellacious_mailqueue', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_sellacious_mailqueue.xml', 1, 1584100478, ''),
(88, 'Sellacious Updates - plg_content_sellaciousbuttons', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_content_sellaciousbuttons.xml', 1, 1584100480, ''),
(89, 'Sellacious Updates - plg_content_sellaciousproductquery', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_content_sellaciousproductquery.xml', 1, 1584100481, ''),
(90, 'Sellacious Updates - plg_sellaciouspayment_ewallet', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_sellaciouspayment_ewallet.xml', 1, 1584100483, ''),
(91, 'Sellacious Updates - plg_sellaciouspayment_paypalstandard', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_sellaciouspayment_paypalstandard.xml', 1, 1584100485, ''),
(92, 'Sellacious Updates - plg_sellaciouspayment_custom', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_sellaciouspayment_custom.xml', 1, 1584100486, ''),
(93, 'Sellacious Updates - plg_sellaciouspayment_cod', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_sellaciouspayment_cod.xml', 1, 1584100488, ''),
(94, 'Sellacious Updates - plg_system_sellaciousreportscart', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousreportscart.xml', 1, 1584100490, ''),
(95, 'Sellacious Updates - plg_system_sellacioustemplatecolors', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_system_sellacioustemplatecolors.xml', 1, 1584100492, ''),
(96, 'Sellacious Updates - plg_system_sellacious', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_system_sellacious.xml', 1, 1584100494, ''),
(97, 'Sellacious Updates - plg_system_sellaciousimporter', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousimporter.xml', 1, 1584100495, ''),
(98, 'Sellacious Updates - plg_system_sellaciousmailer', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousmailer.xml', 1, 1584100497, ''),
(99, 'Sellacious Updates - plg_system_sellaciousproductnotification', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousproductnotification.xml', 1, 1584100499, ''),
(100, 'Sellacious Updates - plg_system_sellaciousutm', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousutm.xml', 1, 1584100501, ''),
(101, 'Sellacious Updates - plg_system_sellaciouscache', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciouscache.xml', 1, 1584100503, ''),
(102, 'Sellacious Updates - plg_system_sellaciousrecent', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousrecent.xml', 1, 1584100504, ''),
(103, 'Sellacious Updates - plg_system_sellaciousgooglemarkup', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousgooglemarkup.xml', 1, 1584100506, ''),
(104, 'Sellacious Updates - plg_system_sellaciousforex', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_system_sellaciousforex.xml', 1, 1584100508, ''),
(105, 'System - Helix Ultimate Framework', 'extension', 'http://www.joomshaper.com/updates/plg-system-helixultimate.xml', 1, 1584100509, ''),
(106, 'Sellacious Updates - plg_finder_sellaciousproduct', 'extension', 'http://sellacious.com/release/updates/v1.6/plg_finder_sellaciousproduct.xml', 1, 1584100510, ''),
(108, 'squickv2', 'extension', 'http://sellacious.com/release/templates/squickv2.xml', 1, 1584100513, ''),
(110, 'Sellacious Updates - com_sellacious', 'extension', 'http://sellacious.com/release/updates/v1.6/com_sellacious.xml', 1, 1584100516, ''),
(111, 'Sellacious Updates - com_sellaciousreporting', 'extension', 'http://sellacious.com/release/updates/v1.6/com_sellaciousreporting.xml', 1, 1584100517, ''),
(112, 'Sellacious Updates - com_importer', 'extension', 'http://sellacious.com/release/updates/v1.6/com_importer.xml', 1, 1584100519, ''),
(117, 'Sellacious Package Updates', 'extension', 'http://sellacious.com/release/pkg_sellacious_v1.5.xml', 1, 1584100526, ''),
(118, 'Sellacious Extended Package Updates', 'extension', 'http://sellacious.com/release/pkg_sellacious_extended_v1.5.xml', 1, 1584100528, ''),
(119, 'Sellacious Updates - files_sellacious', 'extension', 'http://sellacious.com/release/updates/v1.6/files_sellacious.xml', 1, 1584100530, ''),
(124, 'SellaciousSPPagebuilderAddons Package Updates', 'extension', 'http://sellacious.com/release/pkg_sellacious_addons.xml', 1, 0, ''),
(125, 'Sellacious Updates - lib_sellacious', 'extension', 'http://sellacious.com/release/updates/v1.6/lib_sellacious.xml', 1, 0, ''),
(126, 'Sellacious Updates - lib_sellacious_importer', 'extension', 'http://sellacious.com/release/updates/v1.6/lib_sellacious_importer.xml', 1, 0, ''),
(127, 'Sellacious Updates - PayPal Library', 'extension', 'http://sellacious.com/release/updates/v1.6/lib_paypal.xml', 1, 0, '');

CREATE TABLE IF NOT EXISTS `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Links extensions to update sites';

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(2, 802),
(3, 28),
(62, 10080),
(63, 10060),
(64, 10067),
(65, 10066),
(66, 10063),
(68, 10069),
(69, 10073),
(70, 10070),
(71, 10062),
(72, 10072),
(74, 10065),
(75, 10071),
(76, 10061),
(77, 10078),
(78, 10068),
(79, 10064),
(80, 10045),
(81, 10044),
(82, 10042),
(83, 10043),
(84, 10036),
(85, 10035),
(86, 10037),
(87, 10038),
(88, 10033),
(89, 10034),
(90, 10041),
(91, 10032),
(92, 10040),
(93, 10039),
(94, 10028),
(95, 10086),
(96, 10046),
(97, 10025),
(98, 10048),
(99, 10051),
(100, 10049),
(101, 10047),
(102, 10052),
(103, 10053),
(104, 10050),
(105, 10004),
(106, 10057),
(108, 10005),
(110, 10012),
(111, 10027),
(112, 10026),
(117, 10013),
(118, 10089),
(119, 10015),
(124, 10099),
(125, 10100),
(126, 10101),
(127, 10102);

CREATE TABLE IF NOT EXISTS `#__usergroups` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES
(1, 0, 1, 22, 'Public'),
(2, 1, 8, 19, 'Registered'),
(3, 2, 9, 14, 'Author'),
(4, 3, 10, 13, 'Editor'),
(5, 4, 11, 12, 'Publisher'),
(6, 1, 4, 7, 'Manager'),
(7, 6, 5, 6, 'Administrator'),
(8, 1, 20, 21, 'Super Users'),
(9, 1, 2, 3, 'Guest'),
(10, 2, 15, 16, 'Seller'),
(11, 2, 17, 18, 'Staff');

CREATE TABLE IF NOT EXISTS `#__users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(400) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT 0,
  `sendEmail` tinyint(4) DEFAULT 0,
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `lastResetTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date of last password reset',
  `resetCount` int(11) NOT NULL DEFAULT 0 COMMENT 'Count of password resets since lastResetTime',
  `otpKey` varchar(1000) NOT NULL DEFAULT '' COMMENT 'Two factor authentication encrypted keys',
  `otep` varchar(1000) NOT NULL DEFAULT '' COMMENT 'One time emergency passwords',
  `requireReset` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'Require user to reset password on next login',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_username` (`username`),
  KEY `idx_name` (`name`(100)),
  KEY `idx_block` (`block`),
  KEY `email` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__user_keys` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` varchar(150) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(191) NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__user_notes` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `catid` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) UNSIGNED NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Simple user profile storage table';

CREATE TABLE IF NOT EXISTS `#__user_usergroup_map` (
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__utf8_conversion` (
  `converted` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__utf8_conversion` (`converted`) VALUES (0);

CREATE TABLE IF NOT EXISTS `#__viewlevels` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 2, '[6,2,8]'),
(3, 'Special', 3, '[6,3,8]'),
(5, 'Guest', 1, '[9]'),
(6, 'Super Users', 4, '[8]');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
